#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2012
#define LARGE_STATE_COUNT 530
#define SYMBOL_COUNT 301
#define ALIAS_COUNT 3
#define TOKEN_COUNT 141
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 36
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 118

enum {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym_typedef = 43,
  anon_sym_extern = 44,
  anon_sym___attribute__ = 45,
  anon_sym_COLON_COLON = 46,
  anon_sym_LBRACK_LBRACK = 47,
  anon_sym_RBRACK_RBRACK = 48,
  anon_sym___declspec = 49,
  anon_sym___based = 50,
  anon_sym___cdecl = 51,
  anon_sym___clrcall = 52,
  anon_sym___stdcall = 53,
  anon_sym___fastcall = 54,
  anon_sym___thiscall = 55,
  anon_sym___vectorcall = 56,
  sym_ms_restrict_modifier = 57,
  sym_ms_unsigned_ptr_modifier = 58,
  sym_ms_signed_ptr_modifier = 59,
  anon_sym__unaligned = 60,
  anon_sym___unaligned = 61,
  anon_sym_LBRACE = 62,
  anon_sym_RBRACE = 63,
  anon_sym_signed = 64,
  anon_sym_unsigned = 65,
  anon_sym_long = 66,
  anon_sym_short = 67,
  anon_sym_LBRACK = 68,
  anon_sym_RBRACK = 69,
  anon_sym_EQ = 70,
  anon_sym_static = 71,
  anon_sym_auto = 72,
  anon_sym_register = 73,
  anon_sym_inline = 74,
  anon_sym_thread_local = 75,
  anon_sym_const = 76,
  anon_sym_constexpr = 77,
  anon_sym_volatile = 78,
  anon_sym_restrict = 79,
  anon_sym___restrict__ = 80,
  anon_sym__Atomic = 81,
  anon_sym__Noreturn = 82,
  anon_sym_noreturn = 83,
  sym_primitive_type = 84,
  anon_sym_enum = 85,
  anon_sym_COLON = 86,
  anon_sym_struct = 87,
  anon_sym_union = 88,
  anon_sym_if = 89,
  anon_sym_else = 90,
  anon_sym_switch = 91,
  anon_sym_case = 92,
  anon_sym_default = 93,
  anon_sym_while = 94,
  anon_sym_do = 95,
  anon_sym_for = 96,
  anon_sym_return = 97,
  anon_sym_break = 98,
  anon_sym_continue = 99,
  anon_sym_goto = 100,
  anon_sym_QMARK = 101,
  anon_sym_STAR_EQ = 102,
  anon_sym_SLASH_EQ = 103,
  anon_sym_PERCENT_EQ = 104,
  anon_sym_PLUS_EQ = 105,
  anon_sym_DASH_EQ = 106,
  anon_sym_LT_LT_EQ = 107,
  anon_sym_GT_GT_EQ = 108,
  anon_sym_AMP_EQ = 109,
  anon_sym_CARET_EQ = 110,
  anon_sym_PIPE_EQ = 111,
  anon_sym_DASH_DASH = 112,
  anon_sym_PLUS_PLUS = 113,
  anon_sym_sizeof = 114,
  anon_sym_offsetof = 115,
  anon_sym__Generic = 116,
  anon_sym_asm = 117,
  anon_sym___asm__ = 118,
  anon_sym_DOT = 119,
  anon_sym_DASH_GT = 120,
  sym_number_literal = 121,
  anon_sym_L_SQUOTE = 122,
  anon_sym_u_SQUOTE = 123,
  anon_sym_U_SQUOTE = 124,
  anon_sym_u8_SQUOTE = 125,
  anon_sym_SQUOTE = 126,
  aux_sym_char_literal_token1 = 127,
  anon_sym_L_DQUOTE = 128,
  anon_sym_u_DQUOTE = 129,
  anon_sym_U_DQUOTE = 130,
  anon_sym_u8_DQUOTE = 131,
  anon_sym_DQUOTE = 132,
  aux_sym_string_literal_token1 = 133,
  sym_escape_sequence = 134,
  sym_system_lib_string = 135,
  sym_true = 136,
  sym_false = 137,
  anon_sym_NULL = 138,
  anon_sym_nullptr = 139,
  sym_comment = 140,
  sym_translation_unit = 141,
  sym_preproc_include = 142,
  sym_preproc_def = 143,
  sym_preproc_function_def = 144,
  sym_preproc_params = 145,
  sym_preproc_call = 146,
  sym_preproc_if = 147,
  sym_preproc_ifdef = 148,
  sym_preproc_else = 149,
  sym_preproc_elif = 150,
  sym_preproc_elifdef = 151,
  sym_preproc_if_in_field_declaration_list = 152,
  sym_preproc_ifdef_in_field_declaration_list = 153,
  sym_preproc_else_in_field_declaration_list = 154,
  sym_preproc_elif_in_field_declaration_list = 155,
  sym__preproc_expression = 156,
  sym_preproc_parenthesized_expression = 157,
  sym_preproc_defined = 158,
  sym_preproc_unary_expression = 159,
  sym_preproc_call_expression = 160,
  sym_preproc_argument_list = 161,
  sym_preproc_binary_expression = 162,
  sym_function_definition = 163,
  sym_declaration = 164,
  sym_type_definition = 165,
  sym__declaration_modifiers = 166,
  sym__declaration_specifiers = 167,
  sym_linkage_specification = 168,
  sym_attribute_specifier = 169,
  sym_attribute = 170,
  sym_attribute_declaration = 171,
  sym_ms_declspec_modifier = 172,
  sym_ms_based_modifier = 173,
  sym_ms_call_modifier = 174,
  sym_ms_unaligned_ptr_modifier = 175,
  sym_ms_pointer_modifier = 176,
  sym_declaration_list = 177,
  sym__declarator = 178,
  sym__field_declarator = 179,
  sym__type_declarator = 180,
  sym__abstract_declarator = 181,
  sym_parenthesized_declarator = 182,
  sym_parenthesized_field_declarator = 183,
  sym_parenthesized_type_declarator = 184,
  sym_abstract_parenthesized_declarator = 185,
  sym_attributed_declarator = 186,
  sym_attributed_field_declarator = 187,
  sym_attributed_type_declarator = 188,
  sym_pointer_declarator = 189,
  sym_pointer_field_declarator = 190,
  sym_pointer_type_declarator = 191,
  sym_abstract_pointer_declarator = 192,
  sym_function_declarator = 193,
  sym_function_field_declarator = 194,
  sym_function_type_declarator = 195,
  sym_abstract_function_declarator = 196,
  sym_array_declarator = 197,
  sym_array_field_declarator = 198,
  sym_array_type_declarator = 199,
  sym_abstract_array_declarator = 200,
  sym_init_declarator = 201,
  sym_compound_statement = 202,
  sym_storage_class_specifier = 203,
  sym_type_qualifier = 204,
  sym__type_specifier = 205,
  sym_sized_type_specifier = 206,
  sym_enum_specifier = 207,
  sym_enumerator_list = 208,
  sym_struct_specifier = 209,
  sym_union_specifier = 210,
  sym_field_declaration_list = 211,
  sym__field_declaration_list_item = 212,
  sym_field_declaration = 213,
  sym_bitfield_clause = 214,
  sym_enumerator = 215,
  sym_variadic_parameter = 216,
  sym_parameter_list = 217,
  sym_parameter_declaration = 218,
  sym_attributed_statement = 219,
  sym_labeled_statement = 220,
  sym__top_level_expression_statement = 221,
  sym_expression_statement = 222,
  sym_if_statement = 223,
  sym_else_clause = 224,
  sym_switch_statement = 225,
  sym_case_statement = 226,
  sym_while_statement = 227,
  sym_do_statement = 228,
  sym_for_statement = 229,
  sym_return_statement = 230,
  sym_break_statement = 231,
  sym_continue_statement = 232,
  sym_goto_statement = 233,
  sym__expression = 234,
  sym__expression_not_binary = 235,
  sym_comma_expression = 236,
  sym_conditional_expression = 237,
  sym_assignment_expression = 238,
  sym_pointer_expression = 239,
  sym_unary_expression = 240,
  sym_binary_expression = 241,
  sym_update_expression = 242,
  sym_cast_expression = 243,
  sym_type_descriptor = 244,
  sym_sizeof_expression = 245,
  sym_offsetof_expression = 246,
  sym_generic_expression = 247,
  sym_subscript_expression = 248,
  sym_call_expression = 249,
  sym_gnu_asm_expression = 250,
  sym_gnu_asm_qualifier = 251,
  sym_gnu_asm_output_operand_list = 252,
  sym_gnu_asm_output_operand = 253,
  sym_gnu_asm_input_operand_list = 254,
  sym_gnu_asm_input_operand = 255,
  sym_gnu_asm_clobber_list = 256,
  sym_gnu_asm_goto_list = 257,
  sym_argument_list = 258,
  sym_field_expression = 259,
  sym_compound_literal_expression = 260,
  sym_parenthesized_expression = 261,
  sym_initializer_list = 262,
  sym_initializer_pair = 263,
  sym_subscript_designator = 264,
  sym_field_designator = 265,
  sym_char_literal = 266,
  sym_concatenated_string = 267,
  sym_string_literal = 268,
  sym_null = 269,
  sym__empty_declaration = 270,
  sym_macro_type_specifier = 271,
  aux_sym_translation_unit_repeat1 = 272,
  aux_sym_preproc_params_repeat1 = 273,
  aux_sym_preproc_if_repeat1 = 274,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 275,
  aux_sym_preproc_argument_list_repeat1 = 276,
  aux_sym_declaration_repeat1 = 277,
  aux_sym_type_definition_repeat1 = 278,
  aux_sym_type_definition_repeat2 = 279,
  aux_sym__declaration_specifiers_repeat1 = 280,
  aux_sym_attribute_declaration_repeat1 = 281,
  aux_sym_attributed_declarator_repeat1 = 282,
  aux_sym_pointer_declarator_repeat1 = 283,
  aux_sym_function_declarator_repeat1 = 284,
  aux_sym_sized_type_specifier_repeat1 = 285,
  aux_sym_enumerator_list_repeat1 = 286,
  aux_sym_field_declaration_repeat1 = 287,
  aux_sym_parameter_list_repeat1 = 288,
  aux_sym_case_statement_repeat1 = 289,
  aux_sym_generic_expression_repeat1 = 290,
  aux_sym_gnu_asm_expression_repeat1 = 291,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 292,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 293,
  aux_sym_gnu_asm_clobber_list_repeat1 = 294,
  aux_sym_gnu_asm_goto_list_repeat1 = 295,
  aux_sym_argument_list_repeat1 = 296,
  aux_sym_initializer_list_repeat1 = 297,
  aux_sym_initializer_pair_repeat1 = 298,
  aux_sym_concatenated_string_repeat1 = 299,
  aux_sym_string_literal_repeat1 = 300,
  alias_sym_field_identifier = 301,
  alias_sym_statement_identifier = 302,
  alias_sym_type_identifier = 303,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_definition_repeat2] = "type_definition_repeat2",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_function_declarator_repeat1] = "function_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_definition_repeat2] = aux_sym_type_definition_repeat2,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_function_declarator_repeat1] = aux_sym_function_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_body = 5,
  field_clobbers = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_declarator = 10,
  field_designator = 11,
  field_directive = 12,
  field_field = 13,
  field_function = 14,
  field_goto_labels = 15,
  field_index = 16,
  field_initializer = 17,
  field_input_operands = 18,
  field_label = 19,
  field_left = 20,
  field_member = 21,
  field_name = 22,
  field_operand = 23,
  field_operator = 24,
  field_output_operands = 25,
  field_parameters = 26,
  field_path = 27,
  field_prefix = 28,
  field_register = 29,
  field_right = 30,
  field_size = 31,
  field_symbol = 32,
  field_type = 33,
  field_underlying_type = 34,
  field_update = 35,
  field_value = 36,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_field] = "field",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 1},
  [9] = {.index = 8, .length = 2},
  [10] = {.index = 10, .length = 2},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 12, .length = 1},
  [13] = {.index = 13, .length = 1},
  [14] = {.index = 5, .length = 1},
  [15] = {.index = 14, .length = 2},
  [16] = {.index = 16, .length = 2},
  [17] = {.index = 18, .length = 1},
  [19] = {.index = 19, .length = 2},
  [20] = {.index = 21, .length = 2},
  [21] = {.index = 23, .length = 1},
  [22] = {.index = 24, .length = 1},
  [23] = {.index = 25, .length = 2},
  [24] = {.index = 27, .length = 2},
  [25] = {.index = 29, .length = 1},
  [26] = {.index = 30, .length = 3},
  [27] = {.index = 33, .length = 1},
  [28] = {.index = 34, .length = 1},
  [29] = {.index = 35, .length = 2},
  [30] = {.index = 37, .length = 3},
  [31] = {.index = 40, .length = 2},
  [32] = {.index = 42, .length = 3},
  [33] = {.index = 45, .length = 2},
  [34] = {.index = 47, .length = 2},
  [35] = {.index = 49, .length = 1},
  [36] = {.index = 50, .length = 2},
  [37] = {.index = 52, .length = 1},
  [38] = {.index = 53, .length = 2},
  [39] = {.index = 55, .length = 2},
  [40] = {.index = 57, .length = 2},
  [41] = {.index = 59, .length = 2},
  [42] = {.index = 61, .length = 2},
  [43] = {.index = 63, .length = 2},
  [45] = {.index = 65, .length = 2},
  [46] = {.index = 67, .length = 1},
  [47] = {.index = 68, .length = 1},
  [48] = {.index = 69, .length = 3},
  [49] = {.index = 72, .length = 1},
  [50] = {.index = 73, .length = 1},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 1},
  [53] = {.index = 77, .length = 1},
  [54] = {.index = 78, .length = 2},
  [55] = {.index = 80, .length = 3},
  [56] = {.index = 83, .length = 2},
  [57] = {.index = 85, .length = 3},
  [58] = {.index = 88, .length = 2},
  [59] = {.index = 90, .length = 2},
  [60] = {.index = 92, .length = 3},
  [61] = {.index = 95, .length = 2},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 1},
  [64] = {.index = 100, .length = 2},
  [65] = {.index = 102, .length = 3},
  [66] = {.index = 105, .length = 2},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 3},
  [69] = {.index = 112, .length = 2},
  [70] = {.index = 114, .length = 2},
  [71] = {.index = 116, .length = 1},
  [72] = {.index = 117, .length = 2},
  [73] = {.index = 119, .length = 1},
  [74] = {.index = 120, .length = 1},
  [75] = {.index = 121, .length = 2},
  [76] = {.index = 123, .length = 3},
  [77] = {.index = 126, .length = 2},
  [78] = {.index = 128, .length = 1},
  [80] = {.index = 129, .length = 3},
  [81] = {.index = 132, .length = 3},
  [82] = {.index = 135, .length = 2},
  [83] = {.index = 137, .length = 1},
  [84] = {.index = 138, .length = 2},
  [85] = {.index = 140, .length = 2},
  [86] = {.index = 142, .length = 2},
  [87] = {.index = 144, .length = 3},
  [88] = {.index = 147, .length = 2},
  [89] = {.index = 149, .length = 1},
  [90] = {.index = 150, .length = 2},
  [91] = {.index = 152, .length = 2},
  [92] = {.index = 154, .length = 3},
  [93] = {.index = 157, .length = 3},
  [94] = {.index = 160, .length = 2},
  [95] = {.index = 162, .length = 2},
  [96] = {.index = 164, .length = 3},
  [97] = {.index = 167, .length = 3},
  [98] = {.index = 170, .length = 2},
  [99] = {.index = 172, .length = 2},
  [100] = {.index = 174, .length = 1},
  [101] = {.index = 175, .length = 4},
  [102] = {.index = 179, .length = 3},
  [103] = {.index = 182, .length = 3},
  [104] = {.index = 185, .length = 4},
  [105] = {.index = 189, .length = 3},
  [106] = {.index = 192, .length = 3},
  [107] = {.index = 195, .length = 2},
  [108] = {.index = 197, .length = 2},
  [109] = {.index = 29, .length = 1},
  [110] = {.index = 199, .length = 5},
  [111] = {.index = 204, .length = 4},
  [112] = {.index = 208, .length = 4},
  [113] = {.index = 212, .length = 2},
  [114] = {.index = 214, .length = 2},
  [115] = {.index = 216, .length = 5},
  [116] = {.index = 221, .length = 2},
  [117] = {.index = 223, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_name, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_value, 1},
  [8] =
    {field_argument, 0},
    {field_operator, 1},
  [10] =
    {field_arguments, 1},
    {field_function, 0},
  [12] =
    {field_type, 1},
  [13] =
    {field_path, 1},
  [14] =
    {field_argument, 1},
    {field_directive, 0},
  [16] =
    {field_declarator, 1},
    {field_type, 0},
  [18] =
    {field_parameters, 0},
  [19] =
    {field_body, 2},
    {field_value, 1},
  [21] =
    {field_body, 2},
    {field_name, 1},
  [23] =
    {field_name, 2},
  [24] =
    {field_body, 2},
  [25] =
    {field_condition, 1},
    {field_consequence, 2},
  [27] =
    {field_body, 2},
    {field_condition, 1},
  [29] =
    {field_label, 1},
  [30] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [33] =
    {field_label, 0},
  [34] =
    {field_declarator, 1},
  [35] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [37] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [40] =
    {field_declarator, 0},
    {field_parameters, 1},
  [42] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [45] =
    {field_name, 1},
    {field_value, 2},
  [47] =
    {field_name, 1},
    {field_parameters, 2},
  [49] =
    {field_condition, 1},
  [50] =
    {field_alternative, 2},
    {field_name, 1},
  [52] =
    {field_type, 0, .inherited = true},
  [53] =
    {field_declarator, 2},
    {field_type, 0},
  [55] =
    {field_left, 0},
    {field_right, 2},
  [57] =
    {field_type, 1},
    {field_value, 3},
  [59] =
    {field_declarator, 2},
    {field_type, 1},
  [61] =
    {field_name, 2},
    {field_prefix, 0},
  [63] =
    {field_name, 1},
    {field_underlying_type, 3},
  [65] =
    {field_body, 3},
    {field_name, 2},
  [67] =
    {field_name, 3},
  [68] =
    {field_body, 3},
  [69] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [72] =
    {field_type, 2},
  [73] =
    {field_assembly_code, 2},
  [74] =
    {field_name, 0},
    {field_type, 2},
  [76] =
    {field_declarator, 2},
  [77] =
    {field_declarator, 0},
  [78] =
    {field_declarator, 0},
    {field_value, 2},
  [80] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [83] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [85] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [88] =
    {field_argument, 0},
    {field_index, 2},
  [90] =
    {field_alternative, 3},
    {field_condition, 0},
  [92] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [95] =
    {field_alternative, 3},
    {field_condition, 1},
  [97] =
    {field_alternative, 3},
    {field_name, 1},
  [99] =
    {field_size, 1},
  [100] =
    {field_declarator, 3},
    {field_type, 1},
  [102] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 1},
  [105] =
    {field_declarator, 3},
    {field_type, 2},
  [107] =
    {field_name, 0},
    {field_value, 2},
  [109] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [112] =
    {field_body, 4},
    {field_name, 3},
  [114] =
    {field_body, 1},
    {field_condition, 3},
  [116] =
    {field_operand, 1},
  [117] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [119] =
    {field_assembly_code, 3},
  [120] =
    {field_declarator, 3},
  [121] =
    {field_declarator, 0},
    {field_size, 2},
  [123] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [126] =
    {field_alternative, 4},
    {field_condition, 1},
  [128] =
    {field_size, 2},
  [129] =
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 1},
  [132] =
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 2},
  [135] =
    {field_declarator, 4},
    {field_type, 2},
  [137] =
    {field_body, 5},
  [138] =
    {field_body, 5},
    {field_initializer, 2},
  [140] =
    {field_member, 4},
    {field_type, 2},
  [142] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [144] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [147] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [149] =
    {field_declarator, 4},
  [150] =
    {field_declarator, 0},
    {field_size, 3},
  [152] =
    {field_designator, 0},
    {field_value, 2},
  [154] =
    {field_declarator, 4},
    {field_declarator, 5, .inherited = true},
    {field_type, 2},
  [157] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [160] =
    {field_body, 6},
    {field_update, 4},
  [162] =
    {field_body, 6},
    {field_condition, 3},
  [164] =
    {field_body, 6},
    {field_initializer, 2},
    {field_update, 4},
  [167] =
    {field_body, 6},
    {field_condition, 3},
    {field_initializer, 2},
  [170] =
    {field_body, 6},
    {field_initializer, 2},
  [172] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [174] =
    {field_register, 1},
  [175] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [179] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [182] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [185] =
    {field_body, 7},
    {field_condition, 3},
    {field_initializer, 2},
    {field_update, 5},
  [189] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [192] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [195] =
    {field_constraint, 0},
    {field_value, 2},
  [197] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [199] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [204] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [208] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [212] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [214] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [216] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [221] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [223] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [6] = {
    [1] = alias_sym_type_identifier,
  },
  [12] = {
    [1] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = sym_primitive_type,
  },
  [20] = {
    [1] = alias_sym_type_identifier,
  },
  [21] = {
    [2] = alias_sym_type_identifier,
  },
  [25] = {
    [1] = alias_sym_statement_identifier,
  },
  [27] = {
    [0] = alias_sym_statement_identifier,
  },
  [32] = {
    [2] = alias_sym_field_identifier,
  },
  [43] = {
    [1] = alias_sym_type_identifier,
  },
  [44] = {
    [0] = alias_sym_field_identifier,
  },
  [45] = {
    [2] = alias_sym_type_identifier,
  },
  [46] = {
    [3] = alias_sym_type_identifier,
  },
  [68] = {
    [1] = alias_sym_type_identifier,
  },
  [69] = {
    [3] = alias_sym_type_identifier,
  },
  [79] = {
    [1] = alias_sym_field_identifier,
  },
  [85] = {
    [4] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 2,
  [6] = 2,
  [7] = 3,
  [8] = 3,
  [9] = 3,
  [10] = 2,
  [11] = 2,
  [12] = 12,
  [13] = 12,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 12,
  [20] = 15,
  [21] = 15,
  [22] = 15,
  [23] = 15,
  [24] = 24,
  [25] = 12,
  [26] = 12,
  [27] = 24,
  [28] = 28,
  [29] = 24,
  [30] = 28,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 28,
  [35] = 32,
  [36] = 31,
  [37] = 28,
  [38] = 31,
  [39] = 31,
  [40] = 33,
  [41] = 33,
  [42] = 32,
  [43] = 32,
  [44] = 33,
  [45] = 31,
  [46] = 28,
  [47] = 33,
  [48] = 24,
  [49] = 49,
  [50] = 50,
  [51] = 32,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 54,
  [60] = 58,
  [61] = 57,
  [62] = 55,
  [63] = 56,
  [64] = 57,
  [65] = 55,
  [66] = 56,
  [67] = 58,
  [68] = 54,
  [69] = 58,
  [70] = 55,
  [71] = 58,
  [72] = 54,
  [73] = 56,
  [74] = 57,
  [75] = 54,
  [76] = 57,
  [77] = 56,
  [78] = 55,
  [79] = 57,
  [80] = 58,
  [81] = 54,
  [82] = 55,
  [83] = 56,
  [84] = 84,
  [85] = 84,
  [86] = 84,
  [87] = 84,
  [88] = 84,
  [89] = 84,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 91,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 104,
  [155] = 109,
  [156] = 96,
  [157] = 124,
  [158] = 129,
  [159] = 103,
  [160] = 94,
  [161] = 96,
  [162] = 93,
  [163] = 122,
  [164] = 99,
  [165] = 106,
  [166] = 121,
  [167] = 130,
  [168] = 108,
  [169] = 131,
  [170] = 128,
  [171] = 92,
  [172] = 97,
  [173] = 123,
  [174] = 120,
  [175] = 95,
  [176] = 98,
  [177] = 119,
  [178] = 127,
  [179] = 125,
  [180] = 118,
  [181] = 100,
  [182] = 121,
  [183] = 101,
  [184] = 102,
  [185] = 105,
  [186] = 107,
  [187] = 126,
  [188] = 111,
  [189] = 110,
  [190] = 112,
  [191] = 113,
  [192] = 114,
  [193] = 117,
  [194] = 115,
  [195] = 116,
  [196] = 141,
  [197] = 151,
  [198] = 91,
  [199] = 153,
  [200] = 152,
  [201] = 144,
  [202] = 145,
  [203] = 142,
  [204] = 91,
  [205] = 146,
  [206] = 150,
  [207] = 149,
  [208] = 133,
  [209] = 91,
  [210] = 132,
  [211] = 148,
  [212] = 90,
  [213] = 147,
  [214] = 140,
  [215] = 134,
  [216] = 139,
  [217] = 135,
  [218] = 136,
  [219] = 138,
  [220] = 137,
  [221] = 221,
  [222] = 222,
  [223] = 111,
  [224] = 109,
  [225] = 107,
  [226] = 105,
  [227] = 102,
  [228] = 101,
  [229] = 100,
  [230] = 100,
  [231] = 98,
  [232] = 232,
  [233] = 95,
  [234] = 102,
  [235] = 123,
  [236] = 97,
  [237] = 105,
  [238] = 103,
  [239] = 239,
  [240] = 110,
  [241] = 241,
  [242] = 107,
  [243] = 243,
  [244] = 124,
  [245] = 245,
  [246] = 126,
  [247] = 247,
  [248] = 109,
  [249] = 111,
  [250] = 112,
  [251] = 221,
  [252] = 129,
  [253] = 128,
  [254] = 92,
  [255] = 127,
  [256] = 125,
  [257] = 127,
  [258] = 243,
  [259] = 125,
  [260] = 113,
  [261] = 121,
  [262] = 110,
  [263] = 92,
  [264] = 128,
  [265] = 113,
  [266] = 114,
  [267] = 114,
  [268] = 115,
  [269] = 269,
  [270] = 108,
  [271] = 271,
  [272] = 106,
  [273] = 104,
  [274] = 99,
  [275] = 116,
  [276] = 96,
  [277] = 129,
  [278] = 94,
  [279] = 117,
  [280] = 118,
  [281] = 119,
  [282] = 120,
  [283] = 115,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 98,
  [288] = 130,
  [289] = 95,
  [290] = 130,
  [291] = 116,
  [292] = 131,
  [293] = 117,
  [294] = 118,
  [295] = 131,
  [296] = 119,
  [297] = 93,
  [298] = 122,
  [299] = 299,
  [300] = 120,
  [301] = 301,
  [302] = 302,
  [303] = 222,
  [304] = 304,
  [305] = 94,
  [306] = 306,
  [307] = 96,
  [308] = 302,
  [309] = 232,
  [310] = 222,
  [311] = 306,
  [312] = 108,
  [313] = 313,
  [314] = 99,
  [315] = 104,
  [316] = 106,
  [317] = 304,
  [318] = 108,
  [319] = 286,
  [320] = 271,
  [321] = 306,
  [322] = 110,
  [323] = 121,
  [324] = 239,
  [325] = 241,
  [326] = 232,
  [327] = 313,
  [328] = 245,
  [329] = 247,
  [330] = 101,
  [331] = 269,
  [332] = 284,
  [333] = 285,
  [334] = 299,
  [335] = 123,
  [336] = 125,
  [337] = 302,
  [338] = 97,
  [339] = 222,
  [340] = 304,
  [341] = 306,
  [342] = 103,
  [343] = 127,
  [344] = 92,
  [345] = 304,
  [346] = 286,
  [347] = 271,
  [348] = 239,
  [349] = 241,
  [350] = 243,
  [351] = 245,
  [352] = 247,
  [353] = 221,
  [354] = 269,
  [355] = 128,
  [356] = 129,
  [357] = 284,
  [358] = 130,
  [359] = 285,
  [360] = 299,
  [361] = 131,
  [362] = 106,
  [363] = 104,
  [364] = 126,
  [365] = 99,
  [366] = 301,
  [367] = 222,
  [368] = 302,
  [369] = 302,
  [370] = 222,
  [371] = 304,
  [372] = 126,
  [373] = 313,
  [374] = 306,
  [375] = 124,
  [376] = 93,
  [377] = 313,
  [378] = 122,
  [379] = 103,
  [380] = 97,
  [381] = 94,
  [382] = 286,
  [383] = 271,
  [384] = 123,
  [385] = 232,
  [386] = 239,
  [387] = 241,
  [388] = 243,
  [389] = 245,
  [390] = 247,
  [391] = 221,
  [392] = 95,
  [393] = 269,
  [394] = 284,
  [395] = 98,
  [396] = 285,
  [397] = 299,
  [398] = 286,
  [399] = 301,
  [400] = 271,
  [401] = 302,
  [402] = 112,
  [403] = 304,
  [404] = 306,
  [405] = 100,
  [406] = 301,
  [407] = 101,
  [408] = 313,
  [409] = 102,
  [410] = 105,
  [411] = 286,
  [412] = 271,
  [413] = 239,
  [414] = 241,
  [415] = 239,
  [416] = 313,
  [417] = 124,
  [418] = 241,
  [419] = 107,
  [420] = 243,
  [421] = 245,
  [422] = 247,
  [423] = 221,
  [424] = 269,
  [425] = 284,
  [426] = 285,
  [427] = 299,
  [428] = 243,
  [429] = 245,
  [430] = 301,
  [431] = 232,
  [432] = 301,
  [433] = 122,
  [434] = 247,
  [435] = 109,
  [436] = 120,
  [437] = 299,
  [438] = 119,
  [439] = 118,
  [440] = 117,
  [441] = 116,
  [442] = 285,
  [443] = 284,
  [444] = 115,
  [445] = 269,
  [446] = 114,
  [447] = 113,
  [448] = 93,
  [449] = 221,
  [450] = 112,
  [451] = 111,
  [452] = 134,
  [453] = 151,
  [454] = 153,
  [455] = 150,
  [456] = 149,
  [457] = 147,
  [458] = 139,
  [459] = 138,
  [460] = 137,
  [461] = 136,
  [462] = 135,
  [463] = 133,
  [464] = 141,
  [465] = 144,
  [466] = 151,
  [467] = 146,
  [468] = 148,
  [469] = 152,
  [470] = 145,
  [471] = 142,
  [472] = 132,
  [473] = 134,
  [474] = 140,
  [475] = 153,
  [476] = 152,
  [477] = 148,
  [478] = 146,
  [479] = 145,
  [480] = 144,
  [481] = 142,
  [482] = 150,
  [483] = 149,
  [484] = 147,
  [485] = 140,
  [486] = 139,
  [487] = 141,
  [488] = 132,
  [489] = 138,
  [490] = 133,
  [491] = 137,
  [492] = 136,
  [493] = 135,
  [494] = 153,
  [495] = 152,
  [496] = 141,
  [497] = 151,
  [498] = 139,
  [499] = 140,
  [500] = 147,
  [501] = 142,
  [502] = 149,
  [503] = 133,
  [504] = 144,
  [505] = 150,
  [506] = 145,
  [507] = 146,
  [508] = 508,
  [509] = 137,
  [510] = 132,
  [511] = 138,
  [512] = 136,
  [513] = 134,
  [514] = 148,
  [515] = 135,
  [516] = 516,
  [517] = 517,
  [518] = 517,
  [519] = 517,
  [520] = 516,
  [521] = 517,
  [522] = 516,
  [523] = 516,
  [524] = 90,
  [525] = 525,
  [526] = 526,
  [527] = 90,
  [528] = 91,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 540,
  [542] = 540,
  [543] = 543,
  [544] = 540,
  [545] = 543,
  [546] = 546,
  [547] = 543,
  [548] = 548,
  [549] = 543,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 556,
  [558] = 554,
  [559] = 556,
  [560] = 554,
  [561] = 561,
  [562] = 554,
  [563] = 556,
  [564] = 564,
  [565] = 564,
  [566] = 564,
  [567] = 564,
  [568] = 564,
  [569] = 564,
  [570] = 564,
  [571] = 564,
  [572] = 564,
  [573] = 564,
  [574] = 574,
  [575] = 564,
  [576] = 555,
  [577] = 577,
  [578] = 578,
  [579] = 555,
  [580] = 555,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 577,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 589,
  [591] = 585,
  [592] = 585,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 586,
  [599] = 596,
  [600] = 595,
  [601] = 586,
  [602] = 595,
  [603] = 603,
  [604] = 594,
  [605] = 586,
  [606] = 596,
  [607] = 596,
  [608] = 593,
  [609] = 609,
  [610] = 609,
  [611] = 588,
  [612] = 595,
  [613] = 587,
  [614] = 593,
  [615] = 585,
  [616] = 594,
  [617] = 589,
  [618] = 588,
  [619] = 619,
  [620] = 589,
  [621] = 585,
  [622] = 587,
  [623] = 596,
  [624] = 609,
  [625] = 586,
  [626] = 595,
  [627] = 593,
  [628] = 609,
  [629] = 587,
  [630] = 588,
  [631] = 594,
  [632] = 632,
  [633] = 597,
  [634] = 634,
  [635] = 594,
  [636] = 588,
  [637] = 587,
  [638] = 597,
  [639] = 597,
  [640] = 587,
  [641] = 588,
  [642] = 593,
  [643] = 585,
  [644] = 589,
  [645] = 589,
  [646] = 596,
  [647] = 597,
  [648] = 586,
  [649] = 595,
  [650] = 593,
  [651] = 594,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 656,
  [658] = 653,
  [659] = 653,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 653,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 670,
  [679] = 679,
  [680] = 680,
  [681] = 679,
  [682] = 682,
  [683] = 683,
  [684] = 675,
  [685] = 679,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 676,
  [690] = 679,
  [691] = 691,
  [692] = 669,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 671,
  [697] = 676,
  [698] = 687,
  [699] = 699,
  [700] = 674,
  [701] = 686,
  [702] = 683,
  [703] = 687,
  [704] = 688,
  [705] = 693,
  [706] = 691,
  [707] = 672,
  [708] = 708,
  [709] = 694,
  [710] = 693,
  [711] = 693,
  [712] = 695,
  [713] = 671,
  [714] = 674,
  [715] = 676,
  [716] = 682,
  [717] = 717,
  [718] = 669,
  [719] = 683,
  [720] = 672,
  [721] = 670,
  [722] = 677,
  [723] = 723,
  [724] = 679,
  [725] = 683,
  [726] = 674,
  [727] = 671,
  [728] = 672,
  [729] = 695,
  [730] = 694,
  [731] = 669,
  [732] = 691,
  [733] = 733,
  [734] = 682,
  [735] = 688,
  [736] = 680,
  [737] = 687,
  [738] = 686,
  [739] = 677,
  [740] = 670,
  [741] = 741,
  [742] = 677,
  [743] = 672,
  [744] = 686,
  [745] = 688,
  [746] = 682,
  [747] = 691,
  [748] = 748,
  [749] = 679,
  [750] = 695,
  [751] = 751,
  [752] = 694,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 574,
  [759] = 759,
  [760] = 760,
  [761] = 760,
  [762] = 525,
  [763] = 526,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 812,
  [814] = 814,
  [815] = 812,
  [816] = 812,
  [817] = 812,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 820,
  [822] = 820,
  [823] = 820,
  [824] = 824,
  [825] = 820,
  [826] = 820,
  [827] = 791,
  [828] = 779,
  [829] = 807,
  [830] = 805,
  [831] = 796,
  [832] = 793,
  [833] = 792,
  [834] = 789,
  [835] = 786,
  [836] = 803,
  [837] = 783,
  [838] = 838,
  [839] = 768,
  [840] = 766,
  [841] = 769,
  [842] = 782,
  [843] = 801,
  [844] = 795,
  [845] = 778,
  [846] = 773,
  [847] = 804,
  [848] = 811,
  [849] = 765,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 152,
  [868] = 145,
  [869] = 142,
  [870] = 132,
  [871] = 134,
  [872] = 140,
  [873] = 873,
  [874] = 874,
  [875] = 853,
  [876] = 145,
  [877] = 866,
  [878] = 865,
  [879] = 864,
  [880] = 862,
  [881] = 860,
  [882] = 882,
  [883] = 859,
  [884] = 851,
  [885] = 874,
  [886] = 886,
  [887] = 861,
  [888] = 888,
  [889] = 855,
  [890] = 857,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 850,
  [896] = 896,
  [897] = 852,
  [898] = 140,
  [899] = 134,
  [900] = 132,
  [901] = 142,
  [902] = 863,
  [903] = 873,
  [904] = 904,
  [905] = 152,
  [906] = 824,
  [907] = 907,
  [908] = 856,
  [909] = 854,
  [910] = 757,
  [911] = 525,
  [912] = 912,
  [913] = 756,
  [914] = 526,
  [915] = 856,
  [916] = 859,
  [917] = 142,
  [918] = 145,
  [919] = 152,
  [920] = 920,
  [921] = 864,
  [922] = 920,
  [923] = 863,
  [924] = 924,
  [925] = 925,
  [926] = 865,
  [927] = 873,
  [928] = 928,
  [929] = 866,
  [930] = 930,
  [931] = 857,
  [932] = 920,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 142,
  [937] = 920,
  [938] = 852,
  [939] = 853,
  [940] = 769,
  [941] = 152,
  [942] = 796,
  [943] = 850,
  [944] = 854,
  [945] = 145,
  [946] = 863,
  [947] = 852,
  [948] = 778,
  [949] = 874,
  [950] = 861,
  [951] = 866,
  [952] = 865,
  [953] = 864,
  [954] = 862,
  [955] = 860,
  [956] = 132,
  [957] = 768,
  [958] = 857,
  [959] = 959,
  [960] = 856,
  [961] = 854,
  [962] = 861,
  [963] = 859,
  [964] = 874,
  [965] = 873,
  [966] = 793,
  [967] = 792,
  [968] = 853,
  [969] = 850,
  [970] = 855,
  [971] = 791,
  [972] = 789,
  [973] = 860,
  [974] = 786,
  [975] = 783,
  [976] = 782,
  [977] = 779,
  [978] = 140,
  [979] = 134,
  [980] = 980,
  [981] = 981,
  [982] = 862,
  [983] = 983,
  [984] = 140,
  [985] = 851,
  [986] = 986,
  [987] = 134,
  [988] = 132,
  [989] = 851,
  [990] = 855,
  [991] = 991,
  [992] = 920,
  [993] = 993,
  [994] = 766,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 93,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 131,
  [1008] = 130,
  [1009] = 122,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1042,
  [1045] = 1042,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1042,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1042,
  [1052] = 1049,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1059,
  [1061] = 1061,
  [1062] = 1054,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1057,
  [1067] = 1053,
  [1068] = 1068,
  [1069] = 1058,
  [1070] = 1070,
  [1071] = 1070,
  [1072] = 1070,
  [1073] = 1053,
  [1074] = 1064,
  [1075] = 1061,
  [1076] = 1059,
  [1077] = 1054,
  [1078] = 1078,
  [1079] = 1058,
  [1080] = 1065,
  [1081] = 1058,
  [1082] = 1082,
  [1083] = 1053,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1068,
  [1087] = 1087,
  [1088] = 1084,
  [1089] = 1064,
  [1090] = 1056,
  [1091] = 1068,
  [1092] = 1055,
  [1093] = 1064,
  [1094] = 1055,
  [1095] = 1070,
  [1096] = 1061,
  [1097] = 1059,
  [1098] = 1054,
  [1099] = 1061,
  [1100] = 1058,
  [1101] = 1068,
  [1102] = 1056,
  [1103] = 1103,
  [1104] = 1054,
  [1105] = 1053,
  [1106] = 1068,
  [1107] = 1055,
  [1108] = 1084,
  [1109] = 1056,
  [1110] = 1055,
  [1111] = 1084,
  [1112] = 1084,
  [1113] = 1068,
  [1114] = 1064,
  [1115] = 1057,
  [1116] = 1057,
  [1117] = 1084,
  [1118] = 1057,
  [1119] = 1053,
  [1120] = 1054,
  [1121] = 1070,
  [1122] = 1055,
  [1123] = 1057,
  [1124] = 1064,
  [1125] = 1056,
  [1126] = 1070,
  [1127] = 1059,
  [1128] = 1059,
  [1129] = 1129,
  [1130] = 1061,
  [1131] = 1058,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 789,
  [1136] = 791,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 792,
  [1141] = 1132,
  [1142] = 766,
  [1143] = 1133,
  [1144] = 793,
  [1145] = 1133,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1133,
  [1149] = 1149,
  [1150] = 769,
  [1151] = 1133,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 796,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 783,
  [1161] = 768,
  [1162] = 786,
  [1163] = 1163,
  [1164] = 1132,
  [1165] = 782,
  [1166] = 778,
  [1167] = 1133,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 779,
  [1172] = 1132,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1174,
  [1177] = 1175,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1174,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1182,
  [1186] = 1178,
  [1187] = 1174,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1180,
  [1191] = 1191,
  [1192] = 1182,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1188,
  [1196] = 1188,
  [1197] = 1197,
  [1198] = 1188,
  [1199] = 1175,
  [1200] = 1189,
  [1201] = 1201,
  [1202] = 1189,
  [1203] = 1189,
  [1204] = 1180,
  [1205] = 1189,
  [1206] = 1182,
  [1207] = 1175,
  [1208] = 1182,
  [1209] = 1209,
  [1210] = 1175,
  [1211] = 1180,
  [1212] = 1188,
  [1213] = 1174,
  [1214] = 1180,
  [1215] = 814,
  [1216] = 1087,
  [1217] = 1037,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1193,
  [1221] = 1183,
  [1222] = 1197,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1232,
  [1235] = 1232,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1239,
  [1242] = 1239,
  [1243] = 1003,
  [1244] = 1225,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1252,
  [1268] = 1263,
  [1269] = 798,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1271,
  [1274] = 1252,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1270,
  [1278] = 1252,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1254,
  [1288] = 1257,
  [1289] = 1247,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1263,
  [1293] = 1248,
  [1294] = 1294,
  [1295] = 1246,
  [1296] = 1264,
  [1297] = 1266,
  [1298] = 1252,
  [1299] = 1263,
  [1300] = 1272,
  [1301] = 1281,
  [1302] = 1283,
  [1303] = 1303,
  [1304] = 1291,
  [1305] = 1249,
  [1306] = 1279,
  [1307] = 1307,
  [1308] = 1256,
  [1309] = 1307,
  [1310] = 1307,
  [1311] = 1282,
  [1312] = 1312,
  [1313] = 798,
  [1314] = 1284,
  [1315] = 1262,
  [1316] = 1312,
  [1317] = 1317,
  [1318] = 1261,
  [1319] = 1307,
  [1320] = 1280,
  [1321] = 1285,
  [1322] = 1312,
  [1323] = 1294,
  [1324] = 1255,
  [1325] = 1260,
  [1326] = 1303,
  [1327] = 1251,
  [1328] = 1307,
  [1329] = 1290,
  [1330] = 1276,
  [1331] = 1312,
  [1332] = 1275,
  [1333] = 1333,
  [1334] = 1265,
  [1335] = 1003,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1037,
  [1339] = 1339,
  [1340] = 1339,
  [1341] = 1339,
  [1342] = 1339,
  [1343] = 1343,
  [1344] = 1343,
  [1345] = 1343,
  [1346] = 1343,
  [1347] = 1347,
  [1348] = 1347,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1349,
  [1352] = 1352,
  [1353] = 1350,
  [1354] = 1349,
  [1355] = 1350,
  [1356] = 1350,
  [1357] = 1357,
  [1358] = 1347,
  [1359] = 1349,
  [1360] = 1347,
  [1361] = 1347,
  [1362] = 1350,
  [1363] = 1347,
  [1364] = 1349,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1366,
  [1368] = 1366,
  [1369] = 1369,
  [1370] = 1366,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1366,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1387,
  [1389] = 1387,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1387,
  [1394] = 1394,
  [1395] = 1387,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1387,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1402,
  [1406] = 1402,
  [1407] = 1401,
  [1408] = 1408,
  [1409] = 1408,
  [1410] = 1410,
  [1411] = 1401,
  [1412] = 1402,
  [1413] = 1408,
  [1414] = 1410,
  [1415] = 1410,
  [1416] = 1416,
  [1417] = 1408,
  [1418] = 1410,
  [1419] = 1400,
  [1420] = 1410,
  [1421] = 1402,
  [1422] = 1400,
  [1423] = 1423,
  [1424] = 1401,
  [1425] = 1400,
  [1426] = 1426,
  [1427] = 1401,
  [1428] = 1400,
  [1429] = 1408,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1444,
  [1448] = 1444,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1444,
  [1452] = 1452,
  [1453] = 1444,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1487,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1485,
  [1495] = 1495,
  [1496] = 1487,
  [1497] = 1492,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1492,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1487,
  [1508] = 1492,
  [1509] = 1485,
  [1510] = 1485,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1512,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1512,
  [1522] = 1512,
  [1523] = 1523,
  [1524] = 1512,
  [1525] = 1525,
  [1526] = 1519,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1519,
  [1532] = 1528,
  [1533] = 1533,
  [1534] = 1512,
  [1535] = 1512,
  [1536] = 1528,
  [1537] = 1537,
  [1538] = 1512,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1512,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1542,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1549,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1546,
  [1561] = 1544,
  [1562] = 1549,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1544,
  [1570] = 1542,
  [1571] = 1548,
  [1572] = 1572,
  [1573] = 1554,
  [1574] = 1542,
  [1575] = 1557,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1549,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1564,
  [1587] = 1566,
  [1588] = 1554,
  [1589] = 1589,
  [1590] = 1550,
  [1591] = 1550,
  [1592] = 1555,
  [1593] = 1549,
  [1594] = 1547,
  [1595] = 1595,
  [1596] = 1542,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1549,
  [1600] = 1550,
  [1601] = 1557,
  [1602] = 1557,
  [1603] = 1603,
  [1604] = 1554,
  [1605] = 1579,
  [1606] = 1557,
  [1607] = 1547,
  [1608] = 1608,
  [1609] = 1566,
  [1610] = 1610,
  [1611] = 1564,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1554,
  [1615] = 1615,
  [1616] = 1566,
  [1617] = 1564,
  [1618] = 1550,
  [1619] = 1619,
  [1620] = 1564,
  [1621] = 1582,
  [1622] = 1546,
  [1623] = 1623,
  [1624] = 1566,
  [1625] = 1625,
  [1626] = 1582,
  [1627] = 1544,
  [1628] = 1548,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1550,
  [1635] = 1635,
  [1636] = 1544,
  [1637] = 1637,
  [1638] = 1554,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1655,
  [1657] = 1654,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1654,
  [1666] = 1666,
  [1667] = 1648,
  [1668] = 1668,
  [1669] = 1650,
  [1670] = 1653,
  [1671] = 1650,
  [1672] = 1651,
  [1673] = 1653,
  [1674] = 1662,
  [1675] = 1660,
  [1676] = 1660,
  [1677] = 1653,
  [1678] = 1678,
  [1679] = 1651,
  [1680] = 1680,
  [1681] = 1660,
  [1682] = 1662,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1649,
  [1686] = 1654,
  [1687] = 1662,
  [1688] = 1688,
  [1689] = 1662,
  [1690] = 1690,
  [1691] = 1651,
  [1692] = 1692,
  [1693] = 1655,
  [1694] = 1654,
  [1695] = 1695,
  [1696] = 1660,
  [1697] = 1648,
  [1698] = 1648,
  [1699] = 1699,
  [1700] = 1650,
  [1701] = 1701,
  [1702] = 1662,
  [1703] = 1648,
  [1704] = 1704,
  [1705] = 1650,
  [1706] = 1662,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1648,
  [1711] = 1648,
  [1712] = 1712,
  [1713] = 1683,
  [1714] = 1649,
  [1715] = 1662,
  [1716] = 1650,
  [1717] = 1648,
  [1718] = 1653,
  [1719] = 1651,
  [1720] = 1720,
  [1721] = 1662,
  [1722] = 1653,
  [1723] = 1648,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1256,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1724,
  [1733] = 1727,
  [1734] = 1729,
  [1735] = 1731,
  [1736] = 1727,
  [1737] = 1729,
  [1738] = 1731,
  [1739] = 1726,
  [1740] = 1727,
  [1741] = 1729,
  [1742] = 1731,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1729,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1731,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1727,
  [1767] = 1767,
  [1768] = 1726,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1769,
  [1772] = 1772,
  [1773] = 1760,
  [1774] = 1774,
  [1775] = 756,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1779,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1282,
  [1784] = 1747,
  [1785] = 1781,
  [1786] = 1786,
  [1787] = 1746,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1788,
  [1791] = 1727,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1789,
  [1795] = 1795,
  [1796] = 757,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1753,
  [1802] = 1781,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1731,
  [1806] = 1755,
  [1807] = 1730,
  [1808] = 1730,
  [1809] = 1809,
  [1810] = 1724,
  [1811] = 1811,
  [1812] = 1799,
  [1813] = 1813,
  [1814] = 1726,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1745,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1743,
  [1821] = 1744,
  [1822] = 1822,
  [1823] = 1797,
  [1824] = 1757,
  [1825] = 1746,
  [1826] = 1747,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1745,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1795,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1774,
  [1838] = 1838,
  [1839] = 1769,
  [1840] = 1803,
  [1841] = 1804,
  [1842] = 1729,
  [1843] = 1843,
  [1844] = 1833,
  [1845] = 1845,
  [1846] = 1774,
  [1847] = 1779,
  [1848] = 1835,
  [1849] = 1836,
  [1850] = 1782,
  [1851] = 1789,
  [1852] = 1852,
  [1853] = 1786,
  [1854] = 1838,
  [1855] = 1760,
  [1856] = 1789,
  [1857] = 1857,
  [1858] = 1834,
  [1859] = 1753,
  [1860] = 1793,
  [1861] = 1861,
  [1862] = 1795,
  [1863] = 1863,
  [1864] = 1797,
  [1865] = 1865,
  [1866] = 1799,
  [1867] = 1748,
  [1868] = 1786,
  [1869] = 1781,
  [1870] = 1870,
  [1871] = 1743,
  [1872] = 1744,
  [1873] = 1792,
  [1874] = 1782,
  [1875] = 1748,
  [1876] = 1724,
  [1877] = 1752,
  [1878] = 1745,
  [1879] = 1793,
  [1880] = 1755,
  [1881] = 1730,
  [1882] = 1786,
  [1883] = 1792,
  [1884] = 1789,
  [1885] = 1726,
  [1886] = 1769,
  [1887] = 1838,
  [1888] = 1888,
  [1889] = 1731,
  [1890] = 1803,
  [1891] = 1891,
  [1892] = 1748,
  [1893] = 1786,
  [1894] = 1752,
  [1895] = 1757,
  [1896] = 1789,
  [1897] = 1897,
  [1898] = 1804,
  [1899] = 1899,
  [1900] = 1795,
  [1901] = 1756,
  [1902] = 1797,
  [1903] = 1752,
  [1904] = 1799,
  [1905] = 1756,
  [1906] = 1755,
  [1907] = 1781,
  [1908] = 1891,
  [1909] = 1743,
  [1910] = 1744,
  [1911] = 1757,
  [1912] = 1731,
  [1913] = 1891,
  [1914] = 1745,
  [1915] = 1756,
  [1916] = 1757,
  [1917] = 1752,
  [1918] = 1813,
  [1919] = 1731,
  [1920] = 1920,
  [1921] = 1756,
  [1922] = 1774,
  [1923] = 1743,
  [1924] = 1748,
  [1925] = 1743,
  [1926] = 1743,
  [1927] = 1743,
  [1928] = 1729,
  [1929] = 1747,
  [1930] = 1746,
  [1931] = 1931,
  [1932] = 1760,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1284,
  [1936] = 1770,
  [1937] = 1772,
  [1938] = 1762,
  [1939] = 1792,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1799,
  [1943] = 1943,
  [1944] = 1797,
  [1945] = 1891,
  [1946] = 1761,
  [1947] = 1788,
  [1948] = 1795,
  [1949] = 1779,
  [1950] = 1753,
  [1951] = 1782,
  [1952] = 1729,
  [1953] = 1774,
  [1954] = 1793,
  [1955] = 1833,
  [1956] = 1727,
  [1957] = 1835,
  [1958] = 1788,
  [1959] = 1762,
  [1960] = 1960,
  [1961] = 1729,
  [1962] = 1765,
  [1963] = 1786,
  [1964] = 1836,
  [1965] = 1761,
  [1966] = 1834,
  [1967] = 1779,
  [1968] = 1838,
  [1969] = 1782,
  [1970] = 1727,
  [1971] = 1971,
  [1972] = 1793,
  [1973] = 1747,
  [1974] = 1746,
  [1975] = 1755,
  [1976] = 1788,
  [1977] = 1762,
  [1978] = 1730,
  [1979] = 1724,
  [1980] = 1726,
  [1981] = 1770,
  [1982] = 1779,
  [1983] = 1983,
  [1984] = 1782,
  [1985] = 1983,
  [1986] = 1727,
  [1987] = 1793,
  [1988] = 1770,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1781,
  [1992] = 1762,
  [1993] = 1803,
  [1994] = 1804,
  [1995] = 1776,
  [1996] = 1799,
  [1997] = 1279,
  [1998] = 1761,
  [1999] = 1797,
  [2000] = 1776,
  [2001] = 1795,
  [2002] = 1833,
  [2003] = 1761,
  [2004] = 1744,
  [2005] = 1835,
  [2006] = 1836,
  [2007] = 1761,
  [2008] = 1743,
  [2009] = 1776,
  [2010] = 1776,
  [2011] = 1776,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'v'
                  ? (c < 'a'
                    ? (c >= 'A' && c <= '_')
                    : c <= 't')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43494
    ? (c < 4186
      ? (c < 2703
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 't' || (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3634
            ? (c < 3406
              ? (c < 3313
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))))
              : (c <= 3406 || (c < 3482
                ? (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))))))
            : (c <= 3634 || (c < 3776
              ? (c < 3724
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))))
              : (c <= 3780 || (c < 3913
                ? (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))
                : (c <= 3948 || (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))))))))))))
      : (c <= 4189 || (c < 8130
        ? (c < 6108
          ? (c < 4802
            ? (c < 4682
              ? (c < 4256
                ? (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))))
              : (c <= 4685 || (c < 4746
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))))))
            : (c <= 4805 || (c < 5761
              ? (c < 4992
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))))
              : (c <= 5786 || (c < 5952
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))))))))
          : (c <= 6108 || (c < 7296
            ? (c < 6688
              ? (c < 6480
                ? (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 7086
                ? (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))))))
            : (c <= 7304 || (c < 7968
              ? (c < 7413
                ? (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))
                : (c <= 7414 || (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))))
              : (c <= 8005 || (c < 8029
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))))))))))
        : (c <= 8132 || (c < 12321
          ? (c < 8526
            ? (c < 8455
              ? (c < 8182
                ? (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))
                : (c <= 8188 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))))
              : (c <= 8455 || (c < 8486
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))))))
            : (c <= 8526 || (c < 11648
              ? (c < 11520
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))))
              : (c <= 11670 || (c < 11712
                ? (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c >= 12293 && c <= 12295)))))))))
          : (c <= 12329 || (c < 42786
            ? (c < 13312
              ? (c < 12540
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))
                : (c <= 12543 || (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))))
              : (c <= 19903 || (c < 42538
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))))))
            : (c <= 42888 || (c < 43138
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))
                : (c <= 43009 || (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))))
              : (c <= 43187 || (c < 43312
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))
                : (c <= 43334 || (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))))))))))))))
    : (c <= 43503 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43824
            ? (c < 43712
              ? (c < 43642
                ? (c < 43584
                  ? (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))
                : (c <= 43642 || (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))))
              : (c <= 43712 || (c < 43777
                ? (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c >= 43816 && c <= 43822)))))))
            : (c <= 43866 || (c < 64287
              ? (c < 63744
                ? (c < 44032
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < 'a'
                    ? (c >= 'A' && c <= '_')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(110);
      if (lookahead == '!') ADVANCE(175);
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(201);
      if (lookahead == '\'') ADVANCE(262);
      if (lookahead == '(') ADVANCE(114);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == '+') ADVANCE(183);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(178);
      if (lookahead == '.') ADVANCE(240);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == ':') ADVANCE(225);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '>') ADVANCE(204);
      if (lookahead == '?') ADVANCE(226);
      if (lookahead == 'L') ADVANCE(283);
      if (lookahead == 'U') ADVANCE(285);
      if (lookahead == '[') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(222);
      if (lookahead == '^') ADVANCE(198);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(287);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(195);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(108)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(40)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(40)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(43)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(43)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(42)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(42)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(45)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(45)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(49)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(49)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(50)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(50)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(48)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(48)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(53)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(53)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(47)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(47)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(46)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(46)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(23)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(23)
      if (lookahead == '\r') SKIP(21)
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(119);
      if (lookahead == '!') ADVANCE(65);
      if (lookahead == '%') ADVANCE(191);
      if (lookahead == '&') ADVANCE(200);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == '*') ADVANCE(187);
      if (lookahead == '+') ADVANCE(182);
      if (lookahead == '-') ADVANCE(177);
      if (lookahead == '/') ADVANCE(189);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(66);
      if (lookahead == '>') ADVANCE(205);
      if (lookahead == '\\') SKIP(22)
      if (lookahead == '^') ADVANCE(197);
      if (lookahead == '|') ADVANCE(196);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(51)
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(51)
      if (lookahead == '\r') SKIP(24)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(112);
      if (lookahead == '\r') ADVANCE(30);
      if (lookahead == '(') ADVANCE(114);
      if (lookahead == '/') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(63)
      if (lookahead != 0) ADVANCE(134);
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(112);
      if (lookahead == '\r') ADVANCE(30);
      if (lookahead == '/') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(63)
      if (lookahead != 0) ADVANCE(134);
      END_STATE();
    case 28:
      if (lookahead == '\n') ADVANCE(112);
      if (lookahead == '\r') ADVANCE(29);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(34)
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(54)
      END_STATE();
    case 29:
      if (lookahead == '\n') ADVANCE(112);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(34)
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(54)
      END_STATE();
    case 30:
      if (lookahead == '\n') ADVANCE(112);
      if (lookahead == '/') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(63)
      if (lookahead != 0) ADVANCE(134);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(52)
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '/') ADVANCE(272);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(275);
      if (lookahead != 0) ADVANCE(276);
      END_STATE();
    case 32:
      if (lookahead == '\n') ADVANCE(278);
      if (lookahead == '\r') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(106);
      if (lookahead == 'u') ADVANCE(98);
      if (lookahead == 'x') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(280);
      if (lookahead != 0) ADVANCE(277);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(54)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(54)
      if (lookahead == '\r') SKIP(33)
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(62)
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(264);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(266);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(263);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(41)
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(41)
      if (lookahead == '\r') SKIP(36)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(44)
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(44)
      if (lookahead == '\r') SKIP(38)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(175);
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(201);
      if (lookahead == '\'') ADVANCE(262);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == '+') ADVANCE(183);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(178);
      if (lookahead == '.') ADVANCE(240);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == ':') ADVANCE(225);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '>') ADVANCE(204);
      if (lookahead == '?') ADVANCE(226);
      if (lookahead == 'L') ADVANCE(283);
      if (lookahead == 'U') ADVANCE(285);
      if (lookahead == '[') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(222);
      if (lookahead == '^') ADVANCE(198);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(287);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(195);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(175);
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '#') ADVANCE(81);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(201);
      if (lookahead == '\'') ADVANCE(262);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == '+') ADVANCE(183);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(178);
      if (lookahead == '.') ADVANCE(241);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == ':') ADVANCE(225);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '>') ADVANCE(204);
      if (lookahead == '?') ADVANCE(226);
      if (lookahead == 'L') ADVANCE(283);
      if (lookahead == 'U') ADVANCE(285);
      if (lookahead == '[') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(37);
      if (lookahead == ']') ADVANCE(222);
      if (lookahead == '^') ADVANCE(198);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(287);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(195);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(174);
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == '&') ADVANCE(199);
      if (lookahead == '\'') ADVANCE(262);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == '*') ADVANCE(187);
      if (lookahead == '+') ADVANCE(184);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(179);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == ':') ADVANCE(64);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == 'L') ADVANCE(283);
      if (lookahead == 'U') ADVANCE(285);
      if (lookahead == '[') ADVANCE(70);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == ']') ADVANCE(71);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(287);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '~') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(174);
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '#') ADVANCE(78);
      if (lookahead == '&') ADVANCE(199);
      if (lookahead == '\'') ADVANCE(262);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '*') ADVANCE(187);
      if (lookahead == '+') ADVANCE(184);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(179);
      if (lookahead == '.') ADVANCE(241);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == ':') ADVANCE(225);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == '=') ADVANCE(223);
      if (lookahead == 'L') ADVANCE(283);
      if (lookahead == 'U') ADVANCE(285);
      if (lookahead == '[') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(222);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(287);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 44:
      if (lookahead == '!') ADVANCE(174);
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '#') ADVANCE(74);
      if (lookahead == '&') ADVANCE(199);
      if (lookahead == '\'') ADVANCE(262);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == '*') ADVANCE(187);
      if (lookahead == '+') ADVANCE(184);
      if (lookahead == '-') ADVANCE(179);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == 'L') ADVANCE(283);
      if (lookahead == 'U') ADVANCE(285);
      if (lookahead == '[') ADVANCE(70);
      if (lookahead == '\\') ADVANCE(39);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(287);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '~') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 45:
      if (lookahead == '!') ADVANCE(174);
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '#') ADVANCE(76);
      if (lookahead == '&') ADVANCE(199);
      if (lookahead == '\'') ADVANCE(262);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == '*') ADVANCE(187);
      if (lookahead == '+') ADVANCE(184);
      if (lookahead == '-') ADVANCE(179);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == 'L') ADVANCE(283);
      if (lookahead == 'U') ADVANCE(285);
      if (lookahead == '[') ADVANCE(70);
      if (lookahead == '\\') ADVANCE(8);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(287);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '~') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 46:
      if (lookahead == '!') ADVANCE(174);
      if (lookahead == '\'') ADVANCE(262);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == '-') ADVANCE(181);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == 'L') ADVANCE(291);
      if (lookahead == 'U') ADVANCE(292);
      if (lookahead == '\\') ADVANCE(20);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(293);
      if (lookahead == '~') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(46)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 47:
      if (lookahead == '!') ADVANCE(65);
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(201);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(180);
      if (lookahead == '.') ADVANCE(239);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == ':') ADVANCE(225);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '>') ADVANCE(204);
      if (lookahead == '?') ADVANCE(226);
      if (lookahead == 'L') ADVANCE(284);
      if (lookahead == 'U') ADVANCE(286);
      if (lookahead == '[') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == ']') ADVANCE(222);
      if (lookahead == '^') ADVANCE(198);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(288);
      if (lookahead == '|') ADVANCE(195);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(47)
      END_STATE();
    case 48:
      if (lookahead == '!') ADVANCE(65);
      if (lookahead == '#') ADVANCE(79);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(201);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(180);
      if (lookahead == '.') ADVANCE(239);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == ':') ADVANCE(225);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '>') ADVANCE(204);
      if (lookahead == '?') ADVANCE(226);
      if (lookahead == '[') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == ']') ADVANCE(71);
      if (lookahead == '^') ADVANCE(198);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(295);
      if (lookahead == '|') ADVANCE(195);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(48)
      END_STATE();
    case 49:
      if (lookahead == '!') ADVANCE(65);
      if (lookahead == '#') ADVANCE(73);
      if (lookahead == '%') ADVANCE(191);
      if (lookahead == '&') ADVANCE(200);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '*') ADVANCE(187);
      if (lookahead == '+') ADVANCE(182);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(177);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(189);
      if (lookahead == ':') ADVANCE(225);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '>') ADVANCE(205);
      if (lookahead == '[') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(197);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(295);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(196);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(49)
      END_STATE();
    case 50:
      if (lookahead == '!') ADVANCE(65);
      if (lookahead == '#') ADVANCE(77);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(201);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(180);
      if (lookahead == '.') ADVANCE(239);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == ':') ADVANCE(225);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '>') ADVANCE(204);
      if (lookahead == '?') ADVANCE(226);
      if (lookahead == '[') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == ']') ADVANCE(222);
      if (lookahead == '^') ADVANCE(198);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(295);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(195);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(50)
      END_STATE();
    case 51:
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '<') ADVANCE(67);
      if (lookahead == 'L') ADVANCE(284);
      if (lookahead == 'U') ADVANCE(286);
      if (lookahead == '\\') ADVANCE(25);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(288);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(51)
      END_STATE();
    case 52:
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(52)
      END_STATE();
    case 53:
      if (lookahead == '#') ADVANCE(75);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '[') ADVANCE(70);
      if (lookahead == '\\') ADVANCE(16);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(295);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(53)
      END_STATE();
    case 54:
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(34)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(54)
      END_STATE();
    case 55:
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '/') ADVANCE(297);
      END_STATE();
    case 56:
      if (lookahead == '*') ADVANCE(56);
      if (lookahead == '/') ADVANCE(296);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 57:
      if (lookahead == '*') ADVANCE(56);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 58:
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(244);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(245);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(254);
      END_STATE();
    case 59:
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(247);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 60:
      if (lookahead == '.') ADVANCE(61);
      END_STATE();
    case 61:
      if (lookahead == '.') ADVANCE(115);
      END_STATE();
    case 62:
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(62)
      END_STATE();
    case 63:
      if (lookahead == '/') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(63)
      if (lookahead != 0) ADVANCE(134);
      END_STATE();
    case 64:
      if (lookahead == ':') ADVANCE(215);
      END_STATE();
    case 65:
      if (lookahead == '=') ADVANCE(203);
      END_STATE();
    case 66:
      if (lookahead == '=') ADVANCE(202);
      END_STATE();
    case 67:
      if (lookahead == '>') ADVANCE(281);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(67);
      END_STATE();
    case 68:
      if (lookahead == '>') ADVANCE(282);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 70:
      if (lookahead == '[') ADVANCE(216);
      END_STATE();
    case 71:
      if (lookahead == ']') ADVANCE(217);
      END_STATE();
    case 72:
      if (lookahead == 'd') ADVANCE(144);
      if (lookahead == 'e') ADVANCE(166);
      if (lookahead == 'i') ADVANCE(152);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 73:
      if (lookahead == 'd') ADVANCE(144);
      if (lookahead == 'e') ADVANCE(166);
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 74:
      if (lookahead == 'd') ADVANCE(144);
      if (lookahead == 'e') ADVANCE(169);
      if (lookahead == 'i') ADVANCE(152);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 75:
      if (lookahead == 'd') ADVANCE(144);
      if (lookahead == 'e') ADVANCE(169);
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(144);
      if (lookahead == 'e') ADVANCE(168);
      if (lookahead == 'i') ADVANCE(152);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 77:
      if (lookahead == 'd') ADVANCE(144);
      if (lookahead == 'e') ADVANCE(168);
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 78:
      if (lookahead == 'd') ADVANCE(144);
      if (lookahead == 'i') ADVANCE(152);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(144);
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 80:
      if (lookahead == 'd') ADVANCE(83);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(81);
      END_STATE();
    case 82:
      if (lookahead == 'f') ADVANCE(120);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 84:
      if (lookahead == 'n') ADVANCE(80);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(245);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(254);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(295);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(251);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(254);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(249);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(277);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(88);
      END_STATE();
    case 94:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 95:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 96:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(94);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(95);
      END_STATE();
    case 98:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(96);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(97);
      END_STATE();
    case 100:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      END_STATE();
    case 101:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 102:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(100);
      END_STATE();
    case 103:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(101);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 107:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(297);
      if (lookahead == '\r') ADVANCE(299);
      if (lookahead == '\\') ADVANCE(298);
      END_STATE();
    case 108:
      if (eof) ADVANCE(110);
      if (lookahead == '!') ADVANCE(175);
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == '%') ADVANCE(192);
      if (lookahead == '&') ADVANCE(201);
      if (lookahead == '\'') ADVANCE(262);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == '+') ADVANCE(183);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(178);
      if (lookahead == '.') ADVANCE(240);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == ':') ADVANCE(225);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '>') ADVANCE(204);
      if (lookahead == '?') ADVANCE(226);
      if (lookahead == 'L') ADVANCE(283);
      if (lookahead == 'U') ADVANCE(285);
      if (lookahead == '[') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(222);
      if (lookahead == '^') ADVANCE(198);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(287);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '|') ADVANCE(195);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(108)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 109:
      if (eof) ADVANCE(110);
      if (lookahead == '!') ADVANCE(174);
      if (lookahead == '"') ADVANCE(271);
      if (lookahead == '#') ADVANCE(78);
      if (lookahead == '&') ADVANCE(199);
      if (lookahead == '\'') ADVANCE(262);
      if (lookahead == '(') ADVANCE(173);
      if (lookahead == ')') ADVANCE(117);
      if (lookahead == '*') ADVANCE(187);
      if (lookahead == '+') ADVANCE(184);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(179);
      if (lookahead == '.') ADVANCE(241);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == ':') ADVANCE(225);
      if (lookahead == ';') ADVANCE(214);
      if (lookahead == '=') ADVANCE(223);
      if (lookahead == 'L') ADVANCE(283);
      if (lookahead == 'U') ADVANCE(285);
      if (lookahead == '[') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(222);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(295);
      if (lookahead == 'u') ADVANCE(287);
      if (lookahead == '{') ADVANCE(218);
      if (lookahead == '}') ADVANCE(219);
      if (lookahead == '~') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(109)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(150);
      if (lookahead == 'n') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(57);
      if (lookahead == '*') ADVANCE(129);
      if (lookahead == '/') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead != 0) ADVANCE(133);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(63)
      if (lookahead == '\r') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '/') ADVANCE(134);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(63)
      if (lookahead == '\\') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '/') ADVANCE(134);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(133);
      if (lookahead == '/') ADVANCE(297);
      if (lookahead == '\\') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(134);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(129);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '\n' ||
          lookahead == '/') ADVANCE(57);
      if (lookahead != 0) ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\\') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(133);
      if (lookahead == '\r') ADVANCE(137);
      if (lookahead == '*') ADVANCE(129);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(134);
      if (lookahead == '\r') ADVANCE(138);
      if (lookahead == '\\') ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(133);
      if (lookahead == '*') ADVANCE(129);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(135);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(136);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(147);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(118);
      if (lookahead == 'n') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 's') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(161);
      if (lookahead == 's') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(163);
      if (lookahead == 'n') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(165);
      if (lookahead == 'n') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(203);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(237);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == '=') ADVANCE(231);
      if (lookahead == '>') ADVANCE(242);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(237);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(246);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(237);
      if (lookahead == '=') ADVANCE(231);
      if (lookahead == '>') ADVANCE(242);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(246);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(246);
      if (lookahead == '=') ADVANCE(230);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(246);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == '=') ADVANCE(230);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(246);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(227);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '/') ADVANCE(297);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '/') ADVANCE(297);
      if (lookahead == '=') ADVANCE(228);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(229);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(236);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(235);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(194);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(194);
      if (lookahead == '=') ADVANCE(234);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(213);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(212);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(210);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(232);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(233);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(216);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(202);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(86);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(87);
      if (lookahead == '.') ADVANCE(255);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(254);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == 'b') ADVANCE(253);
      if (lookahead == 'x') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(252);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(256);
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(245);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(87);
      if (lookahead == '.') ADVANCE(255);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(254);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(252);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(256);
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(245);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(85);
      if (lookahead == '.') ADVANCE(255);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == 'b') ADVANCE(59);
      if (lookahead == 'x') ADVANCE(58);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(85);
      if (lookahead == '.') ADVANCE(255);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == 'b') ADVANCE(85);
      if (lookahead == 'x') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(85);
      if (lookahead == '.') ADVANCE(255);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(91);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(249);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(249);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(89);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(251);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(91);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(250);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(251);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(89);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(251);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(250);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(251);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(90);
      if (lookahead == '.') ADVANCE(255);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(254);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(91);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(252);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(254);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(90);
      if (lookahead == '.') ADVANCE(255);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(254);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(252);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(256);
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(245);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(90);
      if (lookahead == '.') ADVANCE(255);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(254);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(252);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(254);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(251);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(250);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(251);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(249);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(249);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(257);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(278);
      if (lookahead == '\r') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(106);
      if (lookahead == 'u') ADVANCE(98);
      if (lookahead == 'x') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(280);
      if (lookahead != 0) ADVANCE(277);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '/') ADVANCE(297);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(32);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(274);
      if (lookahead == '/') ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(276);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(273);
      if (lookahead == '/') ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(274);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(273);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(274);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(272);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(276);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(276);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(32);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(279);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(281);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(67);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '\'') ADVANCE(258);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(269);
      if (lookahead == '\'') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(269);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(268);
      if (lookahead == '\'') ADVANCE(259);
      if (lookahead == '8') ADVANCE(289);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(268);
      if (lookahead == '8') ADVANCE(290);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(261);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(270);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(258);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(259);
      if (lookahead == '8') ADVANCE(294);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(261);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(69);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(295);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(297);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(297);
      if (lookahead == '\r') ADVANCE(299);
      if (lookahead == '\\') ADVANCE(298);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(297);
      if (lookahead == '\\') ADVANCE(107);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 't') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      if (lookahead == 'w') ADVANCE(24);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(28)
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(29);
      if (lookahead == 'G') ADVANCE(30);
      if (lookahead == 'N') ADVANCE(31);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 6:
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'h') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(46);
      if (lookahead == 'l') ADVANCE(47);
      if (lookahead == 'o') ADVANCE(48);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(56);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(59);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == 's') ADVANCE(61);
      if (lookahead == 't') ADVANCE(62);
      if (lookahead == 'w') ADVANCE(63);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(64);
      if (lookahead == 'r') ADVANCE(65);
      if (lookahead == 'y') ADVANCE(66);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(67);
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(70);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(71);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(72);
      END_STATE();
    case 27:
      if (lookahead == 'U') ADVANCE(73);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(77);
      if (lookahead == 'b') ADVANCE(78);
      if (lookahead == 'c') ADVANCE(79);
      if (lookahead == 'd') ADVANCE(80);
      if (lookahead == 'f') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 's') ADVANCE(83);
      if (lookahead == 't') ADVANCE(84);
      if (lookahead == 'u') ADVANCE(85);
      if (lookahead == 'v') ADVANCE(86);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(87);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(88);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 36:
      if (lookahead == 'o') ADVANCE(90);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(92);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(93);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 41:
      if (lookahead == 'f') ADVANCE(95);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(96);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(97);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(98);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(100);
      END_STATE();
    case 47:
      if (lookahead == 'o') ADVANCE(101);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(102);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 53:
      if (lookahead == 'x') ADVANCE(107);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(108);
      END_STATE();
    case 55:
      if (lookahead == 'l') ADVANCE(109);
      END_STATE();
    case 56:
      if (lookahead == 'f') ADVANCE(110);
      END_STATE();
    case 57:
      if (lookahead == 'r') ADVANCE(111);
      END_STATE();
    case 58:
      if (lookahead == 'g') ADVANCE(112);
      if (lookahead == 's') ADVANCE(113);
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 59:
      if (lookahead == 'o') ADVANCE(115);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(116);
      if (lookahead == 'z') ADVANCE(117);
      END_STATE();
    case 61:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(119);
      if (lookahead == 'r') ADVANCE(120);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(121);
      END_STATE();
    case 64:
      if (lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 65:
      if (lookahead == 'u') ADVANCE(123);
      END_STATE();
    case 66:
      if (lookahead == 'p') ADVANCE(124);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(125);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(126);
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 69:
      if (lookahead == 'i') ADVANCE(128);
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(130);
      END_STATE();
    case 71:
      if (lookahead == 'S') ADVANCE(131);
      END_STATE();
    case 72:
      if (lookahead == 'L') ADVANCE(132);
      END_STATE();
    case 73:
      if (lookahead == 'E') ADVANCE(133);
      END_STATE();
    case 74:
      if (lookahead == 'o') ADVANCE(134);
      END_STATE();
    case 75:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 76:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 77:
      if (lookahead == 's') ADVANCE(137);
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(139);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(140);
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(142);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(143);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 83:
      if (lookahead == 'p') ADVANCE(145);
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 84:
      if (lookahead == 'h') ADVANCE(147);
      END_STATE();
    case 85:
      if (lookahead == 'n') ADVANCE(148);
      if (lookahead == 'p') ADVANCE(149);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(151);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 89:
      if (lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(154);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 93:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 94:
      if (lookahead == 's') ADVANCE(157);
      if (lookahead == 't') ADVANCE(158);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(159);
      if (lookahead == 'i') ADVANCE(160);
      END_STATE();
    case 96:
      if (lookahead == 'b') ADVANCE(161);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 98:
      if (lookahead == 'm') ADVANCE(163);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 100:
      if (lookahead == 's') ADVANCE(165);
      END_STATE();
    case 101:
      if (lookahead == 'a') ADVANCE(166);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 103:
      if (lookahead == 'o') ADVANCE(167);
      END_STATE();
    case 104:
      if (lookahead == 'i') ADVANCE(168);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(169);
      if (lookahead == '3') ADVANCE(170);
      if (lookahead == '6') ADVANCE(171);
      if (lookahead == '8') ADVANCE(172);
      if (lookahead == 'p') ADVANCE(173);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(174);
      END_STATE();
    case 107:
      if (lookahead == '_') ADVANCE(175);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 109:
      if (lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 110:
      if (lookahead == 's') ADVANCE(178);
      END_STATE();
    case 111:
      if (lookahead == 'd') ADVANCE(179);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(180);
      END_STATE();
    case 113:
      if (lookahead == 't') ADVANCE(181);
      END_STATE();
    case 114:
      if (lookahead == 'u') ADVANCE(182);
      END_STATE();
    case 115:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 116:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 118:
      if (lookahead == 'z') ADVANCE(186);
      END_STATE();
    case 119:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 120:
      if (lookahead == 'u') ADVANCE(188);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(189);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(192);
      END_STATE();
    case 126:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(194);
      END_STATE();
    case 128:
      if (lookahead == 'd') ADVANCE(153);
      END_STATE();
    case 129:
      if (lookahead == 'a') ADVANCE(195);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(196);
      END_STATE();
    case 131:
      if (lookahead == 'E') ADVANCE(197);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 134:
      if (lookahead == 'm') ADVANCE(198);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 137:
      if (lookahead == 'm') ADVANCE(201);
      END_STATE();
    case 138:
      if (lookahead == 't') ADVANCE(202);
      END_STATE();
    case 139:
      if (lookahead == 's') ADVANCE(203);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 141:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 142:
      if (lookahead == 'c') ADVANCE(206);
      END_STATE();
    case 143:
      if (lookahead == 's') ADVANCE(207);
      END_STATE();
    case 144:
      if (lookahead == 's') ADVANCE(208);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 146:
      if (lookahead == 'd') ADVANCE(210);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(211);
      END_STATE();
    case 148:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(213);
      END_STATE();
    case 150:
      if (lookahead == 'c') ADVANCE(214);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(215);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 154:
      if (lookahead == 'k') ADVANCE(216);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(217);
      if (lookahead == '3') ADVANCE(218);
      if (lookahead == '6') ADVANCE(219);
      if (lookahead == '8') ADVANCE(220);
      if (lookahead == 'p') ADVANCE(221);
      END_STATE();
    case 157:
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 158:
      if (lookahead == 'i') ADVANCE(223);
      END_STATE();
    case 159:
      if (lookahead == 'u') ADVANCE(224);
      END_STATE();
    case 160:
      if (lookahead == 'n') ADVANCE(225);
      END_STATE();
    case 161:
      if (lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 168:
      if (lookahead == 'n') ADVANCE(228);
      END_STATE();
    case 169:
      if (lookahead == '6') ADVANCE(229);
      END_STATE();
    case 170:
      if (lookahead == '2') ADVANCE(230);
      END_STATE();
    case 171:
      if (lookahead == '4') ADVANCE(231);
      END_STATE();
    case 172:
      if (lookahead == '_') ADVANCE(232);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(233);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 175:
      if (lookahead == 'a') ADVANCE(234);
      END_STATE();
    case 176:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 177:
      if (lookahead == 'p') ADVANCE(236);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(237);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(238);
      END_STATE();
    case 180:
      if (lookahead == 's') ADVANCE(239);
      END_STATE();
    case 181:
      if (lookahead == 'r') ADVANCE(240);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(241);
      END_STATE();
    case 183:
      if (lookahead == 't') ADVANCE(242);
      END_STATE();
    case 184:
      if (lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 185:
      if (lookahead == '_') ADVANCE(244);
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 187:
      if (lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 188:
      if (lookahead == 'c') ADVANCE(248);
      END_STATE();
    case 189:
      if (lookahead == 'c') ADVANCE(249);
      END_STATE();
    case 190:
      if (lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 191:
      if (lookahead == 'd') ADVANCE(251);
      END_STATE();
    case 192:
      if (lookahead == '1') ADVANCE(252);
      if (lookahead == '3') ADVANCE(253);
      if (lookahead == '6') ADVANCE(254);
      if (lookahead == '8') ADVANCE(255);
      if (lookahead == 'p') ADVANCE(256);
      END_STATE();
    case 193:
      if (lookahead == 'n') ADVANCE(257);
      END_STATE();
    case 194:
      if (lookahead == 'g') ADVANCE(258);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 198:
      if (lookahead == 'i') ADVANCE(261);
      END_STATE();
    case 199:
      if (lookahead == 'r') ADVANCE(262);
      END_STATE();
    case 200:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 201:
      if (lookahead == '_') ADVANCE(264);
      END_STATE();
    case 202:
      if (lookahead == 'r') ADVANCE(265);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 204:
      if (lookahead == 'c') ADVANCE(267);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      END_STATE();
    case 206:
      if (lookahead == 'l') ADVANCE(269);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(270);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      if (lookahead == 'r') ADVANCE(272);
      END_STATE();
    case 210:
      if (lookahead == 'c') ADVANCE(273);
      END_STATE();
    case 211:
      if (lookahead == 's') ADVANCE(274);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(275);
      END_STATE();
    case 213:
      if (lookahead == 'r') ADVANCE(276);
      END_STATE();
    case 214:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 215:
      if (lookahead == 'i') ADVANCE(278);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 217:
      if (lookahead == '6') ADVANCE(279);
      END_STATE();
    case 218:
      if (lookahead == '2') ADVANCE(280);
      END_STATE();
    case 219:
      if (lookahead == '4') ADVANCE(281);
      END_STATE();
    case 220:
      if (lookahead == '_') ADVANCE(282);
      END_STATE();
    case 221:
      if (lookahead == 't') ADVANCE(283);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(285);
      END_STATE();
    case 224:
      if (lookahead == 'l') ADVANCE(286);
      END_STATE();
    case 225:
      if (lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 226:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 227:
      if (lookahead == 'n') ADVANCE(288);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 229:
      if (lookahead == '_') ADVANCE(290);
      END_STATE();
    case 230:
      if (lookahead == '_') ADVANCE(291);
      END_STATE();
    case 231:
      if (lookahead == '_') ADVANCE(292);
      END_STATE();
    case 232:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 234:
      if (lookahead == 'l') ADVANCE(294);
      END_STATE();
    case 235:
      if (lookahead == 'u') ADVANCE(295);
      END_STATE();
    case 236:
      if (lookahead == 't') ADVANCE(296);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 238:
      if (lookahead == 'f') ADVANCE(298);
      END_STATE();
    case 239:
      if (lookahead == 't') ADVANCE(299);
      END_STATE();
    case 240:
      if (lookahead == 'i') ADVANCE(300);
      END_STATE();
    case 241:
      if (lookahead == 'n') ADVANCE(301);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 243:
      if (lookahead == 'd') ADVANCE(302);
      END_STATE();
    case 244:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 245:
      if (lookahead == 'f') ADVANCE(303);
      END_STATE();
    case 246:
      if (lookahead == '_') ADVANCE(304);
      END_STATE();
    case 247:
      if (lookahead == 'c') ADVANCE(305);
      END_STATE();
    case 248:
      if (lookahead == 't') ADVANCE(306);
      END_STATE();
    case 249:
      if (lookahead == 'h') ADVANCE(307);
      END_STATE();
    case 250:
      if (lookahead == 'd') ADVANCE(308);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(309);
      END_STATE();
    case 252:
      if (lookahead == '6') ADVANCE(310);
      END_STATE();
    case 253:
      if (lookahead == '2') ADVANCE(311);
      END_STATE();
    case 254:
      if (lookahead == '4') ADVANCE(312);
      END_STATE();
    case 255:
      if (lookahead == '_') ADVANCE(313);
      END_STATE();
    case 256:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 258:
      if (lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 259:
      if (lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(317);
      END_STATE();
    case 262:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 263:
      if (lookahead == 'u') ADVANCE(319);
      END_STATE();
    case 264:
      if (lookahead == '_') ADVANCE(320);
      END_STATE();
    case 265:
      if (lookahead == 'i') ADVANCE(321);
      END_STATE();
    case 266:
      if (lookahead == 'd') ADVANCE(322);
      END_STATE();
    case 267:
      if (lookahead == 'l') ADVANCE(323);
      END_STATE();
    case 268:
      if (lookahead == 'a') ADVANCE(324);
      END_STATE();
    case 269:
      if (lookahead == 's') ADVANCE(325);
      END_STATE();
    case 270:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(327);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 273:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 274:
      if (lookahead == 'c') ADVANCE(329);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(330);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 277:
      if (lookahead == 'o') ADVANCE(331);
      END_STATE();
    case 278:
      if (lookahead == 'g') ADVANCE(332);
      END_STATE();
    case 279:
      if (lookahead == '_') ADVANCE(333);
      END_STATE();
    case 280:
      if (lookahead == '_') ADVANCE(334);
      END_STATE();
    case 281:
      if (lookahead == '_') ADVANCE(335);
      END_STATE();
    case 282:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 283:
      if (lookahead == 'r') ADVANCE(336);
      END_STATE();
    case 284:
      if (lookahead == 'x') ADVANCE(337);
      END_STATE();
    case 285:
      if (lookahead == 'u') ADVANCE(338);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(339);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 291:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 292:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 293:
      if (lookahead == '_') ADVANCE(341);
      END_STATE();
    case 294:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 295:
      if (lookahead == 'r') ADVANCE(343);
      END_STATE();
    case 296:
      if (lookahead == 'r') ADVANCE(344);
      END_STATE();
    case 297:
      if (lookahead == 'o') ADVANCE(345);
      END_STATE();
    case 298:
      if (lookahead == 'f') ADVANCE(346);
      END_STATE();
    case 299:
      if (lookahead == 'e') ADVANCE(347);
      END_STATE();
    case 300:
      if (lookahead == 'c') ADVANCE(348);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 308:
      if (lookahead == '_') ADVANCE(349);
      END_STATE();
    case 309:
      if (lookahead == 'f') ADVANCE(350);
      END_STATE();
    case 310:
      if (lookahead == '_') ADVANCE(351);
      END_STATE();
    case 311:
      if (lookahead == '_') ADVANCE(352);
      END_STATE();
    case 312:
      if (lookahead == '_') ADVANCE(353);
      END_STATE();
    case 313:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 314:
      if (lookahead == 'r') ADVANCE(354);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(355);
      END_STATE();
    case 316:
      if (lookahead == 'l') ADVANCE(356);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 318:
      if (lookahead == 'c') ADVANCE(357);
      END_STATE();
    case 319:
      if (lookahead == 'r') ADVANCE(358);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 321:
      if (lookahead == 'b') ADVANCE(359);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 324:
      if (lookahead == 'l') ADVANCE(360);
      END_STATE();
    case 325:
      if (lookahead == 'p') ADVANCE(361);
      END_STATE();
    case 326:
      if (lookahead == 'a') ADVANCE(362);
      END_STATE();
    case 327:
      if (lookahead == 'i') ADVANCE(363);
      END_STATE();
    case 328:
      if (lookahead == 'l') ADVANCE(364);
      END_STATE();
    case 329:
      if (lookahead == 'a') ADVANCE(365);
      END_STATE();
    case 330:
      if (lookahead == 'g') ADVANCE(366);
      END_STATE();
    case 331:
      if (lookahead == 'r') ADVANCE(367);
      END_STATE();
    case 332:
      if (lookahead == 'n') ADVANCE(368);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 334:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 335:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 336:
      if (lookahead == '_') ADVANCE(369);
      END_STATE();
    case 337:
      if (lookahead == 'p') ADVANCE(370);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 341:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 342:
      if (lookahead == 'g') ADVANCE(372);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(373);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 345:
      if (lookahead == 'f') ADVANCE(375);
      END_STATE();
    case 346:
      if (lookahead == '_') ADVANCE(376);
      END_STATE();
    case 347:
      if (lookahead == 'r') ADVANCE(377);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(378);
      END_STATE();
    case 349:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 351:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 352:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 353:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 354:
      if (lookahead == '_') ADVANCE(380);
      END_STATE();
    case 355:
      if (lookahead == 'd') ADVANCE(381);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 358:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 359:
      if (lookahead == 'u') ADVANCE(384);
      END_STATE();
    case 360:
      if (lookahead == 'l') ADVANCE(385);
      END_STATE();
    case 361:
      if (lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 362:
      if (lookahead == 'l') ADVANCE(387);
      END_STATE();
    case 363:
      if (lookahead == 'c') ADVANCE(388);
      END_STATE();
    case 364:
      if (lookahead == 'l') ADVANCE(389);
      END_STATE();
    case 365:
      if (lookahead == 'l') ADVANCE(390);
      END_STATE();
    case 366:
      if (lookahead == 'n') ADVANCE(391);
      END_STATE();
    case 367:
      if (lookahead == 'c') ADVANCE(392);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(393);
      END_STATE();
    case 369:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 370:
      if (lookahead == 'r') ADVANCE(394);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 372:
      if (lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 376:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 379:
      if (lookahead == 'o') ADVANCE(396);
      END_STATE();
    case 380:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 384:
      if (lookahead == 't') ADVANCE(397);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 386:
      if (lookahead == 'c') ADVANCE(398);
      END_STATE();
    case 387:
      if (lookahead == 'l') ADVANCE(399);
      END_STATE();
    case 388:
      if (lookahead == 't') ADVANCE(400);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 390:
      if (lookahead == 'l') ADVANCE(401);
      END_STATE();
    case 391:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 392:
      if (lookahead == 'a') ADVANCE(403);
      END_STATE();
    case 393:
      if (lookahead == 'd') ADVANCE(404);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 395:
      if (lookahead == '_') ADVANCE(405);
      END_STATE();
    case 396:
      if (lookahead == 'c') ADVANCE(406);
      END_STATE();
    case 397:
      if (lookahead == 'e') ADVANCE(407);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(408);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 402:
      if (lookahead == 'd') ADVANCE(409);
      END_STATE();
    case 403:
      if (lookahead == 'l') ADVANCE(410);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 405:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 406:
      if (lookahead == 'a') ADVANCE(411);
      END_STATE();
    case 407:
      if (lookahead == '_') ADVANCE(412);
      END_STATE();
    case 408:
      if (lookahead == '_') ADVANCE(413);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 410:
      if (lookahead == 'l') ADVANCE(414);
      END_STATE();
    case 411:
      if (lookahead == 'l') ADVANCE(415);
      END_STATE();
    case 412:
      if (lookahead == '_') ADVANCE(416);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 109},
  [2] = {.lex_state = 42},
  [3] = {.lex_state = 42},
  [4] = {.lex_state = 42},
  [5] = {.lex_state = 42},
  [6] = {.lex_state = 42},
  [7] = {.lex_state = 42},
  [8] = {.lex_state = 42},
  [9] = {.lex_state = 42},
  [10] = {.lex_state = 42},
  [11] = {.lex_state = 42},
  [12] = {.lex_state = 45},
  [13] = {.lex_state = 45},
  [14] = {.lex_state = 45},
  [15] = {.lex_state = 45},
  [16] = {.lex_state = 45},
  [17] = {.lex_state = 45},
  [18] = {.lex_state = 45},
  [19] = {.lex_state = 45},
  [20] = {.lex_state = 45},
  [21] = {.lex_state = 45},
  [22] = {.lex_state = 45},
  [23] = {.lex_state = 45},
  [24] = {.lex_state = 42},
  [25] = {.lex_state = 45},
  [26] = {.lex_state = 45},
  [27] = {.lex_state = 45},
  [28] = {.lex_state = 109},
  [29] = {.lex_state = 109},
  [30] = {.lex_state = 109},
  [31] = {.lex_state = 109},
  [32] = {.lex_state = 109},
  [33] = {.lex_state = 109},
  [34] = {.lex_state = 109},
  [35] = {.lex_state = 109},
  [36] = {.lex_state = 109},
  [37] = {.lex_state = 109},
  [38] = {.lex_state = 109},
  [39] = {.lex_state = 109},
  [40] = {.lex_state = 109},
  [41] = {.lex_state = 109},
  [42] = {.lex_state = 109},
  [43] = {.lex_state = 109},
  [44] = {.lex_state = 109},
  [45] = {.lex_state = 109},
  [46] = {.lex_state = 109},
  [47] = {.lex_state = 109},
  [48] = {.lex_state = 44},
  [49] = {.lex_state = 44},
  [50] = {.lex_state = 44},
  [51] = {.lex_state = 109},
  [52] = {.lex_state = 109},
  [53] = {.lex_state = 109},
  [54] = {.lex_state = 42},
  [55] = {.lex_state = 42},
  [56] = {.lex_state = 42},
  [57] = {.lex_state = 42},
  [58] = {.lex_state = 42},
  [59] = {.lex_state = 45},
  [60] = {.lex_state = 45},
  [61] = {.lex_state = 45},
  [62] = {.lex_state = 45},
  [63] = {.lex_state = 45},
  [64] = {.lex_state = 44},
  [65] = {.lex_state = 44},
  [66] = {.lex_state = 44},
  [67] = {.lex_state = 44},
  [68] = {.lex_state = 109},
  [69] = {.lex_state = 109},
  [70] = {.lex_state = 109},
  [71] = {.lex_state = 109},
  [72] = {.lex_state = 44},
  [73] = {.lex_state = 109},
  [74] = {.lex_state = 109},
  [75] = {.lex_state = 109},
  [76] = {.lex_state = 109},
  [77] = {.lex_state = 109},
  [78] = {.lex_state = 109},
  [79] = {.lex_state = 109},
  [80] = {.lex_state = 109},
  [81] = {.lex_state = 109},
  [82] = {.lex_state = 109},
  [83] = {.lex_state = 109},
  [84] = {.lex_state = 109},
  [85] = {.lex_state = 109},
  [86] = {.lex_state = 109},
  [87] = {.lex_state = 109},
  [88] = {.lex_state = 109},
  [89] = {.lex_state = 109},
  [90] = {.lex_state = 41},
  [91] = {.lex_state = 42},
  [92] = {.lex_state = 42},
  [93] = {.lex_state = 42},
  [94] = {.lex_state = 42},
  [95] = {.lex_state = 42},
  [96] = {.lex_state = 42},
  [97] = {.lex_state = 42},
  [98] = {.lex_state = 42},
  [99] = {.lex_state = 42},
  [100] = {.lex_state = 42},
  [101] = {.lex_state = 42},
  [102] = {.lex_state = 42},
  [103] = {.lex_state = 42},
  [104] = {.lex_state = 42},
  [105] = {.lex_state = 42},
  [106] = {.lex_state = 42},
  [107] = {.lex_state = 42},
  [108] = {.lex_state = 42},
  [109] = {.lex_state = 42},
  [110] = {.lex_state = 42},
  [111] = {.lex_state = 42},
  [112] = {.lex_state = 42},
  [113] = {.lex_state = 42},
  [114] = {.lex_state = 42},
  [115] = {.lex_state = 42},
  [116] = {.lex_state = 42},
  [117] = {.lex_state = 42},
  [118] = {.lex_state = 42},
  [119] = {.lex_state = 42},
  [120] = {.lex_state = 42},
  [121] = {.lex_state = 42},
  [122] = {.lex_state = 42},
  [123] = {.lex_state = 42},
  [124] = {.lex_state = 42},
  [125] = {.lex_state = 42},
  [126] = {.lex_state = 42},
  [127] = {.lex_state = 42},
  [128] = {.lex_state = 42},
  [129] = {.lex_state = 42},
  [130] = {.lex_state = 42},
  [131] = {.lex_state = 42},
  [132] = {.lex_state = 42},
  [133] = {.lex_state = 42},
  [134] = {.lex_state = 42},
  [135] = {.lex_state = 42},
  [136] = {.lex_state = 42},
  [137] = {.lex_state = 42},
  [138] = {.lex_state = 42},
  [139] = {.lex_state = 42},
  [140] = {.lex_state = 42},
  [141] = {.lex_state = 42},
  [142] = {.lex_state = 42},
  [143] = {.lex_state = 45},
  [144] = {.lex_state = 42},
  [145] = {.lex_state = 42},
  [146] = {.lex_state = 42},
  [147] = {.lex_state = 42},
  [148] = {.lex_state = 42},
  [149] = {.lex_state = 42},
  [150] = {.lex_state = 42},
  [151] = {.lex_state = 42},
  [152] = {.lex_state = 42},
  [153] = {.lex_state = 42},
  [154] = {.lex_state = 45},
  [155] = {.lex_state = 45},
  [156] = {.lex_state = 109},
  [157] = {.lex_state = 45},
  [158] = {.lex_state = 45},
  [159] = {.lex_state = 45},
  [160] = {.lex_state = 45},
  [161] = {.lex_state = 45},
  [162] = {.lex_state = 45},
  [163] = {.lex_state = 45},
  [164] = {.lex_state = 45},
  [165] = {.lex_state = 45},
  [166] = {.lex_state = 109},
  [167] = {.lex_state = 45},
  [168] = {.lex_state = 45},
  [169] = {.lex_state = 45},
  [170] = {.lex_state = 45},
  [171] = {.lex_state = 45},
  [172] = {.lex_state = 45},
  [173] = {.lex_state = 45},
  [174] = {.lex_state = 45},
  [175] = {.lex_state = 45},
  [176] = {.lex_state = 45},
  [177] = {.lex_state = 45},
  [178] = {.lex_state = 45},
  [179] = {.lex_state = 45},
  [180] = {.lex_state = 45},
  [181] = {.lex_state = 45},
  [182] = {.lex_state = 45},
  [183] = {.lex_state = 45},
  [184] = {.lex_state = 45},
  [185] = {.lex_state = 45},
  [186] = {.lex_state = 45},
  [187] = {.lex_state = 45},
  [188] = {.lex_state = 45},
  [189] = {.lex_state = 45},
  [190] = {.lex_state = 45},
  [191] = {.lex_state = 45},
  [192] = {.lex_state = 45},
  [193] = {.lex_state = 45},
  [194] = {.lex_state = 45},
  [195] = {.lex_state = 45},
  [196] = {.lex_state = 45},
  [197] = {.lex_state = 45},
  [198] = {.lex_state = 109},
  [199] = {.lex_state = 45},
  [200] = {.lex_state = 45},
  [201] = {.lex_state = 45},
  [202] = {.lex_state = 45},
  [203] = {.lex_state = 45},
  [204] = {.lex_state = 44},
  [205] = {.lex_state = 45},
  [206] = {.lex_state = 45},
  [207] = {.lex_state = 45},
  [208] = {.lex_state = 45},
  [209] = {.lex_state = 109},
  [210] = {.lex_state = 45},
  [211] = {.lex_state = 45},
  [212] = {.lex_state = 41},
  [213] = {.lex_state = 45},
  [214] = {.lex_state = 45},
  [215] = {.lex_state = 45},
  [216] = {.lex_state = 45},
  [217] = {.lex_state = 45},
  [218] = {.lex_state = 45},
  [219] = {.lex_state = 45},
  [220] = {.lex_state = 45},
  [221] = {.lex_state = 109},
  [222] = {.lex_state = 109},
  [223] = {.lex_state = 44},
  [224] = {.lex_state = 44},
  [225] = {.lex_state = 44},
  [226] = {.lex_state = 44},
  [227] = {.lex_state = 44},
  [228] = {.lex_state = 44},
  [229] = {.lex_state = 44},
  [230] = {.lex_state = 109},
  [231] = {.lex_state = 44},
  [232] = {.lex_state = 109},
  [233] = {.lex_state = 44},
  [234] = {.lex_state = 109},
  [235] = {.lex_state = 44},
  [236] = {.lex_state = 44},
  [237] = {.lex_state = 109},
  [238] = {.lex_state = 44},
  [239] = {.lex_state = 109},
  [240] = {.lex_state = 109},
  [241] = {.lex_state = 109},
  [242] = {.lex_state = 109},
  [243] = {.lex_state = 109},
  [244] = {.lex_state = 44},
  [245] = {.lex_state = 109},
  [246] = {.lex_state = 44},
  [247] = {.lex_state = 109},
  [248] = {.lex_state = 109},
  [249] = {.lex_state = 109},
  [250] = {.lex_state = 109},
  [251] = {.lex_state = 109},
  [252] = {.lex_state = 44},
  [253] = {.lex_state = 44},
  [254] = {.lex_state = 44},
  [255] = {.lex_state = 44},
  [256] = {.lex_state = 109},
  [257] = {.lex_state = 109},
  [258] = {.lex_state = 109},
  [259] = {.lex_state = 44},
  [260] = {.lex_state = 44},
  [261] = {.lex_state = 44},
  [262] = {.lex_state = 44},
  [263] = {.lex_state = 109},
  [264] = {.lex_state = 109},
  [265] = {.lex_state = 109},
  [266] = {.lex_state = 44},
  [267] = {.lex_state = 109},
  [268] = {.lex_state = 44},
  [269] = {.lex_state = 109},
  [270] = {.lex_state = 44},
  [271] = {.lex_state = 109},
  [272] = {.lex_state = 44},
  [273] = {.lex_state = 44},
  [274] = {.lex_state = 44},
  [275] = {.lex_state = 44},
  [276] = {.lex_state = 44},
  [277] = {.lex_state = 109},
  [278] = {.lex_state = 44},
  [279] = {.lex_state = 44},
  [280] = {.lex_state = 44},
  [281] = {.lex_state = 44},
  [282] = {.lex_state = 44},
  [283] = {.lex_state = 109},
  [284] = {.lex_state = 109},
  [285] = {.lex_state = 109},
  [286] = {.lex_state = 109},
  [287] = {.lex_state = 109},
  [288] = {.lex_state = 109},
  [289] = {.lex_state = 109},
  [290] = {.lex_state = 44},
  [291] = {.lex_state = 109},
  [292] = {.lex_state = 44},
  [293] = {.lex_state = 109},
  [294] = {.lex_state = 109},
  [295] = {.lex_state = 109},
  [296] = {.lex_state = 109},
  [297] = {.lex_state = 44},
  [298] = {.lex_state = 44},
  [299] = {.lex_state = 109},
  [300] = {.lex_state = 109},
  [301] = {.lex_state = 109},
  [302] = {.lex_state = 109},
  [303] = {.lex_state = 109},
  [304] = {.lex_state = 109},
  [305] = {.lex_state = 109},
  [306] = {.lex_state = 109},
  [307] = {.lex_state = 109},
  [308] = {.lex_state = 109},
  [309] = {.lex_state = 109},
  [310] = {.lex_state = 109},
  [311] = {.lex_state = 109},
  [312] = {.lex_state = 109},
  [313] = {.lex_state = 109},
  [314] = {.lex_state = 109},
  [315] = {.lex_state = 109},
  [316] = {.lex_state = 109},
  [317] = {.lex_state = 109},
  [318] = {.lex_state = 109},
  [319] = {.lex_state = 109},
  [320] = {.lex_state = 109},
  [321] = {.lex_state = 109},
  [322] = {.lex_state = 109},
  [323] = {.lex_state = 109},
  [324] = {.lex_state = 109},
  [325] = {.lex_state = 109},
  [326] = {.lex_state = 109},
  [327] = {.lex_state = 109},
  [328] = {.lex_state = 109},
  [329] = {.lex_state = 109},
  [330] = {.lex_state = 109},
  [331] = {.lex_state = 109},
  [332] = {.lex_state = 109},
  [333] = {.lex_state = 109},
  [334] = {.lex_state = 109},
  [335] = {.lex_state = 109},
  [336] = {.lex_state = 109},
  [337] = {.lex_state = 109},
  [338] = {.lex_state = 109},
  [339] = {.lex_state = 109},
  [340] = {.lex_state = 109},
  [341] = {.lex_state = 109},
  [342] = {.lex_state = 109},
  [343] = {.lex_state = 109},
  [344] = {.lex_state = 109},
  [345] = {.lex_state = 109},
  [346] = {.lex_state = 109},
  [347] = {.lex_state = 109},
  [348] = {.lex_state = 109},
  [349] = {.lex_state = 109},
  [350] = {.lex_state = 109},
  [351] = {.lex_state = 109},
  [352] = {.lex_state = 109},
  [353] = {.lex_state = 109},
  [354] = {.lex_state = 109},
  [355] = {.lex_state = 109},
  [356] = {.lex_state = 109},
  [357] = {.lex_state = 109},
  [358] = {.lex_state = 109},
  [359] = {.lex_state = 109},
  [360] = {.lex_state = 109},
  [361] = {.lex_state = 109},
  [362] = {.lex_state = 109},
  [363] = {.lex_state = 109},
  [364] = {.lex_state = 109},
  [365] = {.lex_state = 109},
  [366] = {.lex_state = 109},
  [367] = {.lex_state = 109},
  [368] = {.lex_state = 109},
  [369] = {.lex_state = 109},
  [370] = {.lex_state = 109},
  [371] = {.lex_state = 109},
  [372] = {.lex_state = 109},
  [373] = {.lex_state = 109},
  [374] = {.lex_state = 109},
  [375] = {.lex_state = 109},
  [376] = {.lex_state = 109},
  [377] = {.lex_state = 109},
  [378] = {.lex_state = 109},
  [379] = {.lex_state = 109},
  [380] = {.lex_state = 109},
  [381] = {.lex_state = 109},
  [382] = {.lex_state = 109},
  [383] = {.lex_state = 109},
  [384] = {.lex_state = 109},
  [385] = {.lex_state = 109},
  [386] = {.lex_state = 109},
  [387] = {.lex_state = 109},
  [388] = {.lex_state = 109},
  [389] = {.lex_state = 109},
  [390] = {.lex_state = 109},
  [391] = {.lex_state = 109},
  [392] = {.lex_state = 109},
  [393] = {.lex_state = 109},
  [394] = {.lex_state = 109},
  [395] = {.lex_state = 109},
  [396] = {.lex_state = 109},
  [397] = {.lex_state = 109},
  [398] = {.lex_state = 109},
  [399] = {.lex_state = 109},
  [400] = {.lex_state = 109},
  [401] = {.lex_state = 109},
  [402] = {.lex_state = 44},
  [403] = {.lex_state = 109},
  [404] = {.lex_state = 109},
  [405] = {.lex_state = 109},
  [406] = {.lex_state = 109},
  [407] = {.lex_state = 109},
  [408] = {.lex_state = 109},
  [409] = {.lex_state = 109},
  [410] = {.lex_state = 109},
  [411] = {.lex_state = 109},
  [412] = {.lex_state = 109},
  [413] = {.lex_state = 109},
  [414] = {.lex_state = 109},
  [415] = {.lex_state = 109},
  [416] = {.lex_state = 109},
  [417] = {.lex_state = 109},
  [418] = {.lex_state = 109},
  [419] = {.lex_state = 109},
  [420] = {.lex_state = 109},
  [421] = {.lex_state = 109},
  [422] = {.lex_state = 109},
  [423] = {.lex_state = 109},
  [424] = {.lex_state = 109},
  [425] = {.lex_state = 109},
  [426] = {.lex_state = 109},
  [427] = {.lex_state = 109},
  [428] = {.lex_state = 109},
  [429] = {.lex_state = 109},
  [430] = {.lex_state = 109},
  [431] = {.lex_state = 109},
  [432] = {.lex_state = 109},
  [433] = {.lex_state = 109},
  [434] = {.lex_state = 109},
  [435] = {.lex_state = 109},
  [436] = {.lex_state = 109},
  [437] = {.lex_state = 109},
  [438] = {.lex_state = 109},
  [439] = {.lex_state = 109},
  [440] = {.lex_state = 109},
  [441] = {.lex_state = 109},
  [442] = {.lex_state = 109},
  [443] = {.lex_state = 109},
  [444] = {.lex_state = 109},
  [445] = {.lex_state = 109},
  [446] = {.lex_state = 109},
  [447] = {.lex_state = 109},
  [448] = {.lex_state = 109},
  [449] = {.lex_state = 109},
  [450] = {.lex_state = 109},
  [451] = {.lex_state = 109},
  [452] = {.lex_state = 109},
  [453] = {.lex_state = 44},
  [454] = {.lex_state = 44},
  [455] = {.lex_state = 44},
  [456] = {.lex_state = 44},
  [457] = {.lex_state = 44},
  [458] = {.lex_state = 44},
  [459] = {.lex_state = 44},
  [460] = {.lex_state = 44},
  [461] = {.lex_state = 44},
  [462] = {.lex_state = 44},
  [463] = {.lex_state = 44},
  [464] = {.lex_state = 44},
  [465] = {.lex_state = 44},
  [466] = {.lex_state = 109},
  [467] = {.lex_state = 44},
  [468] = {.lex_state = 44},
  [469] = {.lex_state = 44},
  [470] = {.lex_state = 44},
  [471] = {.lex_state = 44},
  [472] = {.lex_state = 44},
  [473] = {.lex_state = 44},
  [474] = {.lex_state = 44},
  [475] = {.lex_state = 109},
  [476] = {.lex_state = 109},
  [477] = {.lex_state = 109},
  [478] = {.lex_state = 109},
  [479] = {.lex_state = 109},
  [480] = {.lex_state = 109},
  [481] = {.lex_state = 109},
  [482] = {.lex_state = 109},
  [483] = {.lex_state = 109},
  [484] = {.lex_state = 109},
  [485] = {.lex_state = 109},
  [486] = {.lex_state = 109},
  [487] = {.lex_state = 109},
  [488] = {.lex_state = 109},
  [489] = {.lex_state = 109},
  [490] = {.lex_state = 109},
  [491] = {.lex_state = 109},
  [492] = {.lex_state = 109},
  [493] = {.lex_state = 109},
  [494] = {.lex_state = 109},
  [495] = {.lex_state = 109},
  [496] = {.lex_state = 109},
  [497] = {.lex_state = 109},
  [498] = {.lex_state = 109},
  [499] = {.lex_state = 109},
  [500] = {.lex_state = 109},
  [501] = {.lex_state = 109},
  [502] = {.lex_state = 109},
  [503] = {.lex_state = 109},
  [504] = {.lex_state = 109},
  [505] = {.lex_state = 109},
  [506] = {.lex_state = 109},
  [507] = {.lex_state = 109},
  [508] = {.lex_state = 109},
  [509] = {.lex_state = 109},
  [510] = {.lex_state = 109},
  [511] = {.lex_state = 109},
  [512] = {.lex_state = 109},
  [513] = {.lex_state = 109},
  [514] = {.lex_state = 109},
  [515] = {.lex_state = 109},
  [516] = {.lex_state = 109},
  [517] = {.lex_state = 109},
  [518] = {.lex_state = 109},
  [519] = {.lex_state = 109},
  [520] = {.lex_state = 109},
  [521] = {.lex_state = 109},
  [522] = {.lex_state = 109},
  [523] = {.lex_state = 109},
  [524] = {.lex_state = 41},
  [525] = {.lex_state = 109},
  [526] = {.lex_state = 109},
  [527] = {.lex_state = 41},
  [528] = {.lex_state = 109},
  [529] = {.lex_state = 109},
  [530] = {.lex_state = 109},
  [531] = {.lex_state = 109},
  [532] = {.lex_state = 109},
  [533] = {.lex_state = 109},
  [534] = {.lex_state = 109},
  [535] = {.lex_state = 109},
  [536] = {.lex_state = 109},
  [537] = {.lex_state = 109},
  [538] = {.lex_state = 109},
  [539] = {.lex_state = 109},
  [540] = {.lex_state = 49},
  [541] = {.lex_state = 49},
  [542] = {.lex_state = 49},
  [543] = {.lex_state = 49},
  [544] = {.lex_state = 49},
  [545] = {.lex_state = 49},
  [546] = {.lex_state = 49},
  [547] = {.lex_state = 49},
  [548] = {.lex_state = 109},
  [549] = {.lex_state = 49},
  [550] = {.lex_state = 109},
  [551] = {.lex_state = 109},
  [552] = {.lex_state = 109},
  [553] = {.lex_state = 50},
  [554] = {.lex_state = 50},
  [555] = {.lex_state = 49},
  [556] = {.lex_state = 50},
  [557] = {.lex_state = 50},
  [558] = {.lex_state = 50},
  [559] = {.lex_state = 50},
  [560] = {.lex_state = 50},
  [561] = {.lex_state = 50},
  [562] = {.lex_state = 50},
  [563] = {.lex_state = 50},
  [564] = {.lex_state = 50},
  [565] = {.lex_state = 50},
  [566] = {.lex_state = 50},
  [567] = {.lex_state = 50},
  [568] = {.lex_state = 50},
  [569] = {.lex_state = 50},
  [570] = {.lex_state = 50},
  [571] = {.lex_state = 50},
  [572] = {.lex_state = 50},
  [573] = {.lex_state = 50},
  [574] = {.lex_state = 50},
  [575] = {.lex_state = 50},
  [576] = {.lex_state = 50},
  [577] = {.lex_state = 109},
  [578] = {.lex_state = 48},
  [579] = {.lex_state = 53},
  [580] = {.lex_state = 48},
  [581] = {.lex_state = 53},
  [582] = {.lex_state = 48},
  [583] = {.lex_state = 53},
  [584] = {.lex_state = 109},
  [585] = {.lex_state = 109},
  [586] = {.lex_state = 109},
  [587] = {.lex_state = 109},
  [588] = {.lex_state = 109},
  [589] = {.lex_state = 109},
  [590] = {.lex_state = 109},
  [591] = {.lex_state = 109},
  [592] = {.lex_state = 109},
  [593] = {.lex_state = 109},
  [594] = {.lex_state = 109},
  [595] = {.lex_state = 109},
  [596] = {.lex_state = 109},
  [597] = {.lex_state = 109},
  [598] = {.lex_state = 109},
  [599] = {.lex_state = 109},
  [600] = {.lex_state = 109},
  [601] = {.lex_state = 109},
  [602] = {.lex_state = 109},
  [603] = {.lex_state = 49},
  [604] = {.lex_state = 109},
  [605] = {.lex_state = 109},
  [606] = {.lex_state = 109},
  [607] = {.lex_state = 109},
  [608] = {.lex_state = 109},
  [609] = {.lex_state = 109},
  [610] = {.lex_state = 109},
  [611] = {.lex_state = 109},
  [612] = {.lex_state = 109},
  [613] = {.lex_state = 109},
  [614] = {.lex_state = 109},
  [615] = {.lex_state = 109},
  [616] = {.lex_state = 109},
  [617] = {.lex_state = 109},
  [618] = {.lex_state = 109},
  [619] = {.lex_state = 109},
  [620] = {.lex_state = 109},
  [621] = {.lex_state = 109},
  [622] = {.lex_state = 109},
  [623] = {.lex_state = 109},
  [624] = {.lex_state = 109},
  [625] = {.lex_state = 109},
  [626] = {.lex_state = 109},
  [627] = {.lex_state = 109},
  [628] = {.lex_state = 109},
  [629] = {.lex_state = 109},
  [630] = {.lex_state = 109},
  [631] = {.lex_state = 109},
  [632] = {.lex_state = 109},
  [633] = {.lex_state = 109},
  [634] = {.lex_state = 109},
  [635] = {.lex_state = 109},
  [636] = {.lex_state = 109},
  [637] = {.lex_state = 109},
  [638] = {.lex_state = 109},
  [639] = {.lex_state = 109},
  [640] = {.lex_state = 109},
  [641] = {.lex_state = 109},
  [642] = {.lex_state = 109},
  [643] = {.lex_state = 109},
  [644] = {.lex_state = 109},
  [645] = {.lex_state = 109},
  [646] = {.lex_state = 109},
  [647] = {.lex_state = 109},
  [648] = {.lex_state = 109},
  [649] = {.lex_state = 109},
  [650] = {.lex_state = 109},
  [651] = {.lex_state = 109},
  [652] = {.lex_state = 109},
  [653] = {.lex_state = 109},
  [654] = {.lex_state = 109},
  [655] = {.lex_state = 109},
  [656] = {.lex_state = 109},
  [657] = {.lex_state = 109},
  [658] = {.lex_state = 109},
  [659] = {.lex_state = 109},
  [660] = {.lex_state = 109},
  [661] = {.lex_state = 109},
  [662] = {.lex_state = 109},
  [663] = {.lex_state = 109},
  [664] = {.lex_state = 109},
  [665] = {.lex_state = 109},
  [666] = {.lex_state = 109},
  [667] = {.lex_state = 109},
  [668] = {.lex_state = 109},
  [669] = {.lex_state = 109},
  [670] = {.lex_state = 109},
  [671] = {.lex_state = 109},
  [672] = {.lex_state = 49},
  [673] = {.lex_state = 109},
  [674] = {.lex_state = 109},
  [675] = {.lex_state = 109},
  [676] = {.lex_state = 109},
  [677] = {.lex_state = 109},
  [678] = {.lex_state = 109},
  [679] = {.lex_state = 109},
  [680] = {.lex_state = 109},
  [681] = {.lex_state = 109},
  [682] = {.lex_state = 109},
  [683] = {.lex_state = 109},
  [684] = {.lex_state = 109},
  [685] = {.lex_state = 109},
  [686] = {.lex_state = 109},
  [687] = {.lex_state = 109},
  [688] = {.lex_state = 109},
  [689] = {.lex_state = 109},
  [690] = {.lex_state = 109},
  [691] = {.lex_state = 109},
  [692] = {.lex_state = 109},
  [693] = {.lex_state = 109},
  [694] = {.lex_state = 109},
  [695] = {.lex_state = 109},
  [696] = {.lex_state = 109},
  [697] = {.lex_state = 109},
  [698] = {.lex_state = 109},
  [699] = {.lex_state = 109},
  [700] = {.lex_state = 109},
  [701] = {.lex_state = 109},
  [702] = {.lex_state = 109},
  [703] = {.lex_state = 109},
  [704] = {.lex_state = 109},
  [705] = {.lex_state = 109},
  [706] = {.lex_state = 109},
  [707] = {.lex_state = 49},
  [708] = {.lex_state = 109},
  [709] = {.lex_state = 109},
  [710] = {.lex_state = 109},
  [711] = {.lex_state = 109},
  [712] = {.lex_state = 109},
  [713] = {.lex_state = 109},
  [714] = {.lex_state = 109},
  [715] = {.lex_state = 109},
  [716] = {.lex_state = 109},
  [717] = {.lex_state = 109},
  [718] = {.lex_state = 109},
  [719] = {.lex_state = 109},
  [720] = {.lex_state = 49},
  [721] = {.lex_state = 109},
  [722] = {.lex_state = 109},
  [723] = {.lex_state = 109},
  [724] = {.lex_state = 109},
  [725] = {.lex_state = 109},
  [726] = {.lex_state = 109},
  [727] = {.lex_state = 109},
  [728] = {.lex_state = 49},
  [729] = {.lex_state = 109},
  [730] = {.lex_state = 109},
  [731] = {.lex_state = 109},
  [732] = {.lex_state = 109},
  [733] = {.lex_state = 109},
  [734] = {.lex_state = 109},
  [735] = {.lex_state = 109},
  [736] = {.lex_state = 109},
  [737] = {.lex_state = 109},
  [738] = {.lex_state = 109},
  [739] = {.lex_state = 109},
  [740] = {.lex_state = 109},
  [741] = {.lex_state = 109},
  [742] = {.lex_state = 109},
  [743] = {.lex_state = 49},
  [744] = {.lex_state = 109},
  [745] = {.lex_state = 109},
  [746] = {.lex_state = 109},
  [747] = {.lex_state = 109},
  [748] = {.lex_state = 109},
  [749] = {.lex_state = 109},
  [750] = {.lex_state = 109},
  [751] = {.lex_state = 109},
  [752] = {.lex_state = 109},
  [753] = {.lex_state = 47},
  [754] = {.lex_state = 47},
  [755] = {.lex_state = 47},
  [756] = {.lex_state = 47},
  [757] = {.lex_state = 47},
  [758] = {.lex_state = 50},
  [759] = {.lex_state = 49},
  [760] = {.lex_state = 50},
  [761] = {.lex_state = 109},
  [762] = {.lex_state = 109},
  [763] = {.lex_state = 109},
  [764] = {.lex_state = 49},
  [765] = {.lex_state = 48},
  [766] = {.lex_state = 50},
  [767] = {.lex_state = 50},
  [768] = {.lex_state = 50},
  [769] = {.lex_state = 50},
  [770] = {.lex_state = 50},
  [771] = {.lex_state = 50},
  [772] = {.lex_state = 50},
  [773] = {.lex_state = 48},
  [774] = {.lex_state = 50},
  [775] = {.lex_state = 50},
  [776] = {.lex_state = 50},
  [777] = {.lex_state = 50},
  [778] = {.lex_state = 50},
  [779] = {.lex_state = 50},
  [780] = {.lex_state = 50},
  [781] = {.lex_state = 50},
  [782] = {.lex_state = 50},
  [783] = {.lex_state = 50},
  [784] = {.lex_state = 50},
  [785] = {.lex_state = 50},
  [786] = {.lex_state = 50},
  [787] = {.lex_state = 50},
  [788] = {.lex_state = 50},
  [789] = {.lex_state = 50},
  [790] = {.lex_state = 50},
  [791] = {.lex_state = 50},
  [792] = {.lex_state = 50},
  [793] = {.lex_state = 50},
  [794] = {.lex_state = 50},
  [795] = {.lex_state = 50},
  [796] = {.lex_state = 50},
  [797] = {.lex_state = 50},
  [798] = {.lex_state = 50},
  [799] = {.lex_state = 50},
  [800] = {.lex_state = 50},
  [801] = {.lex_state = 50},
  [802] = {.lex_state = 50},
  [803] = {.lex_state = 50},
  [804] = {.lex_state = 48},
  [805] = {.lex_state = 50},
  [806] = {.lex_state = 50},
  [807] = {.lex_state = 50},
  [808] = {.lex_state = 50},
  [809] = {.lex_state = 50},
  [810] = {.lex_state = 50},
  [811] = {.lex_state = 50},
  [812] = {.lex_state = 49},
  [813] = {.lex_state = 49},
  [814] = {.lex_state = 109},
  [815] = {.lex_state = 49},
  [816] = {.lex_state = 49},
  [817] = {.lex_state = 49},
  [818] = {.lex_state = 49},
  [819] = {.lex_state = 49},
  [820] = {.lex_state = 50},
  [821] = {.lex_state = 50},
  [822] = {.lex_state = 50},
  [823] = {.lex_state = 50},
  [824] = {.lex_state = 109},
  [825] = {.lex_state = 50},
  [826] = {.lex_state = 50},
  [827] = {.lex_state = 50},
  [828] = {.lex_state = 50},
  [829] = {.lex_state = 50},
  [830] = {.lex_state = 50},
  [831] = {.lex_state = 50},
  [832] = {.lex_state = 50},
  [833] = {.lex_state = 50},
  [834] = {.lex_state = 50},
  [835] = {.lex_state = 50},
  [836] = {.lex_state = 50},
  [837] = {.lex_state = 50},
  [838] = {.lex_state = 49},
  [839] = {.lex_state = 50},
  [840] = {.lex_state = 50},
  [841] = {.lex_state = 50},
  [842] = {.lex_state = 50},
  [843] = {.lex_state = 50},
  [844] = {.lex_state = 50},
  [845] = {.lex_state = 50},
  [846] = {.lex_state = 50},
  [847] = {.lex_state = 50},
  [848] = {.lex_state = 50},
  [849] = {.lex_state = 50},
  [850] = {.lex_state = 49},
  [851] = {.lex_state = 49},
  [852] = {.lex_state = 49},
  [853] = {.lex_state = 49},
  [854] = {.lex_state = 49},
  [855] = {.lex_state = 49},
  [856] = {.lex_state = 49},
  [857] = {.lex_state = 49},
  [858] = {.lex_state = 49},
  [859] = {.lex_state = 49},
  [860] = {.lex_state = 49},
  [861] = {.lex_state = 49},
  [862] = {.lex_state = 49},
  [863] = {.lex_state = 49},
  [864] = {.lex_state = 49},
  [865] = {.lex_state = 49},
  [866] = {.lex_state = 49},
  [867] = {.lex_state = 49},
  [868] = {.lex_state = 49},
  [869] = {.lex_state = 49},
  [870] = {.lex_state = 49},
  [871] = {.lex_state = 49},
  [872] = {.lex_state = 49},
  [873] = {.lex_state = 49},
  [874] = {.lex_state = 49},
  [875] = {.lex_state = 50},
  [876] = {.lex_state = 50},
  [877] = {.lex_state = 50},
  [878] = {.lex_state = 50},
  [879] = {.lex_state = 50},
  [880] = {.lex_state = 50},
  [881] = {.lex_state = 50},
  [882] = {.lex_state = 49},
  [883] = {.lex_state = 50},
  [884] = {.lex_state = 50},
  [885] = {.lex_state = 50},
  [886] = {.lex_state = 49},
  [887] = {.lex_state = 50},
  [888] = {.lex_state = 49},
  [889] = {.lex_state = 50},
  [890] = {.lex_state = 50},
  [891] = {.lex_state = 49},
  [892] = {.lex_state = 49},
  [893] = {.lex_state = 49},
  [894] = {.lex_state = 49},
  [895] = {.lex_state = 50},
  [896] = {.lex_state = 49},
  [897] = {.lex_state = 50},
  [898] = {.lex_state = 50},
  [899] = {.lex_state = 50},
  [900] = {.lex_state = 50},
  [901] = {.lex_state = 50},
  [902] = {.lex_state = 50},
  [903] = {.lex_state = 50},
  [904] = {.lex_state = 49},
  [905] = {.lex_state = 50},
  [906] = {.lex_state = 49},
  [907] = {.lex_state = 49},
  [908] = {.lex_state = 50},
  [909] = {.lex_state = 50},
  [910] = {.lex_state = 49},
  [911] = {.lex_state = 49},
  [912] = {.lex_state = 49},
  [913] = {.lex_state = 49},
  [914] = {.lex_state = 49},
  [915] = {.lex_state = 48},
  [916] = {.lex_state = 53},
  [917] = {.lex_state = 53},
  [918] = {.lex_state = 53},
  [919] = {.lex_state = 53},
  [920] = {.lex_state = 47},
  [921] = {.lex_state = 48},
  [922] = {.lex_state = 47},
  [923] = {.lex_state = 48},
  [924] = {.lex_state = 49},
  [925] = {.lex_state = 49},
  [926] = {.lex_state = 48},
  [927] = {.lex_state = 48},
  [928] = {.lex_state = 49},
  [929] = {.lex_state = 48},
  [930] = {.lex_state = 49},
  [931] = {.lex_state = 48},
  [932] = {.lex_state = 47},
  [933] = {.lex_state = 49},
  [934] = {.lex_state = 49},
  [935] = {.lex_state = 49},
  [936] = {.lex_state = 48},
  [937] = {.lex_state = 47},
  [938] = {.lex_state = 48},
  [939] = {.lex_state = 48},
  [940] = {.lex_state = 50},
  [941] = {.lex_state = 48},
  [942] = {.lex_state = 50},
  [943] = {.lex_state = 48},
  [944] = {.lex_state = 48},
  [945] = {.lex_state = 48},
  [946] = {.lex_state = 53},
  [947] = {.lex_state = 53},
  [948] = {.lex_state = 50},
  [949] = {.lex_state = 48},
  [950] = {.lex_state = 48},
  [951] = {.lex_state = 53},
  [952] = {.lex_state = 53},
  [953] = {.lex_state = 53},
  [954] = {.lex_state = 53},
  [955] = {.lex_state = 53},
  [956] = {.lex_state = 53},
  [957] = {.lex_state = 50},
  [958] = {.lex_state = 53},
  [959] = {.lex_state = 49},
  [960] = {.lex_state = 53},
  [961] = {.lex_state = 53},
  [962] = {.lex_state = 53},
  [963] = {.lex_state = 48},
  [964] = {.lex_state = 53},
  [965] = {.lex_state = 53},
  [966] = {.lex_state = 50},
  [967] = {.lex_state = 50},
  [968] = {.lex_state = 53},
  [969] = {.lex_state = 53},
  [970] = {.lex_state = 53},
  [971] = {.lex_state = 50},
  [972] = {.lex_state = 50},
  [973] = {.lex_state = 48},
  [974] = {.lex_state = 50},
  [975] = {.lex_state = 50},
  [976] = {.lex_state = 50},
  [977] = {.lex_state = 50},
  [978] = {.lex_state = 48},
  [979] = {.lex_state = 53},
  [980] = {.lex_state = 49},
  [981] = {.lex_state = 49},
  [982] = {.lex_state = 48},
  [983] = {.lex_state = 49},
  [984] = {.lex_state = 53},
  [985] = {.lex_state = 53},
  [986] = {.lex_state = 49},
  [987] = {.lex_state = 48},
  [988] = {.lex_state = 48},
  [989] = {.lex_state = 48},
  [990] = {.lex_state = 48},
  [991] = {.lex_state = 49},
  [992] = {.lex_state = 47},
  [993] = {.lex_state = 49},
  [994] = {.lex_state = 50},
  [995] = {.lex_state = 49},
  [996] = {.lex_state = 49},
  [997] = {.lex_state = 49},
  [998] = {.lex_state = 49},
  [999] = {.lex_state = 109},
  [1000] = {.lex_state = 49},
  [1001] = {.lex_state = 49},
  [1002] = {.lex_state = 49},
  [1003] = {.lex_state = 49},
  [1004] = {.lex_state = 49},
  [1005] = {.lex_state = 49},
  [1006] = {.lex_state = 49},
  [1007] = {.lex_state = 109},
  [1008] = {.lex_state = 109},
  [1009] = {.lex_state = 109},
  [1010] = {.lex_state = 49},
  [1011] = {.lex_state = 49},
  [1012] = {.lex_state = 49},
  [1013] = {.lex_state = 49},
  [1014] = {.lex_state = 49},
  [1015] = {.lex_state = 49},
  [1016] = {.lex_state = 49},
  [1017] = {.lex_state = 49},
  [1018] = {.lex_state = 49},
  [1019] = {.lex_state = 49},
  [1020] = {.lex_state = 49},
  [1021] = {.lex_state = 49},
  [1022] = {.lex_state = 49},
  [1023] = {.lex_state = 49},
  [1024] = {.lex_state = 49},
  [1025] = {.lex_state = 49},
  [1026] = {.lex_state = 49},
  [1027] = {.lex_state = 49},
  [1028] = {.lex_state = 49},
  [1029] = {.lex_state = 49},
  [1030] = {.lex_state = 49},
  [1031] = {.lex_state = 49},
  [1032] = {.lex_state = 49},
  [1033] = {.lex_state = 49},
  [1034] = {.lex_state = 49},
  [1035] = {.lex_state = 49},
  [1036] = {.lex_state = 50},
  [1037] = {.lex_state = 49},
  [1038] = {.lex_state = 50},
  [1039] = {.lex_state = 49},
  [1040] = {.lex_state = 50},
  [1041] = {.lex_state = 49},
  [1042] = {.lex_state = 49},
  [1043] = {.lex_state = 49},
  [1044] = {.lex_state = 49},
  [1045] = {.lex_state = 49},
  [1046] = {.lex_state = 49},
  [1047] = {.lex_state = 50},
  [1048] = {.lex_state = 49},
  [1049] = {.lex_state = 50},
  [1050] = {.lex_state = 49},
  [1051] = {.lex_state = 49},
  [1052] = {.lex_state = 50},
  [1053] = {.lex_state = 50},
  [1054] = {.lex_state = 50},
  [1055] = {.lex_state = 50},
  [1056] = {.lex_state = 50},
  [1057] = {.lex_state = 50},
  [1058] = {.lex_state = 50},
  [1059] = {.lex_state = 50},
  [1060] = {.lex_state = 50},
  [1061] = {.lex_state = 50},
  [1062] = {.lex_state = 50},
  [1063] = {.lex_state = 50},
  [1064] = {.lex_state = 50},
  [1065] = {.lex_state = 50},
  [1066] = {.lex_state = 50},
  [1067] = {.lex_state = 50},
  [1068] = {.lex_state = 50},
  [1069] = {.lex_state = 50},
  [1070] = {.lex_state = 50},
  [1071] = {.lex_state = 50},
  [1072] = {.lex_state = 50},
  [1073] = {.lex_state = 50},
  [1074] = {.lex_state = 50},
  [1075] = {.lex_state = 50},
  [1076] = {.lex_state = 50},
  [1077] = {.lex_state = 50},
  [1078] = {.lex_state = 50},
  [1079] = {.lex_state = 50},
  [1080] = {.lex_state = 50},
  [1081] = {.lex_state = 50},
  [1082] = {.lex_state = 50},
  [1083] = {.lex_state = 50},
  [1084] = {.lex_state = 50},
  [1085] = {.lex_state = 50},
  [1086] = {.lex_state = 50},
  [1087] = {.lex_state = 49},
  [1088] = {.lex_state = 50},
  [1089] = {.lex_state = 50},
  [1090] = {.lex_state = 50},
  [1091] = {.lex_state = 50},
  [1092] = {.lex_state = 50},
  [1093] = {.lex_state = 50},
  [1094] = {.lex_state = 50},
  [1095] = {.lex_state = 50},
  [1096] = {.lex_state = 50},
  [1097] = {.lex_state = 50},
  [1098] = {.lex_state = 50},
  [1099] = {.lex_state = 50},
  [1100] = {.lex_state = 50},
  [1101] = {.lex_state = 50},
  [1102] = {.lex_state = 50},
  [1103] = {.lex_state = 50},
  [1104] = {.lex_state = 50},
  [1105] = {.lex_state = 50},
  [1106] = {.lex_state = 50},
  [1107] = {.lex_state = 50},
  [1108] = {.lex_state = 50},
  [1109] = {.lex_state = 50},
  [1110] = {.lex_state = 50},
  [1111] = {.lex_state = 50},
  [1112] = {.lex_state = 50},
  [1113] = {.lex_state = 50},
  [1114] = {.lex_state = 50},
  [1115] = {.lex_state = 50},
  [1116] = {.lex_state = 50},
  [1117] = {.lex_state = 50},
  [1118] = {.lex_state = 50},
  [1119] = {.lex_state = 50},
  [1120] = {.lex_state = 50},
  [1121] = {.lex_state = 50},
  [1122] = {.lex_state = 50},
  [1123] = {.lex_state = 50},
  [1124] = {.lex_state = 50},
  [1125] = {.lex_state = 50},
  [1126] = {.lex_state = 50},
  [1127] = {.lex_state = 50},
  [1128] = {.lex_state = 50},
  [1129] = {.lex_state = 50},
  [1130] = {.lex_state = 50},
  [1131] = {.lex_state = 50},
  [1132] = {.lex_state = 50},
  [1133] = {.lex_state = 50},
  [1134] = {.lex_state = 49},
  [1135] = {.lex_state = 50},
  [1136] = {.lex_state = 50},
  [1137] = {.lex_state = 50},
  [1138] = {.lex_state = 50},
  [1139] = {.lex_state = 50},
  [1140] = {.lex_state = 50},
  [1141] = {.lex_state = 50},
  [1142] = {.lex_state = 50},
  [1143] = {.lex_state = 50},
  [1144] = {.lex_state = 50},
  [1145] = {.lex_state = 50},
  [1146] = {.lex_state = 50},
  [1147] = {.lex_state = 49},
  [1148] = {.lex_state = 50},
  [1149] = {.lex_state = 50},
  [1150] = {.lex_state = 50},
  [1151] = {.lex_state = 50},
  [1152] = {.lex_state = 50},
  [1153] = {.lex_state = 50},
  [1154] = {.lex_state = 50},
  [1155] = {.lex_state = 49},
  [1156] = {.lex_state = 50},
  [1157] = {.lex_state = 50},
  [1158] = {.lex_state = 49},
  [1159] = {.lex_state = 50},
  [1160] = {.lex_state = 50},
  [1161] = {.lex_state = 50},
  [1162] = {.lex_state = 50},
  [1163] = {.lex_state = 50},
  [1164] = {.lex_state = 50},
  [1165] = {.lex_state = 50},
  [1166] = {.lex_state = 50},
  [1167] = {.lex_state = 50},
  [1168] = {.lex_state = 50},
  [1169] = {.lex_state = 50},
  [1170] = {.lex_state = 50},
  [1171] = {.lex_state = 50},
  [1172] = {.lex_state = 50},
  [1173] = {.lex_state = 50},
  [1174] = {.lex_state = 49},
  [1175] = {.lex_state = 49},
  [1176] = {.lex_state = 49},
  [1177] = {.lex_state = 49},
  [1178] = {.lex_state = 49},
  [1179] = {.lex_state = 49},
  [1180] = {.lex_state = 49},
  [1181] = {.lex_state = 49},
  [1182] = {.lex_state = 49},
  [1183] = {.lex_state = 49},
  [1184] = {.lex_state = 50},
  [1185] = {.lex_state = 49},
  [1186] = {.lex_state = 49},
  [1187] = {.lex_state = 49},
  [1188] = {.lex_state = 49},
  [1189] = {.lex_state = 49},
  [1190] = {.lex_state = 49},
  [1191] = {.lex_state = 50},
  [1192] = {.lex_state = 49},
  [1193] = {.lex_state = 49},
  [1194] = {.lex_state = 49},
  [1195] = {.lex_state = 49},
  [1196] = {.lex_state = 49},
  [1197] = {.lex_state = 49},
  [1198] = {.lex_state = 49},
  [1199] = {.lex_state = 49},
  [1200] = {.lex_state = 49},
  [1201] = {.lex_state = 49},
  [1202] = {.lex_state = 49},
  [1203] = {.lex_state = 49},
  [1204] = {.lex_state = 49},
  [1205] = {.lex_state = 49},
  [1206] = {.lex_state = 49},
  [1207] = {.lex_state = 49},
  [1208] = {.lex_state = 49},
  [1209] = {.lex_state = 49},
  [1210] = {.lex_state = 49},
  [1211] = {.lex_state = 49},
  [1212] = {.lex_state = 49},
  [1213] = {.lex_state = 49},
  [1214] = {.lex_state = 49},
  [1215] = {.lex_state = 49},
  [1216] = {.lex_state = 49},
  [1217] = {.lex_state = 49},
  [1218] = {.lex_state = 49},
  [1219] = {.lex_state = 49},
  [1220] = {.lex_state = 49},
  [1221] = {.lex_state = 49},
  [1222] = {.lex_state = 49},
  [1223] = {.lex_state = 49},
  [1224] = {.lex_state = 49},
  [1225] = {.lex_state = 49},
  [1226] = {.lex_state = 49},
  [1227] = {.lex_state = 49},
  [1228] = {.lex_state = 49},
  [1229] = {.lex_state = 49},
  [1230] = {.lex_state = 49},
  [1231] = {.lex_state = 49},
  [1232] = {.lex_state = 49},
  [1233] = {.lex_state = 49},
  [1234] = {.lex_state = 49},
  [1235] = {.lex_state = 49},
  [1236] = {.lex_state = 49},
  [1237] = {.lex_state = 49},
  [1238] = {.lex_state = 49},
  [1239] = {.lex_state = 46},
  [1240] = {.lex_state = 49},
  [1241] = {.lex_state = 46},
  [1242] = {.lex_state = 46},
  [1243] = {.lex_state = 49},
  [1244] = {.lex_state = 23},
  [1245] = {.lex_state = 49},
  [1246] = {.lex_state = 46},
  [1247] = {.lex_state = 46},
  [1248] = {.lex_state = 46},
  [1249] = {.lex_state = 49},
  [1250] = {.lex_state = 49},
  [1251] = {.lex_state = 49},
  [1252] = {.lex_state = 46},
  [1253] = {.lex_state = 46},
  [1254] = {.lex_state = 46},
  [1255] = {.lex_state = 49},
  [1256] = {.lex_state = 49},
  [1257] = {.lex_state = 46},
  [1258] = {.lex_state = 46},
  [1259] = {.lex_state = 49},
  [1260] = {.lex_state = 49},
  [1261] = {.lex_state = 49},
  [1262] = {.lex_state = 49},
  [1263] = {.lex_state = 46},
  [1264] = {.lex_state = 46},
  [1265] = {.lex_state = 49},
  [1266] = {.lex_state = 46},
  [1267] = {.lex_state = 46},
  [1268] = {.lex_state = 46},
  [1269] = {.lex_state = 49},
  [1270] = {.lex_state = 46},
  [1271] = {.lex_state = 46},
  [1272] = {.lex_state = 46},
  [1273] = {.lex_state = 46},
  [1274] = {.lex_state = 46},
  [1275] = {.lex_state = 49},
  [1276] = {.lex_state = 49},
  [1277] = {.lex_state = 46},
  [1278] = {.lex_state = 46},
  [1279] = {.lex_state = 49},
  [1280] = {.lex_state = 49},
  [1281] = {.lex_state = 46},
  [1282] = {.lex_state = 49},
  [1283] = {.lex_state = 46},
  [1284] = {.lex_state = 49},
  [1285] = {.lex_state = 49},
  [1286] = {.lex_state = 46},
  [1287] = {.lex_state = 46},
  [1288] = {.lex_state = 46},
  [1289] = {.lex_state = 46},
  [1290] = {.lex_state = 49},
  [1291] = {.lex_state = 49},
  [1292] = {.lex_state = 46},
  [1293] = {.lex_state = 46},
  [1294] = {.lex_state = 49},
  [1295] = {.lex_state = 46},
  [1296] = {.lex_state = 46},
  [1297] = {.lex_state = 46},
  [1298] = {.lex_state = 46},
  [1299] = {.lex_state = 46},
  [1300] = {.lex_state = 46},
  [1301] = {.lex_state = 46},
  [1302] = {.lex_state = 46},
  [1303] = {.lex_state = 49},
  [1304] = {.lex_state = 23},
  [1305] = {.lex_state = 23},
  [1306] = {.lex_state = 23},
  [1307] = {.lex_state = 23},
  [1308] = {.lex_state = 23},
  [1309] = {.lex_state = 23},
  [1310] = {.lex_state = 23},
  [1311] = {.lex_state = 23},
  [1312] = {.lex_state = 23},
  [1313] = {.lex_state = 23},
  [1314] = {.lex_state = 23},
  [1315] = {.lex_state = 23},
  [1316] = {.lex_state = 23},
  [1317] = {.lex_state = 23},
  [1318] = {.lex_state = 23},
  [1319] = {.lex_state = 23},
  [1320] = {.lex_state = 23},
  [1321] = {.lex_state = 23},
  [1322] = {.lex_state = 23},
  [1323] = {.lex_state = 23},
  [1324] = {.lex_state = 23},
  [1325] = {.lex_state = 23},
  [1326] = {.lex_state = 49},
  [1327] = {.lex_state = 23},
  [1328] = {.lex_state = 23},
  [1329] = {.lex_state = 23},
  [1330] = {.lex_state = 23},
  [1331] = {.lex_state = 23},
  [1332] = {.lex_state = 23},
  [1333] = {.lex_state = 23},
  [1334] = {.lex_state = 23},
  [1335] = {.lex_state = 49},
  [1336] = {.lex_state = 49},
  [1337] = {.lex_state = 49},
  [1338] = {.lex_state = 49},
  [1339] = {.lex_state = 49},
  [1340] = {.lex_state = 49},
  [1341] = {.lex_state = 49},
  [1342] = {.lex_state = 49},
  [1343] = {.lex_state = 49},
  [1344] = {.lex_state = 49},
  [1345] = {.lex_state = 49},
  [1346] = {.lex_state = 49},
  [1347] = {.lex_state = 49},
  [1348] = {.lex_state = 49},
  [1349] = {.lex_state = 109},
  [1350] = {.lex_state = 49},
  [1351] = {.lex_state = 109},
  [1352] = {.lex_state = 49},
  [1353] = {.lex_state = 49},
  [1354] = {.lex_state = 109},
  [1355] = {.lex_state = 49},
  [1356] = {.lex_state = 49},
  [1357] = {.lex_state = 49},
  [1358] = {.lex_state = 49},
  [1359] = {.lex_state = 109},
  [1360] = {.lex_state = 49},
  [1361] = {.lex_state = 49},
  [1362] = {.lex_state = 49},
  [1363] = {.lex_state = 49},
  [1364] = {.lex_state = 109},
  [1365] = {.lex_state = 49},
  [1366] = {.lex_state = 49},
  [1367] = {.lex_state = 49},
  [1368] = {.lex_state = 49},
  [1369] = {.lex_state = 49},
  [1370] = {.lex_state = 49},
  [1371] = {.lex_state = 47},
  [1372] = {.lex_state = 49},
  [1373] = {.lex_state = 49},
  [1374] = {.lex_state = 49},
  [1375] = {.lex_state = 49},
  [1376] = {.lex_state = 109},
  [1377] = {.lex_state = 49},
  [1378] = {.lex_state = 49},
  [1379] = {.lex_state = 109},
  [1380] = {.lex_state = 49},
  [1381] = {.lex_state = 109},
  [1382] = {.lex_state = 49},
  [1383] = {.lex_state = 49},
  [1384] = {.lex_state = 109},
  [1385] = {.lex_state = 49},
  [1386] = {.lex_state = 47},
  [1387] = {.lex_state = 109},
  [1388] = {.lex_state = 109},
  [1389] = {.lex_state = 109},
  [1390] = {.lex_state = 49},
  [1391] = {.lex_state = 109},
  [1392] = {.lex_state = 49},
  [1393] = {.lex_state = 109},
  [1394] = {.lex_state = 0},
  [1395] = {.lex_state = 109},
  [1396] = {.lex_state = 49},
  [1397] = {.lex_state = 0},
  [1398] = {.lex_state = 49},
  [1399] = {.lex_state = 109},
  [1400] = {.lex_state = 109},
  [1401] = {.lex_state = 109},
  [1402] = {.lex_state = 109},
  [1403] = {.lex_state = 109},
  [1404] = {.lex_state = 109},
  [1405] = {.lex_state = 109},
  [1406] = {.lex_state = 109},
  [1407] = {.lex_state = 109},
  [1408] = {.lex_state = 51},
  [1409] = {.lex_state = 51},
  [1410] = {.lex_state = 109},
  [1411] = {.lex_state = 109},
  [1412] = {.lex_state = 109},
  [1413] = {.lex_state = 51},
  [1414] = {.lex_state = 109},
  [1415] = {.lex_state = 109},
  [1416] = {.lex_state = 109},
  [1417] = {.lex_state = 51},
  [1418] = {.lex_state = 109},
  [1419] = {.lex_state = 109},
  [1420] = {.lex_state = 109},
  [1421] = {.lex_state = 109},
  [1422] = {.lex_state = 109},
  [1423] = {.lex_state = 109},
  [1424] = {.lex_state = 109},
  [1425] = {.lex_state = 109},
  [1426] = {.lex_state = 109},
  [1427] = {.lex_state = 109},
  [1428] = {.lex_state = 109},
  [1429] = {.lex_state = 51},
  [1430] = {.lex_state = 109},
  [1431] = {.lex_state = 0},
  [1432] = {.lex_state = 49},
  [1433] = {.lex_state = 109},
  [1434] = {.lex_state = 109},
  [1435] = {.lex_state = 49},
  [1436] = {.lex_state = 109},
  [1437] = {.lex_state = 109},
  [1438] = {.lex_state = 109},
  [1439] = {.lex_state = 49},
  [1440] = {.lex_state = 49},
  [1441] = {.lex_state = 49},
  [1442] = {.lex_state = 49},
  [1443] = {.lex_state = 0},
  [1444] = {.lex_state = 109},
  [1445] = {.lex_state = 109},
  [1446] = {.lex_state = 109},
  [1447] = {.lex_state = 109},
  [1448] = {.lex_state = 109},
  [1449] = {.lex_state = 49},
  [1450] = {.lex_state = 49},
  [1451] = {.lex_state = 109},
  [1452] = {.lex_state = 109},
  [1453] = {.lex_state = 109},
  [1454] = {.lex_state = 0},
  [1455] = {.lex_state = 0},
  [1456] = {.lex_state = 49},
  [1457] = {.lex_state = 0},
  [1458] = {.lex_state = 109},
  [1459] = {.lex_state = 109},
  [1460] = {.lex_state = 109},
  [1461] = {.lex_state = 109},
  [1462] = {.lex_state = 0},
  [1463] = {.lex_state = 49},
  [1464] = {.lex_state = 109},
  [1465] = {.lex_state = 109},
  [1466] = {.lex_state = 109},
  [1467] = {.lex_state = 109},
  [1468] = {.lex_state = 109},
  [1469] = {.lex_state = 109},
  [1470] = {.lex_state = 109},
  [1471] = {.lex_state = 109},
  [1472] = {.lex_state = 49},
  [1473] = {.lex_state = 109},
  [1474] = {.lex_state = 109},
  [1475] = {.lex_state = 109},
  [1476] = {.lex_state = 109},
  [1477] = {.lex_state = 49},
  [1478] = {.lex_state = 109},
  [1479] = {.lex_state = 109},
  [1480] = {.lex_state = 109},
  [1481] = {.lex_state = 0},
  [1482] = {.lex_state = 109},
  [1483] = {.lex_state = 0},
  [1484] = {.lex_state = 109},
  [1485] = {.lex_state = 49},
  [1486] = {.lex_state = 109},
  [1487] = {.lex_state = 49},
  [1488] = {.lex_state = 109},
  [1489] = {.lex_state = 49},
  [1490] = {.lex_state = 109},
  [1491] = {.lex_state = 42},
  [1492] = {.lex_state = 49},
  [1493] = {.lex_state = 109},
  [1494] = {.lex_state = 49},
  [1495] = {.lex_state = 109},
  [1496] = {.lex_state = 49},
  [1497] = {.lex_state = 49},
  [1498] = {.lex_state = 109},
  [1499] = {.lex_state = 109},
  [1500] = {.lex_state = 109},
  [1501] = {.lex_state = 49},
  [1502] = {.lex_state = 109},
  [1503] = {.lex_state = 49},
  [1504] = {.lex_state = 109},
  [1505] = {.lex_state = 109},
  [1506] = {.lex_state = 109},
  [1507] = {.lex_state = 49},
  [1508] = {.lex_state = 49},
  [1509] = {.lex_state = 49},
  [1510] = {.lex_state = 49},
  [1511] = {.lex_state = 49},
  [1512] = {.lex_state = 26},
  [1513] = {.lex_state = 42},
  [1514] = {.lex_state = 49},
  [1515] = {.lex_state = 0},
  [1516] = {.lex_state = 49},
  [1517] = {.lex_state = 26},
  [1518] = {.lex_state = 31},
  [1519] = {.lex_state = 31},
  [1520] = {.lex_state = 0},
  [1521] = {.lex_state = 26},
  [1522] = {.lex_state = 26},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 26},
  [1525] = {.lex_state = 109},
  [1526] = {.lex_state = 31},
  [1527] = {.lex_state = 0},
  [1528] = {.lex_state = 31},
  [1529] = {.lex_state = 0},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 31},
  [1532] = {.lex_state = 31},
  [1533] = {.lex_state = 49},
  [1534] = {.lex_state = 26},
  [1535] = {.lex_state = 26},
  [1536] = {.lex_state = 31},
  [1537] = {.lex_state = 0},
  [1538] = {.lex_state = 26},
  [1539] = {.lex_state = 0},
  [1540] = {.lex_state = 0},
  [1541] = {.lex_state = 26},
  [1542] = {.lex_state = 28},
  [1543] = {.lex_state = 49},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 28},
  [1546] = {.lex_state = 42},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 49},
  [1549] = {.lex_state = 0},
  [1550] = {.lex_state = 0},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 0},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 0},
  [1557] = {.lex_state = 0},
  [1558] = {.lex_state = 0},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 42},
  [1561] = {.lex_state = 0},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 109},
  [1564] = {.lex_state = 0},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 49},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 28},
  [1571] = {.lex_state = 49},
  [1572] = {.lex_state = 0},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 28},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 49},
  [1577] = {.lex_state = 0},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 0},
  [1580] = {.lex_state = 49},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 42},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 109},
  [1596] = {.lex_state = 28},
  [1597] = {.lex_state = 49},
  [1598] = {.lex_state = 0},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 0},
  [1601] = {.lex_state = 0},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 0},
  [1608] = {.lex_state = 49},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 42},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 0},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 42},
  [1622] = {.lex_state = 42},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 42},
  [1627] = {.lex_state = 0},
  [1628] = {.lex_state = 49},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 49},
  [1636] = {.lex_state = 0},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 0},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 0},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 0},
  [1648] = {.lex_state = 27},
  [1649] = {.lex_state = 49},
  [1650] = {.lex_state = 109},
  [1651] = {.lex_state = 109},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 109},
  [1654] = {.lex_state = 0},
  [1655] = {.lex_state = 35},
  [1656] = {.lex_state = 35},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 42},
  [1659] = {.lex_state = 49},
  [1660] = {.lex_state = 109},
  [1661] = {.lex_state = 0},
  [1662] = {.lex_state = 27},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 0},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 27},
  [1667] = {.lex_state = 27},
  [1668] = {.lex_state = 49},
  [1669] = {.lex_state = 109},
  [1670] = {.lex_state = 109},
  [1671] = {.lex_state = 109},
  [1672] = {.lex_state = 109},
  [1673] = {.lex_state = 109},
  [1674] = {.lex_state = 27},
  [1675] = {.lex_state = 109},
  [1676] = {.lex_state = 109},
  [1677] = {.lex_state = 109},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 109},
  [1680] = {.lex_state = 0},
  [1681] = {.lex_state = 109},
  [1682] = {.lex_state = 27},
  [1683] = {.lex_state = 49},
  [1684] = {.lex_state = 109},
  [1685] = {.lex_state = 49},
  [1686] = {.lex_state = 0},
  [1687] = {.lex_state = 27},
  [1688] = {.lex_state = 0},
  [1689] = {.lex_state = 27},
  [1690] = {.lex_state = 42},
  [1691] = {.lex_state = 109},
  [1692] = {.lex_state = 49},
  [1693] = {.lex_state = 35},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 42},
  [1696] = {.lex_state = 109},
  [1697] = {.lex_state = 27},
  [1698] = {.lex_state = 27},
  [1699] = {.lex_state = 0},
  [1700] = {.lex_state = 109},
  [1701] = {.lex_state = 27},
  [1702] = {.lex_state = 27},
  [1703] = {.lex_state = 27},
  [1704] = {.lex_state = 0},
  [1705] = {.lex_state = 109},
  [1706] = {.lex_state = 27},
  [1707] = {.lex_state = 27},
  [1708] = {.lex_state = 0},
  [1709] = {.lex_state = 109},
  [1710] = {.lex_state = 27},
  [1711] = {.lex_state = 27},
  [1712] = {.lex_state = 0},
  [1713] = {.lex_state = 49},
  [1714] = {.lex_state = 49},
  [1715] = {.lex_state = 27},
  [1716] = {.lex_state = 109},
  [1717] = {.lex_state = 27},
  [1718] = {.lex_state = 109},
  [1719] = {.lex_state = 109},
  [1720] = {.lex_state = 49},
  [1721] = {.lex_state = 27},
  [1722] = {.lex_state = 109},
  [1723] = {.lex_state = 27},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 0},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 28},
  [1728] = {.lex_state = 28},
  [1729] = {.lex_state = 28},
  [1730] = {.lex_state = 0},
  [1731] = {.lex_state = 28},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 28},
  [1734] = {.lex_state = 28},
  [1735] = {.lex_state = 28},
  [1736] = {.lex_state = 28},
  [1737] = {.lex_state = 28},
  [1738] = {.lex_state = 28},
  [1739] = {.lex_state = 0},
  [1740] = {.lex_state = 28},
  [1741] = {.lex_state = 28},
  [1742] = {.lex_state = 28},
  [1743] = {.lex_state = 49},
  [1744] = {.lex_state = 49},
  [1745] = {.lex_state = 49},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 0},
  [1748] = {.lex_state = 41},
  [1749] = {.lex_state = 41},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 28},
  [1752] = {.lex_state = 0},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 0},
  [1755] = {.lex_state = 28},
  [1756] = {.lex_state = 41},
  [1757] = {.lex_state = 41},
  [1758] = {.lex_state = 28},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 0},
  [1762] = {.lex_state = 49},
  [1763] = {.lex_state = 0},
  [1764] = {.lex_state = 49},
  [1765] = {.lex_state = 49},
  [1766] = {.lex_state = 28},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 0},
  [1769] = {.lex_state = 49},
  [1770] = {.lex_state = 0},
  [1771] = {.lex_state = 49},
  [1772] = {.lex_state = 49},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 41},
  [1775] = {.lex_state = 28},
  [1776] = {.lex_state = 109},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 0},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 28},
  [1784] = {.lex_state = 0},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 0},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 28},
  [1792] = {.lex_state = 41},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 28},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 49},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 0},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 41},
  [1805] = {.lex_state = 28},
  [1806] = {.lex_state = 28},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 49},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 109},
  [1816] = {.lex_state = 49},
  [1817] = {.lex_state = 49},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 49},
  [1821] = {.lex_state = 49},
  [1822] = {.lex_state = 109},
  [1823] = {.lex_state = 0},
  [1824] = {.lex_state = 41},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 41},
  [1828] = {.lex_state = 109},
  [1829] = {.lex_state = 49},
  [1830] = {.lex_state = 109},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 0},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 41},
  [1837] = {.lex_state = 41},
  [1838] = {.lex_state = 41},
  [1839] = {.lex_state = 49},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 41},
  [1842] = {.lex_state = 28},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 109},
  [1846] = {.lex_state = 41},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 41},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 41},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 41},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 0},
  [1857] = {.lex_state = 0},
  [1858] = {.lex_state = 0},
  [1859] = {.lex_state = 0},
  [1860] = {.lex_state = 0},
  [1861] = {.lex_state = 49},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 49},
  [1864] = {.lex_state = 0},
  [1865] = {.lex_state = 0},
  [1866] = {.lex_state = 0},
  [1867] = {.lex_state = 41},
  [1868] = {.lex_state = 0},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 49},
  [1871] = {.lex_state = 49},
  [1872] = {.lex_state = 49},
  [1873] = {.lex_state = 41},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 41},
  [1876] = {.lex_state = 0},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 49},
  [1879] = {.lex_state = 0},
  [1880] = {.lex_state = 28},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 41},
  [1884] = {.lex_state = 0},
  [1885] = {.lex_state = 0},
  [1886] = {.lex_state = 49},
  [1887] = {.lex_state = 41},
  [1888] = {.lex_state = 0},
  [1889] = {.lex_state = 28},
  [1890] = {.lex_state = 0},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 41},
  [1893] = {.lex_state = 0},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 41},
  [1896] = {.lex_state = 0},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 41},
  [1899] = {.lex_state = 49},
  [1900] = {.lex_state = 0},
  [1901] = {.lex_state = 41},
  [1902] = {.lex_state = 0},
  [1903] = {.lex_state = 0},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 41},
  [1906] = {.lex_state = 28},
  [1907] = {.lex_state = 0},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 49},
  [1910] = {.lex_state = 49},
  [1911] = {.lex_state = 41},
  [1912] = {.lex_state = 28},
  [1913] = {.lex_state = 0},
  [1914] = {.lex_state = 49},
  [1915] = {.lex_state = 41},
  [1916] = {.lex_state = 41},
  [1917] = {.lex_state = 0},
  [1918] = {.lex_state = 0},
  [1919] = {.lex_state = 28},
  [1920] = {.lex_state = 41},
  [1921] = {.lex_state = 41},
  [1922] = {.lex_state = 41},
  [1923] = {.lex_state = 49},
  [1924] = {.lex_state = 41},
  [1925] = {.lex_state = 49},
  [1926] = {.lex_state = 49},
  [1927] = {.lex_state = 49},
  [1928] = {.lex_state = 28},
  [1929] = {.lex_state = 0},
  [1930] = {.lex_state = 0},
  [1931] = {.lex_state = 109},
  [1932] = {.lex_state = 0},
  [1933] = {.lex_state = 49},
  [1934] = {.lex_state = 49},
  [1935] = {.lex_state = 28},
  [1936] = {.lex_state = 0},
  [1937] = {.lex_state = 49},
  [1938] = {.lex_state = 49},
  [1939] = {.lex_state = 41},
  [1940] = {.lex_state = 0},
  [1941] = {.lex_state = 0},
  [1942] = {.lex_state = 0},
  [1943] = {.lex_state = 109},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 0},
  [1947] = {.lex_state = 0},
  [1948] = {.lex_state = 0},
  [1949] = {.lex_state = 0},
  [1950] = {.lex_state = 0},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 28},
  [1953] = {.lex_state = 41},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 28},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 0},
  [1959] = {.lex_state = 49},
  [1960] = {.lex_state = 109},
  [1961] = {.lex_state = 28},
  [1962] = {.lex_state = 49},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 41},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 0},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 41},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 28},
  [1971] = {.lex_state = 49},
  [1972] = {.lex_state = 0},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 28},
  [1976] = {.lex_state = 0},
  [1977] = {.lex_state = 49},
  [1978] = {.lex_state = 0},
  [1979] = {.lex_state = 0},
  [1980] = {.lex_state = 0},
  [1981] = {.lex_state = 0},
  [1982] = {.lex_state = 0},
  [1983] = {.lex_state = 0},
  [1984] = {.lex_state = 0},
  [1985] = {.lex_state = 0},
  [1986] = {.lex_state = 28},
  [1987] = {.lex_state = 0},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 41},
  [1990] = {.lex_state = 41},
  [1991] = {.lex_state = 0},
  [1992] = {.lex_state = 49},
  [1993] = {.lex_state = 0},
  [1994] = {.lex_state = 41},
  [1995] = {.lex_state = 109},
  [1996] = {.lex_state = 0},
  [1997] = {.lex_state = 28},
  [1998] = {.lex_state = 0},
  [1999] = {.lex_state = 0},
  [2000] = {.lex_state = 109},
  [2001] = {.lex_state = 0},
  [2002] = {.lex_state = 0},
  [2003] = {.lex_state = 0},
  [2004] = {.lex_state = 49},
  [2005] = {.lex_state = 0},
  [2006] = {.lex_state = 41},
  [2007] = {.lex_state = 0},
  [2008] = {.lex_state = 49},
  [2009] = {.lex_state = 109},
  [2010] = {.lex_state = 109},
  [2011] = {.lex_state = 109},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_translation_unit] = STATE(1843),
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1044),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym__top_level_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym__expression] = STATE(1191),
    [sym__expression_not_binary] = STATE(1184),
    [sym_conditional_expression] = STATE(1184),
    [sym_assignment_expression] = STATE(1184),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(1184),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(1184),
    [sym_cast_expression] = STATE(1184),
    [sym_sizeof_expression] = STATE(1184),
    [sym_offsetof_expression] = STATE(1184),
    [sym_generic_expression] = STATE(1184),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(1184),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(1184),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(1184),
    [sym_concatenated_string] = STATE(1184),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(1184),
    [sym__empty_declaration] = STATE(53),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(29),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(87),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(93),
    [sym_false] = ACTIONS(93),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_preproc_include] = STATE(7),
    [sym_preproc_def] = STATE(7),
    [sym_preproc_function_def] = STATE(7),
    [sym_preproc_call] = STATE(7),
    [sym_preproc_if] = STATE(7),
    [sym_preproc_ifdef] = STATE(7),
    [sym_preproc_else] = STATE(1846),
    [sym_preproc_elif] = STATE(1846),
    [sym_preproc_elifdef] = STATE(1846),
    [sym_function_definition] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_type_definition] = STATE(7),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(7),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(7),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_case_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_goto_statement] = STATE(7),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(7),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(7),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(105),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(1756),
    [sym_preproc_elif] = STATE(1756),
    [sym_preproc_elifdef] = STATE(1756),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(1921),
    [sym_preproc_elif] = STATE(1921),
    [sym_preproc_elifdef] = STATE(1921),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(153),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_preproc_include] = STATE(9),
    [sym_preproc_def] = STATE(9),
    [sym_preproc_function_def] = STATE(9),
    [sym_preproc_call] = STATE(9),
    [sym_preproc_if] = STATE(9),
    [sym_preproc_ifdef] = STATE(9),
    [sym_preproc_else] = STATE(1953),
    [sym_preproc_elif] = STATE(1953),
    [sym_preproc_elifdef] = STATE(1953),
    [sym_function_definition] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_type_definition] = STATE(9),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(9),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(9),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_case_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_goto_statement] = STATE(9),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(9),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(9),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_preproc_include] = STATE(4),
    [sym_preproc_def] = STATE(4),
    [sym_preproc_function_def] = STATE(4),
    [sym_preproc_call] = STATE(4),
    [sym_preproc_if] = STATE(4),
    [sym_preproc_ifdef] = STATE(4),
    [sym_preproc_else] = STATE(1837),
    [sym_preproc_elif] = STATE(1837),
    [sym_preproc_elifdef] = STATE(1837),
    [sym_function_definition] = STATE(4),
    [sym_declaration] = STATE(4),
    [sym_type_definition] = STATE(4),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(4),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(4),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_case_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(4),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(4),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(157),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(1901),
    [sym_preproc_elif] = STATE(1901),
    [sym_preproc_elifdef] = STATE(1901),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(1905),
    [sym_preproc_elif] = STATE(1905),
    [sym_preproc_elifdef] = STATE(1905),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(1915),
    [sym_preproc_elif] = STATE(1915),
    [sym_preproc_elifdef] = STATE(1915),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_preproc_include] = STATE(8),
    [sym_preproc_def] = STATE(8),
    [sym_preproc_function_def] = STATE(8),
    [sym_preproc_call] = STATE(8),
    [sym_preproc_if] = STATE(8),
    [sym_preproc_ifdef] = STATE(8),
    [sym_preproc_else] = STATE(1922),
    [sym_preproc_elif] = STATE(1922),
    [sym_preproc_elifdef] = STATE(1922),
    [sym_function_definition] = STATE(8),
    [sym_declaration] = STATE(8),
    [sym_type_definition] = STATE(8),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(8),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(8),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(8),
    [sym_labeled_statement] = STATE(8),
    [sym_expression_statement] = STATE(8),
    [sym_if_statement] = STATE(8),
    [sym_switch_statement] = STATE(8),
    [sym_case_statement] = STATE(8),
    [sym_while_statement] = STATE(8),
    [sym_do_statement] = STATE(8),
    [sym_for_statement] = STATE(8),
    [sym_return_statement] = STATE(8),
    [sym_break_statement] = STATE(8),
    [sym_continue_statement] = STATE(8),
    [sym_goto_statement] = STATE(8),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(8),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(8),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_preproc_include] = STATE(3),
    [sym_preproc_def] = STATE(3),
    [sym_preproc_function_def] = STATE(3),
    [sym_preproc_call] = STATE(3),
    [sym_preproc_if] = STATE(3),
    [sym_preproc_ifdef] = STATE(3),
    [sym_preproc_else] = STATE(1774),
    [sym_preproc_elif] = STATE(1774),
    [sym_preproc_elifdef] = STATE(1774),
    [sym_function_definition] = STATE(3),
    [sym_declaration] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(3),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(3),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(3),
    [sym_labeled_statement] = STATE(3),
    [sym_expression_statement] = STATE(3),
    [sym_if_statement] = STATE(3),
    [sym_switch_statement] = STATE(3),
    [sym_case_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_do_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_return_statement] = STATE(3),
    [sym_break_statement] = STATE(3),
    [sym_continue_statement] = STATE(3),
    [sym_goto_statement] = STATE(3),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(3),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(3),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(1916),
    [sym_preproc_elif] = STATE(1916),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(21),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_case_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(21),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1911),
    [sym_preproc_elif] = STATE(1911),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1920),
    [sym_preproc_elif] = STATE(1920),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1924),
    [sym_preproc_elif] = STATE(1924),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(1749),
    [sym_preproc_elif] = STATE(1749),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(17),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_case_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_goto_statement] = STATE(17),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1989),
    [sym_preproc_elif] = STATE(1989),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_preproc_include] = STATE(14),
    [sym_preproc_def] = STATE(14),
    [sym_preproc_function_def] = STATE(14),
    [sym_preproc_call] = STATE(14),
    [sym_preproc_if] = STATE(14),
    [sym_preproc_ifdef] = STATE(14),
    [sym_preproc_else] = STATE(1990),
    [sym_preproc_elif] = STATE(1990),
    [sym_function_definition] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_type_definition] = STATE(14),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(14),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(14),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_case_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_goto_statement] = STATE(14),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(14),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(14),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_preproc_include] = STATE(15),
    [sym_preproc_def] = STATE(15),
    [sym_preproc_function_def] = STATE(15),
    [sym_preproc_call] = STATE(15),
    [sym_preproc_if] = STATE(15),
    [sym_preproc_ifdef] = STATE(15),
    [sym_preproc_else] = STATE(1895),
    [sym_preproc_elif] = STATE(1895),
    [sym_function_definition] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_type_definition] = STATE(15),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(15),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(15),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_case_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_goto_statement] = STATE(15),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(15),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(15),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1748),
    [sym_preproc_elif] = STATE(1748),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1892),
    [sym_preproc_elif] = STATE(1892),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1875),
    [sym_preproc_elif] = STATE(1875),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1867),
    [sym_preproc_elif] = STATE(1867),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1353),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1051),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(235),
    [aux_sym_preproc_include_token1] = ACTIONS(238),
    [aux_sym_preproc_def_token1] = ACTIONS(241),
    [aux_sym_preproc_if_token1] = ACTIONS(244),
    [aux_sym_preproc_if_token2] = ACTIONS(247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(249),
    [aux_sym_preproc_else_token1] = ACTIONS(247),
    [aux_sym_preproc_elif_token1] = ACTIONS(247),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(247),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(247),
    [sym_preproc_directive] = ACTIONS(252),
    [anon_sym_LPAREN2] = ACTIONS(255),
    [anon_sym_BANG] = ACTIONS(258),
    [anon_sym_TILDE] = ACTIONS(258),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(264),
    [anon_sym_AMP] = ACTIONS(264),
    [anon_sym_SEMI] = ACTIONS(267),
    [anon_sym_typedef] = ACTIONS(270),
    [anon_sym_extern] = ACTIONS(273),
    [anon_sym___attribute__] = ACTIONS(276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(279),
    [anon_sym___declspec] = ACTIONS(282),
    [anon_sym___cdecl] = ACTIONS(285),
    [anon_sym___clrcall] = ACTIONS(285),
    [anon_sym___stdcall] = ACTIONS(285),
    [anon_sym___fastcall] = ACTIONS(285),
    [anon_sym___thiscall] = ACTIONS(285),
    [anon_sym___vectorcall] = ACTIONS(285),
    [anon_sym_LBRACE] = ACTIONS(288),
    [anon_sym_signed] = ACTIONS(291),
    [anon_sym_unsigned] = ACTIONS(291),
    [anon_sym_long] = ACTIONS(291),
    [anon_sym_short] = ACTIONS(291),
    [anon_sym_static] = ACTIONS(294),
    [anon_sym_auto] = ACTIONS(294),
    [anon_sym_register] = ACTIONS(294),
    [anon_sym_inline] = ACTIONS(294),
    [anon_sym_thread_local] = ACTIONS(294),
    [anon_sym_const] = ACTIONS(297),
    [anon_sym_constexpr] = ACTIONS(297),
    [anon_sym_volatile] = ACTIONS(297),
    [anon_sym_restrict] = ACTIONS(297),
    [anon_sym___restrict__] = ACTIONS(297),
    [anon_sym__Atomic] = ACTIONS(297),
    [anon_sym__Noreturn] = ACTIONS(297),
    [anon_sym_noreturn] = ACTIONS(297),
    [sym_primitive_type] = ACTIONS(300),
    [anon_sym_enum] = ACTIONS(303),
    [anon_sym_struct] = ACTIONS(306),
    [anon_sym_union] = ACTIONS(309),
    [anon_sym_if] = ACTIONS(312),
    [anon_sym_switch] = ACTIONS(315),
    [anon_sym_case] = ACTIONS(318),
    [anon_sym_default] = ACTIONS(321),
    [anon_sym_while] = ACTIONS(324),
    [anon_sym_do] = ACTIONS(327),
    [anon_sym_for] = ACTIONS(330),
    [anon_sym_return] = ACTIONS(333),
    [anon_sym_break] = ACTIONS(336),
    [anon_sym_continue] = ACTIONS(339),
    [anon_sym_goto] = ACTIONS(342),
    [anon_sym_DASH_DASH] = ACTIONS(345),
    [anon_sym_PLUS_PLUS] = ACTIONS(345),
    [anon_sym_sizeof] = ACTIONS(348),
    [anon_sym_offsetof] = ACTIONS(351),
    [anon_sym__Generic] = ACTIONS(354),
    [anon_sym_asm] = ACTIONS(357),
    [anon_sym___asm__] = ACTIONS(357),
    [sym_number_literal] = ACTIONS(360),
    [anon_sym_L_SQUOTE] = ACTIONS(363),
    [anon_sym_u_SQUOTE] = ACTIONS(363),
    [anon_sym_U_SQUOTE] = ACTIONS(363),
    [anon_sym_u8_SQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_L_DQUOTE] = ACTIONS(366),
    [anon_sym_u_DQUOTE] = ACTIONS(366),
    [anon_sym_U_DQUOTE] = ACTIONS(366),
    [anon_sym_u8_DQUOTE] = ACTIONS(366),
    [anon_sym_DQUOTE] = ACTIONS(366),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [anon_sym_NULL] = ACTIONS(372),
    [anon_sym_nullptr] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(1824),
    [sym_preproc_elif] = STATE(1824),
    [sym_function_definition] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(20),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_case_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_goto_statement] = STATE(20),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(20),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(1757),
    [sym_preproc_elif] = STATE(1757),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1362),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1045),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(379),
    [aux_sym_preproc_include_token1] = ACTIONS(382),
    [aux_sym_preproc_def_token1] = ACTIONS(385),
    [aux_sym_preproc_if_token1] = ACTIONS(388),
    [aux_sym_preproc_if_token2] = ACTIONS(247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(391),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(391),
    [aux_sym_preproc_else_token1] = ACTIONS(247),
    [aux_sym_preproc_elif_token1] = ACTIONS(247),
    [sym_preproc_directive] = ACTIONS(394),
    [anon_sym_LPAREN2] = ACTIONS(255),
    [anon_sym_BANG] = ACTIONS(258),
    [anon_sym_TILDE] = ACTIONS(258),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(264),
    [anon_sym_AMP] = ACTIONS(264),
    [anon_sym_SEMI] = ACTIONS(397),
    [anon_sym_typedef] = ACTIONS(400),
    [anon_sym_extern] = ACTIONS(403),
    [anon_sym___attribute__] = ACTIONS(276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(279),
    [anon_sym___declspec] = ACTIONS(282),
    [anon_sym___cdecl] = ACTIONS(285),
    [anon_sym___clrcall] = ACTIONS(285),
    [anon_sym___stdcall] = ACTIONS(285),
    [anon_sym___fastcall] = ACTIONS(285),
    [anon_sym___thiscall] = ACTIONS(285),
    [anon_sym___vectorcall] = ACTIONS(285),
    [anon_sym_LBRACE] = ACTIONS(406),
    [anon_sym_signed] = ACTIONS(291),
    [anon_sym_unsigned] = ACTIONS(291),
    [anon_sym_long] = ACTIONS(291),
    [anon_sym_short] = ACTIONS(291),
    [anon_sym_static] = ACTIONS(294),
    [anon_sym_auto] = ACTIONS(294),
    [anon_sym_register] = ACTIONS(294),
    [anon_sym_inline] = ACTIONS(294),
    [anon_sym_thread_local] = ACTIONS(294),
    [anon_sym_const] = ACTIONS(297),
    [anon_sym_constexpr] = ACTIONS(297),
    [anon_sym_volatile] = ACTIONS(297),
    [anon_sym_restrict] = ACTIONS(297),
    [anon_sym___restrict__] = ACTIONS(297),
    [anon_sym__Atomic] = ACTIONS(297),
    [anon_sym__Noreturn] = ACTIONS(297),
    [anon_sym_noreturn] = ACTIONS(297),
    [sym_primitive_type] = ACTIONS(300),
    [anon_sym_enum] = ACTIONS(303),
    [anon_sym_struct] = ACTIONS(306),
    [anon_sym_union] = ACTIONS(309),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_switch] = ACTIONS(412),
    [anon_sym_case] = ACTIONS(415),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_do] = ACTIONS(424),
    [anon_sym_for] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(430),
    [anon_sym_break] = ACTIONS(433),
    [anon_sym_continue] = ACTIONS(436),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(345),
    [anon_sym_PLUS_PLUS] = ACTIONS(345),
    [anon_sym_sizeof] = ACTIONS(348),
    [anon_sym_offsetof] = ACTIONS(351),
    [anon_sym__Generic] = ACTIONS(354),
    [anon_sym_asm] = ACTIONS(357),
    [anon_sym___asm__] = ACTIONS(357),
    [sym_number_literal] = ACTIONS(360),
    [anon_sym_L_SQUOTE] = ACTIONS(363),
    [anon_sym_u_SQUOTE] = ACTIONS(363),
    [anon_sym_U_SQUOTE] = ACTIONS(363),
    [anon_sym_u8_SQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_L_DQUOTE] = ACTIONS(366),
    [anon_sym_u_DQUOTE] = ACTIONS(366),
    [anon_sym_U_DQUOTE] = ACTIONS(366),
    [anon_sym_u8_DQUOTE] = ACTIONS(366),
    [anon_sym_DQUOTE] = ACTIONS(366),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [anon_sym_NULL] = ACTIONS(372),
    [anon_sym_nullptr] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(486),
    [aux_sym_preproc_include_token1] = ACTIONS(489),
    [aux_sym_preproc_def_token1] = ACTIONS(492),
    [aux_sym_preproc_if_token1] = ACTIONS(495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(498),
    [sym_preproc_directive] = ACTIONS(501),
    [anon_sym_LPAREN2] = ACTIONS(255),
    [anon_sym_BANG] = ACTIONS(258),
    [anon_sym_TILDE] = ACTIONS(258),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(264),
    [anon_sym_AMP] = ACTIONS(264),
    [anon_sym_SEMI] = ACTIONS(504),
    [anon_sym_typedef] = ACTIONS(507),
    [anon_sym_extern] = ACTIONS(510),
    [anon_sym___attribute__] = ACTIONS(276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(279),
    [anon_sym___declspec] = ACTIONS(282),
    [anon_sym___cdecl] = ACTIONS(285),
    [anon_sym___clrcall] = ACTIONS(285),
    [anon_sym___stdcall] = ACTIONS(285),
    [anon_sym___fastcall] = ACTIONS(285),
    [anon_sym___thiscall] = ACTIONS(285),
    [anon_sym___vectorcall] = ACTIONS(285),
    [anon_sym_LBRACE] = ACTIONS(513),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_signed] = ACTIONS(291),
    [anon_sym_unsigned] = ACTIONS(291),
    [anon_sym_long] = ACTIONS(291),
    [anon_sym_short] = ACTIONS(291),
    [anon_sym_static] = ACTIONS(294),
    [anon_sym_auto] = ACTIONS(294),
    [anon_sym_register] = ACTIONS(294),
    [anon_sym_inline] = ACTIONS(294),
    [anon_sym_thread_local] = ACTIONS(294),
    [anon_sym_const] = ACTIONS(297),
    [anon_sym_constexpr] = ACTIONS(297),
    [anon_sym_volatile] = ACTIONS(297),
    [anon_sym_restrict] = ACTIONS(297),
    [anon_sym___restrict__] = ACTIONS(297),
    [anon_sym__Atomic] = ACTIONS(297),
    [anon_sym__Noreturn] = ACTIONS(297),
    [anon_sym_noreturn] = ACTIONS(297),
    [sym_primitive_type] = ACTIONS(300),
    [anon_sym_enum] = ACTIONS(303),
    [anon_sym_struct] = ACTIONS(306),
    [anon_sym_union] = ACTIONS(309),
    [anon_sym_if] = ACTIONS(518),
    [anon_sym_switch] = ACTIONS(521),
    [anon_sym_case] = ACTIONS(524),
    [anon_sym_default] = ACTIONS(527),
    [anon_sym_while] = ACTIONS(530),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(542),
    [anon_sym_continue] = ACTIONS(545),
    [anon_sym_goto] = ACTIONS(548),
    [anon_sym_DASH_DASH] = ACTIONS(345),
    [anon_sym_PLUS_PLUS] = ACTIONS(345),
    [anon_sym_sizeof] = ACTIONS(348),
    [anon_sym_offsetof] = ACTIONS(351),
    [anon_sym__Generic] = ACTIONS(354),
    [anon_sym_asm] = ACTIONS(357),
    [anon_sym___asm__] = ACTIONS(357),
    [sym_number_literal] = ACTIONS(360),
    [anon_sym_L_SQUOTE] = ACTIONS(363),
    [anon_sym_u_SQUOTE] = ACTIONS(363),
    [anon_sym_U_SQUOTE] = ACTIONS(363),
    [anon_sym_u8_SQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_L_DQUOTE] = ACTIONS(366),
    [anon_sym_u_DQUOTE] = ACTIONS(366),
    [anon_sym_U_DQUOTE] = ACTIONS(366),
    [anon_sym_u8_DQUOTE] = ACTIONS(366),
    [anon_sym_DQUOTE] = ACTIONS(366),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [anon_sym_NULL] = ACTIONS(372),
    [anon_sym_nullptr] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(30),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(553),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(41),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(559),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(33),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(561),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(37),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(37),
    [sym_labeled_statement] = STATE(37),
    [sym_expression_statement] = STATE(37),
    [sym_if_statement] = STATE(37),
    [sym_switch_statement] = STATE(37),
    [sym_case_statement] = STATE(37),
    [sym_while_statement] = STATE(37),
    [sym_do_statement] = STATE(37),
    [sym_for_statement] = STATE(37),
    [sym_return_statement] = STATE(37),
    [sym_break_statement] = STATE(37),
    [sym_continue_statement] = STATE(37),
    [sym_goto_statement] = STATE(37),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(28),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(569),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(571),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(573),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(40),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_case_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_goto_statement] = STATE(40),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(577),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(579),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(46),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(583),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(585),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1350),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1042),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(587),
    [aux_sym_preproc_include_token1] = ACTIONS(590),
    [aux_sym_preproc_def_token1] = ACTIONS(593),
    [aux_sym_preproc_if_token1] = ACTIONS(596),
    [aux_sym_preproc_if_token2] = ACTIONS(247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(599),
    [sym_preproc_directive] = ACTIONS(602),
    [anon_sym_LPAREN2] = ACTIONS(255),
    [anon_sym_BANG] = ACTIONS(258),
    [anon_sym_TILDE] = ACTIONS(258),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(264),
    [anon_sym_AMP] = ACTIONS(264),
    [anon_sym_SEMI] = ACTIONS(605),
    [anon_sym_typedef] = ACTIONS(608),
    [anon_sym_extern] = ACTIONS(611),
    [anon_sym___attribute__] = ACTIONS(276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(279),
    [anon_sym___declspec] = ACTIONS(282),
    [anon_sym___cdecl] = ACTIONS(285),
    [anon_sym___clrcall] = ACTIONS(285),
    [anon_sym___stdcall] = ACTIONS(285),
    [anon_sym___fastcall] = ACTIONS(285),
    [anon_sym___thiscall] = ACTIONS(285),
    [anon_sym___vectorcall] = ACTIONS(285),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_signed] = ACTIONS(291),
    [anon_sym_unsigned] = ACTIONS(291),
    [anon_sym_long] = ACTIONS(291),
    [anon_sym_short] = ACTIONS(291),
    [anon_sym_static] = ACTIONS(294),
    [anon_sym_auto] = ACTIONS(294),
    [anon_sym_register] = ACTIONS(294),
    [anon_sym_inline] = ACTIONS(294),
    [anon_sym_thread_local] = ACTIONS(294),
    [anon_sym_const] = ACTIONS(297),
    [anon_sym_constexpr] = ACTIONS(297),
    [anon_sym_volatile] = ACTIONS(297),
    [anon_sym_restrict] = ACTIONS(297),
    [anon_sym___restrict__] = ACTIONS(297),
    [anon_sym__Atomic] = ACTIONS(297),
    [anon_sym__Noreturn] = ACTIONS(297),
    [anon_sym_noreturn] = ACTIONS(297),
    [sym_primitive_type] = ACTIONS(300),
    [anon_sym_enum] = ACTIONS(303),
    [anon_sym_struct] = ACTIONS(306),
    [anon_sym_union] = ACTIONS(309),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_case] = ACTIONS(623),
    [anon_sym_default] = ACTIONS(626),
    [anon_sym_while] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_return] = ACTIONS(638),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym_DASH_DASH] = ACTIONS(345),
    [anon_sym_PLUS_PLUS] = ACTIONS(345),
    [anon_sym_sizeof] = ACTIONS(348),
    [anon_sym_offsetof] = ACTIONS(351),
    [anon_sym__Generic] = ACTIONS(354),
    [anon_sym_asm] = ACTIONS(357),
    [anon_sym___asm__] = ACTIONS(357),
    [sym_number_literal] = ACTIONS(360),
    [anon_sym_L_SQUOTE] = ACTIONS(363),
    [anon_sym_u_SQUOTE] = ACTIONS(363),
    [anon_sym_U_SQUOTE] = ACTIONS(363),
    [anon_sym_u8_SQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_L_DQUOTE] = ACTIONS(366),
    [anon_sym_u_DQUOTE] = ACTIONS(366),
    [anon_sym_U_DQUOTE] = ACTIONS(366),
    [anon_sym_u8_DQUOTE] = ACTIONS(366),
    [anon_sym_DQUOTE] = ACTIONS(366),
    [sym_true] = ACTIONS(369),
    [sym_false] = ACTIONS(369),
    [anon_sym_NULL] = ACTIONS(372),
    [anon_sym_nullptr] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1350),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1042),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_case_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(50),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(650),
    [aux_sym_preproc_include_token1] = ACTIONS(652),
    [aux_sym_preproc_def_token1] = ACTIONS(654),
    [aux_sym_preproc_if_token1] = ACTIONS(656),
    [aux_sym_preproc_if_token2] = ACTIONS(658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(660),
    [sym_preproc_directive] = ACTIONS(662),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_typedef] = ACTIONS(666),
    [anon_sym_extern] = ACTIONS(668),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1350),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1042),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(650),
    [aux_sym_preproc_include_token1] = ACTIONS(652),
    [aux_sym_preproc_def_token1] = ACTIONS(654),
    [aux_sym_preproc_if_token1] = ACTIONS(656),
    [aux_sym_preproc_if_token2] = ACTIONS(694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(660),
    [sym_preproc_directive] = ACTIONS(662),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_typedef] = ACTIONS(666),
    [anon_sym_extern] = ACTIONS(668),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1356),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(813),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1048),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym__empty_declaration] = STATE(47),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(696),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1044),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym__top_level_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_case_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym__expression] = STATE(1191),
    [sym__expression_not_binary] = STATE(1184),
    [sym_conditional_expression] = STATE(1184),
    [sym_assignment_expression] = STATE(1184),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(1184),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(1184),
    [sym_cast_expression] = STATE(1184),
    [sym_sizeof_expression] = STATE(1184),
    [sym_offsetof_expression] = STATE(1184),
    [sym_generic_expression] = STATE(1184),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(1184),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(1184),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(1184),
    [sym_concatenated_string] = STATE(1184),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(1184),
    [sym__empty_declaration] = STATE(52),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_translation_unit_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [ts_builtin_sym_end] = ACTIONS(698),
    [sym_identifier] = ACTIONS(700),
    [aux_sym_preproc_include_token1] = ACTIONS(703),
    [aux_sym_preproc_def_token1] = ACTIONS(706),
    [aux_sym_preproc_if_token1] = ACTIONS(709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(712),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(718),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(727),
    [anon_sym_AMP] = ACTIONS(727),
    [anon_sym_typedef] = ACTIONS(730),
    [anon_sym_extern] = ACTIONS(733),
    [anon_sym___attribute__] = ACTIONS(736),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(739),
    [anon_sym___declspec] = ACTIONS(742),
    [anon_sym___cdecl] = ACTIONS(745),
    [anon_sym___clrcall] = ACTIONS(745),
    [anon_sym___stdcall] = ACTIONS(745),
    [anon_sym___fastcall] = ACTIONS(745),
    [anon_sym___thiscall] = ACTIONS(745),
    [anon_sym___vectorcall] = ACTIONS(745),
    [anon_sym_LBRACE] = ACTIONS(748),
    [anon_sym_signed] = ACTIONS(751),
    [anon_sym_unsigned] = ACTIONS(751),
    [anon_sym_long] = ACTIONS(751),
    [anon_sym_short] = ACTIONS(751),
    [anon_sym_static] = ACTIONS(754),
    [anon_sym_auto] = ACTIONS(754),
    [anon_sym_register] = ACTIONS(754),
    [anon_sym_inline] = ACTIONS(754),
    [anon_sym_thread_local] = ACTIONS(754),
    [anon_sym_const] = ACTIONS(757),
    [anon_sym_constexpr] = ACTIONS(757),
    [anon_sym_volatile] = ACTIONS(757),
    [anon_sym_restrict] = ACTIONS(757),
    [anon_sym___restrict__] = ACTIONS(757),
    [anon_sym__Atomic] = ACTIONS(757),
    [anon_sym__Noreturn] = ACTIONS(757),
    [anon_sym_noreturn] = ACTIONS(757),
    [sym_primitive_type] = ACTIONS(760),
    [anon_sym_enum] = ACTIONS(763),
    [anon_sym_struct] = ACTIONS(766),
    [anon_sym_union] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_switch] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(778),
    [anon_sym_default] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(784),
    [anon_sym_do] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(790),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(799),
    [anon_sym_goto] = ACTIONS(802),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_sizeof] = ACTIONS(808),
    [anon_sym_offsetof] = ACTIONS(811),
    [anon_sym__Generic] = ACTIONS(814),
    [anon_sym_asm] = ACTIONS(817),
    [anon_sym___asm__] = ACTIONS(817),
    [sym_number_literal] = ACTIONS(820),
    [anon_sym_L_SQUOTE] = ACTIONS(823),
    [anon_sym_u_SQUOTE] = ACTIONS(823),
    [anon_sym_U_SQUOTE] = ACTIONS(823),
    [anon_sym_u8_SQUOTE] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(823),
    [anon_sym_L_DQUOTE] = ACTIONS(826),
    [anon_sym_u_DQUOTE] = ACTIONS(826),
    [anon_sym_U_DQUOTE] = ACTIONS(826),
    [anon_sym_u8_DQUOTE] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [anon_sym_NULL] = ACTIONS(832),
    [anon_sym_nullptr] = ACTIONS(832),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(1044),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym__top_level_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_case_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym__expression] = STATE(1191),
    [sym__expression_not_binary] = STATE(1184),
    [sym_conditional_expression] = STATE(1184),
    [sym_assignment_expression] = STATE(1184),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(1184),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(1184),
    [sym_cast_expression] = STATE(1184),
    [sym_sizeof_expression] = STATE(1184),
    [sym_offsetof_expression] = STATE(1184),
    [sym_generic_expression] = STATE(1184),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(1184),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(1184),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(1184),
    [sym_concatenated_string] = STATE(1184),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(1184),
    [sym__empty_declaration] = STATE(52),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_translation_unit_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [ts_builtin_sym_end] = ACTIONS(835),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(29),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(87),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(93),
    [sym_false] = ACTIONS(93),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1358),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [sym_identifier] = ACTIONS(837),
    [aux_sym_preproc_include_token1] = ACTIONS(839),
    [aux_sym_preproc_def_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token2] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(839),
    [aux_sym_preproc_else_token1] = ACTIONS(839),
    [aux_sym_preproc_elif_token1] = ACTIONS(839),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(839),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(839),
    [anon_sym___clrcall] = ACTIONS(839),
    [anon_sym___stdcall] = ACTIONS(839),
    [anon_sym___fastcall] = ACTIONS(839),
    [anon_sym___thiscall] = ACTIONS(839),
    [anon_sym___vectorcall] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1358),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(837),
    [aux_sym_preproc_include_token1] = ACTIONS(841),
    [aux_sym_preproc_def_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token2] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(841),
    [aux_sym_preproc_else_token1] = ACTIONS(841),
    [aux_sym_preproc_elif_token1] = ACTIONS(841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(841),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(841),
    [anon_sym___clrcall] = ACTIONS(841),
    [anon_sym___stdcall] = ACTIONS(841),
    [anon_sym___fastcall] = ACTIONS(841),
    [anon_sym___thiscall] = ACTIONS(841),
    [anon_sym___vectorcall] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1358),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(837),
    [aux_sym_preproc_include_token1] = ACTIONS(843),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token2] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(843),
    [aux_sym_preproc_else_token1] = ACTIONS(843),
    [aux_sym_preproc_elif_token1] = ACTIONS(843),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(843),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(843),
    [anon_sym___clrcall] = ACTIONS(843),
    [anon_sym___stdcall] = ACTIONS(843),
    [anon_sym___fastcall] = ACTIONS(843),
    [anon_sym___thiscall] = ACTIONS(843),
    [anon_sym___vectorcall] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(843),
    [anon_sym_default] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1358),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [sym_identifier] = ACTIONS(845),
    [aux_sym_preproc_include_token1] = ACTIONS(848),
    [aux_sym_preproc_def_token1] = ACTIONS(848),
    [aux_sym_preproc_if_token1] = ACTIONS(848),
    [aux_sym_preproc_if_token2] = ACTIONS(848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(848),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(848),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(848),
    [sym_preproc_directive] = ACTIONS(848),
    [anon_sym_LPAREN2] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(853),
    [anon_sym_TILDE] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_AMP] = ACTIONS(859),
    [anon_sym_SEMI] = ACTIONS(862),
    [anon_sym_typedef] = ACTIONS(865),
    [anon_sym_extern] = ACTIONS(868),
    [anon_sym___attribute__] = ACTIONS(871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(874),
    [anon_sym___declspec] = ACTIONS(877),
    [anon_sym___cdecl] = ACTIONS(848),
    [anon_sym___clrcall] = ACTIONS(848),
    [anon_sym___stdcall] = ACTIONS(848),
    [anon_sym___fastcall] = ACTIONS(848),
    [anon_sym___thiscall] = ACTIONS(848),
    [anon_sym___vectorcall] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(880),
    [anon_sym_signed] = ACTIONS(883),
    [anon_sym_unsigned] = ACTIONS(883),
    [anon_sym_long] = ACTIONS(883),
    [anon_sym_short] = ACTIONS(883),
    [anon_sym_static] = ACTIONS(868),
    [anon_sym_auto] = ACTIONS(868),
    [anon_sym_register] = ACTIONS(868),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_thread_local] = ACTIONS(868),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_constexpr] = ACTIONS(886),
    [anon_sym_volatile] = ACTIONS(886),
    [anon_sym_restrict] = ACTIONS(886),
    [anon_sym___restrict__] = ACTIONS(886),
    [anon_sym__Atomic] = ACTIONS(886),
    [anon_sym__Noreturn] = ACTIONS(886),
    [anon_sym_noreturn] = ACTIONS(886),
    [sym_primitive_type] = ACTIONS(889),
    [anon_sym_enum] = ACTIONS(892),
    [anon_sym_struct] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(907),
    [anon_sym_do] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(919),
    [anon_sym_continue] = ACTIONS(922),
    [anon_sym_goto] = ACTIONS(925),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_sizeof] = ACTIONS(931),
    [anon_sym_offsetof] = ACTIONS(934),
    [anon_sym__Generic] = ACTIONS(937),
    [anon_sym_asm] = ACTIONS(940),
    [anon_sym___asm__] = ACTIONS(940),
    [sym_number_literal] = ACTIONS(943),
    [anon_sym_L_SQUOTE] = ACTIONS(946),
    [anon_sym_u_SQUOTE] = ACTIONS(946),
    [anon_sym_U_SQUOTE] = ACTIONS(946),
    [anon_sym_u8_SQUOTE] = ACTIONS(946),
    [anon_sym_SQUOTE] = ACTIONS(946),
    [anon_sym_L_DQUOTE] = ACTIONS(949),
    [anon_sym_u_DQUOTE] = ACTIONS(949),
    [anon_sym_U_DQUOTE] = ACTIONS(949),
    [anon_sym_u8_DQUOTE] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [anon_sym_NULL] = ACTIONS(955),
    [anon_sym_nullptr] = ACTIONS(955),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1358),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [sym_identifier] = ACTIONS(837),
    [aux_sym_preproc_include_token1] = ACTIONS(958),
    [aux_sym_preproc_def_token1] = ACTIONS(958),
    [aux_sym_preproc_if_token1] = ACTIONS(958),
    [aux_sym_preproc_if_token2] = ACTIONS(958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(958),
    [aux_sym_preproc_else_token1] = ACTIONS(958),
    [aux_sym_preproc_elif_token1] = ACTIONS(958),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(958),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(958),
    [sym_preproc_directive] = ACTIONS(958),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(958),
    [anon_sym___clrcall] = ACTIONS(958),
    [anon_sym___stdcall] = ACTIONS(958),
    [anon_sym___fastcall] = ACTIONS(958),
    [anon_sym___thiscall] = ACTIONS(958),
    [anon_sym___vectorcall] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(958),
    [anon_sym_default] = ACTIONS(958),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(960),
    [aux_sym_preproc_include_token1] = ACTIONS(839),
    [aux_sym_preproc_def_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token2] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(839),
    [aux_sym_preproc_else_token1] = ACTIONS(839),
    [aux_sym_preproc_elif_token1] = ACTIONS(839),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(839),
    [anon_sym___clrcall] = ACTIONS(839),
    [anon_sym___stdcall] = ACTIONS(839),
    [anon_sym___fastcall] = ACTIONS(839),
    [anon_sym___thiscall] = ACTIONS(839),
    [anon_sym___vectorcall] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(960),
    [aux_sym_preproc_include_token1] = ACTIONS(958),
    [aux_sym_preproc_def_token1] = ACTIONS(958),
    [aux_sym_preproc_if_token1] = ACTIONS(958),
    [aux_sym_preproc_if_token2] = ACTIONS(958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(958),
    [aux_sym_preproc_else_token1] = ACTIONS(958),
    [aux_sym_preproc_elif_token1] = ACTIONS(958),
    [sym_preproc_directive] = ACTIONS(958),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(958),
    [anon_sym___clrcall] = ACTIONS(958),
    [anon_sym___stdcall] = ACTIONS(958),
    [anon_sym___fastcall] = ACTIONS(958),
    [anon_sym___thiscall] = ACTIONS(958),
    [anon_sym___vectorcall] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(958),
    [anon_sym_default] = ACTIONS(958),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(962),
    [aux_sym_preproc_include_token1] = ACTIONS(848),
    [aux_sym_preproc_def_token1] = ACTIONS(848),
    [aux_sym_preproc_if_token1] = ACTIONS(848),
    [aux_sym_preproc_if_token2] = ACTIONS(848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(848),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(848),
    [sym_preproc_directive] = ACTIONS(848),
    [anon_sym_LPAREN2] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(853),
    [anon_sym_TILDE] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_AMP] = ACTIONS(859),
    [anon_sym_SEMI] = ACTIONS(965),
    [anon_sym_typedef] = ACTIONS(968),
    [anon_sym_extern] = ACTIONS(868),
    [anon_sym___attribute__] = ACTIONS(871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(874),
    [anon_sym___declspec] = ACTIONS(877),
    [anon_sym___cdecl] = ACTIONS(848),
    [anon_sym___clrcall] = ACTIONS(848),
    [anon_sym___stdcall] = ACTIONS(848),
    [anon_sym___fastcall] = ACTIONS(848),
    [anon_sym___thiscall] = ACTIONS(848),
    [anon_sym___vectorcall] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_signed] = ACTIONS(883),
    [anon_sym_unsigned] = ACTIONS(883),
    [anon_sym_long] = ACTIONS(883),
    [anon_sym_short] = ACTIONS(883),
    [anon_sym_static] = ACTIONS(868),
    [anon_sym_auto] = ACTIONS(868),
    [anon_sym_register] = ACTIONS(868),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_thread_local] = ACTIONS(868),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_constexpr] = ACTIONS(886),
    [anon_sym_volatile] = ACTIONS(886),
    [anon_sym_restrict] = ACTIONS(886),
    [anon_sym___restrict__] = ACTIONS(886),
    [anon_sym__Atomic] = ACTIONS(886),
    [anon_sym__Noreturn] = ACTIONS(886),
    [anon_sym_noreturn] = ACTIONS(886),
    [sym_primitive_type] = ACTIONS(889),
    [anon_sym_enum] = ACTIONS(892),
    [anon_sym_struct] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(974),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(977),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(980),
    [anon_sym_do] = ACTIONS(983),
    [anon_sym_for] = ACTIONS(986),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_break] = ACTIONS(992),
    [anon_sym_continue] = ACTIONS(995),
    [anon_sym_goto] = ACTIONS(998),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_sizeof] = ACTIONS(931),
    [anon_sym_offsetof] = ACTIONS(934),
    [anon_sym__Generic] = ACTIONS(937),
    [anon_sym_asm] = ACTIONS(940),
    [anon_sym___asm__] = ACTIONS(940),
    [sym_number_literal] = ACTIONS(943),
    [anon_sym_L_SQUOTE] = ACTIONS(946),
    [anon_sym_u_SQUOTE] = ACTIONS(946),
    [anon_sym_U_SQUOTE] = ACTIONS(946),
    [anon_sym_u8_SQUOTE] = ACTIONS(946),
    [anon_sym_SQUOTE] = ACTIONS(946),
    [anon_sym_L_DQUOTE] = ACTIONS(949),
    [anon_sym_u_DQUOTE] = ACTIONS(949),
    [anon_sym_U_DQUOTE] = ACTIONS(949),
    [anon_sym_u8_DQUOTE] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [anon_sym_NULL] = ACTIONS(955),
    [anon_sym_nullptr] = ACTIONS(955),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(960),
    [aux_sym_preproc_include_token1] = ACTIONS(841),
    [aux_sym_preproc_def_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token2] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(841),
    [aux_sym_preproc_else_token1] = ACTIONS(841),
    [aux_sym_preproc_elif_token1] = ACTIONS(841),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(841),
    [anon_sym___clrcall] = ACTIONS(841),
    [anon_sym___stdcall] = ACTIONS(841),
    [anon_sym___fastcall] = ACTIONS(841),
    [anon_sym___thiscall] = ACTIONS(841),
    [anon_sym___vectorcall] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(960),
    [aux_sym_preproc_include_token1] = ACTIONS(843),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token2] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(843),
    [aux_sym_preproc_else_token1] = ACTIONS(843),
    [aux_sym_preproc_elif_token1] = ACTIONS(843),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(843),
    [anon_sym___clrcall] = ACTIONS(843),
    [anon_sym___stdcall] = ACTIONS(843),
    [anon_sym___fastcall] = ACTIONS(843),
    [anon_sym___thiscall] = ACTIONS(843),
    [anon_sym___vectorcall] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(843),
    [anon_sym_default] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1360),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1001),
    [aux_sym_preproc_include_token1] = ACTIONS(848),
    [aux_sym_preproc_def_token1] = ACTIONS(848),
    [aux_sym_preproc_if_token1] = ACTIONS(848),
    [aux_sym_preproc_if_token2] = ACTIONS(848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(848),
    [sym_preproc_directive] = ACTIONS(848),
    [anon_sym_LPAREN2] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(853),
    [anon_sym_TILDE] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_AMP] = ACTIONS(859),
    [anon_sym_SEMI] = ACTIONS(1004),
    [anon_sym_typedef] = ACTIONS(1007),
    [anon_sym_extern] = ACTIONS(868),
    [anon_sym___attribute__] = ACTIONS(871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(874),
    [anon_sym___declspec] = ACTIONS(877),
    [anon_sym___cdecl] = ACTIONS(848),
    [anon_sym___clrcall] = ACTIONS(848),
    [anon_sym___stdcall] = ACTIONS(848),
    [anon_sym___fastcall] = ACTIONS(848),
    [anon_sym___thiscall] = ACTIONS(848),
    [anon_sym___vectorcall] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_signed] = ACTIONS(883),
    [anon_sym_unsigned] = ACTIONS(883),
    [anon_sym_long] = ACTIONS(883),
    [anon_sym_short] = ACTIONS(883),
    [anon_sym_static] = ACTIONS(868),
    [anon_sym_auto] = ACTIONS(868),
    [anon_sym_register] = ACTIONS(868),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_thread_local] = ACTIONS(868),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_constexpr] = ACTIONS(886),
    [anon_sym_volatile] = ACTIONS(886),
    [anon_sym_restrict] = ACTIONS(886),
    [anon_sym___restrict__] = ACTIONS(886),
    [anon_sym__Atomic] = ACTIONS(886),
    [anon_sym__Noreturn] = ACTIONS(886),
    [anon_sym_noreturn] = ACTIONS(886),
    [sym_primitive_type] = ACTIONS(889),
    [anon_sym_enum] = ACTIONS(892),
    [anon_sym_struct] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(1016),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1022),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_return] = ACTIONS(1028),
    [anon_sym_break] = ACTIONS(1031),
    [anon_sym_continue] = ACTIONS(1034),
    [anon_sym_goto] = ACTIONS(1037),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_sizeof] = ACTIONS(931),
    [anon_sym_offsetof] = ACTIONS(934),
    [anon_sym__Generic] = ACTIONS(937),
    [anon_sym_asm] = ACTIONS(940),
    [anon_sym___asm__] = ACTIONS(940),
    [sym_number_literal] = ACTIONS(943),
    [anon_sym_L_SQUOTE] = ACTIONS(946),
    [anon_sym_u_SQUOTE] = ACTIONS(946),
    [anon_sym_U_SQUOTE] = ACTIONS(946),
    [anon_sym_u8_SQUOTE] = ACTIONS(946),
    [anon_sym_SQUOTE] = ACTIONS(946),
    [anon_sym_L_DQUOTE] = ACTIONS(949),
    [anon_sym_u_DQUOTE] = ACTIONS(949),
    [anon_sym_U_DQUOTE] = ACTIONS(949),
    [anon_sym_u8_DQUOTE] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [anon_sym_NULL] = ACTIONS(955),
    [anon_sym_nullptr] = ACTIONS(955),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1360),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(72),
    [sym_identifier] = ACTIONS(1040),
    [aux_sym_preproc_include_token1] = ACTIONS(841),
    [aux_sym_preproc_def_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token2] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(841),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_typedef] = ACTIONS(666),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(841),
    [anon_sym___clrcall] = ACTIONS(841),
    [anon_sym___stdcall] = ACTIONS(841),
    [anon_sym___fastcall] = ACTIONS(841),
    [anon_sym___thiscall] = ACTIONS(841),
    [anon_sym___vectorcall] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1360),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1040),
    [aux_sym_preproc_include_token1] = ACTIONS(843),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token2] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(843),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_typedef] = ACTIONS(666),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(843),
    [anon_sym___clrcall] = ACTIONS(843),
    [anon_sym___stdcall] = ACTIONS(843),
    [anon_sym___fastcall] = ACTIONS(843),
    [anon_sym___thiscall] = ACTIONS(843),
    [anon_sym___vectorcall] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(843),
    [anon_sym_default] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1360),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1040),
    [aux_sym_preproc_include_token1] = ACTIONS(958),
    [aux_sym_preproc_def_token1] = ACTIONS(958),
    [aux_sym_preproc_if_token1] = ACTIONS(958),
    [aux_sym_preproc_if_token2] = ACTIONS(958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(958),
    [sym_preproc_directive] = ACTIONS(958),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_typedef] = ACTIONS(666),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(958),
    [anon_sym___clrcall] = ACTIONS(958),
    [anon_sym___stdcall] = ACTIONS(958),
    [anon_sym___fastcall] = ACTIONS(958),
    [anon_sym___thiscall] = ACTIONS(958),
    [anon_sym___vectorcall] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(958),
    [anon_sym_default] = ACTIONS(958),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1347),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1042),
    [aux_sym_preproc_include_token1] = ACTIONS(839),
    [aux_sym_preproc_def_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(839),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(839),
    [anon_sym___clrcall] = ACTIONS(839),
    [anon_sym___stdcall] = ACTIONS(839),
    [anon_sym___fastcall] = ACTIONS(839),
    [anon_sym___thiscall] = ACTIONS(839),
    [anon_sym___vectorcall] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1347),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1042),
    [aux_sym_preproc_include_token1] = ACTIONS(958),
    [aux_sym_preproc_def_token1] = ACTIONS(958),
    [aux_sym_preproc_if_token1] = ACTIONS(958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(958),
    [sym_preproc_directive] = ACTIONS(958),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(958),
    [anon_sym___clrcall] = ACTIONS(958),
    [anon_sym___stdcall] = ACTIONS(958),
    [anon_sym___fastcall] = ACTIONS(958),
    [anon_sym___thiscall] = ACTIONS(958),
    [anon_sym___vectorcall] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(958),
    [anon_sym_default] = ACTIONS(958),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1363),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(75),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(75),
    [sym_labeled_statement] = STATE(75),
    [sym_expression_statement] = STATE(75),
    [sym_if_statement] = STATE(75),
    [sym_switch_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_do_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_return_statement] = STATE(75),
    [sym_break_statement] = STATE(75),
    [sym_continue_statement] = STATE(75),
    [sym_goto_statement] = STATE(75),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(1050),
    [aux_sym_preproc_include_token1] = ACTIONS(841),
    [aux_sym_preproc_def_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(841),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(841),
    [anon_sym___clrcall] = ACTIONS(841),
    [anon_sym___stdcall] = ACTIONS(841),
    [anon_sym___fastcall] = ACTIONS(841),
    [anon_sym___thiscall] = ACTIONS(841),
    [anon_sym___vectorcall] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1363),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(76),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(76),
    [sym_labeled_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_switch_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(1050),
    [aux_sym_preproc_include_token1] = ACTIONS(958),
    [aux_sym_preproc_def_token1] = ACTIONS(958),
    [aux_sym_preproc_if_token1] = ACTIONS(958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(958),
    [sym_preproc_directive] = ACTIONS(958),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(958),
    [anon_sym___clrcall] = ACTIONS(958),
    [anon_sym___stdcall] = ACTIONS(958),
    [anon_sym___fastcall] = ACTIONS(958),
    [anon_sym___thiscall] = ACTIONS(958),
    [anon_sym___vectorcall] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(958),
    [anon_sym_default] = ACTIONS(958),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1360),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1040),
    [aux_sym_preproc_include_token1] = ACTIONS(839),
    [aux_sym_preproc_def_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token2] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(839),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_typedef] = ACTIONS(666),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(839),
    [anon_sym___clrcall] = ACTIONS(839),
    [anon_sym___stdcall] = ACTIONS(839),
    [anon_sym___fastcall] = ACTIONS(839),
    [anon_sym___thiscall] = ACTIONS(839),
    [anon_sym___vectorcall] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1347),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1042),
    [aux_sym_preproc_include_token1] = ACTIONS(843),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(843),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(843),
    [anon_sym___clrcall] = ACTIONS(843),
    [anon_sym___stdcall] = ACTIONS(843),
    [anon_sym___fastcall] = ACTIONS(843),
    [anon_sym___thiscall] = ACTIONS(843),
    [anon_sym___vectorcall] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(843),
    [anon_sym_default] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1347),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1056),
    [aux_sym_preproc_include_token1] = ACTIONS(848),
    [aux_sym_preproc_def_token1] = ACTIONS(848),
    [aux_sym_preproc_if_token1] = ACTIONS(848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(848),
    [sym_preproc_directive] = ACTIONS(848),
    [anon_sym_LPAREN2] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(853),
    [anon_sym_TILDE] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_AMP] = ACTIONS(859),
    [anon_sym_SEMI] = ACTIONS(1059),
    [anon_sym_typedef] = ACTIONS(1062),
    [anon_sym_extern] = ACTIONS(868),
    [anon_sym___attribute__] = ACTIONS(871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(874),
    [anon_sym___declspec] = ACTIONS(877),
    [anon_sym___cdecl] = ACTIONS(848),
    [anon_sym___clrcall] = ACTIONS(848),
    [anon_sym___stdcall] = ACTIONS(848),
    [anon_sym___fastcall] = ACTIONS(848),
    [anon_sym___thiscall] = ACTIONS(848),
    [anon_sym___vectorcall] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [anon_sym_signed] = ACTIONS(883),
    [anon_sym_unsigned] = ACTIONS(883),
    [anon_sym_long] = ACTIONS(883),
    [anon_sym_short] = ACTIONS(883),
    [anon_sym_static] = ACTIONS(868),
    [anon_sym_auto] = ACTIONS(868),
    [anon_sym_register] = ACTIONS(868),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_thread_local] = ACTIONS(868),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_constexpr] = ACTIONS(886),
    [anon_sym_volatile] = ACTIONS(886),
    [anon_sym_restrict] = ACTIONS(886),
    [anon_sym___restrict__] = ACTIONS(886),
    [anon_sym__Atomic] = ACTIONS(886),
    [anon_sym__Noreturn] = ACTIONS(886),
    [anon_sym_noreturn] = ACTIONS(886),
    [sym_primitive_type] = ACTIONS(889),
    [anon_sym_enum] = ACTIONS(892),
    [anon_sym_struct] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(1070),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(1073),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(1076),
    [anon_sym_do] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(1082),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1088),
    [anon_sym_continue] = ACTIONS(1091),
    [anon_sym_goto] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_sizeof] = ACTIONS(931),
    [anon_sym_offsetof] = ACTIONS(934),
    [anon_sym__Generic] = ACTIONS(937),
    [anon_sym_asm] = ACTIONS(940),
    [anon_sym___asm__] = ACTIONS(940),
    [sym_number_literal] = ACTIONS(943),
    [anon_sym_L_SQUOTE] = ACTIONS(946),
    [anon_sym_u_SQUOTE] = ACTIONS(946),
    [anon_sym_U_SQUOTE] = ACTIONS(946),
    [anon_sym_u8_SQUOTE] = ACTIONS(946),
    [anon_sym_SQUOTE] = ACTIONS(946),
    [anon_sym_L_DQUOTE] = ACTIONS(949),
    [anon_sym_u_DQUOTE] = ACTIONS(949),
    [anon_sym_U_DQUOTE] = ACTIONS(949),
    [anon_sym_u8_DQUOTE] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [anon_sym_NULL] = ACTIONS(955),
    [anon_sym_nullptr] = ACTIONS(955),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1363),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(76),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(76),
    [sym_labeled_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_switch_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1050),
    [aux_sym_preproc_include_token1] = ACTIONS(839),
    [aux_sym_preproc_def_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(839),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(839),
    [anon_sym___clrcall] = ACTIONS(839),
    [anon_sym___stdcall] = ACTIONS(839),
    [anon_sym___fastcall] = ACTIONS(839),
    [anon_sym___thiscall] = ACTIONS(839),
    [anon_sym___vectorcall] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1363),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(76),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(76),
    [sym_labeled_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_switch_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_identifier] = ACTIONS(1097),
    [aux_sym_preproc_include_token1] = ACTIONS(848),
    [aux_sym_preproc_def_token1] = ACTIONS(848),
    [aux_sym_preproc_if_token1] = ACTIONS(848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(848),
    [sym_preproc_directive] = ACTIONS(848),
    [anon_sym_LPAREN2] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(853),
    [anon_sym_TILDE] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_AMP] = ACTIONS(859),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_typedef] = ACTIONS(1103),
    [anon_sym_extern] = ACTIONS(868),
    [anon_sym___attribute__] = ACTIONS(871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(874),
    [anon_sym___declspec] = ACTIONS(877),
    [anon_sym___cdecl] = ACTIONS(848),
    [anon_sym___clrcall] = ACTIONS(848),
    [anon_sym___stdcall] = ACTIONS(848),
    [anon_sym___fastcall] = ACTIONS(848),
    [anon_sym___thiscall] = ACTIONS(848),
    [anon_sym___vectorcall] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_signed] = ACTIONS(883),
    [anon_sym_unsigned] = ACTIONS(883),
    [anon_sym_long] = ACTIONS(883),
    [anon_sym_short] = ACTIONS(883),
    [anon_sym_static] = ACTIONS(868),
    [anon_sym_auto] = ACTIONS(868),
    [anon_sym_register] = ACTIONS(868),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_thread_local] = ACTIONS(868),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_constexpr] = ACTIONS(886),
    [anon_sym_volatile] = ACTIONS(886),
    [anon_sym_restrict] = ACTIONS(886),
    [anon_sym___restrict__] = ACTIONS(886),
    [anon_sym__Atomic] = ACTIONS(886),
    [anon_sym__Noreturn] = ACTIONS(886),
    [anon_sym_noreturn] = ACTIONS(886),
    [sym_primitive_type] = ACTIONS(889),
    [anon_sym_enum] = ACTIONS(892),
    [anon_sym_struct] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(1109),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(1115),
    [anon_sym_do] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1121),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1127),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1133),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_sizeof] = ACTIONS(931),
    [anon_sym_offsetof] = ACTIONS(934),
    [anon_sym__Generic] = ACTIONS(937),
    [anon_sym_asm] = ACTIONS(940),
    [anon_sym___asm__] = ACTIONS(940),
    [sym_number_literal] = ACTIONS(943),
    [anon_sym_L_SQUOTE] = ACTIONS(946),
    [anon_sym_u_SQUOTE] = ACTIONS(946),
    [anon_sym_U_SQUOTE] = ACTIONS(946),
    [anon_sym_u8_SQUOTE] = ACTIONS(946),
    [anon_sym_SQUOTE] = ACTIONS(946),
    [anon_sym_L_DQUOTE] = ACTIONS(949),
    [anon_sym_u_DQUOTE] = ACTIONS(949),
    [anon_sym_U_DQUOTE] = ACTIONS(949),
    [anon_sym_u8_DQUOTE] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [anon_sym_NULL] = ACTIONS(955),
    [anon_sym_nullptr] = ACTIONS(955),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1363),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(1054),
    [sym_identifier] = ACTIONS(1050),
    [aux_sym_preproc_include_token1] = ACTIONS(843),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(843),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(843),
    [anon_sym___clrcall] = ACTIONS(843),
    [anon_sym___stdcall] = ACTIONS(843),
    [anon_sym___fastcall] = ACTIONS(843),
    [anon_sym___thiscall] = ACTIONS(843),
    [anon_sym___vectorcall] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(843),
    [anon_sym_default] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1347),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(1042),
    [aux_sym_preproc_include_token1] = ACTIONS(841),
    [aux_sym_preproc_def_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(841),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(841),
    [anon_sym___clrcall] = ACTIONS(841),
    [anon_sym___stdcall] = ACTIONS(841),
    [anon_sym___fastcall] = ACTIONS(841),
    [anon_sym___thiscall] = ACTIONS(841),
    [anon_sym___vectorcall] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1363),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(79),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(853),
    [anon_sym_TILDE] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_AMP] = ACTIONS(859),
    [anon_sym_SEMI] = ACTIONS(1059),
    [anon_sym_typedef] = ACTIONS(1103),
    [anon_sym_extern] = ACTIONS(868),
    [anon_sym___attribute__] = ACTIONS(871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(874),
    [anon_sym___declspec] = ACTIONS(877),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_signed] = ACTIONS(883),
    [anon_sym_unsigned] = ACTIONS(883),
    [anon_sym_long] = ACTIONS(883),
    [anon_sym_short] = ACTIONS(883),
    [anon_sym_static] = ACTIONS(868),
    [anon_sym_auto] = ACTIONS(868),
    [anon_sym_register] = ACTIONS(868),
    [anon_sym_inline] = ACTIONS(868),
    [anon_sym_thread_local] = ACTIONS(868),
    [anon_sym_const] = ACTIONS(886),
    [anon_sym_constexpr] = ACTIONS(886),
    [anon_sym_volatile] = ACTIONS(886),
    [anon_sym_restrict] = ACTIONS(886),
    [anon_sym___restrict__] = ACTIONS(886),
    [anon_sym__Atomic] = ACTIONS(886),
    [anon_sym__Noreturn] = ACTIONS(886),
    [anon_sym_noreturn] = ACTIONS(886),
    [sym_primitive_type] = ACTIONS(889),
    [anon_sym_enum] = ACTIONS(892),
    [anon_sym_struct] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_do] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1127),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1133),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_sizeof] = ACTIONS(931),
    [anon_sym_offsetof] = ACTIONS(934),
    [anon_sym__Generic] = ACTIONS(937),
    [anon_sym_asm] = ACTIONS(940),
    [anon_sym___asm__] = ACTIONS(940),
    [sym_number_literal] = ACTIONS(943),
    [anon_sym_L_SQUOTE] = ACTIONS(946),
    [anon_sym_u_SQUOTE] = ACTIONS(946),
    [anon_sym_U_SQUOTE] = ACTIONS(946),
    [anon_sym_u8_SQUOTE] = ACTIONS(946),
    [anon_sym_SQUOTE] = ACTIONS(946),
    [anon_sym_L_DQUOTE] = ACTIONS(949),
    [anon_sym_u_DQUOTE] = ACTIONS(949),
    [anon_sym_U_DQUOTE] = ACTIONS(949),
    [anon_sym_u8_DQUOTE] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [anon_sym_NULL] = ACTIONS(955),
    [anon_sym_nullptr] = ACTIONS(955),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1363),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(79),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1363),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(79),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1363),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(81),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1363),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [aux_sym_case_statement_repeat1] = STATE(80),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_declaration] = STATE(618),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1361),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(818),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1118),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1946),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1158),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_declaration] = STATE(641),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1361),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(818),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1066),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1998),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1162),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_declaration] = STATE(588),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1361),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(818),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1123),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1965),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1164),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_declaration] = STATE(636),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1361),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(818),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1057),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_declaration] = STATE(630),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1361),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(818),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1116),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_declaration] = STATE(611),
    [sym__declaration_modifiers] = STATE(818),
    [sym__declaration_specifiers] = STATE(1361),
    [sym_attribute_specifier] = STATE(818),
    [sym_attribute_declaration] = STATE(818),
    [sym_ms_declspec_modifier] = STATE(818),
    [sym_storage_class_specifier] = STATE(818),
    [sym_type_qualifier] = STATE(818),
    [sym__type_specifier] = STATE(925),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1115),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(2007),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(818),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym_extern] = ACTIONS(43),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_signed] = ACTIONS(41),
    [anon_sym_unsigned] = ACTIONS(41),
    [anon_sym_long] = ACTIONS(41),
    [anon_sym_short] = ACTIONS(41),
    [anon_sym_static] = ACTIONS(43),
    [anon_sym_auto] = ACTIONS(43),
    [anon_sym_register] = ACTIONS(43),
    [anon_sym_inline] = ACTIONS(43),
    [anon_sym_thread_local] = ACTIONS(43),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__expression] = STATE(807),
    [sym__expression_not_binary] = STATE(771),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(771),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(771),
    [sym_call_expression] = STATE(771),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(771),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(771),
    [sym_initializer_list] = STATE(802),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(1172),
    [anon_sym_RPAREN] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_PIPE_PIPE] = ACTIONS(1172),
    [anon_sym_AMP_AMP] = ACTIONS(1172),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1180),
    [anon_sym_EQ_EQ] = ACTIONS(1172),
    [anon_sym_BANG_EQ] = ACTIONS(1172),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1172),
    [anon_sym_LT_EQ] = ACTIONS(1172),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1172),
    [anon_sym___attribute__] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_COLON] = ACTIONS(1172),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_STAR_EQ] = ACTIONS(1172),
    [anon_sym_SLASH_EQ] = ACTIONS(1172),
    [anon_sym_PERCENT_EQ] = ACTIONS(1172),
    [anon_sym_PLUS_EQ] = ACTIONS(1172),
    [anon_sym_DASH_EQ] = ACTIONS(1172),
    [anon_sym_LT_LT_EQ] = ACTIONS(1172),
    [anon_sym_GT_GT_EQ] = ACTIONS(1172),
    [anon_sym_AMP_EQ] = ACTIONS(1172),
    [anon_sym_CARET_EQ] = ACTIONS(1172),
    [anon_sym_PIPE_EQ] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [anon_sym_sizeof] = ACTIONS(1188),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_else_clause] = STATE(124),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token2] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [aux_sym_preproc_else_token1] = ACTIONS(1190),
    [aux_sym_preproc_elif_token1] = ACTIONS(1190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token2] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [aux_sym_preproc_else_token1] = ACTIONS(1196),
    [aux_sym_preproc_elif_token1] = ACTIONS(1196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [aux_sym_preproc_else_token1] = ACTIONS(1200),
    [aux_sym_preproc_elif_token1] = ACTIONS(1200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token2] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [aux_sym_preproc_else_token1] = ACTIONS(1204),
    [aux_sym_preproc_elif_token1] = ACTIONS(1204),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token2] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [aux_sym_preproc_else_token1] = ACTIONS(1208),
    [aux_sym_preproc_elif_token1] = ACTIONS(1208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [aux_sym_preproc_else_token1] = ACTIONS(1212),
    [aux_sym_preproc_elif_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token2] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [aux_sym_preproc_else_token1] = ACTIONS(1216),
    [aux_sym_preproc_elif_token1] = ACTIONS(1216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [aux_sym_preproc_else_token1] = ACTIONS(1220),
    [aux_sym_preproc_elif_token1] = ACTIONS(1220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token2] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [aux_sym_preproc_else_token1] = ACTIONS(1224),
    [aux_sym_preproc_elif_token1] = ACTIONS(1224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token2] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [aux_sym_preproc_else_token1] = ACTIONS(1228),
    [aux_sym_preproc_elif_token1] = ACTIONS(1228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token2] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [aux_sym_preproc_else_token1] = ACTIONS(1232),
    [aux_sym_preproc_elif_token1] = ACTIONS(1232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token2] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [aux_sym_preproc_else_token1] = ACTIONS(1236),
    [aux_sym_preproc_elif_token1] = ACTIONS(1236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token2] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [aux_sym_preproc_else_token1] = ACTIONS(1240),
    [aux_sym_preproc_elif_token1] = ACTIONS(1240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token2] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [aux_sym_preproc_else_token1] = ACTIONS(1244),
    [aux_sym_preproc_elif_token1] = ACTIONS(1244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [aux_sym_preproc_else_token1] = ACTIONS(1248),
    [aux_sym_preproc_elif_token1] = ACTIONS(1248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token2] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [aux_sym_preproc_else_token1] = ACTIONS(1252),
    [aux_sym_preproc_elif_token1] = ACTIONS(1252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [aux_sym_preproc_else_token1] = ACTIONS(1256),
    [aux_sym_preproc_elif_token1] = ACTIONS(1256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token2] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [aux_sym_preproc_else_token1] = ACTIONS(1260),
    [aux_sym_preproc_elif_token1] = ACTIONS(1260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token2] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [aux_sym_preproc_else_token1] = ACTIONS(1264),
    [aux_sym_preproc_elif_token1] = ACTIONS(1264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [aux_sym_preproc_else_token1] = ACTIONS(1268),
    [aux_sym_preproc_elif_token1] = ACTIONS(1268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [aux_sym_preproc_else_token1] = ACTIONS(1272),
    [aux_sym_preproc_elif_token1] = ACTIONS(1272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [aux_sym_preproc_else_token1] = ACTIONS(1276),
    [aux_sym_preproc_elif_token1] = ACTIONS(1276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [aux_sym_preproc_else_token1] = ACTIONS(1280),
    [aux_sym_preproc_elif_token1] = ACTIONS(1280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token2] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [aux_sym_preproc_else_token1] = ACTIONS(1288),
    [aux_sym_preproc_elif_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [aux_sym_preproc_else_token1] = ACTIONS(1296),
    [aux_sym_preproc_elif_token1] = ACTIONS(1296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [aux_sym_preproc_else_token1] = ACTIONS(1300),
    [aux_sym_preproc_elif_token1] = ACTIONS(1300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [aux_sym_preproc_else_token1] = ACTIONS(1304),
    [aux_sym_preproc_elif_token1] = ACTIONS(1304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [aux_sym_preproc_else_token1] = ACTIONS(1308),
    [aux_sym_preproc_elif_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [aux_sym_preproc_else_token1] = ACTIONS(1200),
    [aux_sym_preproc_elif_token1] = ACTIONS(1200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1316),
    [aux_sym_preproc_elif_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [aux_sym_preproc_else_token1] = ACTIONS(1320),
    [aux_sym_preproc_elif_token1] = ACTIONS(1320),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [aux_sym_preproc_else_token1] = ACTIONS(1324),
    [aux_sym_preproc_elif_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [aux_sym_preproc_else_token1] = ACTIONS(1328),
    [aux_sym_preproc_elif_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [aux_sym_preproc_else_token1] = ACTIONS(1332),
    [aux_sym_preproc_elif_token1] = ACTIONS(1332),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [aux_sym_preproc_else_token1] = ACTIONS(1336),
    [aux_sym_preproc_elif_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [aux_sym_preproc_else_token1] = ACTIONS(1340),
    [aux_sym_preproc_elif_token1] = ACTIONS(1340),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [aux_sym_preproc_else_token1] = ACTIONS(1348),
    [aux_sym_preproc_elif_token1] = ACTIONS(1348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1352),
    [aux_sym_preproc_elif_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [aux_sym_preproc_else_token1] = ACTIONS(1356),
    [aux_sym_preproc_elif_token1] = ACTIONS(1356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [aux_sym_preproc_else_token1] = ACTIONS(1360),
    [aux_sym_preproc_elif_token1] = ACTIONS(1360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [aux_sym_preproc_else_token1] = ACTIONS(1364),
    [aux_sym_preproc_elif_token1] = ACTIONS(1364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token2] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [aux_sym_preproc_else_token1] = ACTIONS(1368),
    [aux_sym_preproc_elif_token1] = ACTIONS(1368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token2] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [aux_sym_preproc_else_token1] = ACTIONS(1372),
    [aux_sym_preproc_elif_token1] = ACTIONS(1372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token2] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [aux_sym_preproc_else_token1] = ACTIONS(1376),
    [aux_sym_preproc_elif_token1] = ACTIONS(1376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token2] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [aux_sym_preproc_else_token1] = ACTIONS(1380),
    [aux_sym_preproc_elif_token1] = ACTIONS(1380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token2] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [aux_sym_preproc_else_token1] = ACTIONS(1384),
    [aux_sym_preproc_elif_token1] = ACTIONS(1384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token2] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [aux_sym_preproc_else_token1] = ACTIONS(1388),
    [aux_sym_preproc_elif_token1] = ACTIONS(1388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_else_clause] = STATE(157),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token2] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [aux_sym_preproc_else_token1] = ACTIONS(1190),
    [aux_sym_preproc_elif_token1] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1392),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [aux_sym_preproc_else_token1] = ACTIONS(1398),
    [aux_sym_preproc_elif_token1] = ACTIONS(1398),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [aux_sym_preproc_else_token1] = ACTIONS(1402),
    [aux_sym_preproc_elif_token1] = ACTIONS(1402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [aux_sym_preproc_else_token1] = ACTIONS(1406),
    [aux_sym_preproc_elif_token1] = ACTIONS(1406),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [aux_sym_preproc_else_token1] = ACTIONS(1410),
    [aux_sym_preproc_elif_token1] = ACTIONS(1410),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [aux_sym_preproc_else_token1] = ACTIONS(1418),
    [aux_sym_preproc_elif_token1] = ACTIONS(1418),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [aux_sym_preproc_else_token1] = ACTIONS(1422),
    [aux_sym_preproc_elif_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token2] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [aux_sym_preproc_else_token1] = ACTIONS(1426),
    [aux_sym_preproc_elif_token1] = ACTIONS(1426),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token2] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [aux_sym_preproc_else_token1] = ACTIONS(1244),
    [aux_sym_preproc_elif_token1] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token2] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [aux_sym_preproc_else_token1] = ACTIONS(1264),
    [aux_sym_preproc_elif_token1] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [anon_sym_COMMA] = ACTIONS(1214),
    [anon_sym_RPAREN] = ACTIONS(1214),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [aux_sym_preproc_else_token1] = ACTIONS(1320),
    [aux_sym_preproc_elif_token1] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [aux_sym_preproc_else_token1] = ACTIONS(1340),
    [aux_sym_preproc_elif_token1] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token2] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [aux_sym_preproc_else_token1] = ACTIONS(1240),
    [aux_sym_preproc_elif_token1] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token2] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [aux_sym_preproc_else_token1] = ACTIONS(1204),
    [aux_sym_preproc_elif_token1] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [aux_sym_preproc_else_token1] = ACTIONS(1212),
    [aux_sym_preproc_elif_token1] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [aux_sym_preproc_else_token1] = ACTIONS(1200),
    [aux_sym_preproc_elif_token1] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [aux_sym_preproc_else_token1] = ACTIONS(1200),
    [aux_sym_preproc_elif_token1] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token2] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [aux_sym_preproc_else_token1] = ACTIONS(1224),
    [aux_sym_preproc_elif_token1] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token2] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [aux_sym_preproc_else_token1] = ACTIONS(1252),
    [aux_sym_preproc_elif_token1] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [anon_sym_COMMA] = ACTIONS(1314),
    [anon_sym_RPAREN] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token2] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [aux_sym_preproc_else_token1] = ACTIONS(1260),
    [aux_sym_preproc_elif_token1] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [aux_sym_preproc_else_token1] = ACTIONS(1336),
    [aux_sym_preproc_elif_token1] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token2] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [aux_sym_preproc_else_token1] = ACTIONS(1196),
    [aux_sym_preproc_elif_token1] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token2] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [aux_sym_preproc_else_token1] = ACTIONS(1216),
    [aux_sym_preproc_elif_token1] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1316),
    [aux_sym_preproc_elif_token1] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [aux_sym_preproc_else_token1] = ACTIONS(1308),
    [aux_sym_preproc_elif_token1] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token2] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [aux_sym_preproc_else_token1] = ACTIONS(1208),
    [aux_sym_preproc_elif_token1] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [aux_sym_preproc_else_token1] = ACTIONS(1220),
    [aux_sym_preproc_elif_token1] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [aux_sym_preproc_else_token1] = ACTIONS(1304),
    [aux_sym_preproc_elif_token1] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [aux_sym_preproc_else_token1] = ACTIONS(1332),
    [aux_sym_preproc_elif_token1] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [aux_sym_preproc_else_token1] = ACTIONS(1324),
    [aux_sym_preproc_elif_token1] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [aux_sym_preproc_else_token1] = ACTIONS(1300),
    [aux_sym_preproc_elif_token1] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token2] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [aux_sym_preproc_else_token1] = ACTIONS(1228),
    [aux_sym_preproc_elif_token1] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token2] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [aux_sym_preproc_else_token1] = ACTIONS(1232),
    [aux_sym_preproc_elif_token1] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token2] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [aux_sym_preproc_else_token1] = ACTIONS(1236),
    [aux_sym_preproc_elif_token1] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [aux_sym_preproc_else_token1] = ACTIONS(1248),
    [aux_sym_preproc_elif_token1] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [aux_sym_preproc_else_token1] = ACTIONS(1256),
    [aux_sym_preproc_elif_token1] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [aux_sym_preproc_else_token1] = ACTIONS(1328),
    [aux_sym_preproc_elif_token1] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [aux_sym_preproc_else_token1] = ACTIONS(1272),
    [aux_sym_preproc_elif_token1] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [aux_sym_preproc_else_token1] = ACTIONS(1268),
    [aux_sym_preproc_elif_token1] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [aux_sym_preproc_else_token1] = ACTIONS(1276),
    [aux_sym_preproc_elif_token1] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [aux_sym_preproc_else_token1] = ACTIONS(1280),
    [aux_sym_preproc_elif_token1] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [aux_sym_preproc_else_token1] = ACTIONS(1296),
    [aux_sym_preproc_elif_token1] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token2] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [aux_sym_preproc_else_token1] = ACTIONS(1288),
    [aux_sym_preproc_elif_token1] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token2] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [aux_sym_preproc_else_token1] = ACTIONS(1384),
    [aux_sym_preproc_elif_token1] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [aux_sym_preproc_else_token1] = ACTIONS(1422),
    [aux_sym_preproc_elif_token1] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_else_clause] = STATE(375),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token2] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [aux_sym_preproc_else_token1] = ACTIONS(1426),
    [aux_sym_preproc_elif_token1] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [aux_sym_preproc_else_token1] = ACTIONS(1398),
    [aux_sym_preproc_elif_token1] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token2] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [aux_sym_preproc_else_token1] = ACTIONS(1388),
    [aux_sym_preproc_elif_token1] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_else_clause] = STATE(244),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token2] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [aux_sym_preproc_else_token1] = ACTIONS(1402),
    [aux_sym_preproc_elif_token1] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [aux_sym_preproc_else_token1] = ACTIONS(1418),
    [aux_sym_preproc_elif_token1] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1352),
    [aux_sym_preproc_elif_token1] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_else_clause] = STATE(417),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [aux_sym_preproc_else_token1] = ACTIONS(1348),
    [aux_sym_preproc_elif_token1] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [aux_sym_preproc_else_token1] = ACTIONS(1410),
    [aux_sym_preproc_elif_token1] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym__expression] = STATE(829),
    [sym__expression_not_binary] = STATE(771),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(771),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(771),
    [sym_call_expression] = STATE(771),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(771),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(771),
    [sym_initializer_list] = STATE(802),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_PIPE_PIPE] = ACTIONS(1172),
    [anon_sym_AMP_AMP] = ACTIONS(1172),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_EQ_EQ] = ACTIONS(1172),
    [anon_sym_BANG_EQ] = ACTIONS(1172),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1172),
    [anon_sym_LT_EQ] = ACTIONS(1172),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_RBRACK] = ACTIONS(1172),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_STAR_EQ] = ACTIONS(1172),
    [anon_sym_SLASH_EQ] = ACTIONS(1172),
    [anon_sym_PERCENT_EQ] = ACTIONS(1172),
    [anon_sym_PLUS_EQ] = ACTIONS(1172),
    [anon_sym_DASH_EQ] = ACTIONS(1172),
    [anon_sym_LT_LT_EQ] = ACTIONS(1172),
    [anon_sym_GT_GT_EQ] = ACTIONS(1172),
    [anon_sym_AMP_EQ] = ACTIONS(1172),
    [anon_sym_CARET_EQ] = ACTIONS(1172),
    [anon_sym_PIPE_EQ] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_sizeof] = ACTIONS(1450),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [aux_sym_preproc_else_token1] = ACTIONS(1406),
    [aux_sym_preproc_elif_token1] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token2] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [aux_sym_preproc_else_token1] = ACTIONS(1380),
    [aux_sym_preproc_elif_token1] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [aux_sym_preproc_else_token1] = ACTIONS(1356),
    [aux_sym_preproc_elif_token1] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token2] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [aux_sym_preproc_else_token1] = ACTIONS(1376),
    [aux_sym_preproc_elif_token1] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [aux_sym_preproc_else_token1] = ACTIONS(1360),
    [aux_sym_preproc_elif_token1] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [aux_sym_preproc_else_token1] = ACTIONS(1364),
    [aux_sym_preproc_elif_token1] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token2] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [aux_sym_preproc_else_token1] = ACTIONS(1372),
    [aux_sym_preproc_elif_token1] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token2] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [aux_sym_preproc_else_token1] = ACTIONS(1368),
    [aux_sym_preproc_elif_token1] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(116),
    [sym_attributed_statement] = STATE(116),
    [sym_labeled_statement] = STATE(116),
    [sym_expression_statement] = STATE(116),
    [sym_if_statement] = STATE(116),
    [sym_switch_statement] = STATE(116),
    [sym_case_statement] = STATE(116),
    [sym_while_statement] = STATE(116),
    [sym_do_statement] = STATE(116),
    [sym_for_statement] = STATE(116),
    [sym_return_statement] = STATE(116),
    [sym_break_statement] = STATE(116),
    [sym_continue_statement] = STATE(116),
    [sym_goto_statement] = STATE(116),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(255),
    [sym_attributed_statement] = STATE(255),
    [sym_labeled_statement] = STATE(255),
    [sym_expression_statement] = STATE(255),
    [sym_if_statement] = STATE(255),
    [sym_switch_statement] = STATE(255),
    [sym_case_statement] = STATE(255),
    [sym_while_statement] = STATE(255),
    [sym_do_statement] = STATE(255),
    [sym_for_statement] = STATE(255),
    [sym_return_statement] = STATE(255),
    [sym_break_statement] = STATE(255),
    [sym_continue_statement] = STATE(255),
    [sym_goto_statement] = STATE(255),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token2] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token2] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token2] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token2] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(1977),
    [sym_attributed_statement] = STATE(1977),
    [sym_labeled_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_if_statement] = STATE(1977),
    [sym_switch_statement] = STATE(1977),
    [sym_case_statement] = STATE(1977),
    [sym_while_statement] = STATE(1977),
    [sym_do_statement] = STATE(1977),
    [sym_for_statement] = STATE(1977),
    [sym_return_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_goto_statement] = STATE(1977),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token2] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token2] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token2] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(250),
    [sym_attributed_statement] = STATE(250),
    [sym_labeled_statement] = STATE(250),
    [sym_expression_statement] = STATE(250),
    [sym_if_statement] = STATE(250),
    [sym_switch_statement] = STATE(250),
    [sym_case_statement] = STATE(250),
    [sym_while_statement] = STATE(250),
    [sym_do_statement] = STATE(250),
    [sym_for_statement] = STATE(250),
    [sym_return_statement] = STATE(250),
    [sym_break_statement] = STATE(250),
    [sym_continue_statement] = STATE(250),
    [sym_goto_statement] = STATE(250),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(265),
    [sym_attributed_statement] = STATE(265),
    [sym_labeled_statement] = STATE(265),
    [sym_expression_statement] = STATE(265),
    [sym_if_statement] = STATE(265),
    [sym_switch_statement] = STATE(265),
    [sym_case_statement] = STATE(265),
    [sym_while_statement] = STATE(265),
    [sym_do_statement] = STATE(265),
    [sym_for_statement] = STATE(265),
    [sym_return_statement] = STATE(265),
    [sym_break_statement] = STATE(265),
    [sym_continue_statement] = STATE(265),
    [sym_goto_statement] = STATE(265),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(267),
    [sym_attributed_statement] = STATE(267),
    [sym_labeled_statement] = STATE(267),
    [sym_expression_statement] = STATE(267),
    [sym_if_statement] = STATE(267),
    [sym_switch_statement] = STATE(267),
    [sym_case_statement] = STATE(267),
    [sym_while_statement] = STATE(267),
    [sym_do_statement] = STATE(267),
    [sym_for_statement] = STATE(267),
    [sym_return_statement] = STATE(267),
    [sym_break_statement] = STATE(267),
    [sym_continue_statement] = STATE(267),
    [sym_goto_statement] = STATE(267),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(283),
    [sym_attributed_statement] = STATE(283),
    [sym_labeled_statement] = STATE(283),
    [sym_expression_statement] = STATE(283),
    [sym_if_statement] = STATE(283),
    [sym_switch_statement] = STATE(283),
    [sym_case_statement] = STATE(283),
    [sym_while_statement] = STATE(283),
    [sym_do_statement] = STATE(283),
    [sym_for_statement] = STATE(283),
    [sym_return_statement] = STATE(283),
    [sym_break_statement] = STATE(283),
    [sym_continue_statement] = STATE(283),
    [sym_goto_statement] = STATE(283),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(291),
    [sym_attributed_statement] = STATE(291),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token2] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(113),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_case_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token2] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(293),
    [sym_attributed_statement] = STATE(293),
    [sym_labeled_statement] = STATE(293),
    [sym_expression_statement] = STATE(293),
    [sym_if_statement] = STATE(293),
    [sym_switch_statement] = STATE(293),
    [sym_case_statement] = STATE(293),
    [sym_while_statement] = STATE(293),
    [sym_do_statement] = STATE(293),
    [sym_for_statement] = STATE(293),
    [sym_return_statement] = STATE(293),
    [sym_break_statement] = STATE(293),
    [sym_continue_statement] = STATE(293),
    [sym_goto_statement] = STATE(293),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token2] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token2] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token2] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token2] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token2] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(294),
    [sym_attributed_statement] = STATE(294),
    [sym_labeled_statement] = STATE(294),
    [sym_expression_statement] = STATE(294),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(294),
    [sym_case_statement] = STATE(294),
    [sym_while_statement] = STATE(294),
    [sym_do_statement] = STATE(294),
    [sym_for_statement] = STATE(294),
    [sym_return_statement] = STATE(294),
    [sym_break_statement] = STATE(294),
    [sym_continue_statement] = STATE(294),
    [sym_goto_statement] = STATE(294),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(296),
    [sym_attributed_statement] = STATE(296),
    [sym_labeled_statement] = STATE(296),
    [sym_expression_statement] = STATE(296),
    [sym_if_statement] = STATE(296),
    [sym_switch_statement] = STATE(296),
    [sym_case_statement] = STATE(296),
    [sym_while_statement] = STATE(296),
    [sym_do_statement] = STATE(296),
    [sym_for_statement] = STATE(296),
    [sym_return_statement] = STATE(296),
    [sym_break_statement] = STATE(296),
    [sym_continue_statement] = STATE(296),
    [sym_goto_statement] = STATE(296),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(237),
    [sym_attributed_statement] = STATE(237),
    [sym_labeled_statement] = STATE(237),
    [sym_expression_statement] = STATE(237),
    [sym_if_statement] = STATE(237),
    [sym_switch_statement] = STATE(237),
    [sym_case_statement] = STATE(237),
    [sym_while_statement] = STATE(237),
    [sym_do_statement] = STATE(237),
    [sym_for_statement] = STATE(237),
    [sym_return_statement] = STATE(237),
    [sym_break_statement] = STATE(237),
    [sym_continue_statement] = STATE(237),
    [sym_goto_statement] = STATE(237),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(300),
    [sym_attributed_statement] = STATE(300),
    [sym_labeled_statement] = STATE(300),
    [sym_expression_statement] = STATE(300),
    [sym_if_statement] = STATE(300),
    [sym_switch_statement] = STATE(300),
    [sym_case_statement] = STATE(300),
    [sym_while_statement] = STATE(300),
    [sym_do_statement] = STATE(300),
    [sym_for_statement] = STATE(300),
    [sym_return_statement] = STATE(300),
    [sym_break_statement] = STATE(300),
    [sym_continue_statement] = STATE(300),
    [sym_goto_statement] = STATE(300),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_attribute_declaration] = STATE(321),
    [sym_compound_statement] = STATE(318),
    [sym_attributed_statement] = STATE(318),
    [sym_labeled_statement] = STATE(318),
    [sym_expression_statement] = STATE(318),
    [sym_if_statement] = STATE(318),
    [sym_switch_statement] = STATE(318),
    [sym_case_statement] = STATE(318),
    [sym_while_statement] = STATE(318),
    [sym_do_statement] = STATE(318),
    [sym_for_statement] = STATE(318),
    [sym_return_statement] = STATE(318),
    [sym_break_statement] = STATE(318),
    [sym_continue_statement] = STATE(318),
    [sym_goto_statement] = STATE(318),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(321),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(91),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_case_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(127),
    [sym_attributed_statement] = STATE(127),
    [sym_labeled_statement] = STATE(127),
    [sym_expression_statement] = STATE(127),
    [sym_if_statement] = STATE(127),
    [sym_switch_statement] = STATE(127),
    [sym_case_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_do_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_return_statement] = STATE(127),
    [sym_break_statement] = STATE(127),
    [sym_continue_statement] = STATE(127),
    [sym_goto_statement] = STATE(127),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(129),
    [sym_attributed_statement] = STATE(129),
    [sym_labeled_statement] = STATE(129),
    [sym_expression_statement] = STATE(129),
    [sym_if_statement] = STATE(129),
    [sym_switch_statement] = STATE(129),
    [sym_case_statement] = STATE(129),
    [sym_while_statement] = STATE(129),
    [sym_do_statement] = STATE(129),
    [sym_for_statement] = STATE(129),
    [sym_return_statement] = STATE(129),
    [sym_break_statement] = STATE(129),
    [sym_continue_statement] = STATE(129),
    [sym_goto_statement] = STATE(129),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_attribute_declaration] = STATE(306),
    [sym_compound_statement] = STATE(108),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_case_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(306),
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1495),
    [anon_sym_case] = ACTIONS(1498),
    [anon_sym_default] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1510),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1519),
    [anon_sym_goto] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(198),
    [sym_attributed_statement] = STATE(198),
    [sym_labeled_statement] = STATE(198),
    [sym_expression_statement] = STATE(198),
    [sym_if_statement] = STATE(198),
    [sym_switch_statement] = STATE(198),
    [sym_case_statement] = STATE(198),
    [sym_while_statement] = STATE(198),
    [sym_do_statement] = STATE(198),
    [sym_for_statement] = STATE(198),
    [sym_return_statement] = STATE(198),
    [sym_break_statement] = STATE(198),
    [sym_continue_statement] = STATE(198),
    [sym_goto_statement] = STATE(198),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(1959),
    [sym_attributed_statement] = STATE(1959),
    [sym_labeled_statement] = STATE(1959),
    [sym_expression_statement] = STATE(1959),
    [sym_if_statement] = STATE(1959),
    [sym_switch_statement] = STATE(1959),
    [sym_case_statement] = STATE(1959),
    [sym_while_statement] = STATE(1959),
    [sym_do_statement] = STATE(1959),
    [sym_for_statement] = STATE(1959),
    [sym_return_statement] = STATE(1959),
    [sym_break_statement] = STATE(1959),
    [sym_continue_statement] = STATE(1959),
    [sym_goto_statement] = STATE(1959),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(343),
    [sym_attributed_statement] = STATE(343),
    [sym_labeled_statement] = STATE(343),
    [sym_expression_statement] = STATE(343),
    [sym_if_statement] = STATE(343),
    [sym_switch_statement] = STATE(343),
    [sym_case_statement] = STATE(343),
    [sym_while_statement] = STATE(343),
    [sym_do_statement] = STATE(343),
    [sym_for_statement] = STATE(343),
    [sym_return_statement] = STATE(343),
    [sym_break_statement] = STATE(343),
    [sym_continue_statement] = STATE(343),
    [sym_goto_statement] = STATE(343),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_attribute_declaration] = STATE(311),
    [sym_compound_statement] = STATE(312),
    [sym_attributed_statement] = STATE(312),
    [sym_labeled_statement] = STATE(312),
    [sym_expression_statement] = STATE(312),
    [sym_if_statement] = STATE(312),
    [sym_switch_statement] = STATE(312),
    [sym_case_statement] = STATE(312),
    [sym_while_statement] = STATE(312),
    [sym_do_statement] = STATE(312),
    [sym_for_statement] = STATE(312),
    [sym_return_statement] = STATE(312),
    [sym_break_statement] = STATE(312),
    [sym_continue_statement] = STATE(312),
    [sym_goto_statement] = STATE(312),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(311),
    [sym_identifier] = ACTIONS(1555),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1564),
    [anon_sym_switch] = ACTIONS(1567),
    [anon_sym_case] = ACTIONS(1570),
    [anon_sym_default] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1576),
    [anon_sym_do] = ACTIONS(1579),
    [anon_sym_for] = ACTIONS(1582),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1591),
    [anon_sym_goto] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(95),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_case_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(356),
    [sym_attributed_statement] = STATE(356),
    [sym_labeled_statement] = STATE(356),
    [sym_expression_statement] = STATE(356),
    [sym_if_statement] = STATE(356),
    [sym_switch_statement] = STATE(356),
    [sym_case_statement] = STATE(356),
    [sym_while_statement] = STATE(356),
    [sym_do_statement] = STATE(356),
    [sym_for_statement] = STATE(356),
    [sym_return_statement] = STATE(356),
    [sym_break_statement] = STATE(356),
    [sym_continue_statement] = STATE(356),
    [sym_goto_statement] = STATE(356),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(105),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(107),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_case_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_attribute_declaration] = STATE(321),
    [sym_compound_statement] = STATE(318),
    [sym_attributed_statement] = STATE(318),
    [sym_labeled_statement] = STATE(318),
    [sym_expression_statement] = STATE(318),
    [sym_if_statement] = STATE(318),
    [sym_switch_statement] = STATE(318),
    [sym_case_statement] = STATE(318),
    [sym_while_statement] = STATE(318),
    [sym_do_statement] = STATE(318),
    [sym_for_statement] = STATE(318),
    [sym_return_statement] = STATE(318),
    [sym_break_statement] = STATE(318),
    [sym_continue_statement] = STATE(318),
    [sym_goto_statement] = STATE(318),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(321),
    [sym_identifier] = ACTIONS(1597),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1603),
    [anon_sym_if] = ACTIONS(1606),
    [anon_sym_switch] = ACTIONS(1609),
    [anon_sym_case] = ACTIONS(1612),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1618),
    [anon_sym_do] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1624),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1630),
    [anon_sym_continue] = ACTIONS(1633),
    [anon_sym_goto] = ACTIONS(1636),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(111),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_case_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(112),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(1938),
    [sym_attributed_statement] = STATE(1938),
    [sym_labeled_statement] = STATE(1938),
    [sym_expression_statement] = STATE(1938),
    [sym_if_statement] = STATE(1938),
    [sym_switch_statement] = STATE(1938),
    [sym_case_statement] = STATE(1938),
    [sym_while_statement] = STATE(1938),
    [sym_do_statement] = STATE(1938),
    [sym_for_statement] = STATE(1938),
    [sym_return_statement] = STATE(1938),
    [sym_break_statement] = STATE(1938),
    [sym_continue_statement] = STATE(1938),
    [sym_goto_statement] = STATE(1938),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(289),
    [sym_attributed_statement] = STATE(289),
    [sym_labeled_statement] = STATE(289),
    [sym_expression_statement] = STATE(289),
    [sym_if_statement] = STATE(289),
    [sym_switch_statement] = STATE(289),
    [sym_case_statement] = STATE(289),
    [sym_while_statement] = STATE(289),
    [sym_do_statement] = STATE(289),
    [sym_for_statement] = STATE(289),
    [sym_return_statement] = STATE(289),
    [sym_break_statement] = STATE(289),
    [sym_continue_statement] = STATE(289),
    [sym_goto_statement] = STATE(289),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(114),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_case_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(115),
    [sym_attributed_statement] = STATE(115),
    [sym_labeled_statement] = STATE(115),
    [sym_expression_statement] = STATE(115),
    [sym_if_statement] = STATE(115),
    [sym_switch_statement] = STATE(115),
    [sym_case_statement] = STATE(115),
    [sym_while_statement] = STATE(115),
    [sym_do_statement] = STATE(115),
    [sym_for_statement] = STATE(115),
    [sym_return_statement] = STATE(115),
    [sym_break_statement] = STATE(115),
    [sym_continue_statement] = STATE(115),
    [sym_goto_statement] = STATE(115),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(117),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_case_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(118),
    [sym_attributed_statement] = STATE(118),
    [sym_labeled_statement] = STATE(118),
    [sym_expression_statement] = STATE(118),
    [sym_if_statement] = STATE(118),
    [sym_switch_statement] = STATE(118),
    [sym_case_statement] = STATE(118),
    [sym_while_statement] = STATE(118),
    [sym_do_statement] = STATE(118),
    [sym_for_statement] = STATE(118),
    [sym_return_statement] = STATE(118),
    [sym_break_statement] = STATE(118),
    [sym_continue_statement] = STATE(118),
    [sym_goto_statement] = STATE(118),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(119),
    [sym_attributed_statement] = STATE(119),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(120),
    [sym_attributed_statement] = STATE(120),
    [sym_labeled_statement] = STATE(120),
    [sym_expression_statement] = STATE(120),
    [sym_if_statement] = STATE(120),
    [sym_switch_statement] = STATE(120),
    [sym_case_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_do_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_return_statement] = STATE(120),
    [sym_break_statement] = STATE(120),
    [sym_continue_statement] = STATE(120),
    [sym_goto_statement] = STATE(120),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(528),
    [sym_attributed_statement] = STATE(528),
    [sym_labeled_statement] = STATE(528),
    [sym_expression_statement] = STATE(528),
    [sym_if_statement] = STATE(528),
    [sym_switch_statement] = STATE(528),
    [sym_case_statement] = STATE(528),
    [sym_while_statement] = STATE(528),
    [sym_do_statement] = STATE(528),
    [sym_for_statement] = STATE(528),
    [sym_return_statement] = STATE(528),
    [sym_break_statement] = STATE(528),
    [sym_continue_statement] = STATE(528),
    [sym_goto_statement] = STATE(528),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(257),
    [sym_attributed_statement] = STATE(257),
    [sym_labeled_statement] = STATE(257),
    [sym_expression_statement] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_switch_statement] = STATE(257),
    [sym_case_statement] = STATE(257),
    [sym_while_statement] = STATE(257),
    [sym_do_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_return_statement] = STATE(257),
    [sym_break_statement] = STATE(257),
    [sym_continue_statement] = STATE(257),
    [sym_goto_statement] = STATE(257),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(277),
    [sym_attributed_statement] = STATE(277),
    [sym_labeled_statement] = STATE(277),
    [sym_expression_statement] = STATE(277),
    [sym_if_statement] = STATE(277),
    [sym_switch_statement] = STATE(277),
    [sym_case_statement] = STATE(277),
    [sym_while_statement] = STATE(277),
    [sym_do_statement] = STATE(277),
    [sym_for_statement] = STATE(277),
    [sym_return_statement] = STATE(277),
    [sym_break_statement] = STATE(277),
    [sym_continue_statement] = STATE(277),
    [sym_goto_statement] = STATE(277),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_attribute_declaration] = STATE(341),
    [sym_compound_statement] = STATE(312),
    [sym_attributed_statement] = STATE(312),
    [sym_labeled_statement] = STATE(312),
    [sym_expression_statement] = STATE(312),
    [sym_if_statement] = STATE(312),
    [sym_switch_statement] = STATE(312),
    [sym_case_statement] = STATE(312),
    [sym_while_statement] = STATE(312),
    [sym_do_statement] = STATE(312),
    [sym_for_statement] = STATE(312),
    [sym_return_statement] = STATE(312),
    [sym_break_statement] = STATE(312),
    [sym_continue_statement] = STATE(312),
    [sym_goto_statement] = STATE(312),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(341),
    [sym_identifier] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1642),
    [anon_sym_switch] = ACTIONS(1567),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1651),
    [anon_sym_do] = ACTIONS(1579),
    [anon_sym_for] = ACTIONS(1654),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1591),
    [anon_sym_goto] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(277),
    [sym_attributed_statement] = STATE(277),
    [sym_labeled_statement] = STATE(277),
    [sym_expression_statement] = STATE(277),
    [sym_if_statement] = STATE(277),
    [sym_switch_statement] = STATE(277),
    [sym_case_statement] = STATE(277),
    [sym_while_statement] = STATE(277),
    [sym_do_statement] = STATE(277),
    [sym_for_statement] = STATE(277),
    [sym_return_statement] = STATE(277),
    [sym_break_statement] = STATE(277),
    [sym_continue_statement] = STATE(277),
    [sym_goto_statement] = STATE(277),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(237),
    [sym_attributed_statement] = STATE(237),
    [sym_labeled_statement] = STATE(237),
    [sym_expression_statement] = STATE(237),
    [sym_if_statement] = STATE(237),
    [sym_switch_statement] = STATE(237),
    [sym_case_statement] = STATE(237),
    [sym_while_statement] = STATE(237),
    [sym_do_statement] = STATE(237),
    [sym_for_statement] = STATE(237),
    [sym_return_statement] = STATE(237),
    [sym_break_statement] = STATE(237),
    [sym_continue_statement] = STATE(237),
    [sym_goto_statement] = STATE(237),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(250),
    [sym_attributed_statement] = STATE(250),
    [sym_labeled_statement] = STATE(250),
    [sym_expression_statement] = STATE(250),
    [sym_if_statement] = STATE(250),
    [sym_switch_statement] = STATE(250),
    [sym_case_statement] = STATE(250),
    [sym_while_statement] = STATE(250),
    [sym_do_statement] = STATE(250),
    [sym_for_statement] = STATE(250),
    [sym_return_statement] = STATE(250),
    [sym_break_statement] = STATE(250),
    [sym_continue_statement] = STATE(250),
    [sym_goto_statement] = STATE(250),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(265),
    [sym_attributed_statement] = STATE(265),
    [sym_labeled_statement] = STATE(265),
    [sym_expression_statement] = STATE(265),
    [sym_if_statement] = STATE(265),
    [sym_switch_statement] = STATE(265),
    [sym_case_statement] = STATE(265),
    [sym_while_statement] = STATE(265),
    [sym_do_statement] = STATE(265),
    [sym_for_statement] = STATE(265),
    [sym_return_statement] = STATE(265),
    [sym_break_statement] = STATE(265),
    [sym_continue_statement] = STATE(265),
    [sym_goto_statement] = STATE(265),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(267),
    [sym_attributed_statement] = STATE(267),
    [sym_labeled_statement] = STATE(267),
    [sym_expression_statement] = STATE(267),
    [sym_if_statement] = STATE(267),
    [sym_switch_statement] = STATE(267),
    [sym_case_statement] = STATE(267),
    [sym_while_statement] = STATE(267),
    [sym_do_statement] = STATE(267),
    [sym_for_statement] = STATE(267),
    [sym_return_statement] = STATE(267),
    [sym_break_statement] = STATE(267),
    [sym_continue_statement] = STATE(267),
    [sym_goto_statement] = STATE(267),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(283),
    [sym_attributed_statement] = STATE(283),
    [sym_labeled_statement] = STATE(283),
    [sym_expression_statement] = STATE(283),
    [sym_if_statement] = STATE(283),
    [sym_switch_statement] = STATE(283),
    [sym_case_statement] = STATE(283),
    [sym_while_statement] = STATE(283),
    [sym_do_statement] = STATE(283),
    [sym_for_statement] = STATE(283),
    [sym_return_statement] = STATE(283),
    [sym_break_statement] = STATE(283),
    [sym_continue_statement] = STATE(283),
    [sym_goto_statement] = STATE(283),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(291),
    [sym_attributed_statement] = STATE(291),
    [sym_labeled_statement] = STATE(291),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(291),
    [sym_switch_statement] = STATE(291),
    [sym_case_statement] = STATE(291),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(291),
    [sym_return_statement] = STATE(291),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(291),
    [sym_goto_statement] = STATE(291),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(293),
    [sym_attributed_statement] = STATE(293),
    [sym_labeled_statement] = STATE(293),
    [sym_expression_statement] = STATE(293),
    [sym_if_statement] = STATE(293),
    [sym_switch_statement] = STATE(293),
    [sym_case_statement] = STATE(293),
    [sym_while_statement] = STATE(293),
    [sym_do_statement] = STATE(293),
    [sym_for_statement] = STATE(293),
    [sym_return_statement] = STATE(293),
    [sym_break_statement] = STATE(293),
    [sym_continue_statement] = STATE(293),
    [sym_goto_statement] = STATE(293),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(294),
    [sym_attributed_statement] = STATE(294),
    [sym_labeled_statement] = STATE(294),
    [sym_expression_statement] = STATE(294),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(294),
    [sym_case_statement] = STATE(294),
    [sym_while_statement] = STATE(294),
    [sym_do_statement] = STATE(294),
    [sym_for_statement] = STATE(294),
    [sym_return_statement] = STATE(294),
    [sym_break_statement] = STATE(294),
    [sym_continue_statement] = STATE(294),
    [sym_goto_statement] = STATE(294),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(296),
    [sym_attributed_statement] = STATE(296),
    [sym_labeled_statement] = STATE(296),
    [sym_expression_statement] = STATE(296),
    [sym_if_statement] = STATE(296),
    [sym_switch_statement] = STATE(296),
    [sym_case_statement] = STATE(296),
    [sym_while_statement] = STATE(296),
    [sym_do_statement] = STATE(296),
    [sym_for_statement] = STATE(296),
    [sym_return_statement] = STATE(296),
    [sym_break_statement] = STATE(296),
    [sym_continue_statement] = STATE(296),
    [sym_goto_statement] = STATE(296),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(300),
    [sym_attributed_statement] = STATE(300),
    [sym_labeled_statement] = STATE(300),
    [sym_expression_statement] = STATE(300),
    [sym_if_statement] = STATE(300),
    [sym_switch_statement] = STATE(300),
    [sym_case_statement] = STATE(300),
    [sym_while_statement] = STATE(300),
    [sym_do_statement] = STATE(300),
    [sym_for_statement] = STATE(300),
    [sym_return_statement] = STATE(300),
    [sym_break_statement] = STATE(300),
    [sym_continue_statement] = STATE(300),
    [sym_goto_statement] = STATE(300),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_attribute_declaration] = STATE(341),
    [sym_compound_statement] = STATE(312),
    [sym_attributed_statement] = STATE(312),
    [sym_labeled_statement] = STATE(312),
    [sym_expression_statement] = STATE(312),
    [sym_if_statement] = STATE(312),
    [sym_switch_statement] = STATE(312),
    [sym_case_statement] = STATE(312),
    [sym_while_statement] = STATE(312),
    [sym_do_statement] = STATE(312),
    [sym_for_statement] = STATE(312),
    [sym_return_statement] = STATE(312),
    [sym_break_statement] = STATE(312),
    [sym_continue_statement] = STATE(312),
    [sym_goto_statement] = STATE(312),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(341),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(257),
    [sym_attributed_statement] = STATE(257),
    [sym_labeled_statement] = STATE(257),
    [sym_expression_statement] = STATE(257),
    [sym_if_statement] = STATE(257),
    [sym_switch_statement] = STATE(257),
    [sym_case_statement] = STATE(257),
    [sym_while_statement] = STATE(257),
    [sym_do_statement] = STATE(257),
    [sym_for_statement] = STATE(257),
    [sym_return_statement] = STATE(257),
    [sym_break_statement] = STATE(257),
    [sym_continue_statement] = STATE(257),
    [sym_goto_statement] = STATE(257),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(143),
    [sym_attributed_statement] = STATE(143),
    [sym_labeled_statement] = STATE(143),
    [sym_expression_statement] = STATE(143),
    [sym_if_statement] = STATE(143),
    [sym_switch_statement] = STATE(143),
    [sym_case_statement] = STATE(143),
    [sym_while_statement] = STATE(143),
    [sym_do_statement] = STATE(143),
    [sym_for_statement] = STATE(143),
    [sym_return_statement] = STATE(143),
    [sym_break_statement] = STATE(143),
    [sym_continue_statement] = STATE(143),
    [sym_goto_statement] = STATE(143),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(209),
    [sym_attributed_statement] = STATE(209),
    [sym_labeled_statement] = STATE(209),
    [sym_expression_statement] = STATE(209),
    [sym_if_statement] = STATE(209),
    [sym_switch_statement] = STATE(209),
    [sym_case_statement] = STATE(209),
    [sym_while_statement] = STATE(209),
    [sym_do_statement] = STATE(209),
    [sym_for_statement] = STATE(209),
    [sym_return_statement] = STATE(209),
    [sym_break_statement] = STATE(209),
    [sym_continue_statement] = STATE(209),
    [sym_goto_statement] = STATE(209),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(178),
    [sym_attributed_statement] = STATE(178),
    [sym_labeled_statement] = STATE(178),
    [sym_expression_statement] = STATE(178),
    [sym_if_statement] = STATE(178),
    [sym_switch_statement] = STATE(178),
    [sym_case_statement] = STATE(178),
    [sym_while_statement] = STATE(178),
    [sym_do_statement] = STATE(178),
    [sym_for_statement] = STATE(178),
    [sym_return_statement] = STATE(178),
    [sym_break_statement] = STATE(178),
    [sym_continue_statement] = STATE(178),
    [sym_goto_statement] = STATE(178),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(158),
    [sym_attributed_statement] = STATE(158),
    [sym_labeled_statement] = STATE(158),
    [sym_expression_statement] = STATE(158),
    [sym_if_statement] = STATE(158),
    [sym_switch_statement] = STATE(158),
    [sym_case_statement] = STATE(158),
    [sym_while_statement] = STATE(158),
    [sym_do_statement] = STATE(158),
    [sym_for_statement] = STATE(158),
    [sym_return_statement] = STATE(158),
    [sym_break_statement] = STATE(158),
    [sym_continue_statement] = STATE(158),
    [sym_goto_statement] = STATE(158),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(392),
    [sym_attributed_statement] = STATE(392),
    [sym_labeled_statement] = STATE(392),
    [sym_expression_statement] = STATE(392),
    [sym_if_statement] = STATE(392),
    [sym_switch_statement] = STATE(392),
    [sym_case_statement] = STATE(392),
    [sym_while_statement] = STATE(392),
    [sym_do_statement] = STATE(392),
    [sym_for_statement] = STATE(392),
    [sym_return_statement] = STATE(392),
    [sym_break_statement] = STATE(392),
    [sym_continue_statement] = STATE(392),
    [sym_goto_statement] = STATE(392),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_attribute_declaration] = STATE(374),
    [sym_compound_statement] = STATE(168),
    [sym_attributed_statement] = STATE(168),
    [sym_labeled_statement] = STATE(168),
    [sym_expression_statement] = STATE(168),
    [sym_if_statement] = STATE(168),
    [sym_switch_statement] = STATE(168),
    [sym_case_statement] = STATE(168),
    [sym_while_statement] = STATE(168),
    [sym_do_statement] = STATE(168),
    [sym_for_statement] = STATE(168),
    [sym_return_statement] = STATE(168),
    [sym_break_statement] = STATE(168),
    [sym_continue_statement] = STATE(168),
    [sym_goto_statement] = STATE(168),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(374),
    [sym_identifier] = ACTIONS(1659),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_if] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1677),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1686),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_continue] = ACTIONS(1695),
    [anon_sym_goto] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(175),
    [sym_attributed_statement] = STATE(175),
    [sym_labeled_statement] = STATE(175),
    [sym_expression_statement] = STATE(175),
    [sym_if_statement] = STATE(175),
    [sym_switch_statement] = STATE(175),
    [sym_case_statement] = STATE(175),
    [sym_while_statement] = STATE(175),
    [sym_do_statement] = STATE(175),
    [sym_for_statement] = STATE(175),
    [sym_return_statement] = STATE(175),
    [sym_break_statement] = STATE(175),
    [sym_continue_statement] = STATE(175),
    [sym_goto_statement] = STATE(175),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(185),
    [sym_attributed_statement] = STATE(185),
    [sym_labeled_statement] = STATE(185),
    [sym_expression_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_switch_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_while_statement] = STATE(185),
    [sym_do_statement] = STATE(185),
    [sym_for_statement] = STATE(185),
    [sym_return_statement] = STATE(185),
    [sym_break_statement] = STATE(185),
    [sym_continue_statement] = STATE(185),
    [sym_goto_statement] = STATE(185),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(186),
    [sym_attributed_statement] = STATE(186),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(1992),
    [sym_attributed_statement] = STATE(1992),
    [sym_labeled_statement] = STATE(1992),
    [sym_expression_statement] = STATE(1992),
    [sym_if_statement] = STATE(1992),
    [sym_switch_statement] = STATE(1992),
    [sym_case_statement] = STATE(1992),
    [sym_while_statement] = STATE(1992),
    [sym_do_statement] = STATE(1992),
    [sym_for_statement] = STATE(1992),
    [sym_return_statement] = STATE(1992),
    [sym_break_statement] = STATE(1992),
    [sym_continue_statement] = STATE(1992),
    [sym_goto_statement] = STATE(1992),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(188),
    [sym_attributed_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_expression_statement] = STATE(188),
    [sym_if_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_case_statement] = STATE(188),
    [sym_while_statement] = STATE(188),
    [sym_do_statement] = STATE(188),
    [sym_for_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_goto_statement] = STATE(188),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(190),
    [sym_attributed_statement] = STATE(190),
    [sym_labeled_statement] = STATE(190),
    [sym_expression_statement] = STATE(190),
    [sym_if_statement] = STATE(190),
    [sym_switch_statement] = STATE(190),
    [sym_case_statement] = STATE(190),
    [sym_while_statement] = STATE(190),
    [sym_do_statement] = STATE(190),
    [sym_for_statement] = STATE(190),
    [sym_return_statement] = STATE(190),
    [sym_break_statement] = STATE(190),
    [sym_continue_statement] = STATE(190),
    [sym_goto_statement] = STATE(190),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(191),
    [sym_attributed_statement] = STATE(191),
    [sym_labeled_statement] = STATE(191),
    [sym_expression_statement] = STATE(191),
    [sym_if_statement] = STATE(191),
    [sym_switch_statement] = STATE(191),
    [sym_case_statement] = STATE(191),
    [sym_while_statement] = STATE(191),
    [sym_do_statement] = STATE(191),
    [sym_for_statement] = STATE(191),
    [sym_return_statement] = STATE(191),
    [sym_break_statement] = STATE(191),
    [sym_continue_statement] = STATE(191),
    [sym_goto_statement] = STATE(191),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(192),
    [sym_attributed_statement] = STATE(192),
    [sym_labeled_statement] = STATE(192),
    [sym_expression_statement] = STATE(192),
    [sym_if_statement] = STATE(192),
    [sym_switch_statement] = STATE(192),
    [sym_case_statement] = STATE(192),
    [sym_while_statement] = STATE(192),
    [sym_do_statement] = STATE(192),
    [sym_for_statement] = STATE(192),
    [sym_return_statement] = STATE(192),
    [sym_break_statement] = STATE(192),
    [sym_continue_statement] = STATE(192),
    [sym_goto_statement] = STATE(192),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(194),
    [sym_attributed_statement] = STATE(194),
    [sym_labeled_statement] = STATE(194),
    [sym_expression_statement] = STATE(194),
    [sym_if_statement] = STATE(194),
    [sym_switch_statement] = STATE(194),
    [sym_case_statement] = STATE(194),
    [sym_while_statement] = STATE(194),
    [sym_do_statement] = STATE(194),
    [sym_for_statement] = STATE(194),
    [sym_return_statement] = STATE(194),
    [sym_break_statement] = STATE(194),
    [sym_continue_statement] = STATE(194),
    [sym_goto_statement] = STATE(194),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(195),
    [sym_attributed_statement] = STATE(195),
    [sym_labeled_statement] = STATE(195),
    [sym_expression_statement] = STATE(195),
    [sym_if_statement] = STATE(195),
    [sym_switch_statement] = STATE(195),
    [sym_case_statement] = STATE(195),
    [sym_while_statement] = STATE(195),
    [sym_do_statement] = STATE(195),
    [sym_for_statement] = STATE(195),
    [sym_return_statement] = STATE(195),
    [sym_break_statement] = STATE(195),
    [sym_continue_statement] = STATE(195),
    [sym_goto_statement] = STATE(195),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(193),
    [sym_attributed_statement] = STATE(193),
    [sym_labeled_statement] = STATE(193),
    [sym_expression_statement] = STATE(193),
    [sym_if_statement] = STATE(193),
    [sym_switch_statement] = STATE(193),
    [sym_case_statement] = STATE(193),
    [sym_while_statement] = STATE(193),
    [sym_do_statement] = STATE(193),
    [sym_for_statement] = STATE(193),
    [sym_return_statement] = STATE(193),
    [sym_break_statement] = STATE(193),
    [sym_continue_statement] = STATE(193),
    [sym_goto_statement] = STATE(193),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(180),
    [sym_attributed_statement] = STATE(180),
    [sym_labeled_statement] = STATE(180),
    [sym_expression_statement] = STATE(180),
    [sym_if_statement] = STATE(180),
    [sym_switch_statement] = STATE(180),
    [sym_case_statement] = STATE(180),
    [sym_while_statement] = STATE(180),
    [sym_do_statement] = STATE(180),
    [sym_for_statement] = STATE(180),
    [sym_return_statement] = STATE(180),
    [sym_break_statement] = STATE(180),
    [sym_continue_statement] = STATE(180),
    [sym_goto_statement] = STATE(180),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(177),
    [sym_attributed_statement] = STATE(177),
    [sym_labeled_statement] = STATE(177),
    [sym_expression_statement] = STATE(177),
    [sym_if_statement] = STATE(177),
    [sym_switch_statement] = STATE(177),
    [sym_case_statement] = STATE(177),
    [sym_while_statement] = STATE(177),
    [sym_do_statement] = STATE(177),
    [sym_for_statement] = STATE(177),
    [sym_return_statement] = STATE(177),
    [sym_break_statement] = STATE(177),
    [sym_continue_statement] = STATE(177),
    [sym_goto_statement] = STATE(177),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(174),
    [sym_attributed_statement] = STATE(174),
    [sym_labeled_statement] = STATE(174),
    [sym_expression_statement] = STATE(174),
    [sym_if_statement] = STATE(174),
    [sym_switch_statement] = STATE(174),
    [sym_case_statement] = STATE(174),
    [sym_while_statement] = STATE(174),
    [sym_do_statement] = STATE(174),
    [sym_for_statement] = STATE(174),
    [sym_return_statement] = STATE(174),
    [sym_break_statement] = STATE(174),
    [sym_continue_statement] = STATE(174),
    [sym_goto_statement] = STATE(174),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(410),
    [sym_attributed_statement] = STATE(410),
    [sym_labeled_statement] = STATE(410),
    [sym_expression_statement] = STATE(410),
    [sym_if_statement] = STATE(410),
    [sym_switch_statement] = STATE(410),
    [sym_case_statement] = STATE(410),
    [sym_while_statement] = STATE(410),
    [sym_do_statement] = STATE(410),
    [sym_for_statement] = STATE(410),
    [sym_return_statement] = STATE(410),
    [sym_break_statement] = STATE(410),
    [sym_continue_statement] = STATE(410),
    [sym_goto_statement] = STATE(410),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_attribute_declaration] = STATE(306),
    [sym_compound_statement] = STATE(108),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_case_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym__expression] = STATE(1099),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1790),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(306),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(419),
    [sym_attributed_statement] = STATE(419),
    [sym_labeled_statement] = STATE(419),
    [sym_expression_statement] = STATE(419),
    [sym_if_statement] = STATE(419),
    [sym_switch_statement] = STATE(419),
    [sym_case_statement] = STATE(419),
    [sym_while_statement] = STATE(419),
    [sym_do_statement] = STATE(419),
    [sym_for_statement] = STATE(419),
    [sym_return_statement] = STATE(419),
    [sym_break_statement] = STATE(419),
    [sym_continue_statement] = STATE(419),
    [sym_goto_statement] = STATE(419),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(204),
    [sym_attributed_statement] = STATE(204),
    [sym_labeled_statement] = STATE(204),
    [sym_expression_statement] = STATE(204),
    [sym_if_statement] = STATE(204),
    [sym_switch_statement] = STATE(204),
    [sym_case_statement] = STATE(204),
    [sym_while_statement] = STATE(204),
    [sym_do_statement] = STATE(204),
    [sym_for_statement] = STATE(204),
    [sym_return_statement] = STATE(204),
    [sym_break_statement] = STATE(204),
    [sym_continue_statement] = STATE(204),
    [sym_goto_statement] = STATE(204),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(252),
    [sym_attributed_statement] = STATE(252),
    [sym_labeled_statement] = STATE(252),
    [sym_expression_statement] = STATE(252),
    [sym_if_statement] = STATE(252),
    [sym_switch_statement] = STATE(252),
    [sym_case_statement] = STATE(252),
    [sym_while_statement] = STATE(252),
    [sym_do_statement] = STATE(252),
    [sym_for_statement] = STATE(252),
    [sym_return_statement] = STATE(252),
    [sym_break_statement] = STATE(252),
    [sym_continue_statement] = STATE(252),
    [sym_goto_statement] = STATE(252),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_attribute_declaration] = STATE(404),
    [sym_compound_statement] = STATE(270),
    [sym_attributed_statement] = STATE(270),
    [sym_labeled_statement] = STATE(270),
    [sym_expression_statement] = STATE(270),
    [sym_if_statement] = STATE(270),
    [sym_switch_statement] = STATE(270),
    [sym_case_statement] = STATE(270),
    [sym_while_statement] = STATE(270),
    [sym_do_statement] = STATE(270),
    [sym_for_statement] = STATE(270),
    [sym_return_statement] = STATE(270),
    [sym_break_statement] = STATE(270),
    [sym_continue_statement] = STATE(270),
    [sym_goto_statement] = STATE(270),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(404),
    [sym_identifier] = ACTIONS(1701),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1713),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1722),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1734),
    [anon_sym_continue] = ACTIONS(1737),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_attribute_declaration] = STATE(311),
    [sym_compound_statement] = STATE(312),
    [sym_attributed_statement] = STATE(312),
    [sym_labeled_statement] = STATE(312),
    [sym_expression_statement] = STATE(312),
    [sym_if_statement] = STATE(312),
    [sym_switch_statement] = STATE(312),
    [sym_case_statement] = STATE(312),
    [sym_while_statement] = STATE(312),
    [sym_do_statement] = STATE(312),
    [sym_for_statement] = STATE(312),
    [sym_return_statement] = STATE(312),
    [sym_break_statement] = STATE(312),
    [sym_continue_statement] = STATE(312),
    [sym_goto_statement] = STATE(312),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(311),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(233),
    [sym_attributed_statement] = STATE(233),
    [sym_labeled_statement] = STATE(233),
    [sym_expression_statement] = STATE(233),
    [sym_if_statement] = STATE(233),
    [sym_switch_statement] = STATE(233),
    [sym_case_statement] = STATE(233),
    [sym_while_statement] = STATE(233),
    [sym_do_statement] = STATE(233),
    [sym_for_statement] = STATE(233),
    [sym_return_statement] = STATE(233),
    [sym_break_statement] = STATE(233),
    [sym_continue_statement] = STATE(233),
    [sym_goto_statement] = STATE(233),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(226),
    [sym_attributed_statement] = STATE(226),
    [sym_labeled_statement] = STATE(226),
    [sym_expression_statement] = STATE(226),
    [sym_if_statement] = STATE(226),
    [sym_switch_statement] = STATE(226),
    [sym_case_statement] = STATE(226),
    [sym_while_statement] = STATE(226),
    [sym_do_statement] = STATE(226),
    [sym_for_statement] = STATE(226),
    [sym_return_statement] = STATE(226),
    [sym_break_statement] = STATE(226),
    [sym_continue_statement] = STATE(226),
    [sym_goto_statement] = STATE(226),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(225),
    [sym_attributed_statement] = STATE(225),
    [sym_labeled_statement] = STATE(225),
    [sym_expression_statement] = STATE(225),
    [sym_if_statement] = STATE(225),
    [sym_switch_statement] = STATE(225),
    [sym_case_statement] = STATE(225),
    [sym_while_statement] = STATE(225),
    [sym_do_statement] = STATE(225),
    [sym_for_statement] = STATE(225),
    [sym_return_statement] = STATE(225),
    [sym_break_statement] = STATE(225),
    [sym_continue_statement] = STATE(225),
    [sym_goto_statement] = STATE(225),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(451),
    [sym_attributed_statement] = STATE(451),
    [sym_labeled_statement] = STATE(451),
    [sym_expression_statement] = STATE(451),
    [sym_if_statement] = STATE(451),
    [sym_switch_statement] = STATE(451),
    [sym_case_statement] = STATE(451),
    [sym_while_statement] = STATE(451),
    [sym_do_statement] = STATE(451),
    [sym_for_statement] = STATE(451),
    [sym_return_statement] = STATE(451),
    [sym_break_statement] = STATE(451),
    [sym_continue_statement] = STATE(451),
    [sym_goto_statement] = STATE(451),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(450),
    [sym_attributed_statement] = STATE(450),
    [sym_labeled_statement] = STATE(450),
    [sym_expression_statement] = STATE(450),
    [sym_if_statement] = STATE(450),
    [sym_switch_statement] = STATE(450),
    [sym_case_statement] = STATE(450),
    [sym_while_statement] = STATE(450),
    [sym_do_statement] = STATE(450),
    [sym_for_statement] = STATE(450),
    [sym_return_statement] = STATE(450),
    [sym_break_statement] = STATE(450),
    [sym_continue_statement] = STATE(450),
    [sym_goto_statement] = STATE(450),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(223),
    [sym_attributed_statement] = STATE(223),
    [sym_labeled_statement] = STATE(223),
    [sym_expression_statement] = STATE(223),
    [sym_if_statement] = STATE(223),
    [sym_switch_statement] = STATE(223),
    [sym_case_statement] = STATE(223),
    [sym_while_statement] = STATE(223),
    [sym_do_statement] = STATE(223),
    [sym_for_statement] = STATE(223),
    [sym_return_statement] = STATE(223),
    [sym_break_statement] = STATE(223),
    [sym_continue_statement] = STATE(223),
    [sym_goto_statement] = STATE(223),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_attribute_declaration] = STATE(406),
    [sym_compound_statement] = STATE(289),
    [sym_attributed_statement] = STATE(289),
    [sym_labeled_statement] = STATE(289),
    [sym_expression_statement] = STATE(289),
    [sym_if_statement] = STATE(289),
    [sym_switch_statement] = STATE(289),
    [sym_case_statement] = STATE(289),
    [sym_while_statement] = STATE(289),
    [sym_do_statement] = STATE(289),
    [sym_for_statement] = STATE(289),
    [sym_return_statement] = STATE(289),
    [sym_break_statement] = STATE(289),
    [sym_continue_statement] = STATE(289),
    [sym_goto_statement] = STATE(289),
    [sym__expression] = STATE(1061),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1976),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(406),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(402),
    [sym_attributed_statement] = STATE(402),
    [sym_labeled_statement] = STATE(402),
    [sym_expression_statement] = STATE(402),
    [sym_if_statement] = STATE(402),
    [sym_switch_statement] = STATE(402),
    [sym_case_statement] = STATE(402),
    [sym_while_statement] = STATE(402),
    [sym_do_statement] = STATE(402),
    [sym_for_statement] = STATE(402),
    [sym_return_statement] = STATE(402),
    [sym_break_statement] = STATE(402),
    [sym_continue_statement] = STATE(402),
    [sym_goto_statement] = STATE(402),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(260),
    [sym_attributed_statement] = STATE(260),
    [sym_labeled_statement] = STATE(260),
    [sym_expression_statement] = STATE(260),
    [sym_if_statement] = STATE(260),
    [sym_switch_statement] = STATE(260),
    [sym_case_statement] = STATE(260),
    [sym_while_statement] = STATE(260),
    [sym_do_statement] = STATE(260),
    [sym_for_statement] = STATE(260),
    [sym_return_statement] = STATE(260),
    [sym_break_statement] = STATE(260),
    [sym_continue_statement] = STATE(260),
    [sym_goto_statement] = STATE(260),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(268),
    [sym_attributed_statement] = STATE(268),
    [sym_labeled_statement] = STATE(268),
    [sym_expression_statement] = STATE(268),
    [sym_if_statement] = STATE(268),
    [sym_switch_statement] = STATE(268),
    [sym_case_statement] = STATE(268),
    [sym_while_statement] = STATE(268),
    [sym_do_statement] = STATE(268),
    [sym_for_statement] = STATE(268),
    [sym_return_statement] = STATE(268),
    [sym_break_statement] = STATE(268),
    [sym_continue_statement] = STATE(268),
    [sym_goto_statement] = STATE(268),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(275),
    [sym_attributed_statement] = STATE(275),
    [sym_labeled_statement] = STATE(275),
    [sym_expression_statement] = STATE(275),
    [sym_if_statement] = STATE(275),
    [sym_switch_statement] = STATE(275),
    [sym_case_statement] = STATE(275),
    [sym_while_statement] = STATE(275),
    [sym_do_statement] = STATE(275),
    [sym_for_statement] = STATE(275),
    [sym_return_statement] = STATE(275),
    [sym_break_statement] = STATE(275),
    [sym_continue_statement] = STATE(275),
    [sym_goto_statement] = STATE(275),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(279),
    [sym_attributed_statement] = STATE(279),
    [sym_labeled_statement] = STATE(279),
    [sym_expression_statement] = STATE(279),
    [sym_if_statement] = STATE(279),
    [sym_switch_statement] = STATE(279),
    [sym_case_statement] = STATE(279),
    [sym_while_statement] = STATE(279),
    [sym_do_statement] = STATE(279),
    [sym_for_statement] = STATE(279),
    [sym_return_statement] = STATE(279),
    [sym_break_statement] = STATE(279),
    [sym_continue_statement] = STATE(279),
    [sym_goto_statement] = STATE(279),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(280),
    [sym_attributed_statement] = STATE(280),
    [sym_labeled_statement] = STATE(280),
    [sym_expression_statement] = STATE(280),
    [sym_if_statement] = STATE(280),
    [sym_switch_statement] = STATE(280),
    [sym_case_statement] = STATE(280),
    [sym_while_statement] = STATE(280),
    [sym_do_statement] = STATE(280),
    [sym_for_statement] = STATE(280),
    [sym_return_statement] = STATE(280),
    [sym_break_statement] = STATE(280),
    [sym_continue_statement] = STATE(280),
    [sym_goto_statement] = STATE(280),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(281),
    [sym_attributed_statement] = STATE(281),
    [sym_labeled_statement] = STATE(281),
    [sym_expression_statement] = STATE(281),
    [sym_if_statement] = STATE(281),
    [sym_switch_statement] = STATE(281),
    [sym_case_statement] = STATE(281),
    [sym_while_statement] = STATE(281),
    [sym_do_statement] = STATE(281),
    [sym_for_statement] = STATE(281),
    [sym_return_statement] = STATE(281),
    [sym_break_statement] = STATE(281),
    [sym_continue_statement] = STATE(281),
    [sym_goto_statement] = STATE(281),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(282),
    [sym_attributed_statement] = STATE(282),
    [sym_labeled_statement] = STATE(282),
    [sym_expression_statement] = STATE(282),
    [sym_if_statement] = STATE(282),
    [sym_switch_statement] = STATE(282),
    [sym_case_statement] = STATE(282),
    [sym_while_statement] = STATE(282),
    [sym_do_statement] = STATE(282),
    [sym_for_statement] = STATE(282),
    [sym_return_statement] = STATE(282),
    [sym_break_statement] = STATE(282),
    [sym_continue_statement] = STATE(282),
    [sym_goto_statement] = STATE(282),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(447),
    [sym_attributed_statement] = STATE(447),
    [sym_labeled_statement] = STATE(447),
    [sym_expression_statement] = STATE(447),
    [sym_if_statement] = STATE(447),
    [sym_switch_statement] = STATE(447),
    [sym_case_statement] = STATE(447),
    [sym_while_statement] = STATE(447),
    [sym_do_statement] = STATE(447),
    [sym_for_statement] = STATE(447),
    [sym_return_statement] = STATE(447),
    [sym_break_statement] = STATE(447),
    [sym_continue_statement] = STATE(447),
    [sym_goto_statement] = STATE(447),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(446),
    [sym_attributed_statement] = STATE(446),
    [sym_labeled_statement] = STATE(446),
    [sym_expression_statement] = STATE(446),
    [sym_if_statement] = STATE(446),
    [sym_switch_statement] = STATE(446),
    [sym_case_statement] = STATE(446),
    [sym_while_statement] = STATE(446),
    [sym_do_statement] = STATE(446),
    [sym_for_statement] = STATE(446),
    [sym_return_statement] = STATE(446),
    [sym_break_statement] = STATE(446),
    [sym_continue_statement] = STATE(446),
    [sym_goto_statement] = STATE(446),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_attribute_declaration] = STATE(374),
    [sym_compound_statement] = STATE(168),
    [sym_attributed_statement] = STATE(168),
    [sym_labeled_statement] = STATE(168),
    [sym_expression_statement] = STATE(168),
    [sym_if_statement] = STATE(168),
    [sym_switch_statement] = STATE(168),
    [sym_case_statement] = STATE(168),
    [sym_while_statement] = STATE(168),
    [sym_do_statement] = STATE(168),
    [sym_for_statement] = STATE(168),
    [sym_return_statement] = STATE(168),
    [sym_break_statement] = STATE(168),
    [sym_continue_statement] = STATE(168),
    [sym_goto_statement] = STATE(168),
    [sym__expression] = STATE(1096),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1958),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(374),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(1762),
    [sym_attributed_statement] = STATE(1762),
    [sym_labeled_statement] = STATE(1762),
    [sym_expression_statement] = STATE(1762),
    [sym_if_statement] = STATE(1762),
    [sym_switch_statement] = STATE(1762),
    [sym_case_statement] = STATE(1762),
    [sym_while_statement] = STATE(1762),
    [sym_do_statement] = STATE(1762),
    [sym_for_statement] = STATE(1762),
    [sym_return_statement] = STATE(1762),
    [sym_break_statement] = STATE(1762),
    [sym_continue_statement] = STATE(1762),
    [sym_goto_statement] = STATE(1762),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_attribute_declaration] = STATE(404),
    [sym_compound_statement] = STATE(270),
    [sym_attributed_statement] = STATE(270),
    [sym_labeled_statement] = STATE(270),
    [sym_expression_statement] = STATE(270),
    [sym_if_statement] = STATE(270),
    [sym_switch_statement] = STATE(270),
    [sym_case_statement] = STATE(270),
    [sym_while_statement] = STATE(270),
    [sym_do_statement] = STATE(270),
    [sym_for_statement] = STATE(270),
    [sym_return_statement] = STATE(270),
    [sym_break_statement] = STATE(270),
    [sym_continue_statement] = STATE(270),
    [sym_goto_statement] = STATE(270),
    [sym__expression] = STATE(1130),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1788),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(404),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(672),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(682),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(686),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(444),
    [sym_attributed_statement] = STATE(444),
    [sym_labeled_statement] = STATE(444),
    [sym_expression_statement] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_switch_statement] = STATE(444),
    [sym_case_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_do_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_return_statement] = STATE(444),
    [sym_break_statement] = STATE(444),
    [sym_continue_statement] = STATE(444),
    [sym_goto_statement] = STATE(444),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(436),
    [sym_attributed_statement] = STATE(436),
    [sym_labeled_statement] = STATE(436),
    [sym_expression_statement] = STATE(436),
    [sym_if_statement] = STATE(436),
    [sym_switch_statement] = STATE(436),
    [sym_case_statement] = STATE(436),
    [sym_while_statement] = STATE(436),
    [sym_do_statement] = STATE(436),
    [sym_for_statement] = STATE(436),
    [sym_return_statement] = STATE(436),
    [sym_break_statement] = STATE(436),
    [sym_continue_statement] = STATE(436),
    [sym_goto_statement] = STATE(436),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(439),
    [sym_attributed_statement] = STATE(439),
    [sym_labeled_statement] = STATE(439),
    [sym_expression_statement] = STATE(439),
    [sym_if_statement] = STATE(439),
    [sym_switch_statement] = STATE(439),
    [sym_case_statement] = STATE(439),
    [sym_while_statement] = STATE(439),
    [sym_do_statement] = STATE(439),
    [sym_for_statement] = STATE(439),
    [sym_return_statement] = STATE(439),
    [sym_break_statement] = STATE(439),
    [sym_continue_statement] = STATE(439),
    [sym_goto_statement] = STATE(439),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(440),
    [sym_attributed_statement] = STATE(440),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(441),
    [sym_attributed_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_case_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_goto_statement] = STATE(441),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1947),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token2] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token2] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token2] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token2] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token2] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token2] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token2] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1743),
    [sym_identifier] = ACTIONS(1745),
    [aux_sym_preproc_include_token1] = ACTIONS(1745),
    [aux_sym_preproc_def_token1] = ACTIONS(1745),
    [aux_sym_preproc_if_token1] = ACTIONS(1745),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1745),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1745),
    [sym_preproc_directive] = ACTIONS(1745),
    [anon_sym_LPAREN2] = ACTIONS(1743),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_AMP] = ACTIONS(1743),
    [anon_sym_typedef] = ACTIONS(1745),
    [anon_sym_extern] = ACTIONS(1745),
    [anon_sym___attribute__] = ACTIONS(1745),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1743),
    [anon_sym___declspec] = ACTIONS(1745),
    [anon_sym___cdecl] = ACTIONS(1745),
    [anon_sym___clrcall] = ACTIONS(1745),
    [anon_sym___stdcall] = ACTIONS(1745),
    [anon_sym___fastcall] = ACTIONS(1745),
    [anon_sym___thiscall] = ACTIONS(1745),
    [anon_sym___vectorcall] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_signed] = ACTIONS(1745),
    [anon_sym_unsigned] = ACTIONS(1745),
    [anon_sym_long] = ACTIONS(1745),
    [anon_sym_short] = ACTIONS(1745),
    [anon_sym_static] = ACTIONS(1745),
    [anon_sym_auto] = ACTIONS(1745),
    [anon_sym_register] = ACTIONS(1745),
    [anon_sym_inline] = ACTIONS(1745),
    [anon_sym_thread_local] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_constexpr] = ACTIONS(1745),
    [anon_sym_volatile] = ACTIONS(1745),
    [anon_sym_restrict] = ACTIONS(1745),
    [anon_sym___restrict__] = ACTIONS(1745),
    [anon_sym__Atomic] = ACTIONS(1745),
    [anon_sym__Noreturn] = ACTIONS(1745),
    [anon_sym_noreturn] = ACTIONS(1745),
    [sym_primitive_type] = ACTIONS(1745),
    [anon_sym_enum] = ACTIONS(1745),
    [anon_sym_struct] = ACTIONS(1745),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_while] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_goto] = ACTIONS(1745),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_sizeof] = ACTIONS(1745),
    [anon_sym_offsetof] = ACTIONS(1745),
    [anon_sym__Generic] = ACTIONS(1745),
    [anon_sym_asm] = ACTIONS(1745),
    [anon_sym___asm__] = ACTIONS(1745),
    [sym_number_literal] = ACTIONS(1743),
    [anon_sym_L_SQUOTE] = ACTIONS(1743),
    [anon_sym_u_SQUOTE] = ACTIONS(1743),
    [anon_sym_U_SQUOTE] = ACTIONS(1743),
    [anon_sym_u8_SQUOTE] = ACTIONS(1743),
    [anon_sym_SQUOTE] = ACTIONS(1743),
    [anon_sym_L_DQUOTE] = ACTIONS(1743),
    [anon_sym_u_DQUOTE] = ACTIONS(1743),
    [anon_sym_U_DQUOTE] = ACTIONS(1743),
    [anon_sym_u8_DQUOTE] = ACTIONS(1743),
    [anon_sym_DQUOTE] = ACTIONS(1743),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [anon_sym_NULL] = ACTIONS(1745),
    [anon_sym_nullptr] = ACTIONS(1745),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [sym_type_qualifier] = STATE(1178),
    [sym__type_specifier] = STATE(1223),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1985),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_type_descriptor] = STATE(1760),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_type_definition_repeat1] = STATE(1178),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [sym_type_qualifier] = STATE(1178),
    [sym__type_specifier] = STATE(1223),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1985),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_type_descriptor] = STATE(1981),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_type_definition_repeat1] = STATE(1178),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [sym_type_qualifier] = STATE(1178),
    [sym__type_specifier] = STATE(1223),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1985),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_type_descriptor] = STATE(1988),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_type_definition_repeat1] = STATE(1178),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [sym_type_qualifier] = STATE(1178),
    [sym__type_specifier] = STATE(1223),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1985),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_type_descriptor] = STATE(1770),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_type_definition_repeat1] = STATE(1178),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [sym_type_qualifier] = STATE(1178),
    [sym__type_specifier] = STATE(1223),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1985),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_type_descriptor] = STATE(1855),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_type_definition_repeat1] = STATE(1178),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [sym_type_qualifier] = STATE(1178),
    [sym__type_specifier] = STATE(1223),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1985),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_type_descriptor] = STATE(1936),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_type_definition_repeat1] = STATE(1178),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym_type_qualifier] = STATE(1178),
    [sym__type_specifier] = STATE(1223),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1985),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_type_descriptor] = STATE(1773),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_type_definition_repeat1] = STATE(1178),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [sym_type_qualifier] = STATE(1178),
    [sym__type_specifier] = STATE(1223),
    [sym_sized_type_specifier] = STATE(1006),
    [sym_enum_specifier] = STATE(1006),
    [sym_struct_specifier] = STATE(1006),
    [sym_union_specifier] = STATE(1006),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(771),
    [sym_comma_expression] = STATE(1985),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_type_descriptor] = STATE(1932),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_macro_type_specifier] = STATE(1006),
    [aux_sym_type_definition_repeat1] = STATE(1178),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(45),
    [anon_sym_constexpr] = ACTIONS(45),
    [anon_sym_volatile] = ACTIONS(45),
    [anon_sym_restrict] = ACTIONS(45),
    [anon_sym___restrict__] = ACTIONS(45),
    [anon_sym__Atomic] = ACTIONS(45),
    [anon_sym__Noreturn] = ACTIONS(45),
    [anon_sym_noreturn] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [sym__expression] = STATE(807),
    [sym__expression_not_binary] = STATE(771),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(811),
    [sym_initializer_list] = STATE(802),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_identifier] = ACTIONS(1753),
    [anon_sym_COMMA] = ACTIONS(1172),
    [anon_sym_RPAREN] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1172),
    [anon_sym_PIPE_PIPE] = ACTIONS(1172),
    [anon_sym_AMP_AMP] = ACTIONS(1172),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1180),
    [anon_sym_EQ_EQ] = ACTIONS(1172),
    [anon_sym_BANG_EQ] = ACTIONS(1172),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1172),
    [anon_sym_LT_EQ] = ACTIONS(1172),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1172),
    [anon_sym_GT_GT] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1172),
    [anon_sym___attribute__] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_COLON] = ACTIONS(1172),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [sym_identifier] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1757),
    [anon_sym_RPAREN] = ACTIONS(1757),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1757),
    [anon_sym_extern] = ACTIONS(1755),
    [anon_sym___attribute__] = ACTIONS(1755),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1757),
    [anon_sym___declspec] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_signed] = ACTIONS(1755),
    [anon_sym_unsigned] = ACTIONS(1755),
    [anon_sym_long] = ACTIONS(1755),
    [anon_sym_short] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1757),
    [anon_sym_static] = ACTIONS(1755),
    [anon_sym_auto] = ACTIONS(1755),
    [anon_sym_register] = ACTIONS(1755),
    [anon_sym_inline] = ACTIONS(1755),
    [anon_sym_thread_local] = ACTIONS(1755),
    [anon_sym_const] = ACTIONS(1755),
    [anon_sym_constexpr] = ACTIONS(1755),
    [anon_sym_volatile] = ACTIONS(1755),
    [anon_sym_restrict] = ACTIONS(1755),
    [anon_sym___restrict__] = ACTIONS(1755),
    [anon_sym__Atomic] = ACTIONS(1755),
    [anon_sym__Noreturn] = ACTIONS(1755),
    [anon_sym_noreturn] = ACTIONS(1755),
    [sym_primitive_type] = ACTIONS(1755),
    [anon_sym_enum] = ACTIONS(1755),
    [anon_sym_COLON] = ACTIONS(1757),
    [anon_sym_struct] = ACTIONS(1755),
    [anon_sym_union] = ACTIONS(1755),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_switch] = ACTIONS(1755),
    [anon_sym_case] = ACTIONS(1755),
    [anon_sym_default] = ACTIONS(1755),
    [anon_sym_while] = ACTIONS(1755),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_for] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_sizeof] = ACTIONS(1755),
    [anon_sym_offsetof] = ACTIONS(1755),
    [anon_sym__Generic] = ACTIONS(1755),
    [anon_sym_asm] = ACTIONS(1755),
    [anon_sym___asm__] = ACTIONS(1755),
    [sym_number_literal] = ACTIONS(1757),
    [anon_sym_L_SQUOTE] = ACTIONS(1757),
    [anon_sym_u_SQUOTE] = ACTIONS(1757),
    [anon_sym_U_SQUOTE] = ACTIONS(1757),
    [anon_sym_u8_SQUOTE] = ACTIONS(1757),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_L_DQUOTE] = ACTIONS(1757),
    [anon_sym_u_DQUOTE] = ACTIONS(1757),
    [anon_sym_U_DQUOTE] = ACTIONS(1757),
    [anon_sym_u8_DQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1757),
    [sym_true] = ACTIONS(1755),
    [sym_false] = ACTIONS(1755),
    [anon_sym_NULL] = ACTIONS(1755),
    [anon_sym_nullptr] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [sym_identifier] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1761),
    [anon_sym_extern] = ACTIONS(1759),
    [anon_sym___attribute__] = ACTIONS(1759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1761),
    [anon_sym___declspec] = ACTIONS(1759),
    [anon_sym_LBRACE] = ACTIONS(1761),
    [anon_sym_signed] = ACTIONS(1759),
    [anon_sym_unsigned] = ACTIONS(1759),
    [anon_sym_long] = ACTIONS(1759),
    [anon_sym_short] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_static] = ACTIONS(1759),
    [anon_sym_auto] = ACTIONS(1759),
    [anon_sym_register] = ACTIONS(1759),
    [anon_sym_inline] = ACTIONS(1759),
    [anon_sym_thread_local] = ACTIONS(1759),
    [anon_sym_const] = ACTIONS(1759),
    [anon_sym_constexpr] = ACTIONS(1759),
    [anon_sym_volatile] = ACTIONS(1759),
    [anon_sym_restrict] = ACTIONS(1759),
    [anon_sym___restrict__] = ACTIONS(1759),
    [anon_sym__Atomic] = ACTIONS(1759),
    [anon_sym__Noreturn] = ACTIONS(1759),
    [anon_sym_noreturn] = ACTIONS(1759),
    [sym_primitive_type] = ACTIONS(1759),
    [anon_sym_enum] = ACTIONS(1759),
    [anon_sym_COLON] = ACTIONS(1761),
    [anon_sym_struct] = ACTIONS(1759),
    [anon_sym_union] = ACTIONS(1759),
    [anon_sym_if] = ACTIONS(1759),
    [anon_sym_switch] = ACTIONS(1759),
    [anon_sym_case] = ACTIONS(1759),
    [anon_sym_default] = ACTIONS(1759),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1759),
    [anon_sym_for] = ACTIONS(1759),
    [anon_sym_return] = ACTIONS(1759),
    [anon_sym_break] = ACTIONS(1759),
    [anon_sym_continue] = ACTIONS(1759),
    [anon_sym_goto] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1761),
    [anon_sym_sizeof] = ACTIONS(1759),
    [anon_sym_offsetof] = ACTIONS(1759),
    [anon_sym__Generic] = ACTIONS(1759),
    [anon_sym_asm] = ACTIONS(1759),
    [anon_sym___asm__] = ACTIONS(1759),
    [sym_number_literal] = ACTIONS(1761),
    [anon_sym_L_SQUOTE] = ACTIONS(1761),
    [anon_sym_u_SQUOTE] = ACTIONS(1761),
    [anon_sym_U_SQUOTE] = ACTIONS(1761),
    [anon_sym_u8_SQUOTE] = ACTIONS(1761),
    [anon_sym_SQUOTE] = ACTIONS(1761),
    [anon_sym_L_DQUOTE] = ACTIONS(1761),
    [anon_sym_u_DQUOTE] = ACTIONS(1761),
    [anon_sym_U_DQUOTE] = ACTIONS(1761),
    [anon_sym_u8_DQUOTE] = ACTIONS(1761),
    [anon_sym_DQUOTE] = ACTIONS(1761),
    [sym_true] = ACTIONS(1759),
    [sym_false] = ACTIONS(1759),
    [anon_sym_NULL] = ACTIONS(1759),
    [anon_sym_nullptr] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [sym__expression] = STATE(829),
    [sym__expression_not_binary] = STATE(771),
    [sym_conditional_expression] = STATE(771),
    [sym_assignment_expression] = STATE(771),
    [sym_pointer_expression] = STATE(848),
    [sym_unary_expression] = STATE(771),
    [sym_binary_expression] = STATE(771),
    [sym_update_expression] = STATE(771),
    [sym_cast_expression] = STATE(771),
    [sym_sizeof_expression] = STATE(771),
    [sym_offsetof_expression] = STATE(771),
    [sym_generic_expression] = STATE(771),
    [sym_subscript_expression] = STATE(848),
    [sym_call_expression] = STATE(848),
    [sym_gnu_asm_expression] = STATE(771),
    [sym_field_expression] = STATE(848),
    [sym_compound_literal_expression] = STATE(771),
    [sym_parenthesized_expression] = STATE(848),
    [sym_initializer_list] = STATE(802),
    [sym_char_literal] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(771),
    [sym_identifier] = ACTIONS(1763),
    [anon_sym_LPAREN2] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1172),
    [anon_sym_PIPE_PIPE] = ACTIONS(1172),
    [anon_sym_AMP_AMP] = ACTIONS(1172),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_EQ_EQ] = ACTIONS(1172),
    [anon_sym_BANG_EQ] = ACTIONS(1172),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1172),
    [anon_sym_LT_EQ] = ACTIONS(1172),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1172),
    [anon_sym_GT_GT] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_RBRACK] = ACTIONS(1172),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_sizeof] = ACTIONS(1775),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [sym_else_clause] = STATE(417),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1777),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [sym_identifier] = ACTIONS(1779),
    [anon_sym_LPAREN2] = ACTIONS(1782),
    [anon_sym_BANG] = ACTIONS(1782),
    [anon_sym_TILDE] = ACTIONS(1782),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1782),
    [anon_sym_extern] = ACTIONS(1786),
    [anon_sym___attribute__] = ACTIONS(1786),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1788),
    [anon_sym___declspec] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(1782),
    [anon_sym_signed] = ACTIONS(1786),
    [anon_sym_unsigned] = ACTIONS(1786),
    [anon_sym_long] = ACTIONS(1786),
    [anon_sym_short] = ACTIONS(1786),
    [anon_sym_static] = ACTIONS(1786),
    [anon_sym_auto] = ACTIONS(1786),
    [anon_sym_register] = ACTIONS(1786),
    [anon_sym_inline] = ACTIONS(1786),
    [anon_sym_thread_local] = ACTIONS(1786),
    [anon_sym_const] = ACTIONS(1786),
    [anon_sym_constexpr] = ACTIONS(1786),
    [anon_sym_volatile] = ACTIONS(1786),
    [anon_sym_restrict] = ACTIONS(1786),
    [anon_sym___restrict__] = ACTIONS(1786),
    [anon_sym__Atomic] = ACTIONS(1786),
    [anon_sym__Noreturn] = ACTIONS(1786),
    [anon_sym_noreturn] = ACTIONS(1786),
    [sym_primitive_type] = ACTIONS(1786),
    [anon_sym_enum] = ACTIONS(1786),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1786),
    [anon_sym_if] = ACTIONS(1784),
    [anon_sym_switch] = ACTIONS(1784),
    [anon_sym_case] = ACTIONS(1784),
    [anon_sym_default] = ACTIONS(1784),
    [anon_sym_while] = ACTIONS(1784),
    [anon_sym_do] = ACTIONS(1784),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_return] = ACTIONS(1784),
    [anon_sym_break] = ACTIONS(1784),
    [anon_sym_continue] = ACTIONS(1784),
    [anon_sym_goto] = ACTIONS(1784),
    [anon_sym_DASH_DASH] = ACTIONS(1782),
    [anon_sym_PLUS_PLUS] = ACTIONS(1782),
    [anon_sym_sizeof] = ACTIONS(1784),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1784),
    [anon_sym_asm] = ACTIONS(1784),
    [anon_sym___asm__] = ACTIONS(1784),
    [sym_number_literal] = ACTIONS(1782),
    [anon_sym_L_SQUOTE] = ACTIONS(1782),
    [anon_sym_u_SQUOTE] = ACTIONS(1782),
    [anon_sym_U_SQUOTE] = ACTIONS(1782),
    [anon_sym_u8_SQUOTE] = ACTIONS(1782),
    [anon_sym_SQUOTE] = ACTIONS(1782),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1784),
    [anon_sym_nullptr] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1791), 1,
      anon_sym_STAR,
    ACTIONS(1793), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1173), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(531), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [113] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1797), 1,
      anon_sym_STAR,
    ACTIONS(1799), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1163), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(814), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [226] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1803), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1149), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(534), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [339] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1805), 1,
      anon_sym_STAR,
    ACTIONS(1807), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1159), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(814), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [452] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1809), 1,
      anon_sym_STAR,
    ACTIONS(1811), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1146), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(814), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [565] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1813), 1,
      anon_sym_STAR,
    ACTIONS(1815), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1169), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(537), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [678] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1817), 1,
      anon_sym_STAR,
    ACTIONS(1819), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1152), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(814), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [791] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1821), 1,
      anon_sym_STAR,
    ACTIONS(1823), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1139), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(814), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [904] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1825), 1,
      anon_sym_STAR,
    ACTIONS(1827), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1138), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(536), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1017] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1829), 1,
      anon_sym_STAR,
    ACTIONS(1831), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1157), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(533), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1130] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1835), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1837), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1839), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1847), 1,
      sym_preproc_directive,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1339), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1841), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1939), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(549), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1248] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1835), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1837), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1847), 1,
      sym_preproc_directive,
    ACTIONS(1849), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1339), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1841), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1873), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(543), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1366] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1835), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1837), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1847), 1,
      sym_preproc_directive,
    ACTIONS(1851), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1339), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1841), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1883), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(547), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1484] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1835), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1837), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1847), 1,
      sym_preproc_directive,
    ACTIONS(1853), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1339), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1841), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1849), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(555), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1602] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1835), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1837), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1847), 1,
      sym_preproc_directive,
    ACTIONS(1855), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1339), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1841), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1792), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(545), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1720] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1835), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1837), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1847), 1,
      sym_preproc_directive,
    ACTIONS(1857), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1339), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1841), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1964), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(555), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1838] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1859), 1,
      sym_identifier,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    ACTIONS(1865), 1,
      anon_sym_LPAREN2,
    ACTIONS(1867), 1,
      anon_sym_STAR,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1250), 1,
      sym__declaration_specifiers,
    STATE(1460), 1,
      sym__declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1525), 1,
      sym__abstract_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1568), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [1962] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1835), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1837), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1847), 1,
      sym_preproc_directive,
    ACTIONS(1873), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1339), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1841), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1836), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(555), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2080] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(1875), 1,
      anon_sym_COMMA,
    ACTIONS(1877), 1,
      anon_sym_RBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1881), 1,
      anon_sym_DOT,
    STATE(753), 1,
      sym_string_literal,
    STATE(1047), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    STATE(1598), 2,
      sym_initializer_list,
      sym_initializer_pair,
    STATE(1482), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2198] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1835), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1837), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1847), 1,
      sym_preproc_directive,
    ACTIONS(1883), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1339), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1841), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(2006), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(555), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2316] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1881), 1,
      anon_sym_DOT,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    STATE(753), 1,
      sym_string_literal,
    STATE(1082), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    STATE(1680), 2,
      sym_initializer_list,
      sym_initializer_pair,
    STATE(1482), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2431] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1881), 1,
      anon_sym_DOT,
    ACTIONS(1887), 1,
      anon_sym_RBRACE,
    STATE(753), 1,
      sym_string_literal,
    STATE(1082), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    STATE(1680), 2,
      sym_initializer_list,
      sym_initializer_pair,
    STATE(1482), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2546] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1881), 1,
      anon_sym_DOT,
    STATE(753), 1,
      sym_string_literal,
    STATE(1082), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    STATE(1680), 2,
      sym_initializer_list,
      sym_initializer_pair,
    STATE(1482), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2658] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1889), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1891), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1893), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(1897), 1,
      sym_preproc_directive,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(1895), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1852), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(561), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2771] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1889), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1891), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1897), 1,
      sym_preproc_directive,
    ACTIONS(1899), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(1895), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1854), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(563), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2884] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1907), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1915), 1,
      sym_preproc_directive,
    ACTIONS(1921), 1,
      anon_sym___attribute__,
    ACTIONS(1924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1927), 1,
      anon_sym___declspec,
    ACTIONS(1936), 1,
      sym_primitive_type,
    ACTIONS(1939), 1,
      anon_sym_enum,
    ACTIONS(1942), 1,
      anon_sym_struct,
    ACTIONS(1945), 1,
      anon_sym_union,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1339), 1,
      sym__declaration_specifiers,
    ACTIONS(1912), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1930), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1910), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(1918), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(1933), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(555), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2991] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1889), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1891), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1897), 1,
      sym_preproc_directive,
    ACTIONS(1948), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(1895), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1804), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(576), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3104] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1889), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1891), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1897), 1,
      sym_preproc_directive,
    ACTIONS(1950), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(1895), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1898), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(576), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3217] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1889), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1891), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1897), 1,
      sym_preproc_directive,
    ACTIONS(1952), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(1895), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1887), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(559), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3330] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1889), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1891), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1897), 1,
      sym_preproc_directive,
    ACTIONS(1954), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(1895), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1994), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(576), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3443] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1889), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1891), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1897), 1,
      sym_preproc_directive,
    ACTIONS(1956), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(1895), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1968), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(557), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3556] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1889), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1891), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1897), 1,
      sym_preproc_directive,
    ACTIONS(1958), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(1895), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1827), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(576), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3669] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1889), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1891), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1897), 1,
      sym_preproc_directive,
    ACTIONS(1960), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(1895), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1838), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(556), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3782] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1889), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1891), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1897), 1,
      sym_preproc_directive,
    ACTIONS(1962), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(1895), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1841), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(576), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3895] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_SEMI,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1984), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1966), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [3977] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1988), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4057] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4137] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1984), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4217] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1992), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4297] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1994), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4377] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_SEMI,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1996), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1966), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4459] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1996), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_SEMI,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1994), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1966), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4621] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_SEMI,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1988), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1966), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4703] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4780] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_SEMI,
    ACTIONS(1980), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1992), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1966), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4861] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1921), 1,
      anon_sym___attribute__,
    ACTIONS(1924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1927), 1,
      anon_sym___declspec,
    ACTIONS(1936), 1,
      sym_primitive_type,
    ACTIONS(1939), 1,
      anon_sym_enum,
    ACTIONS(1942), 1,
      anon_sym_struct,
    ACTIONS(1945), 1,
      anon_sym_union,
    ACTIONS(1998), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2001), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2007), 1,
      sym_preproc_directive,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 1,
      sym__declaration_specifiers,
    ACTIONS(2004), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1910), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1930), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(1918), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(1933), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(576), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [4966] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2010), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1052), 1,
      sym__expression,
    STATE(1592), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5069] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(2012), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2014), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2018), 1,
      sym_preproc_directive,
    ACTIONS(2020), 1,
      anon_sym_RBRACE,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1342), 1,
      sym__declaration_specifiers,
    ACTIONS(2016), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(580), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5172] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1910), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(1921), 1,
      anon_sym___attribute__,
    ACTIONS(1924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1927), 1,
      anon_sym___declspec,
    ACTIONS(1936), 1,
      sym_primitive_type,
    ACTIONS(1939), 1,
      anon_sym_enum,
    ACTIONS(1942), 1,
      anon_sym_struct,
    ACTIONS(1945), 1,
      anon_sym_union,
    ACTIONS(2022), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2025), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2031), 1,
      sym_preproc_directive,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1341), 1,
      sym__declaration_specifiers,
    ACTIONS(2028), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1930), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(1918), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(1933), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(579), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5275] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      sym_identifier,
    ACTIONS(1921), 1,
      anon_sym___attribute__,
    ACTIONS(1924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1927), 1,
      anon_sym___declspec,
    ACTIONS(1936), 1,
      sym_primitive_type,
    ACTIONS(1939), 1,
      anon_sym_enum,
    ACTIONS(1942), 1,
      anon_sym_struct,
    ACTIONS(1945), 1,
      anon_sym_union,
    ACTIONS(2034), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2037), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2043), 1,
      sym_preproc_directive,
    ACTIONS(2046), 1,
      anon_sym_RBRACE,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1342), 1,
      sym__declaration_specifiers,
    ACTIONS(2040), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1930), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(1918), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(1933), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(580), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5378] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(2048), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2050), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2052), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(2056), 1,
      sym_preproc_directive,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1341), 1,
      sym__declaration_specifiers,
    ACTIONS(2054), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(583), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5481] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(2012), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2014), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2018), 1,
      sym_preproc_directive,
    ACTIONS(2058), 1,
      anon_sym_RBRACE,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1342), 1,
      sym__declaration_specifiers,
    ACTIONS(2016), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(578), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5584] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(2048), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2050), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2056), 1,
      sym_preproc_directive,
    ACTIONS(2060), 1,
      aux_sym_preproc_if_token2,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1341), 1,
      sym__declaration_specifiers,
    ACTIONS(2054), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(579), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5687] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2062), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1049), 1,
      sym__expression,
    STATE(1555), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2064), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1071), 1,
      sym__expression,
    STATE(1794), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2066), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1127), 1,
      sym__expression,
    STATE(1944), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2068), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1055), 1,
      sym__expression,
    STATE(1847), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2070), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1112), 1,
      sym__expression,
    STATE(1850), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2072), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1067), 1,
      sym__expression,
    STATE(1868), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2074), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1105), 1,
      sym__expression,
    STATE(1853), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2076), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1070), 1,
      sym__expression,
    STATE(1851), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6490] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2078), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1095), 1,
      sym__expression,
    STATE(1856), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2080), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1091), 1,
      sym__expression,
    STATE(1860), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2082), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1058), 1,
      sym__expression,
    STATE(1802), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2084), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1054), 1,
      sym__expression,
    STATE(1799), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2086), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1089), 1,
      sym__expression,
    STATE(1862), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2088), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1056), 1,
      sym__expression,
    STATE(1974), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2090), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1059), 1,
      sym__expression,
    STATE(1864), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2092), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1093), 1,
      sym__expression,
    STATE(1832), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2094), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1104), 1,
      sym__expression,
    STATE(1866), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2096), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1097), 1,
      sym__expression,
    STATE(1823), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7490] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2098), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1098), 1,
      sym__expression,
    STATE(1812), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7590] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(2100), 1,
      anon_sym_LPAREN2,
    ACTIONS(2102), 1,
      anon_sym_STAR,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1250), 1,
      sym__declaration_specifiers,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1525), 1,
      sym__abstract_declarator,
    STATE(1568), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [7698] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2104), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1069), 1,
      sym__expression,
    STATE(1869), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7798] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2106), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1128), 1,
      sym__expression,
    STATE(1797), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7898] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2108), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1124), 1,
      sym__expression,
    STATE(1795), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7998] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2110), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1114), 1,
      sym__expression,
    STATE(1948), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8098] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2112), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1086), 1,
      sym__expression,
    STATE(1987), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8198] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(802), 1,
      sym_initializer_list,
    STATE(807), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8298] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(802), 1,
      sym_initializer_list,
    STATE(807), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8394] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2114), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1088), 1,
      sym__expression,
    STATE(1984), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8494] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2116), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1120), 1,
      sym__expression,
    STATE(1942), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8594] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2118), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1092), 1,
      sym__expression,
    STATE(1982), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8694] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2120), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1106), 1,
      sym__expression,
    STATE(1793), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8794] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2122), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1126), 1,
      sym__expression,
    STATE(1789), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8894] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2124), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1100), 1,
      sym__expression,
    STATE(1781), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8994] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2126), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1119), 1,
      sym__expression,
    STATE(1786), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9094] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2128), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1111), 1,
      sym__expression,
    STATE(1782), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9194] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1078), 1,
      sym__expression,
    STATE(1678), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9294] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2130), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1083), 1,
      sym__expression,
    STATE(1893), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9394] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2132), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1072), 1,
      sym__expression,
    STATE(1896), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9494] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2134), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1110), 1,
      sym__expression,
    STATE(1779), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9594] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2136), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1074), 1,
      sym__expression,
    STATE(1900), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9694] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(802), 1,
      sym_initializer_list,
    STATE(829), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9794] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1076), 1,
      sym__expression,
    STATE(1902), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9894] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2140), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1077), 1,
      sym__expression,
    STATE(1904), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9994] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2142), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1101), 1,
      sym__expression,
    STATE(1972), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10094] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(802), 1,
      sym_initializer_list,
    STATE(829), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2144), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1107), 1,
      sym__expression,
    STATE(1780), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2146), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1117), 1,
      sym__expression,
    STATE(1874), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2148), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1081), 1,
      sym__expression,
    STATE(1907), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10490] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1063), 1,
      sym__expression,
    STATE(1712), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1102), 1,
      sym__expression,
    STATE(1746), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1129), 1,
      sym__expression,
    STATE(1664), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2152), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1131), 1,
      sym__expression,
    STATE(1785), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2154), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1108), 1,
      sym__expression,
    STATE(1969), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1122), 1,
      sym__expression,
    STATE(1967), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2158), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1125), 1,
      sym__expression,
    STATE(1787), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2160), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1090), 1,
      sym__expression,
    STATE(1825), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2162), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1094), 1,
      sym__expression,
    STATE(1949), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2164), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1084), 1,
      sym__expression,
    STATE(1951), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11490] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2166), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1113), 1,
      sym__expression,
    STATE(1879), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2168), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1121), 1,
      sym__expression,
    STATE(1884), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2170), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1053), 1,
      sym__expression,
    STATE(1882), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2172), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1073), 1,
      sym__expression,
    STATE(1963), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2174), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym__expression,
    STATE(2001), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2176), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1109), 1,
      sym__expression,
    STATE(1930), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2178), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1060), 1,
      sym__expression,
    STATE(1999), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2180), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1062), 1,
      sym__expression,
    STATE(1996), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2182), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1068), 1,
      sym__expression,
    STATE(1954), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2184), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1079), 1,
      sym__expression,
    STATE(1991), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12490] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12583] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2188), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_string_literal,
    STATE(1172), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12680] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2190), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12773] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2192), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12866] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1080), 1,
      sym__expression,
    STATE(1985), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12963] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1065), 1,
      sym__expression,
    STATE(1983), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13060] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_string_literal,
    STATE(1141), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13157] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2196), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_string_literal,
    STATE(1164), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13254] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13347] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1038), 1,
      sym__expression,
    STATE(1708), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13444] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2200), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13537] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2202), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13630] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2204), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13723] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2206), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13816] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2208), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13909] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_string_literal,
    STATE(1132), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14006] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2212), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14099] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(972), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14193] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(803), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14287] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(842), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14377] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(2214), 1,
      anon_sym_LBRACE,
    STATE(816), 1,
      sym_ms_call_modifier,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1350), 1,
      sym__declaration_specifiers,
    STATE(464), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(37), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [14473] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1040), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14567] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(828), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14657] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(942), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14751] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(994), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14845] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_string_literal,
    STATE(1161), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14939] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(836), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15033] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1145), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15127] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15217] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1167), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15311] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(844), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15405] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(845), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15495] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1156), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15589] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1133), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15683] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1144), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15777] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(830), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15871] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1140), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15965] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(766), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16055] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1151), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16149] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1136), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16243] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1135), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16337] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(841), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16427] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1162), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16521] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1160), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16615] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1165), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16709] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(840), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16799] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(830), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16889] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1154), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16983] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1171), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17077] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(966), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17171] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1166), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17265] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(805), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17359] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(967), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17453] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(769), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17543] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(971), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    STATE(817), 1,
      sym_ms_call_modifier,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1355), 1,
      sym__declaration_specifiers,
    STATE(496), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(37), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [17733] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1103), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(974), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17921] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1150), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18015] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(940), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18109] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(975), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18203] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(976), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18297] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(977), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18391] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1142), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(844), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18575] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1168), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18669] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18759] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(948), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18853] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    STATE(815), 1,
      sym_ms_call_modifier,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1362), 1,
      sym__declaration_specifiers,
    STATE(196), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(37), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [18949] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(836), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19039] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_string_literal,
    STATE(957), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19133] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1170), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(848), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19227] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1148), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19321] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(778), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19411] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(779), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19501] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(782), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19591] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_ms_call_modifier,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1353), 1,
      sym__declaration_specifiers,
    STATE(141), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(37), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [19687] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(783), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19777] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(786), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19867] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(789), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19957] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(791), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20047] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1137), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20141] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(795), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20231] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(792), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20321] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(801), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20411] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(805), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20501] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(793), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20591] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2226), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_string_literal,
    STATE(839), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20681] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(803), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20771] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1036), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20865] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    ACTIONS(2228), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_string_literal,
    STATE(768), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20955] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_ms_call_modifier,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1356), 1,
      sym__declaration_specifiers,
    STATE(487), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(37), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [21051] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(832), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21141] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(833), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21231] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(795), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21325] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(827), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21415] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1085), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21509] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1143), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21603] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(837), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21693] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1153), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(771), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21787] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(835), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(771), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      sym_identifier,
    STATE(754), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1972), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
    ACTIONS(1966), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [21942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2234), 1,
      sym_identifier,
    STATE(755), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2238), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
    ACTIONS(2236), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      sym_identifier,
    STATE(755), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2247), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2245), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
    ACTIONS(2243), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2252), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [22129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2256), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [22186] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_const,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1977), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(1980), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22254] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1250), 1,
      sym__declaration_specifiers,
    STATE(1568), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [22341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2258), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2258), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2260), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [22445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1755), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [22497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1759), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [22549] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1250), 1,
      sym__declaration_specifiers,
    STATE(1699), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [22633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2262), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22684] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2278), 1,
      anon_sym_PIPE,
    ACTIONS(2280), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2294), 1,
      anon_sym_EQ,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2288), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2266), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2302), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22820] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2308), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2306), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22887] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2278), 1,
      anon_sym_PIPE,
    ACTIONS(2280), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    ACTIONS(2312), 1,
      anon_sym_EQ,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2288), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2310), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2314), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2318), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2324), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2322), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2326), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2330), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2334), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2338), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2342), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23380] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2346), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23445] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2346), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2350), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2354), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23614] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2286), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2288), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2346), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23685] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2288), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2346), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2358), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2362), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23860] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2288), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2346), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2366), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2372), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2370), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24037] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2280), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2288), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2348), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2346), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2376), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2374), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24165] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_PIPE,
    ACTIONS(2280), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2348), 1,
      anon_sym_EQ,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2288), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2346), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24244] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2278), 1,
      anon_sym_PIPE,
    ACTIONS(2280), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2348), 1,
      anon_sym_EQ,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2288), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2346), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24325] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2346), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2384), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2382), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [24498] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2278), 1,
      anon_sym_PIPE,
    ACTIONS(2280), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_EQ,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2270), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2288), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2272), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2386), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2392), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2390), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2394), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2398), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2402), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24787] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2408), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2406), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2410), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24899] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2416), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2414), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2418), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25011] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2348), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2346), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2422), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25123] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2428), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2426), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2430), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2434), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2438), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25391] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1366), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25468] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1378), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(814), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2446), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2442), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(2444), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [25598] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1370), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25675] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1368), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25752] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(925), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1367), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25829] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(993), 1,
      sym__type_specifier,
    STATE(1003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(41), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym___attribute__,
    ACTIONS(2459), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2462), 1,
      anon_sym___declspec,
    ACTIONS(2451), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    ACTIONS(2453), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2465), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2449), 11,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1988), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1984), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26122] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1996), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2468), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [26222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1994), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_EQ,
    ACTIONS(1992), 1,
      anon_sym_COLON,
    ACTIONS(1986), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26328] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2348), 1,
      anon_sym_EQ,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2478), 1,
      anon_sym_PIPE,
    ACTIONS(2480), 1,
      anon_sym_CARET,
    ACTIONS(2482), 1,
      anon_sym_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2488), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2346), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26402] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2346), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2428), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2426), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26520] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2348), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2346), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26576] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2388), 1,
      anon_sym_EQ,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2478), 1,
      anon_sym_PIPE,
    ACTIONS(2480), 1,
      anon_sym_CARET,
    ACTIONS(2482), 1,
      anon_sym_AMP,
    ACTIONS(2492), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2496), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2488), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2386), 11,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26656] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2346), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26714] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2348), 1,
      anon_sym_EQ,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2478), 1,
      anon_sym_PIPE,
    ACTIONS(2480), 1,
      anon_sym_CARET,
    ACTIONS(2482), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_AMP_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2488), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2346), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26790] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2480), 1,
      anon_sym_CARET,
    ACTIONS(2482), 1,
      anon_sym_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2348), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2488), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2346), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26862] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2482), 1,
      anon_sym_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2488), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2346), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2416), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2414), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26988] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2488), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2346), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27056] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LPAREN2,
    ACTIONS(1867), 1,
      anon_sym_STAR,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1381), 1,
      sym__declarator,
    STATE(1468), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(2500), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1032), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1034), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [27134] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2308), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2306), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27196] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2294), 1,
      anon_sym_EQ,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2478), 1,
      anon_sym_PIPE,
    ACTIONS(2480), 1,
      anon_sym_CARET,
    ACTIONS(2482), 1,
      anon_sym_AMP,
    ACTIONS(2492), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2496), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2488), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2266), 11,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27276] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2312), 1,
      anon_sym_EQ,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2478), 1,
      anon_sym_PIPE,
    ACTIONS(2480), 1,
      anon_sym_CARET,
    ACTIONS(2482), 1,
      anon_sym_AMP,
    ACTIONS(2492), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2496), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2488), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2310), 11,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27356] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2486), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2488), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2346), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27422] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2408), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2406), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27478] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2384), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2382), 20,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [27532] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2348), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2346), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2326), 24,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2418), 24,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_EQ,
    ACTIONS(2510), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 14,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2262), 24,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2512), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2516), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2520), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2524), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2542), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2540), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2544), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2548), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2552), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2556), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2560), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2564), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2568), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2572), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1426), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1398), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1388), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1348), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1356), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1380), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2576), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2580), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2524), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1398), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2572), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2568), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2564), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2556), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2548), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29170] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_field_declaration_list,
    STATE(1017), 1,
      sym_attribute_specifier,
    ACTIONS(2586), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2584), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2544), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2516), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2580), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    STATE(983), 1,
      sym_field_declaration_list,
    STATE(998), 1,
      sym_attribute_specifier,
    ACTIONS(2592), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2590), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2552), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29438] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_field_declaration_list,
    STATE(1022), 1,
      sym_attribute_specifier,
    ACTIONS(2596), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2594), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29572] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1416), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(896), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1179), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [29640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2608), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_field_declaration_list,
    STATE(1025), 1,
      sym_attribute_specifier,
    ACTIONS(2614), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2612), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29732] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1403), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1201), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1218), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [29800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2512), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29842] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1404), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1194), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1218), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [29910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2520), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1380), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1356), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1348), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1388), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2560), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2576), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30204] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1404), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(894), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1194), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [30272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1426), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2468), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    STATE(980), 1,
      sym_field_declaration_list,
    STATE(1013), 1,
      sym_attribute_specifier,
    ACTIONS(2618), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2616), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [30406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2254), 31,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1755), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2620), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2250), 31,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1759), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2528), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2544), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1388), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1398), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1426), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(672), 1,
      sym_string_literal,
    ACTIONS(2624), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2620), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2564), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(728), 1,
      sym_string_literal,
    ACTIONS(2624), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2620), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2560), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2626), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2628), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31115] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2630), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2632), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(924), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2568), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2576), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1001), 1,
      sym_attribute_specifier,
    ACTIONS(2636), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2634), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2572), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1016), 1,
      sym_attribute_specifier,
    ACTIONS(2640), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2638), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2536), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(743), 1,
      sym_string_literal,
    ACTIONS(2624), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2620), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1014), 1,
      sym_attribute_specifier,
    ACTIONS(2644), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2642), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1011), 1,
      sym_attribute_specifier,
    ACTIONS(2648), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2646), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1020), 1,
      sym_attribute_specifier,
    ACTIONS(2652), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2650), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1388), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(720), 1,
      sym_string_literal,
    ACTIONS(2624), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2620), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2520), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2524), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31755] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2310), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [31829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1426), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31869] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2386), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [31943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2512), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2528), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1398), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2560), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2520), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32143] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2348), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2346), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [32199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2580), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2552), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2572), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2568), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2564), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2556), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2548), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1348), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32519] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2308), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2306), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [32577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(959), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2684), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2682), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2680), 20,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [32661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2552), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2544), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2580), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2576), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32901] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2348), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2346), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [32955] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [33025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2524), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2512), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33145] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [33213] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2348), 1,
      anon_sym_PIPE,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [33281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2548), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2348), 1,
      anon_sym_PIPE,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [33387] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2348), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [33451] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2348), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [33513] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2346), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [33571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1380), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1356), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1027), 1,
      sym_attribute_specifier,
    ACTIONS(2689), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2687), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1029), 1,
      sym_attribute_specifier,
    ACTIONS(2693), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2691), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2556), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1000), 1,
      sym_attribute_specifier,
    ACTIONS(2697), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2695), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1380), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2516), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2699), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2701), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1356), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1348), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2516), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2532), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1031), 1,
      sym_attribute_specifier,
    ACTIONS(2705), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2703), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(707), 1,
      sym_string_literal,
    ACTIONS(2624), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2620), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34203] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2707), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2709), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(986), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34255] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2266), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [34329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1015), 1,
      sym_attribute_specifier,
    ACTIONS(2713), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2711), 23,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2717), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2715), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2719), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2725), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2723), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1202), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2729), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2727), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2733), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2731), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2737), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2735), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34646] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2739), 1,
      sym_identifier,
    ACTIONS(2748), 1,
      sym_primitive_type,
    STATE(959), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2746), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2742), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2744), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2750), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2754), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2758), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1346), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1346), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1202), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2762), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2768), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2766), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2770), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2774), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2778), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2782), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2786), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2790), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2796), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2794), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2798), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2802), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2806), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2812), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2810), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2814), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2818), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2822), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2826), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2830), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2834), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2838), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_LPAREN2,
    ACTIONS(1980), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(1964), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2847), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2845), 24,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35787] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LPAREN2,
    ACTIONS(1867), 1,
      anon_sym_STAR,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1384), 1,
      sym__declarator,
    STATE(1479), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(2849), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35849] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1375), 1,
      sym__field_declarator,
    STATE(1940), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1041), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1240), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35908] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1384), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1218), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1236), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35967] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1383), 1,
      sym__field_declarator,
    STATE(1940), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1050), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1233), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36026] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2861), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [36097] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym___attribute__,
    ACTIONS(2870), 1,
      anon_sym_LBRACE,
    ACTIONS(2872), 1,
      anon_sym_COLON,
    STATE(1019), 1,
      sym_attribute_specifier,
    STATE(1193), 1,
      sym_enumerator_list,
    ACTIONS(2865), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2863), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [36144] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2876), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [36217] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1384), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1236), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36276] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2878), 1,
      anon_sym_COMMA,
    ACTIONS(2880), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    STATE(1631), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36351] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1383), 1,
      sym__field_declarator,
    STATE(1940), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1218), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1233), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36410] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2882), 1,
      anon_sym_SEMI,
    ACTIONS(2630), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2632), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(924), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36461] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1379), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1218), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1238), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36520] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2884), 1,
      anon_sym_SEMI,
    ACTIONS(2630), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2632), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(924), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36571] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2886), 1,
      anon_sym_SEMI,
    ACTIONS(2630), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2632), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(924), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36622] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1381), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1034), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1237), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36681] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2888), 1,
      anon_sym_COMMA,
    ACTIONS(2890), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_argument_list,
    STATE(1565), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36756] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_SEMI,
    ACTIONS(2630), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2632), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(924), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36807] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2894), 1,
      anon_sym_COMMA,
    ACTIONS(2896), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    STATE(1579), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36882] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1374), 1,
      sym__field_declarator,
    STATE(1940), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1218), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1245), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36941] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2898), 1,
      anon_sym_SEMI,
    ACTIONS(2630), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2632), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(43), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(924), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36992] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2894), 1,
      anon_sym_COMMA,
    ACTIONS(2900), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    STATE(1605), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37067] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2902), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37139] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2904), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37211] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2906), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37283] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2908), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37355] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2910), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37427] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2912), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37499] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37571] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2916), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37643] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2918), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37715] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2920), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37787] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2922), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [37857] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2924), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37929] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2926), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38001] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2928), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38073] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2930), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38145] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2932), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38217] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2934), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38289] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2936), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38361] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2938), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38433] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2940), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38505] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2942), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38577] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2944), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38649] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2946), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38721] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2948), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38793] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2950), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38865] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2952), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [38935] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2954), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39007] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2956), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39079] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2958), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39151] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2960), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [39221] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2962), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39293] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2964), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39365] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2966), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [39435] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2968), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39507] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_LBRACE,
    ACTIONS(2974), 1,
      anon_sym___attribute__,
    STATE(1005), 1,
      sym_attribute_specifier,
    STATE(1197), 1,
      sym_enumerator_list,
    ACTIONS(2972), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2970), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [39551] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39623] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2979), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39695] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2981), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39767] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2983), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39839] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2985), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39911] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39983] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2989), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40055] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2991), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40127] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2993), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40199] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2995), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40271] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2997), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40343] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2999), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40415] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3001), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40487] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3003), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40559] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3005), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40631] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3007), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [40701] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3009), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40773] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3011), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40845] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3013), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40917] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3015), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40989] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3017), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41061] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3019), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41133] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3021), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41205] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3023), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41277] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3025), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41349] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3027), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41421] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3029), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41493] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3031), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41565] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3033), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3035), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41709] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3037), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41781] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3039), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41853] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3041), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41925] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3043), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41997] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3045), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42069] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3047), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42141] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3049), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42213] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3051), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42285] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42357] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3055), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42429] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3057), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42501] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3059), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [42571] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3061), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42643] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(3063), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42715] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3065), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42784] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3067), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42853] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(3069), 1,
      anon_sym_enum,
    STATE(1223), 1,
      sym__type_specifier,
    STATE(1243), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1897), 1,
      sym_type_descriptor,
    STATE(1186), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42908] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2348), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42971] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43034] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3091), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43103] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43172] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43241] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43306] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3099), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43375] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43444] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3101), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43513] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2348), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2346), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43562] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3103), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43631] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43700] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1223), 1,
      sym__type_specifier,
    STATE(1243), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1759), 1,
      sym_type_descriptor,
    STATE(1178), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43755] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3105), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43824] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43893] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2310), 1,
      anon_sym_RBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43962] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3107), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44031] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44100] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3109), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44169] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    ACTIONS(3111), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44238] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(3069), 1,
      anon_sym_enum,
    STATE(1223), 1,
      sym__type_specifier,
    STATE(1243), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1818), 1,
      sym_type_descriptor,
    STATE(1186), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44293] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2386), 1,
      anon_sym_RBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44362] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2198), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44431] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1223), 1,
      sym__type_specifier,
    STATE(1243), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1754), 1,
      sym_type_descriptor,
    STATE(1178), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44486] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44555] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2348), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44614] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2308), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2306), 9,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2348), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44728] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44797] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3113), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44866] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2348), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44923] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2348), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2346), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44974] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3115), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45043] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3117), 1,
      anon_sym_COMMA,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45112] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45181] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    ACTIONS(3119), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45250] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2346), 9,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45303] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    ACTIONS(3121), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45372] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2202), 1,
      anon_sym_RBRACK,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    ACTIONS(3077), 1,
      anon_sym_CARET,
    ACTIONS(3079), 1,
      anon_sym_AMP,
    ACTIONS(3089), 1,
      anon_sym_PIPE,
    ACTIONS(3093), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3097), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3071), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3073), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3081), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3083), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3085), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3087), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45441] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1418), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45493] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1419), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45545] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1420), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45597] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1425), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45649] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1230), 1,
      sym__type_specifier,
    STATE(1243), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45701] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1404), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45753] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1208), 1,
      sym__type_specifier,
    STATE(1335), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45805] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1415), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45857] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1424), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1176), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym___attribute__,
    STATE(1023), 1,
      sym_attribute_specifier,
    ACTIONS(3127), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3125), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3132), 1,
      anon_sym_SEMI,
    ACTIONS(2320), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2318), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [45983] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1401), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1187), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46035] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1833), 1,
      sym_identifier,
    ACTIONS(3069), 1,
      anon_sym_enum,
    STATE(1230), 1,
      sym__type_specifier,
    STATE(1243), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46087] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1410), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46139] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1412), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1210), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46191] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1212), 1,
      sym__type_specifier,
    STATE(1335), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1211), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46243] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1182), 1,
      sym__type_specifier,
    STATE(1335), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46295] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(2292), 1,
      anon_sym_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SLASH,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_PIPE,
    ACTIONS(2666), 1,
      anon_sym_CARET,
    ACTIONS(2668), 1,
      anon_sym_AMP,
    ACTIONS(2678), 1,
      anon_sym_QMARK,
    STATE(774), 1,
      sym_argument_list,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2300), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2654), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2656), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2670), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2674), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46361] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1427), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1174), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3138), 1,
      anon_sym___attribute__,
    STATE(997), 1,
      sym_attribute_specifier,
    ACTIONS(3136), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3134), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [46451] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1403), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46503] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1402), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1175), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46555] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1406), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1177), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym___attribute__,
    STATE(1028), 1,
      sym_attribute_specifier,
    ACTIONS(3143), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3141), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [46645] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1405), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1199), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46697] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1400), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46749] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1188), 1,
      sym__type_specifier,
    STATE(1335), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1214), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46801] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1426), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46853] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1195), 1,
      sym__type_specifier,
    STATE(1335), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1204), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46905] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1198), 1,
      sym__type_specifier,
    STATE(1335), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1180), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46957] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1185), 1,
      sym__type_specifier,
    STATE(1335), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47009] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1196), 1,
      sym__type_specifier,
    STATE(1335), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1190), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47061] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1407), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1181), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47113] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1422), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47165] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1411), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1213), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3150), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3148), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [47251] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1428), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47303] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1206), 1,
      sym__type_specifier,
    STATE(1335), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47355] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1421), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1207), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47407] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1414), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47459] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1335), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1006), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2444), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3152), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2442), 10,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [47549] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2870), 1,
      anon_sym_LBRACE,
    STATE(1005), 1,
      sym_attribute_specifier,
    STATE(1222), 1,
      sym_enumerator_list,
    ACTIONS(2972), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2970), 15,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [47590] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2870), 1,
      anon_sym_LBRACE,
    ACTIONS(3155), 1,
      anon_sym_COLON,
    STATE(1019), 1,
      sym_attribute_specifier,
    STATE(1220), 1,
      sym_enumerator_list,
    ACTIONS(2865), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(2863), 15,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [47633] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1231), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(3159), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1218), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3161), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3157), 15,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [47674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 1,
      anon_sym_LPAREN2,
    ACTIONS(3174), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(3167), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [47712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(997), 1,
      sym_attribute_specifier,
    ACTIONS(3136), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3134), 15,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [47747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1023), 1,
      sym_attribute_specifier,
    ACTIONS(3127), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3125), 15,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [47782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1028), 1,
      sym_attribute_specifier,
    ACTIONS(3143), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3141), 15,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [47817] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_const,
    ACTIONS(2100), 1,
      anon_sym_LPAREN2,
    ACTIONS(2102), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1478), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1224), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3177), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3179), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47863] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_const,
    ACTIONS(2100), 1,
      anon_sym_LPAREN2,
    ACTIONS(2102), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1476), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3181), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3179), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_LPAREN2,
    STATE(1284), 1,
      sym_preproc_argument_list,
    ACTIONS(3187), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3183), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47943] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_const,
    ACTIONS(2100), 1,
      anon_sym_LPAREN2,
    ACTIONS(2102), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1468), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1227), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2500), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3179), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47989] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_const,
    ACTIONS(2100), 1,
      anon_sym_LPAREN2,
    ACTIONS(2102), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1479), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2849), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3179), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3189), 20,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [48065] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_const,
    ACTIONS(2100), 1,
      anon_sym_LPAREN2,
    ACTIONS(2102), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1461), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3193), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3179), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48111] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_const,
    ACTIONS(2100), 1,
      anon_sym_LPAREN2,
    ACTIONS(2102), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1467), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1229), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3195), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3179), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3199), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3197), 20,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [48187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_COMMA,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    ACTIONS(3217), 1,
      anon_sym_CARET,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    STATE(1547), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48242] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    STATE(1374), 1,
      sym__field_declarator,
    STATE(1940), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_COMMA,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    ACTIONS(3217), 1,
      anon_sym_CARET,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    STATE(1594), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48340] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_COMMA,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    ACTIONS(3217), 1,
      anon_sym_CARET,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    STATE(1607), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48395] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1379), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48438] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1384), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48481] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1376), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48524] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3245), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1232), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48567] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    STATE(1383), 1,
      sym__field_declarator,
    STATE(1940), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48610] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    ACTIONS(3251), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1234), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48653] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3253), 1,
      anon_sym_RPAREN,
    ACTIONS(3255), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1235), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 1,
      sym_primitive_type,
    ACTIONS(3257), 1,
      sym_identifier,
    STATE(959), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2746), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2742), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2744), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48733] = 5,
    ACTIONS(3183), 1,
      anon_sym_LF,
    ACTIONS(3259), 1,
      anon_sym_LPAREN2,
    ACTIONS(3261), 1,
      sym_comment,
    STATE(1314), 1,
      sym_preproc_argument_list,
    ACTIONS(3187), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48766] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    STATE(1369), 1,
      sym__field_declarator,
    STATE(1940), 1,
      sym_ms_based_modifier,
    STATE(1215), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(45), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3273), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1334), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48849] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3277), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1325), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48889] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3279), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1318), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3283), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48957] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LPAREN2,
    ACTIONS(1867), 1,
      anon_sym_STAR,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1437), 1,
      sym__declarator,
    STATE(1484), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(3285), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1506), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [49005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3289), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3287), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3291), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1310), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49079] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3293), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1333), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49119] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3295), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1327), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49159] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3289), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3287), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [49195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3299), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49223] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3301), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1324), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49263] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3303), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1317), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49303] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    ACTIONS(3217), 1,
      anon_sym_CARET,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3305), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49353] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3289), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3287), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49393] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3289), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3287), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [49435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3309), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3307), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49463] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3311), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1322), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49503] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3313), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1332), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49543] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    ACTIONS(3289), 1,
      anon_sym_PIPE,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3287), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [49587] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3315), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1330), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49627] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3317), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1309), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3319), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1316), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2394), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3321), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1326), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49775] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3323), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1262), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3325), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1329), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3327), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1315), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49895] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3329), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1307), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49935] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3217), 1,
      anon_sym_CARET,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    ACTIONS(3289), 1,
      anon_sym_PIPE,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3287), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [49981] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    ACTIONS(3217), 1,
      anon_sym_CARET,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3287), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [50027] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3331), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1303), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50067] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3333), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1328), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3335), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3341), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3339), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50163] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3343), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1304), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3347), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3345), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3349), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1323), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3351), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3357), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3355), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50327] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3359), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1259), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50367] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3361), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1251), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3363), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1255), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50447] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3365), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1260), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50487] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    ACTIONS(3217), 1,
      anon_sym_CARET,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3287), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [50535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3287), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50563] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3367), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1331), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50603] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3369), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1261), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3289), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3287), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50675] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3371), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1265), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50715] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3373), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1275), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50755] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3375), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1276), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50795] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3377), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1319), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50835] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_LPAREN2,
    ACTIONS(3267), 1,
      anon_sym_defined,
    ACTIONS(3379), 1,
      sym_number_literal,
    ACTIONS(3269), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3271), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3275), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1312), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3381), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1290), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50915] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3383), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1291), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50955] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    ACTIONS(3239), 1,
      anon_sym_defined,
    ACTIONS(3385), 1,
      sym_number_literal,
    ACTIONS(3241), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3243), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1294), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50995] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    ACTIONS(3217), 1,
      anon_sym_CARET,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    ACTIONS(3387), 1,
      anon_sym_RPAREN,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51044] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_LF,
    ACTIONS(3289), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51071] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym_LF,
    ACTIONS(3283), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51098] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LF,
    ACTIONS(3337), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51125] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3389), 1,
      anon_sym_LF,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51170] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3297), 1,
      anon_sym_LF,
    ACTIONS(3299), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51197] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51242] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3413), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51287] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LF,
    ACTIONS(3347), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51314] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3415), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51359] = 3,
    ACTIONS(2394), 1,
      anon_sym_LF,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(2396), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51386] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3351), 1,
      anon_sym_LF,
    ACTIONS(3353), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51413] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LF,
    ACTIONS(3309), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51440] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3417), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51485] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3419), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51530] = 8,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3289), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [51567] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3421), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51612] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LF,
    ACTIONS(3341), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51639] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LF,
    ACTIONS(3357), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51666] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3423), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51711] = 4,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_LF,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3289), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51740] = 6,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3289), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51773] = 7,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3289), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51808] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_SLASH,
    ACTIONS(3211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    ACTIONS(3217), 1,
      anon_sym_CARET,
    ACTIONS(3219), 1,
      anon_sym_AMP,
    ACTIONS(3425), 1,
      anon_sym_RPAREN,
    ACTIONS(3205), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51857] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3289), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51888] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3427), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51933] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_LF,
    ACTIONS(3289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51978] = 11,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_LF,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3289), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52021] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3429), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52066] = 10,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_LF,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3289), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52107] = 12,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 1,
      anon_sym_CARET,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3431), 1,
      anon_sym_LF,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52152] = 9,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_LF,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3391), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3405), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3393), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3289), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(3407), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52191] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2739), 1,
      sym_identifier,
    ACTIONS(3436), 1,
      sym_primitive_type,
    STATE(959), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2742), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2744), 9,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52225] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1458), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [52263] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN2,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      sym_primitive_type,
    STATE(1445), 1,
      sym__type_declarator,
    STATE(1819), 1,
      sym_ms_based_modifier,
    ACTIONS(2604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1471), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [52301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(2870), 1,
      anon_sym_LBRACE,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(1019), 1,
      sym_attribute_specifier,
    STATE(1220), 1,
      sym_enumerator_list,
    ACTIONS(2865), 10,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52335] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    ACTIONS(3444), 1,
      anon_sym_SEMI,
    STATE(1346), 1,
      sym__field_declarator,
    STATE(1908), 1,
      sym_attribute_specifier,
    STATE(1940), 1,
      sym_ms_based_modifier,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [52373] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    ACTIONS(3446), 1,
      anon_sym_SEMI,
    STATE(1344), 1,
      sym__field_declarator,
    STATE(1913), 1,
      sym_attribute_specifier,
    STATE(1940), 1,
      sym_ms_based_modifier,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [52411] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    ACTIONS(3448), 1,
      anon_sym_SEMI,
    STATE(1345), 1,
      sym__field_declarator,
    STATE(1891), 1,
      sym_attribute_specifier,
    STATE(1940), 1,
      sym_ms_based_modifier,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [52449] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    ACTIONS(3450), 1,
      anon_sym_SEMI,
    STATE(1343), 1,
      sym__field_declarator,
    STATE(1940), 1,
      sym_ms_based_modifier,
    STATE(1945), 1,
      sym_attribute_specifier,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [52487] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3456), 1,
      anon_sym_SEMI,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_COLON,
    STATE(1432), 1,
      sym_parameter_list,
    STATE(1487), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1501), 1,
      sym_bitfield_clause,
    STATE(1801), 1,
      sym_attribute_specifier,
    STATE(1396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52528] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_COLON,
    ACTIONS(3462), 1,
      anon_sym_SEMI,
    STATE(1432), 1,
      sym_parameter_list,
    STATE(1507), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1508), 1,
      sym_bitfield_clause,
    STATE(1950), 1,
      sym_attribute_specifier,
    STATE(1396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52569] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_COLON,
    ACTIONS(3464), 1,
      anon_sym_SEMI,
    STATE(1432), 1,
      sym_parameter_list,
    STATE(1489), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1492), 1,
      sym_bitfield_clause,
    STATE(1859), 1,
      sym_attribute_specifier,
    STATE(1396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52610] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_COLON,
    ACTIONS(3466), 1,
      anon_sym_SEMI,
    STATE(1432), 1,
      sym_parameter_list,
    STATE(1496), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1497), 1,
      sym_bitfield_clause,
    STATE(1753), 1,
      sym_attribute_specifier,
    STATE(1396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52651] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1388), 1,
      sym__declarator,
    STATE(1573), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1395), 1,
      sym__declarator,
    STATE(1614), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52715] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3470), 1,
      anon_sym_SEMI,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    STATE(208), 1,
      sym_compound_statement,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1593), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52753] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1359), 1,
      sym__declarator,
    STATE(1554), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52785] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3476), 1,
      anon_sym_SEMI,
    STATE(133), 1,
      sym_compound_statement,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1562), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1423), 1,
      sym__declarator,
    STATE(1661), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1351), 1,
      sym__declarator,
    STATE(1638), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52887] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(460), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3478), 1,
      anon_sym_SEMI,
    STATE(490), 1,
      sym_compound_statement,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1583), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1364), 1,
      sym__declarator,
    STATE(1604), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52957] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1354), 1,
      sym__declarator,
    STATE(1573), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3482), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_LBRACK,
    STATE(1357), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3480), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [53013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1389), 1,
      sym__declarator,
    STATE(1638), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53045] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(670), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3487), 1,
      anon_sym_SEMI,
    STATE(463), 1,
      sym_compound_statement,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1552), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1387), 1,
      sym__declarator,
    STATE(1554), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53115] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1393), 1,
      sym__declarator,
    STATE(1588), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53147] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1349), 1,
      sym__declarator,
    STATE(1614), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53179] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1399), 1,
      sym__declarator,
    STATE(1604), 1,
      sym_init_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53211] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3489), 1,
      anon_sym_SEMI,
    STATE(503), 1,
      sym_compound_statement,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1549), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3493), 1,
      anon_sym_LBRACK,
    STATE(1373), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3491), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1453), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1448), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53330] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1444), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53359] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    STATE(1432), 1,
      sym_parameter_list,
    STATE(1396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3495), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [53386] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1451), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53415] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      sym_identifier,
    ACTIONS(3497), 1,
      anon_sym_RPAREN,
    ACTIONS(3499), 1,
      anon_sym_COLON,
    STATE(1629), 1,
      sym_gnu_asm_output_operand_list,
    STATE(754), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [53442] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    STATE(1459), 1,
      sym__field_declarator,
    STATE(1940), 1,
      sym_ms_based_modifier,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [53471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3503), 1,
      anon_sym_LBRACK,
    STATE(1382), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3501), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53494] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    STATE(1432), 1,
      sym_parameter_list,
    STATE(1396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3505), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [53521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    STATE(1432), 1,
      sym_parameter_list,
    STATE(1396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3507), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [53548] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3509), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2851), 1,
      sym_identifier,
    ACTIONS(2853), 1,
      anon_sym_LPAREN2,
    ACTIONS(2855), 1,
      anon_sym_STAR,
    STATE(1385), 1,
      sym__field_declarator,
    STATE(1940), 1,
      sym_ms_based_modifier,
    STATE(1441), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [53604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1447), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53633] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3511), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53660] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2857), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_STAR,
    STATE(1460), 1,
      sym__declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1430), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53689] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3513), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym___attribute__,
    ACTIONS(3520), 1,
      anon_sym_LBRACK,
    STATE(1382), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3515), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53739] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    STATE(1432), 1,
      sym_parameter_list,
    STATE(1396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3522), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [53766] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3524), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53793] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_COLON,
    STATE(1432), 1,
      sym_parameter_list,
    STATE(1608), 1,
      sym_bitfield_clause,
    STATE(1396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3526), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [53824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      sym_identifier,
    ACTIONS(3499), 1,
      anon_sym_COLON,
    ACTIONS(3528), 1,
      anon_sym_RPAREN,
    STATE(1577), 1,
      sym_gnu_asm_output_operand_list,
    STATE(754), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [53851] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3487), 1,
      anon_sym_SEMI,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1552), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53883] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3478), 1,
      anon_sym_SEMI,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1583), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53915] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3476), 1,
      anon_sym_SEMI,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1562), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 1,
      anon_sym_LBRACK,
    ACTIONS(3530), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [53965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3536), 1,
      anon_sym_LBRACK,
    STATE(1357), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3534), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_LBRACK,
    ACTIONS(3538), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [54005] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3542), 1,
      anon_sym_SEMI,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1599), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3546), 1,
      anon_sym_LBRACK,
    STATE(1520), 1,
      sym_gnu_asm_input_operand,
    STATE(1931), 1,
      sym_string_literal,
    ACTIONS(3544), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54061] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3470), 1,
      anon_sym_SEMI,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1593), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3550), 1,
      anon_sym_LBRACK,
    STATE(1357), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3548), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [54115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_LBRACK,
    STATE(1530), 1,
      sym_gnu_asm_output_operand,
    STATE(1943), 1,
      sym_string_literal,
    ACTIONS(3552), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    ACTIONS(3556), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [54157] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3489), 1,
      anon_sym_SEMI,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1549), 1,
      aux_sym_declaration_repeat1,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54189] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3562), 1,
      anon_sym_SEMI,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1566), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3566), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1617), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54247] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1606), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3570), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [54301] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3572), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [54326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3574), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1575), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54355] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3576), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1601), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3578), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1620), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      sym_identifier,
    ACTIONS(3584), 1,
      sym_system_lib_string,
    STATE(1755), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3588), 1,
      sym_system_lib_string,
    STATE(1906), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54455] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1627), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54484] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3592), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1564), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3594), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1602), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 1,
      sym_identifier,
    ACTIONS(3598), 1,
      sym_system_lib_string,
    STATE(1975), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54563] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3600), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1561), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54592] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3602), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1569), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3604), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [54646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 1,
      sym_identifier,
    ACTIONS(3608), 1,
      sym_system_lib_string,
    STATE(1880), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1636), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54696] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1616), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54725] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3614), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1544), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54754] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3616), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1557), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3618), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1624), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54812] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    STATE(1365), 1,
      sym_parameter_list,
    ACTIONS(3620), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54839] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3622), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1586), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3624), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1587), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54897] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3626), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [54922] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3628), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1611), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54951] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3630), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      sym_identifier,
    ACTIONS(3634), 1,
      sym_system_lib_string,
    STATE(1806), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_LBRACK,
    ACTIONS(3636), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1540), 1,
      sym_string_literal,
    ACTIONS(3640), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_LBRACK,
    ACTIONS(3642), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3648), 1,
      anon_sym_LBRACK,
    STATE(1357), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3646), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [55071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 1,
      anon_sym_LBRACK,
    ACTIONS(3650), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_LBRACK,
    ACTIONS(3654), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK,
    ACTIONS(3658), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55119] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    STATE(1365), 1,
      sym_parameter_list,
    ACTIONS(3662), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3666), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_LBRACK,
    ACTIONS(3668), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACK,
    ACTIONS(3672), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_LBRACK,
    ACTIONS(3676), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3682), 1,
      anon_sym_LBRACK,
    ACTIONS(3680), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_LBRACK,
    STATE(1619), 1,
      sym_gnu_asm_output_operand,
    STATE(1943), 1,
      sym_string_literal,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(670), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    STATE(458), 1,
      sym_compound_statement,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    STATE(1469), 1,
      sym_parameter_list,
    ACTIONS(3684), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_LBRACK,
    ACTIONS(3686), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55309] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(460), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    STATE(486), 1,
      sym_compound_statement,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55335] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    STATE(498), 1,
      sym_compound_statement,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_LBRACK,
    ACTIONS(3690), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_LBRACK,
    ACTIONS(3694), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55393] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    STATE(216), 1,
      sym_compound_statement,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3698), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55435] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    STATE(139), 1,
      sym_compound_statement,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3546), 1,
      anon_sym_LBRACK,
    STATE(1637), 1,
      sym_gnu_asm_input_operand,
    STATE(1931), 1,
      sym_string_literal,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1386), 1,
      sym_string_literal,
    STATE(1625), 1,
      sym_concatenated_string,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    ACTIONS(3702), 1,
      sym_identifier,
    STATE(995), 1,
      sym_field_declaration_list,
    STATE(1503), 1,
      sym_attribute_specifier,
    STATE(1576), 1,
      sym_ms_declspec_modifier,
  [55523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1371), 1,
      sym_string_literal,
    STATE(1589), 1,
      sym_concatenated_string,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3564), 1,
      anon_sym_LBRACK,
    ACTIONS(3704), 1,
      anon_sym_RPAREN,
    STATE(1469), 1,
      sym_parameter_list,
    STATE(1433), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55563] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    ACTIONS(3706), 1,
      anon_sym_RPAREN,
    STATE(1432), 1,
      sym_parameter_list,
    STATE(1396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55586] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_LBRACK,
    ACTIONS(3708), 1,
      anon_sym_RPAREN,
    STATE(1365), 1,
      sym_parameter_list,
    STATE(1391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3712), 1,
      anon_sym_LBRACK,
    STATE(1486), 1,
      sym_parameter_list,
    ACTIONS(3710), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1845), 1,
      sym_string_literal,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_LPAREN2,
    STATE(1477), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3716), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [55657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_LBRACK,
    ACTIONS(3718), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_LBRACK,
    ACTIONS(3722), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_LBRACK,
    ACTIONS(3729), 1,
      anon_sym_EQ,
    ACTIONS(3731), 1,
      anon_sym_DOT,
    STATE(1466), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [55703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3712), 1,
      anon_sym_LBRACK,
    STATE(1486), 1,
      sym_parameter_list,
    ACTIONS(3734), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3712), 1,
      anon_sym_LBRACK,
    STATE(1486), 1,
      sym_parameter_list,
    ACTIONS(3736), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_LBRACK,
    ACTIONS(3738), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3744), 1,
      anon_sym_LBRACK,
    ACTIONS(3742), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_LBRACK,
    ACTIONS(3746), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_LPAREN2,
    STATE(1463), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3716), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [55797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(3752), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_LBRACK,
    ACTIONS(3756), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_LBRACK,
    ACTIONS(3760), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3712), 1,
      anon_sym_LBRACK,
    STATE(1486), 1,
      sym_parameter_list,
    ACTIONS(3764), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3766), 1,
      anon_sym_LPAREN2,
    STATE(1477), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3768), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [55873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3712), 1,
      anon_sym_LBRACK,
    STATE(1486), 1,
      sym_parameter_list,
    ACTIONS(3771), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3712), 1,
      anon_sym_LBRACK,
    STATE(1486), 1,
      sym_parameter_list,
    ACTIONS(3773), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_LBRACK,
    ACTIONS(3775), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1645), 1,
      sym_string_literal,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_DOT,
    STATE(1466), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [55955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1815), 1,
      sym_string_literal,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3712), 1,
      anon_sym_LBRACK,
    STATE(1486), 1,
      sym_parameter_list,
    ACTIONS(3662), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [55986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3783), 1,
      anon_sym_SEMI,
    STATE(1514), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1840), 1,
      sym_attribute_specifier,
  [56005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3785), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3787), 1,
      anon_sym_SEMI,
    STATE(1514), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1955), 1,
      sym_attribute_specifier,
  [56035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3791), 1,
      anon_sym_SEMI,
    STATE(1514), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1844), 1,
      sym_attribute_specifier,
  [56065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3793), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    ACTIONS(3797), 1,
      anon_sym_COLON_COLON,
    STATE(1658), 1,
      sym_argument_list,
    ACTIONS(3795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [56093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_SEMI,
    STATE(1485), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1848), 1,
      sym_attribute_specifier,
  [56112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3803), 1,
      anon_sym_SEMI,
    STATE(1514), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1993), 1,
      sym_attribute_specifier,
  [56142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_SEMI,
    STATE(1514), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1833), 1,
      sym_attribute_specifier,
  [56172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3809), 1,
      anon_sym_SEMI,
    STATE(1509), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1835), 1,
      sym_attribute_specifier,
  [56191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3811), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3817), 1,
      anon_sym_SEMI,
    STATE(1510), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1957), 1,
      sym_attribute_specifier,
  [56243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    ACTIONS(3821), 1,
      sym_identifier,
    STATE(930), 1,
      sym_field_declaration_list,
    STATE(1597), 1,
      sym_ms_declspec_modifier,
  [56273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3827), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56306] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3829), 1,
      anon_sym_SEMI,
    STATE(1514), 1,
      aux_sym_field_declaration_repeat1,
    STATE(2002), 1,
      sym_attribute_specifier,
  [56325] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3831), 1,
      anon_sym_SEMI,
    STATE(1494), 1,
      aux_sym_field_declaration_repeat1,
    STATE(2005), 1,
      sym_attribute_specifier,
  [56344] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3833), 1,
      anon_sym_SEMI,
    STATE(1514), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1803), 1,
      sym_attribute_specifier,
  [56363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym___attribute__,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    ACTIONS(3835), 1,
      anon_sym_SEMI,
    STATE(1514), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1890), 1,
      sym_attribute_specifier,
  [56382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      sym_identifier,
    STATE(991), 1,
      sym_field_declaration_list,
    STATE(1543), 1,
      sym_ms_declspec_modifier,
  [56401] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3839), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3841), 1,
      anon_sym_LPAREN,
    ACTIONS(3843), 1,
      sym_preproc_arg,
    STATE(1702), 1,
      sym_preproc_params,
  [56417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    STATE(1690), 1,
      sym_argument_list,
    ACTIONS(3845), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [56431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3847), 1,
      anon_sym_COMMA,
    STATE(1514), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(3850), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [56445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      anon_sym_COMMA,
    STATE(1537), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(3854), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      sym_identifier,
    ACTIONS(3858), 1,
      anon_sym_COMMA,
    ACTIONS(3860), 1,
      anon_sym_RBRACE,
    STATE(1612), 1,
      sym_enumerator,
  [56475] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LPAREN,
    ACTIONS(3862), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3864), 1,
      sym_preproc_arg,
    STATE(1687), 1,
      sym_preproc_params,
  [56491] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_DQUOTE,
    ACTIONS(3868), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3871), 1,
      sym_escape_sequence,
    STATE(1518), 1,
      aux_sym_string_literal_repeat1,
  [56507] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_DQUOTE,
    ACTIONS(3876), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3878), 1,
      sym_escape_sequence,
    STATE(1518), 1,
      aux_sym_string_literal_repeat1,
  [56523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(1539), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(3882), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56537] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LPAREN,
    ACTIONS(3884), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3886), 1,
      sym_preproc_arg,
    STATE(1721), 1,
      sym_preproc_params,
  [56553] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LPAREN,
    ACTIONS(3888), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3890), 1,
      sym_preproc_arg,
    STATE(1715), 1,
      sym_preproc_params,
  [56569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_COMMA,
    STATE(1529), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(3894), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56583] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LPAREN,
    ACTIONS(3896), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3898), 1,
      sym_preproc_arg,
    STATE(1682), 1,
      sym_preproc_params,
  [56599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_LPAREN2,
    ACTIONS(3712), 1,
      anon_sym_LBRACK,
    ACTIONS(3900), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_parameter_list,
  [56615] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3876), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3878), 1,
      sym_escape_sequence,
    ACTIONS(3902), 1,
      anon_sym_DQUOTE,
    STATE(1518), 1,
      aux_sym_string_literal_repeat1,
  [56631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3904), 1,
      anon_sym_COMMA,
    STATE(1527), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(3907), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56645] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3909), 1,
      anon_sym_DQUOTE,
    ACTIONS(3911), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3913), 1,
      sym_escape_sequence,
    STATE(1531), 1,
      aux_sym_string_literal_repeat1,
  [56661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      anon_sym_COMMA,
    STATE(1529), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(3918), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      anon_sym_COMMA,
    STATE(1515), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(3920), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56689] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3876), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3878), 1,
      sym_escape_sequence,
    ACTIONS(3922), 1,
      anon_sym_DQUOTE,
    STATE(1518), 1,
      aux_sym_string_literal_repeat1,
  [56705] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_DQUOTE,
    ACTIONS(3926), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3928), 1,
      sym_escape_sequence,
    STATE(1519), 1,
      aux_sym_string_literal_repeat1,
  [56721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3930), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [56731] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LPAREN,
    ACTIONS(3932), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3934), 1,
      sym_preproc_arg,
    STATE(1706), 1,
      sym_preproc_params,
  [56747] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LPAREN,
    ACTIONS(3936), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3938), 1,
      sym_preproc_arg,
    STATE(1674), 1,
      sym_preproc_params,
  [56763] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3944), 1,
      sym_escape_sequence,
    STATE(1526), 1,
      aux_sym_string_literal_repeat1,
  [56779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_COMMA,
    STATE(1537), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(3949), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56793] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LPAREN,
    ACTIONS(3951), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3953), 1,
      sym_preproc_arg,
    STATE(1662), 1,
      sym_preproc_params,
  [56809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(1527), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(3955), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_COMMA,
    STATE(1523), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(3957), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56837] = 5,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LPAREN,
    ACTIONS(3959), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3961), 1,
      sym_preproc_arg,
    STATE(1689), 1,
      sym_preproc_params,
  [56853] = 4,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3963), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3965), 1,
      anon_sym_LPAREN2,
    STATE(1935), 1,
      sym_preproc_argument_list,
  [56866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    ACTIONS(3967), 1,
      sym_identifier,
    STATE(934), 1,
      sym_field_declaration_list,
  [56879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(3969), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [56892] = 4,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3965), 1,
      anon_sym_LPAREN2,
    ACTIONS(3971), 1,
      aux_sym_preproc_include_token2,
    STATE(1935), 1,
      sym_preproc_argument_list,
  [56905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(3975), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1621), 1,
      aux_sym_attribute_declaration_repeat1,
  [56918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_COMMA,
    ACTIONS(3977), 1,
      anon_sym_RPAREN,
    STATE(1553), 1,
      aux_sym_preproc_argument_list_repeat1,
  [56931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_LBRACE,
    ACTIONS(3979), 1,
      sym_identifier,
    STATE(1221), 1,
      sym_enumerator_list,
  [56944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3981), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [56957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3983), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [56970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_RPAREN,
    ACTIONS(3985), 1,
      anon_sym_COMMA,
    STATE(1551), 1,
      aux_sym_argument_list_repeat1,
  [56983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3988), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [56996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_RPAREN,
    ACTIONS(3990), 1,
      anon_sym_COMMA,
    STATE(1553), 1,
      aux_sym_preproc_argument_list_repeat1,
  [57009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(3993), 1,
      anon_sym_SEMI,
    STATE(1550), 1,
      aux_sym_declaration_repeat1,
  [57022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_COMMA,
    ACTIONS(2896), 1,
      anon_sym_RPAREN,
    STATE(1579), 1,
      aux_sym_argument_list_repeat1,
  [57035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3995), 1,
      anon_sym_COMMA,
    ACTIONS(3998), 1,
      anon_sym_RPAREN,
    STATE(1556), 1,
      aux_sym_preproc_params_repeat1,
  [57048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4000), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_COMMA,
    ACTIONS(4004), 1,
      anon_sym_RPAREN,
    STATE(1556), 1,
      aux_sym_preproc_params_repeat1,
  [57074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_COMMA,
    ACTIONS(4009), 1,
      anon_sym_RPAREN,
    STATE(1559), 1,
      aux_sym_parameter_list_repeat1,
  [57087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(4011), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1582), 1,
      aux_sym_attribute_declaration_repeat1,
  [57100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4013), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4015), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [57126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4017), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [57135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4019), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1603), 1,
      aux_sym_initializer_list_repeat1,
  [57161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4023), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      sym_identifier,
    ACTIONS(4025), 1,
      anon_sym_RBRACE,
    STATE(1663), 1,
      sym_enumerator,
  [57187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 1,
      anon_sym_COMMA,
    ACTIONS(4029), 1,
      anon_sym_RPAREN,
    STATE(1581), 1,
      aux_sym_parameter_list_repeat1,
  [57200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4031), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57213] = 4,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3965), 1,
      anon_sym_LPAREN2,
    ACTIONS(4033), 1,
      aux_sym_preproc_include_token2,
    STATE(1935), 1,
      sym_preproc_argument_list,
  [57226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_LBRACE,
    ACTIONS(4035), 1,
      sym_identifier,
    STATE(1183), 1,
      sym_enumerator_list,
  [57239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_RBRACE,
    ACTIONS(4037), 1,
      anon_sym_COMMA,
    STATE(1639), 1,
      aux_sym_enumerator_list_repeat1,
  [57252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4039), 1,
      anon_sym_SEMI,
    STATE(1590), 1,
      aux_sym_declaration_repeat1,
  [57265] = 4,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3965), 1,
      anon_sym_LPAREN2,
    ACTIONS(4041), 1,
      aux_sym_preproc_include_token2,
    STATE(1935), 1,
      sym_preproc_argument_list,
  [57278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4043), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    ACTIONS(4045), 1,
      sym_identifier,
    STATE(930), 1,
      sym_field_declaration_list,
  [57304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_RPAREN,
    ACTIONS(4049), 1,
      anon_sym_COLON,
    STATE(1585), 1,
      sym_gnu_asm_input_operand_list,
  [57317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4051), 1,
      anon_sym_RPAREN,
    ACTIONS(4053), 1,
      anon_sym_COLON,
    STATE(1584), 1,
      sym_gnu_asm_clobber_list,
  [57330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_COMMA,
    ACTIONS(4055), 1,
      anon_sym_RPAREN,
    STATE(1551), 1,
      aux_sym_argument_list_repeat1,
  [57343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 1,
      anon_sym_RPAREN,
    ACTIONS(4057), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [57354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 1,
      anon_sym_COMMA,
    ACTIONS(4061), 1,
      anon_sym_RPAREN,
    STATE(1559), 1,
      aux_sym_parameter_list_repeat1,
  [57367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(4063), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1610), 1,
      aux_sym_attribute_declaration_repeat1,
  [57380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4065), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [57393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 1,
      anon_sym_RPAREN,
    ACTIONS(4069), 1,
      anon_sym_COLON,
    STATE(1857), 1,
      sym_gnu_asm_goto_list,
  [57406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_COLON,
    ACTIONS(4071), 1,
      anon_sym_RPAREN,
    STATE(1623), 1,
      sym_gnu_asm_clobber_list,
  [57419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4073), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4075), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4077), 1,
      anon_sym_SEMI,
    STATE(1600), 1,
      aux_sym_declaration_repeat1,
  [57458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_RPAREN,
    ACTIONS(3499), 1,
      anon_sym_COLON,
    STATE(1629), 1,
      sym_gnu_asm_output_operand_list,
  [57471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4079), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [57484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4081), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [57497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_COMMA,
    ACTIONS(2900), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      aux_sym_argument_list_repeat1,
  [57510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4083), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [57523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_COMMA,
    ACTIONS(4085), 1,
      anon_sym_RPAREN,
    STATE(1553), 1,
      aux_sym_preproc_argument_list_repeat1,
  [57536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [57545] = 4,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3965), 1,
      anon_sym_LPAREN2,
    ACTIONS(4089), 1,
      aux_sym_preproc_include_token2,
    STATE(1935), 1,
      sym_preproc_argument_list,
  [57558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_LBRACE,
    ACTIONS(4091), 1,
      sym_identifier,
    STATE(981), 1,
      sym_field_declaration_list,
  [57571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_COMMA,
    ACTIONS(2890), 1,
      anon_sym_RBRACE,
    STATE(1565), 1,
      aux_sym_initializer_list_repeat1,
  [57584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4093), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [57597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4095), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [57610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4097), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4099), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_RBRACE,
    ACTIONS(4101), 1,
      anon_sym_COMMA,
    STATE(1603), 1,
      aux_sym_initializer_list_repeat1,
  [57649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4104), 1,
      anon_sym_SEMI,
    STATE(1634), 1,
      aux_sym_declaration_repeat1,
  [57662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_COMMA,
    ACTIONS(4106), 1,
      anon_sym_RPAREN,
    STATE(1551), 1,
      aux_sym_argument_list_repeat1,
  [57675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4108), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_COMMA,
    ACTIONS(4110), 1,
      anon_sym_RPAREN,
    STATE(1553), 1,
      aux_sym_preproc_argument_list_repeat1,
  [57701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4112), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4114), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1610), 1,
      aux_sym_attribute_declaration_repeat1,
  [57736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4121), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_COMMA,
    ACTIONS(4125), 1,
      anon_sym_RBRACE,
    STATE(1572), 1,
      aux_sym_enumerator_list_repeat1,
  [57762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_EQ,
    ACTIONS(4127), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4131), 1,
      anon_sym_SEMI,
    STATE(1591), 1,
      aux_sym_declaration_repeat1,
  [57786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 1,
      anon_sym_COMMA,
    ACTIONS(4136), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4138), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4140), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4142), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [57838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4146), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(4148), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1610), 1,
      aux_sym_attribute_declaration_repeat1,
  [57873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(4150), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1626), 1,
      aux_sym_attribute_declaration_repeat1,
  [57886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4069), 1,
      anon_sym_COLON,
    ACTIONS(4152), 1,
      anon_sym_RPAREN,
    STATE(1831), 1,
      sym_gnu_asm_goto_list,
  [57899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4154), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_COLON,
    ACTIONS(3528), 1,
      anon_sym_RPAREN,
    STATE(1577), 1,
      sym_gnu_asm_output_operand_list,
  [57925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(4156), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1610), 1,
      aux_sym_attribute_declaration_repeat1,
  [57938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4158), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [57951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_identifier,
    STATE(1221), 1,
      sym_enumerator_list,
  [57964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      anon_sym_COLON,
    ACTIONS(4162), 1,
      anon_sym_RPAREN,
    STATE(1578), 1,
      sym_gnu_asm_input_operand_list,
  [57977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4164), 1,
      anon_sym_COMMA,
    ACTIONS(4167), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [57990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2878), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_RPAREN,
    STATE(1647), 1,
      aux_sym_generic_expression_repeat1,
  [58003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_COMMA,
    ACTIONS(4171), 1,
      anon_sym_RPAREN,
    STATE(1558), 1,
      aux_sym_preproc_params_repeat1,
  [58016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4173), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4175), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [58038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      sym_identifier,
    ACTIONS(4177), 1,
      anon_sym_RBRACE,
    STATE(1663), 1,
      sym_enumerator,
  [58051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    ACTIONS(4179), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      aux_sym_type_definition_repeat2,
  [58064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    ACTIONS(4183), 1,
      anon_sym_SEMI,
    STATE(1618), 1,
      aux_sym_declaration_repeat1,
  [58086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_COMMA,
    ACTIONS(4188), 1,
      anon_sym_RBRACE,
    STATE(1639), 1,
      aux_sym_enumerator_list_repeat1,
  [58099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_COMMA,
    ACTIONS(4192), 1,
      anon_sym_RPAREN,
    STATE(1644), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [58112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4196), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_COMMA,
    ACTIONS(4201), 1,
      anon_sym_RPAREN,
    STATE(1643), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [58143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_COMMA,
    ACTIONS(4203), 1,
      anon_sym_RPAREN,
    STATE(1643), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [58156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4207), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_COMMA,
    ACTIONS(4212), 1,
      anon_sym_RPAREN,
    STATE(1647), 1,
      aux_sym_generic_expression_repeat1,
  [58187] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4214), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4216), 1,
      sym_preproc_arg,
  [58197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      sym_identifier,
    STATE(1622), 1,
      sym_attribute,
  [58207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(368), 1,
      sym_parenthesized_expression,
  [58217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN2,
    STATE(1657), 1,
      sym_parenthesized_expression,
  [58227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(370), 1,
      sym_parenthesized_expression,
  [58245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_compound_statement,
  [58255] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4226), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [58263] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4228), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [58271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    STATE(125), 1,
      sym_compound_statement,
  [58281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4230), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [58289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      sym_identifier,
    STATE(1695), 1,
      sym_attribute,
  [58299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN2,
    STATE(1917), 1,
      sym_parenthesized_expression,
  [58309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3620), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [58317] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4232), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4234), 1,
      sym_preproc_arg,
  [58327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4188), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [58343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 1,
      anon_sym_LBRACE,
    STATE(259), 1,
      sym_compound_statement,
  [58353] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4236), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4238), 1,
      sym_preproc_arg,
  [58363] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4240), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4242), 1,
      sym_preproc_arg,
  [58373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4244), 1,
      sym_identifier,
    ACTIONS(4246), 1,
      anon_sym_RPAREN,
  [58383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(308), 1,
      sym_parenthesized_expression,
  [58393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(310), 1,
      sym_parenthesized_expression,
  [58403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(401), 1,
      sym_parenthesized_expression,
  [58413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN2,
    STATE(1686), 1,
      sym_parenthesized_expression,
  [58423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(222), 1,
      sym_parenthesized_expression,
  [58433] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4248), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4250), 1,
      sym_preproc_arg,
  [58443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN2,
    STATE(1877), 1,
      sym_parenthesized_expression,
  [58453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN2,
    STATE(1903), 1,
      sym_parenthesized_expression,
  [58463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(367), 1,
      sym_parenthesized_expression,
  [58473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN2,
    STATE(1665), 1,
      sym_parenthesized_expression,
  [58491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN2,
    STATE(1752), 1,
      sym_parenthesized_expression,
  [58509] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4252), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4254), 1,
      sym_preproc_arg,
  [58519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4256), 1,
      sym_identifier,
    ACTIONS(4258), 1,
      anon_sym_LPAREN2,
  [58529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    STATE(1750), 1,
      sym_argument_list,
  [58539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      sym_identifier,
    STATE(1546), 1,
      sym_attribute,
  [58549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    STATE(179), 1,
      sym_compound_statement,
  [58559] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4260), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4262), 1,
      sym_preproc_arg,
  [58569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4264), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58577] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4266), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4268), 1,
      sym_preproc_arg,
  [58587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4270), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [58595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN2,
    STATE(1654), 1,
      sym_parenthesized_expression,
  [58605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      sym_identifier,
    STATE(1663), 1,
      sym_enumerator,
  [58615] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4272), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [58623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      anon_sym_LBRACE,
    STATE(336), 1,
      sym_compound_statement,
  [58633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [58641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN2,
    STATE(1894), 1,
      sym_parenthesized_expression,
  [58651] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4274), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4276), 1,
      sym_preproc_arg,
  [58661] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4278), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4280), 1,
      sym_preproc_arg,
  [58671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4009), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(369), 1,
      sym_parenthesized_expression,
  [58689] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4282), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4284), 1,
      sym_preproc_arg,
  [58699] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4286), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4288), 1,
      sym_preproc_arg,
  [58709] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4290), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4292), 1,
      sym_preproc_arg,
  [58719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(337), 1,
      sym_parenthesized_expression,
  [58737] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4294), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4296), 1,
      sym_preproc_arg,
  [58747] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4298), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4300), 1,
      sym_preproc_arg,
  [58757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [58765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LPAREN2,
    STATE(1800), 1,
      sym_argument_list,
  [58775] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4302), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4304), 1,
      sym_preproc_arg,
  [58785] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4306), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4308), 1,
      sym_preproc_arg,
  [58795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4310), 1,
      sym_identifier,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
  [58813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      sym_identifier,
    STATE(1560), 1,
      sym_attribute,
  [58823] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4314), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4316), 1,
      sym_preproc_arg,
  [58833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(302), 1,
      sym_parenthesized_expression,
  [58843] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4318), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4320), 1,
      sym_preproc_arg,
  [58853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(339), 1,
      sym_parenthesized_expression,
  [58863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN2,
    STATE(1694), 1,
      sym_parenthesized_expression,
  [58873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [58881] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4324), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4326), 1,
      sym_preproc_arg,
  [58891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LPAREN2,
    STATE(303), 1,
      sym_parenthesized_expression,
  [58901] = 3,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4328), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4330), 1,
      sym_preproc_arg,
  [58911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_SEMI,
  [58918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_RPAREN,
  [58925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_COLON,
  [58932] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4338), 1,
      aux_sym_preproc_include_token2,
  [58939] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3297), 1,
      aux_sym_preproc_include_token2,
  [58946] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4340), 1,
      aux_sym_preproc_include_token2,
  [58953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4342), 1,
      anon_sym_SEMI,
  [58960] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4344), 1,
      aux_sym_preproc_include_token2,
  [58967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4346), 1,
      anon_sym_SEMI,
  [58974] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4348), 1,
      aux_sym_preproc_include_token2,
  [58981] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4350), 1,
      aux_sym_preproc_include_token2,
  [58988] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4352), 1,
      aux_sym_preproc_include_token2,
  [58995] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4354), 1,
      aux_sym_preproc_include_token2,
  [59002] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4356), 1,
      aux_sym_preproc_include_token2,
  [59009] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4358), 1,
      aux_sym_preproc_include_token2,
  [59016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_COLON,
  [59023] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4362), 1,
      aux_sym_preproc_include_token2,
  [59030] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4364), 1,
      aux_sym_preproc_include_token2,
  [59037] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4366), 1,
      aux_sym_preproc_include_token2,
  [59044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      sym_identifier,
  [59051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4370), 1,
      sym_identifier,
  [59058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4372), 1,
      sym_identifier,
  [59065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3005), 1,
      anon_sym_SEMI,
  [59072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      anon_sym_SEMI,
  [59079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 1,
      aux_sym_preproc_if_token2,
  [59086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4378), 1,
      aux_sym_preproc_if_token2,
  [59093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4380), 1,
      anon_sym_STAR,
  [59100] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4382), 1,
      aux_sym_preproc_include_token2,
  [59107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_SEMI,
  [59114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_SEMI,
  [59121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4388), 1,
      anon_sym_RPAREN,
  [59128] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4041), 1,
      aux_sym_preproc_include_token2,
  [59135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4390), 1,
      aux_sym_preproc_if_token2,
  [59142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4392), 1,
      aux_sym_preproc_if_token2,
  [59149] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_preproc_include_token2,
  [59156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
  [59163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4398), 1,
      anon_sym_RPAREN,
  [59170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3033), 1,
      anon_sym_SEMI,
  [59177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_while,
  [59184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      anon_sym_RBRACE,
  [59191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4402), 1,
      sym_identifier,
  [59198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4404), 1,
      sym_identifier,
  [59205] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4406), 1,
      aux_sym_preproc_include_token2,
  [59212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_STAR,
  [59219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_COLON,
  [59226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_identifier,
  [59233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_RPAREN,
  [59240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4416), 1,
      sym_identifier,
  [59247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4418), 1,
      sym_primitive_type,
  [59254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4420), 1,
      anon_sym_RPAREN,
  [59261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4422), 1,
      aux_sym_preproc_if_token2,
  [59268] = 2,
    ACTIONS(2252), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3261), 1,
      sym_comment,
  [59275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_LPAREN2,
  [59282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 1,
      anon_sym_RBRACE,
  [59289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_RPAREN,
  [59296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3021), 1,
      anon_sym_SEMI,
  [59303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 1,
      anon_sym_SEMI,
  [59310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_RPAREN,
  [59317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 1,
      anon_sym_SEMI,
  [59324] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_preproc_include_token2,
  [59331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4428), 1,
      anon_sym_SEMI,
  [59338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_RPAREN,
  [59345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3039), 1,
      anon_sym_RPAREN,
  [59352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_SEMI,
  [59359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_SEMI,
  [59366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_RPAREN,
  [59373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2999), 1,
      anon_sym_SEMI,
  [59380] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4430), 1,
      aux_sym_preproc_include_token2,
  [59387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4432), 1,
      aux_sym_preproc_if_token2,
  [59394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_SEMI,
  [59401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_RPAREN,
  [59408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3049), 1,
      anon_sym_RPAREN,
  [59415] = 2,
    ACTIONS(2256), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3261), 1,
      sym_comment,
  [59422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_RPAREN,
  [59429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4434), 1,
      sym_identifier,
  [59436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2904), 1,
      anon_sym_RPAREN,
  [59443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_RPAREN,
  [59450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_SEMI,
  [59457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_RPAREN,
  [59464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4440), 1,
      anon_sym_SEMI,
  [59471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 1,
      aux_sym_preproc_if_token2,
  [59478] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4444), 1,
      aux_sym_preproc_include_token2,
  [59485] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3963), 1,
      aux_sym_preproc_include_token2,
  [59492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4446), 1,
      anon_sym_SEMI,
  [59499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4448), 1,
      anon_sym_SEMI,
  [59506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_RPAREN,
  [59513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_SEMI,
  [59520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4454), 1,
      sym_identifier,
  [59527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2997), 1,
      anon_sym_RPAREN,
  [59534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4456), 1,
      anon_sym_RPAREN,
  [59541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4458), 1,
      anon_sym_COLON,
  [59548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_LPAREN2,
  [59555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      sym_identifier,
  [59562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4464), 1,
      sym_identifier,
  [59569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_COLON,
  [59576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_STAR,
  [59583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4470), 1,
      sym_identifier,
  [59590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4472), 1,
      sym_identifier,
  [59597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4474), 1,
      anon_sym_LPAREN2,
  [59604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2995), 1,
      anon_sym_RPAREN,
  [59611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4476), 1,
      aux_sym_preproc_if_token2,
  [59618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2981), 1,
      anon_sym_SEMI,
  [59625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_SEMI,
  [59632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4480), 1,
      aux_sym_preproc_if_token2,
  [59639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_LPAREN2,
  [59646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      sym_identifier,
  [59653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_LPAREN2,
  [59660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 1,
      anon_sym_RPAREN,
  [59667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2987), 1,
      anon_sym_RPAREN,
  [59674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_SEMI,
  [59681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_SQUOTE,
  [59688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
  [59695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      aux_sym_preproc_if_token2,
  [59702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_preproc_if_token2,
  [59709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4500), 1,
      aux_sym_preproc_if_token2,
  [59716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      sym_identifier,
  [59723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_SEMI,
  [59730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4506), 1,
      aux_sym_preproc_if_token2,
  [59737] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4508), 1,
      aux_sym_preproc_include_token2,
  [59744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 1,
      ts_builtin_sym_end,
  [59751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_SEMI,
  [59758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_LPAREN2,
  [59765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      aux_sym_preproc_if_token2,
  [59772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_SEMI,
  [59779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_SEMI,
  [59786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 1,
      aux_sym_preproc_if_token2,
  [59793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3025), 1,
      anon_sym_SEMI,
  [59800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_RPAREN,
  [59807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      aux_sym_preproc_if_token2,
  [59814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3011), 1,
      anon_sym_RPAREN,
  [59821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 1,
      aux_sym_preproc_if_token2,
  [59828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 1,
      anon_sym_RPAREN,
  [59835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2991), 1,
      anon_sym_RPAREN,
  [59842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_RPAREN,
  [59849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_SQUOTE,
  [59856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_SEMI,
  [59863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2983), 1,
      anon_sym_SEMI,
  [59870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      sym_identifier,
  [59877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2979), 1,
      anon_sym_RPAREN,
  [59884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4536), 1,
      sym_identifier,
  [59891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_RPAREN,
  [59898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_RBRACK,
  [59905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 1,
      anon_sym_RPAREN,
  [59912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 1,
      aux_sym_preproc_if_token2,
  [59919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_RPAREN,
  [59926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_RPAREN,
  [59933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 1,
      sym_identifier,
  [59940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4544), 1,
      sym_identifier,
  [59947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym_identifier,
  [59954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      aux_sym_preproc_if_token2,
  [59961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3035), 1,
      anon_sym_SEMI,
  [59968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 1,
      aux_sym_preproc_if_token2,
  [59975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_SEMI,
  [59982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_SEMI,
  [59989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4556), 1,
      sym_identifier,
  [59996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3027), 1,
      anon_sym_SEMI,
  [60003] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3971), 1,
      aux_sym_preproc_include_token2,
  [60010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_SEMI,
  [60017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      anon_sym_RPAREN,
  [60024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4560), 1,
      aux_sym_preproc_if_token2,
  [60031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 1,
      anon_sym_RPAREN,
  [60038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_COLON,
  [60045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 1,
      sym_identifier,
  [60052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4566), 1,
      aux_sym_preproc_if_token2,
  [60059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4568), 1,
      anon_sym_RPAREN,
  [60066] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4570), 1,
      aux_sym_preproc_include_token2,
  [60073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_SEMI,
  [60080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4574), 1,
      anon_sym_SEMI,
  [60087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 1,
      aux_sym_preproc_if_token2,
  [60094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_RPAREN,
  [60101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_SEMI,
  [60108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 1,
      aux_sym_preproc_if_token2,
  [60115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 1,
      anon_sym_RPAREN,
  [60122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_COLON,
  [60129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      aux_sym_preproc_if_token2,
  [60136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      sym_identifier,
  [60143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 1,
      anon_sym_RPAREN,
  [60150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 1,
      aux_sym_preproc_if_token2,
  [60157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_RPAREN,
  [60164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_SEMI,
  [60171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_RPAREN,
  [60178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 1,
      aux_sym_preproc_if_token2,
  [60185] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4089), 1,
      aux_sym_preproc_include_token2,
  [60192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_RPAREN,
  [60199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_SEMI,
  [60206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      sym_identifier,
  [60213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4598), 1,
      sym_identifier,
  [60220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      aux_sym_preproc_if_token2,
  [60227] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4602), 1,
      aux_sym_preproc_include_token2,
  [60234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_SEMI,
  [60241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym_identifier,
  [60248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_preproc_if_token2,
  [60255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4610), 1,
      aux_sym_preproc_if_token2,
  [60262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_SEMI,
  [60269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_RPAREN,
  [60276] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4616), 1,
      aux_sym_preproc_include_token2,
  [60283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      aux_sym_preproc_if_token2,
  [60290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4620), 1,
      aux_sym_preproc_if_token2,
  [60297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4622), 1,
      aux_sym_preproc_if_token2,
  [60304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4624), 1,
      sym_identifier,
  [60311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4626), 1,
      aux_sym_preproc_if_token2,
  [60318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 1,
      sym_identifier,
  [60325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 1,
      sym_identifier,
  [60332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      sym_identifier,
  [60339] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4634), 1,
      aux_sym_preproc_include_token2,
  [60346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_SEMI,
  [60353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3019), 1,
      anon_sym_SEMI,
  [60360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4638), 1,
      anon_sym_LPAREN2,
  [60367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_RPAREN,
  [60374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4642), 1,
      sym_identifier,
  [60381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      sym_identifier,
  [60388] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_preproc_include_token2,
  [60395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_RPAREN,
  [60402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym_primitive_type,
  [60409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_while,
  [60416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      aux_sym_preproc_if_token2,
  [60423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_STAR,
  [60430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_RBRACK,
  [60437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_RPAREN,
  [60444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 1,
      anon_sym_LPAREN2,
  [60451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_RPAREN,
  [60458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_SEMI,
  [60465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      anon_sym_SEMI,
  [60472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_SEMI,
  [60479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3029), 1,
      anon_sym_RPAREN,
  [60486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2989), 1,
      anon_sym_SEMI,
  [60493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_SEMI,
  [60500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_SEMI,
  [60507] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4664), 1,
      aux_sym_preproc_include_token2,
  [60514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      aux_sym_preproc_if_token2,
  [60521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_SEMI,
  [60528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_SEMI,
  [60535] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4670), 1,
      aux_sym_preproc_include_token2,
  [60542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_SEMI,
  [60549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2993), 1,
      anon_sym_SEMI,
  [60556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_while,
  [60563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_LPAREN2,
  [60570] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4678), 1,
      aux_sym_preproc_include_token2,
  [60577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 1,
      sym_identifier,
  [60584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_RPAREN,
  [60591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4682), 1,
      aux_sym_preproc_if_token2,
  [60598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_SEMI,
  [60605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_SQUOTE,
  [60612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3045), 1,
      anon_sym_SEMI,
  [60619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4686), 1,
      aux_sym_preproc_if_token2,
  [60626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 1,
      anon_sym_SEMI,
  [60633] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4688), 1,
      aux_sym_preproc_include_token2,
  [60640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 1,
      sym_identifier,
  [60647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3003), 1,
      anon_sym_SEMI,
  [60654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_SEMI,
  [60661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_SEMI,
  [60668] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4033), 1,
      aux_sym_preproc_include_token2,
  [60675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_SEMI,
  [60682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_while,
  [60689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_SEMI,
  [60696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 1,
      anon_sym_SEMI,
  [60703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_COLON,
  [60710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_RPAREN,
  [60717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2985), 1,
      anon_sym_SEMI,
  [60724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_RPAREN,
  [60731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2977), 1,
      anon_sym_SEMI,
  [60738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 1,
      anon_sym_RPAREN,
  [60745] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(4704), 1,
      aux_sym_preproc_include_token2,
  [60752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_SEMI,
  [60759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      anon_sym_RPAREN,
  [60766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 1,
      aux_sym_preproc_if_token2,
  [60773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      aux_sym_preproc_if_token2,
  [60780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_RPAREN,
  [60787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 1,
      anon_sym_while,
  [60794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_SEMI,
  [60801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 1,
      aux_sym_preproc_if_token2,
  [60808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LPAREN2,
  [60815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_RPAREN,
  [60822] = 2,
    ACTIONS(3261), 1,
      sym_comment,
    ACTIONS(3335), 1,
      aux_sym_preproc_include_token2,
  [60829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_SEMI,
  [60836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_RPAREN,
  [60843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LPAREN2,
  [60850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 1,
      anon_sym_RPAREN,
  [60857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_SEMI,
  [60864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2910), 1,
      anon_sym_SEMI,
  [60871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4724), 1,
      sym_identifier,
  [60878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_SEMI,
  [60885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 1,
      aux_sym_preproc_if_token2,
  [60892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3031), 1,
      anon_sym_SEMI,
  [60899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 1,
      sym_identifier,
  [60906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_LPAREN2,
  [60913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
  [60920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(530)] = 0,
  [SMALL_STATE(531)] = 113,
  [SMALL_STATE(532)] = 226,
  [SMALL_STATE(533)] = 339,
  [SMALL_STATE(534)] = 452,
  [SMALL_STATE(535)] = 565,
  [SMALL_STATE(536)] = 678,
  [SMALL_STATE(537)] = 791,
  [SMALL_STATE(538)] = 904,
  [SMALL_STATE(539)] = 1017,
  [SMALL_STATE(540)] = 1130,
  [SMALL_STATE(541)] = 1248,
  [SMALL_STATE(542)] = 1366,
  [SMALL_STATE(543)] = 1484,
  [SMALL_STATE(544)] = 1602,
  [SMALL_STATE(545)] = 1720,
  [SMALL_STATE(546)] = 1838,
  [SMALL_STATE(547)] = 1962,
  [SMALL_STATE(548)] = 2080,
  [SMALL_STATE(549)] = 2198,
  [SMALL_STATE(550)] = 2316,
  [SMALL_STATE(551)] = 2431,
  [SMALL_STATE(552)] = 2546,
  [SMALL_STATE(553)] = 2658,
  [SMALL_STATE(554)] = 2771,
  [SMALL_STATE(555)] = 2884,
  [SMALL_STATE(556)] = 2991,
  [SMALL_STATE(557)] = 3104,
  [SMALL_STATE(558)] = 3217,
  [SMALL_STATE(559)] = 3330,
  [SMALL_STATE(560)] = 3443,
  [SMALL_STATE(561)] = 3556,
  [SMALL_STATE(562)] = 3669,
  [SMALL_STATE(563)] = 3782,
  [SMALL_STATE(564)] = 3895,
  [SMALL_STATE(565)] = 3977,
  [SMALL_STATE(566)] = 4057,
  [SMALL_STATE(567)] = 4137,
  [SMALL_STATE(568)] = 4217,
  [SMALL_STATE(569)] = 4297,
  [SMALL_STATE(570)] = 4377,
  [SMALL_STATE(571)] = 4459,
  [SMALL_STATE(572)] = 4539,
  [SMALL_STATE(573)] = 4621,
  [SMALL_STATE(574)] = 4703,
  [SMALL_STATE(575)] = 4780,
  [SMALL_STATE(576)] = 4861,
  [SMALL_STATE(577)] = 4966,
  [SMALL_STATE(578)] = 5069,
  [SMALL_STATE(579)] = 5172,
  [SMALL_STATE(580)] = 5275,
  [SMALL_STATE(581)] = 5378,
  [SMALL_STATE(582)] = 5481,
  [SMALL_STATE(583)] = 5584,
  [SMALL_STATE(584)] = 5687,
  [SMALL_STATE(585)] = 5790,
  [SMALL_STATE(586)] = 5890,
  [SMALL_STATE(587)] = 5990,
  [SMALL_STATE(588)] = 6090,
  [SMALL_STATE(589)] = 6190,
  [SMALL_STATE(590)] = 6290,
  [SMALL_STATE(591)] = 6390,
  [SMALL_STATE(592)] = 6490,
  [SMALL_STATE(593)] = 6590,
  [SMALL_STATE(594)] = 6690,
  [SMALL_STATE(595)] = 6790,
  [SMALL_STATE(596)] = 6890,
  [SMALL_STATE(597)] = 6990,
  [SMALL_STATE(598)] = 7090,
  [SMALL_STATE(599)] = 7190,
  [SMALL_STATE(600)] = 7290,
  [SMALL_STATE(601)] = 7390,
  [SMALL_STATE(602)] = 7490,
  [SMALL_STATE(603)] = 7590,
  [SMALL_STATE(604)] = 7698,
  [SMALL_STATE(605)] = 7798,
  [SMALL_STATE(606)] = 7898,
  [SMALL_STATE(607)] = 7998,
  [SMALL_STATE(608)] = 8098,
  [SMALL_STATE(609)] = 8198,
  [SMALL_STATE(610)] = 8298,
  [SMALL_STATE(611)] = 8394,
  [SMALL_STATE(612)] = 8494,
  [SMALL_STATE(613)] = 8594,
  [SMALL_STATE(614)] = 8694,
  [SMALL_STATE(615)] = 8794,
  [SMALL_STATE(616)] = 8894,
  [SMALL_STATE(617)] = 8994,
  [SMALL_STATE(618)] = 9094,
  [SMALL_STATE(619)] = 9194,
  [SMALL_STATE(620)] = 9294,
  [SMALL_STATE(621)] = 9394,
  [SMALL_STATE(622)] = 9494,
  [SMALL_STATE(623)] = 9594,
  [SMALL_STATE(624)] = 9694,
  [SMALL_STATE(625)] = 9794,
  [SMALL_STATE(626)] = 9894,
  [SMALL_STATE(627)] = 9994,
  [SMALL_STATE(628)] = 10094,
  [SMALL_STATE(629)] = 10190,
  [SMALL_STATE(630)] = 10290,
  [SMALL_STATE(631)] = 10390,
  [SMALL_STATE(632)] = 10490,
  [SMALL_STATE(633)] = 10590,
  [SMALL_STATE(634)] = 10690,
  [SMALL_STATE(635)] = 10790,
  [SMALL_STATE(636)] = 10890,
  [SMALL_STATE(637)] = 10990,
  [SMALL_STATE(638)] = 11090,
  [SMALL_STATE(639)] = 11190,
  [SMALL_STATE(640)] = 11290,
  [SMALL_STATE(641)] = 11390,
  [SMALL_STATE(642)] = 11490,
  [SMALL_STATE(643)] = 11590,
  [SMALL_STATE(644)] = 11690,
  [SMALL_STATE(645)] = 11790,
  [SMALL_STATE(646)] = 11890,
  [SMALL_STATE(647)] = 11990,
  [SMALL_STATE(648)] = 12090,
  [SMALL_STATE(649)] = 12190,
  [SMALL_STATE(650)] = 12290,
  [SMALL_STATE(651)] = 12390,
  [SMALL_STATE(652)] = 12490,
  [SMALL_STATE(653)] = 12583,
  [SMALL_STATE(654)] = 12680,
  [SMALL_STATE(655)] = 12773,
  [SMALL_STATE(656)] = 12866,
  [SMALL_STATE(657)] = 12963,
  [SMALL_STATE(658)] = 13060,
  [SMALL_STATE(659)] = 13157,
  [SMALL_STATE(660)] = 13254,
  [SMALL_STATE(661)] = 13347,
  [SMALL_STATE(662)] = 13444,
  [SMALL_STATE(663)] = 13537,
  [SMALL_STATE(664)] = 13630,
  [SMALL_STATE(665)] = 13723,
  [SMALL_STATE(666)] = 13816,
  [SMALL_STATE(667)] = 13909,
  [SMALL_STATE(668)] = 14006,
  [SMALL_STATE(669)] = 14099,
  [SMALL_STATE(670)] = 14193,
  [SMALL_STATE(671)] = 14287,
  [SMALL_STATE(672)] = 14377,
  [SMALL_STATE(673)] = 14473,
  [SMALL_STATE(674)] = 14567,
  [SMALL_STATE(675)] = 14657,
  [SMALL_STATE(676)] = 14751,
  [SMALL_STATE(677)] = 14845,
  [SMALL_STATE(678)] = 14939,
  [SMALL_STATE(679)] = 15033,
  [SMALL_STATE(680)] = 15127,
  [SMALL_STATE(681)] = 15217,
  [SMALL_STATE(682)] = 15311,
  [SMALL_STATE(683)] = 15405,
  [SMALL_STATE(684)] = 15495,
  [SMALL_STATE(685)] = 15589,
  [SMALL_STATE(686)] = 15683,
  [SMALL_STATE(687)] = 15777,
  [SMALL_STATE(688)] = 15871,
  [SMALL_STATE(689)] = 15965,
  [SMALL_STATE(690)] = 16055,
  [SMALL_STATE(691)] = 16149,
  [SMALL_STATE(692)] = 16243,
  [SMALL_STATE(693)] = 16337,
  [SMALL_STATE(694)] = 16427,
  [SMALL_STATE(695)] = 16521,
  [SMALL_STATE(696)] = 16615,
  [SMALL_STATE(697)] = 16709,
  [SMALL_STATE(698)] = 16799,
  [SMALL_STATE(699)] = 16889,
  [SMALL_STATE(700)] = 16983,
  [SMALL_STATE(701)] = 17077,
  [SMALL_STATE(702)] = 17171,
  [SMALL_STATE(703)] = 17265,
  [SMALL_STATE(704)] = 17359,
  [SMALL_STATE(705)] = 17453,
  [SMALL_STATE(706)] = 17543,
  [SMALL_STATE(707)] = 17637,
  [SMALL_STATE(708)] = 17733,
  [SMALL_STATE(709)] = 17827,
  [SMALL_STATE(710)] = 17921,
  [SMALL_STATE(711)] = 18015,
  [SMALL_STATE(712)] = 18109,
  [SMALL_STATE(713)] = 18203,
  [SMALL_STATE(714)] = 18297,
  [SMALL_STATE(715)] = 18391,
  [SMALL_STATE(716)] = 18485,
  [SMALL_STATE(717)] = 18575,
  [SMALL_STATE(718)] = 18669,
  [SMALL_STATE(719)] = 18759,
  [SMALL_STATE(720)] = 18853,
  [SMALL_STATE(721)] = 18949,
  [SMALL_STATE(722)] = 19039,
  [SMALL_STATE(723)] = 19133,
  [SMALL_STATE(724)] = 19227,
  [SMALL_STATE(725)] = 19321,
  [SMALL_STATE(726)] = 19411,
  [SMALL_STATE(727)] = 19501,
  [SMALL_STATE(728)] = 19591,
  [SMALL_STATE(729)] = 19687,
  [SMALL_STATE(730)] = 19777,
  [SMALL_STATE(731)] = 19867,
  [SMALL_STATE(732)] = 19957,
  [SMALL_STATE(733)] = 20047,
  [SMALL_STATE(734)] = 20141,
  [SMALL_STATE(735)] = 20231,
  [SMALL_STATE(736)] = 20321,
  [SMALL_STATE(737)] = 20411,
  [SMALL_STATE(738)] = 20501,
  [SMALL_STATE(739)] = 20591,
  [SMALL_STATE(740)] = 20681,
  [SMALL_STATE(741)] = 20771,
  [SMALL_STATE(742)] = 20865,
  [SMALL_STATE(743)] = 20955,
  [SMALL_STATE(744)] = 21051,
  [SMALL_STATE(745)] = 21141,
  [SMALL_STATE(746)] = 21231,
  [SMALL_STATE(747)] = 21325,
  [SMALL_STATE(748)] = 21415,
  [SMALL_STATE(749)] = 21509,
  [SMALL_STATE(750)] = 21603,
  [SMALL_STATE(751)] = 21693,
  [SMALL_STATE(752)] = 21787,
  [SMALL_STATE(753)] = 21877,
  [SMALL_STATE(754)] = 21942,
  [SMALL_STATE(755)] = 22007,
  [SMALL_STATE(756)] = 22072,
  [SMALL_STATE(757)] = 22129,
  [SMALL_STATE(758)] = 22186,
  [SMALL_STATE(759)] = 22254,
  [SMALL_STATE(760)] = 22341,
  [SMALL_STATE(761)] = 22393,
  [SMALL_STATE(762)] = 22445,
  [SMALL_STATE(763)] = 22497,
  [SMALL_STATE(764)] = 22549,
  [SMALL_STATE(765)] = 22633,
  [SMALL_STATE(766)] = 22684,
  [SMALL_STATE(767)] = 22769,
  [SMALL_STATE(768)] = 22820,
  [SMALL_STATE(769)] = 22887,
  [SMALL_STATE(770)] = 22972,
  [SMALL_STATE(771)] = 23023,
  [SMALL_STATE(772)] = 23074,
  [SMALL_STATE(773)] = 23125,
  [SMALL_STATE(774)] = 23176,
  [SMALL_STATE(775)] = 23227,
  [SMALL_STATE(776)] = 23278,
  [SMALL_STATE(777)] = 23329,
  [SMALL_STATE(778)] = 23380,
  [SMALL_STATE(779)] = 23445,
  [SMALL_STATE(780)] = 23512,
  [SMALL_STATE(781)] = 23563,
  [SMALL_STATE(782)] = 23614,
  [SMALL_STATE(783)] = 23685,
  [SMALL_STATE(784)] = 23758,
  [SMALL_STATE(785)] = 23809,
  [SMALL_STATE(786)] = 23860,
  [SMALL_STATE(787)] = 23935,
  [SMALL_STATE(788)] = 23986,
  [SMALL_STATE(789)] = 24037,
  [SMALL_STATE(790)] = 24114,
  [SMALL_STATE(791)] = 24165,
  [SMALL_STATE(792)] = 24244,
  [SMALL_STATE(793)] = 24325,
  [SMALL_STATE(794)] = 24388,
  [SMALL_STATE(795)] = 24439,
  [SMALL_STATE(796)] = 24498,
  [SMALL_STATE(797)] = 24583,
  [SMALL_STATE(798)] = 24634,
  [SMALL_STATE(799)] = 24685,
  [SMALL_STATE(800)] = 24736,
  [SMALL_STATE(801)] = 24787,
  [SMALL_STATE(802)] = 24848,
  [SMALL_STATE(803)] = 24899,
  [SMALL_STATE(804)] = 24960,
  [SMALL_STATE(805)] = 25011,
  [SMALL_STATE(806)] = 25072,
  [SMALL_STATE(807)] = 25123,
  [SMALL_STATE(808)] = 25184,
  [SMALL_STATE(809)] = 25235,
  [SMALL_STATE(810)] = 25286,
  [SMALL_STATE(811)] = 25337,
  [SMALL_STATE(812)] = 25391,
  [SMALL_STATE(813)] = 25468,
  [SMALL_STATE(814)] = 25545,
  [SMALL_STATE(815)] = 25598,
  [SMALL_STATE(816)] = 25675,
  [SMALL_STATE(817)] = 25752,
  [SMALL_STATE(818)] = 25829,
  [SMALL_STATE(819)] = 25903,
  [SMALL_STATE(820)] = 25963,
  [SMALL_STATE(821)] = 26016,
  [SMALL_STATE(822)] = 26069,
  [SMALL_STATE(823)] = 26122,
  [SMALL_STATE(824)] = 26175,
  [SMALL_STATE(825)] = 26222,
  [SMALL_STATE(826)] = 26275,
  [SMALL_STATE(827)] = 26328,
  [SMALL_STATE(828)] = 26402,
  [SMALL_STATE(829)] = 26464,
  [SMALL_STATE(830)] = 26520,
  [SMALL_STATE(831)] = 26576,
  [SMALL_STATE(832)] = 26656,
  [SMALL_STATE(833)] = 26714,
  [SMALL_STATE(834)] = 26790,
  [SMALL_STATE(835)] = 26862,
  [SMALL_STATE(836)] = 26932,
  [SMALL_STATE(837)] = 26988,
  [SMALL_STATE(838)] = 27056,
  [SMALL_STATE(839)] = 27134,
  [SMALL_STATE(840)] = 27196,
  [SMALL_STATE(841)] = 27276,
  [SMALL_STATE(842)] = 27356,
  [SMALL_STATE(843)] = 27422,
  [SMALL_STATE(844)] = 27478,
  [SMALL_STATE(845)] = 27532,
  [SMALL_STATE(846)] = 27592,
  [SMALL_STATE(847)] = 27637,
  [SMALL_STATE(848)] = 27682,
  [SMALL_STATE(849)] = 27731,
  [SMALL_STATE(850)] = 27776,
  [SMALL_STATE(851)] = 27820,
  [SMALL_STATE(852)] = 27864,
  [SMALL_STATE(853)] = 27908,
  [SMALL_STATE(854)] = 27952,
  [SMALL_STATE(855)] = 27996,
  [SMALL_STATE(856)] = 28040,
  [SMALL_STATE(857)] = 28084,
  [SMALL_STATE(858)] = 28128,
  [SMALL_STATE(859)] = 28172,
  [SMALL_STATE(860)] = 28216,
  [SMALL_STATE(861)] = 28260,
  [SMALL_STATE(862)] = 28304,
  [SMALL_STATE(863)] = 28348,
  [SMALL_STATE(864)] = 28392,
  [SMALL_STATE(865)] = 28436,
  [SMALL_STATE(866)] = 28480,
  [SMALL_STATE(867)] = 28524,
  [SMALL_STATE(868)] = 28568,
  [SMALL_STATE(869)] = 28612,
  [SMALL_STATE(870)] = 28656,
  [SMALL_STATE(871)] = 28700,
  [SMALL_STATE(872)] = 28744,
  [SMALL_STATE(873)] = 28788,
  [SMALL_STATE(874)] = 28832,
  [SMALL_STATE(875)] = 28876,
  [SMALL_STATE(876)] = 28918,
  [SMALL_STATE(877)] = 28960,
  [SMALL_STATE(878)] = 29002,
  [SMALL_STATE(879)] = 29044,
  [SMALL_STATE(880)] = 29086,
  [SMALL_STATE(881)] = 29128,
  [SMALL_STATE(882)] = 29170,
  [SMALL_STATE(883)] = 29220,
  [SMALL_STATE(884)] = 29262,
  [SMALL_STATE(885)] = 29304,
  [SMALL_STATE(886)] = 29346,
  [SMALL_STATE(887)] = 29396,
  [SMALL_STATE(888)] = 29438,
  [SMALL_STATE(889)] = 29488,
  [SMALL_STATE(890)] = 29530,
  [SMALL_STATE(891)] = 29572,
  [SMALL_STATE(892)] = 29640,
  [SMALL_STATE(893)] = 29682,
  [SMALL_STATE(894)] = 29732,
  [SMALL_STATE(895)] = 29800,
  [SMALL_STATE(896)] = 29842,
  [SMALL_STATE(897)] = 29910,
  [SMALL_STATE(898)] = 29952,
  [SMALL_STATE(899)] = 29994,
  [SMALL_STATE(900)] = 30036,
  [SMALL_STATE(901)] = 30078,
  [SMALL_STATE(902)] = 30120,
  [SMALL_STATE(903)] = 30162,
  [SMALL_STATE(904)] = 30204,
  [SMALL_STATE(905)] = 30272,
  [SMALL_STATE(906)] = 30314,
  [SMALL_STATE(907)] = 30356,
  [SMALL_STATE(908)] = 30406,
  [SMALL_STATE(909)] = 30448,
  [SMALL_STATE(910)] = 30490,
  [SMALL_STATE(911)] = 30531,
  [SMALL_STATE(912)] = 30572,
  [SMALL_STATE(913)] = 30613,
  [SMALL_STATE(914)] = 30654,
  [SMALL_STATE(915)] = 30695,
  [SMALL_STATE(916)] = 30735,
  [SMALL_STATE(917)] = 30775,
  [SMALL_STATE(918)] = 30815,
  [SMALL_STATE(919)] = 30855,
  [SMALL_STATE(920)] = 30895,
  [SMALL_STATE(921)] = 30939,
  [SMALL_STATE(922)] = 30979,
  [SMALL_STATE(923)] = 31023,
  [SMALL_STATE(924)] = 31063,
  [SMALL_STATE(925)] = 31115,
  [SMALL_STATE(926)] = 31167,
  [SMALL_STATE(927)] = 31207,
  [SMALL_STATE(928)] = 31247,
  [SMALL_STATE(929)] = 31291,
  [SMALL_STATE(930)] = 31331,
  [SMALL_STATE(931)] = 31375,
  [SMALL_STATE(932)] = 31415,
  [SMALL_STATE(933)] = 31459,
  [SMALL_STATE(934)] = 31503,
  [SMALL_STATE(935)] = 31547,
  [SMALL_STATE(936)] = 31591,
  [SMALL_STATE(937)] = 31631,
  [SMALL_STATE(938)] = 31675,
  [SMALL_STATE(939)] = 31715,
  [SMALL_STATE(940)] = 31755,
  [SMALL_STATE(941)] = 31829,
  [SMALL_STATE(942)] = 31869,
  [SMALL_STATE(943)] = 31943,
  [SMALL_STATE(944)] = 31983,
  [SMALL_STATE(945)] = 32023,
  [SMALL_STATE(946)] = 32063,
  [SMALL_STATE(947)] = 32103,
  [SMALL_STATE(948)] = 32143,
  [SMALL_STATE(949)] = 32199,
  [SMALL_STATE(950)] = 32239,
  [SMALL_STATE(951)] = 32279,
  [SMALL_STATE(952)] = 32319,
  [SMALL_STATE(953)] = 32359,
  [SMALL_STATE(954)] = 32399,
  [SMALL_STATE(955)] = 32439,
  [SMALL_STATE(956)] = 32479,
  [SMALL_STATE(957)] = 32519,
  [SMALL_STATE(958)] = 32577,
  [SMALL_STATE(959)] = 32617,
  [SMALL_STATE(960)] = 32661,
  [SMALL_STATE(961)] = 32701,
  [SMALL_STATE(962)] = 32741,
  [SMALL_STATE(963)] = 32781,
  [SMALL_STATE(964)] = 32821,
  [SMALL_STATE(965)] = 32861,
  [SMALL_STATE(966)] = 32901,
  [SMALL_STATE(967)] = 32955,
  [SMALL_STATE(968)] = 33025,
  [SMALL_STATE(969)] = 33065,
  [SMALL_STATE(970)] = 33105,
  [SMALL_STATE(971)] = 33145,
  [SMALL_STATE(972)] = 33213,
  [SMALL_STATE(973)] = 33281,
  [SMALL_STATE(974)] = 33321,
  [SMALL_STATE(975)] = 33387,
  [SMALL_STATE(976)] = 33451,
  [SMALL_STATE(977)] = 33513,
  [SMALL_STATE(978)] = 33571,
  [SMALL_STATE(979)] = 33611,
  [SMALL_STATE(980)] = 33651,
  [SMALL_STATE(981)] = 33695,
  [SMALL_STATE(982)] = 33739,
  [SMALL_STATE(983)] = 33779,
  [SMALL_STATE(984)] = 33823,
  [SMALL_STATE(985)] = 33863,
  [SMALL_STATE(986)] = 33903,
  [SMALL_STATE(987)] = 33955,
  [SMALL_STATE(988)] = 33995,
  [SMALL_STATE(989)] = 34035,
  [SMALL_STATE(990)] = 34075,
  [SMALL_STATE(991)] = 34115,
  [SMALL_STATE(992)] = 34159,
  [SMALL_STATE(993)] = 34203,
  [SMALL_STATE(994)] = 34255,
  [SMALL_STATE(995)] = 34329,
  [SMALL_STATE(996)] = 34373,
  [SMALL_STATE(997)] = 34412,
  [SMALL_STATE(998)] = 34451,
  [SMALL_STATE(999)] = 34490,
  [SMALL_STATE(1000)] = 34529,
  [SMALL_STATE(1001)] = 34568,
  [SMALL_STATE(1002)] = 34607,
  [SMALL_STATE(1003)] = 34646,
  [SMALL_STATE(1004)] = 34693,
  [SMALL_STATE(1005)] = 34732,
  [SMALL_STATE(1006)] = 34771,
  [SMALL_STATE(1007)] = 34810,
  [SMALL_STATE(1008)] = 34849,
  [SMALL_STATE(1009)] = 34888,
  [SMALL_STATE(1010)] = 34927,
  [SMALL_STATE(1011)] = 34966,
  [SMALL_STATE(1012)] = 35005,
  [SMALL_STATE(1013)] = 35044,
  [SMALL_STATE(1014)] = 35083,
  [SMALL_STATE(1015)] = 35122,
  [SMALL_STATE(1016)] = 35161,
  [SMALL_STATE(1017)] = 35200,
  [SMALL_STATE(1018)] = 35239,
  [SMALL_STATE(1019)] = 35278,
  [SMALL_STATE(1020)] = 35317,
  [SMALL_STATE(1021)] = 35356,
  [SMALL_STATE(1022)] = 35395,
  [SMALL_STATE(1023)] = 35434,
  [SMALL_STATE(1024)] = 35473,
  [SMALL_STATE(1025)] = 35512,
  [SMALL_STATE(1026)] = 35551,
  [SMALL_STATE(1027)] = 35590,
  [SMALL_STATE(1028)] = 35629,
  [SMALL_STATE(1029)] = 35668,
  [SMALL_STATE(1030)] = 35707,
  [SMALL_STATE(1031)] = 35748,
  [SMALL_STATE(1032)] = 35787,
  [SMALL_STATE(1033)] = 35849,
  [SMALL_STATE(1034)] = 35908,
  [SMALL_STATE(1035)] = 35967,
  [SMALL_STATE(1036)] = 36026,
  [SMALL_STATE(1037)] = 36097,
  [SMALL_STATE(1038)] = 36144,
  [SMALL_STATE(1039)] = 36217,
  [SMALL_STATE(1040)] = 36276,
  [SMALL_STATE(1041)] = 36351,
  [SMALL_STATE(1042)] = 36410,
  [SMALL_STATE(1043)] = 36461,
  [SMALL_STATE(1044)] = 36520,
  [SMALL_STATE(1045)] = 36571,
  [SMALL_STATE(1046)] = 36622,
  [SMALL_STATE(1047)] = 36681,
  [SMALL_STATE(1048)] = 36756,
  [SMALL_STATE(1049)] = 36807,
  [SMALL_STATE(1050)] = 36882,
  [SMALL_STATE(1051)] = 36941,
  [SMALL_STATE(1052)] = 36992,
  [SMALL_STATE(1053)] = 37067,
  [SMALL_STATE(1054)] = 37139,
  [SMALL_STATE(1055)] = 37211,
  [SMALL_STATE(1056)] = 37283,
  [SMALL_STATE(1057)] = 37355,
  [SMALL_STATE(1058)] = 37427,
  [SMALL_STATE(1059)] = 37499,
  [SMALL_STATE(1060)] = 37571,
  [SMALL_STATE(1061)] = 37643,
  [SMALL_STATE(1062)] = 37715,
  [SMALL_STATE(1063)] = 37787,
  [SMALL_STATE(1064)] = 37857,
  [SMALL_STATE(1065)] = 37929,
  [SMALL_STATE(1066)] = 38001,
  [SMALL_STATE(1067)] = 38073,
  [SMALL_STATE(1068)] = 38145,
  [SMALL_STATE(1069)] = 38217,
  [SMALL_STATE(1070)] = 38289,
  [SMALL_STATE(1071)] = 38361,
  [SMALL_STATE(1072)] = 38433,
  [SMALL_STATE(1073)] = 38505,
  [SMALL_STATE(1074)] = 38577,
  [SMALL_STATE(1075)] = 38649,
  [SMALL_STATE(1076)] = 38721,
  [SMALL_STATE(1077)] = 38793,
  [SMALL_STATE(1078)] = 38865,
  [SMALL_STATE(1079)] = 38935,
  [SMALL_STATE(1080)] = 39007,
  [SMALL_STATE(1081)] = 39079,
  [SMALL_STATE(1082)] = 39151,
  [SMALL_STATE(1083)] = 39221,
  [SMALL_STATE(1084)] = 39293,
  [SMALL_STATE(1085)] = 39365,
  [SMALL_STATE(1086)] = 39435,
  [SMALL_STATE(1087)] = 39507,
  [SMALL_STATE(1088)] = 39551,
  [SMALL_STATE(1089)] = 39623,
  [SMALL_STATE(1090)] = 39695,
  [SMALL_STATE(1091)] = 39767,
  [SMALL_STATE(1092)] = 39839,
  [SMALL_STATE(1093)] = 39911,
  [SMALL_STATE(1094)] = 39983,
  [SMALL_STATE(1095)] = 40055,
  [SMALL_STATE(1096)] = 40127,
  [SMALL_STATE(1097)] = 40199,
  [SMALL_STATE(1098)] = 40271,
  [SMALL_STATE(1099)] = 40343,
  [SMALL_STATE(1100)] = 40415,
  [SMALL_STATE(1101)] = 40487,
  [SMALL_STATE(1102)] = 40559,
  [SMALL_STATE(1103)] = 40631,
  [SMALL_STATE(1104)] = 40701,
  [SMALL_STATE(1105)] = 40773,
  [SMALL_STATE(1106)] = 40845,
  [SMALL_STATE(1107)] = 40917,
  [SMALL_STATE(1108)] = 40989,
  [SMALL_STATE(1109)] = 41061,
  [SMALL_STATE(1110)] = 41133,
  [SMALL_STATE(1111)] = 41205,
  [SMALL_STATE(1112)] = 41277,
  [SMALL_STATE(1113)] = 41349,
  [SMALL_STATE(1114)] = 41421,
  [SMALL_STATE(1115)] = 41493,
  [SMALL_STATE(1116)] = 41565,
  [SMALL_STATE(1117)] = 41637,
  [SMALL_STATE(1118)] = 41709,
  [SMALL_STATE(1119)] = 41781,
  [SMALL_STATE(1120)] = 41853,
  [SMALL_STATE(1121)] = 41925,
  [SMALL_STATE(1122)] = 41997,
  [SMALL_STATE(1123)] = 42069,
  [SMALL_STATE(1124)] = 42141,
  [SMALL_STATE(1125)] = 42213,
  [SMALL_STATE(1126)] = 42285,
  [SMALL_STATE(1127)] = 42357,
  [SMALL_STATE(1128)] = 42429,
  [SMALL_STATE(1129)] = 42501,
  [SMALL_STATE(1130)] = 42571,
  [SMALL_STATE(1131)] = 42643,
  [SMALL_STATE(1132)] = 42715,
  [SMALL_STATE(1133)] = 42784,
  [SMALL_STATE(1134)] = 42853,
  [SMALL_STATE(1135)] = 42908,
  [SMALL_STATE(1136)] = 42971,
  [SMALL_STATE(1137)] = 43034,
  [SMALL_STATE(1138)] = 43103,
  [SMALL_STATE(1139)] = 43172,
  [SMALL_STATE(1140)] = 43241,
  [SMALL_STATE(1141)] = 43306,
  [SMALL_STATE(1142)] = 43375,
  [SMALL_STATE(1143)] = 43444,
  [SMALL_STATE(1144)] = 43513,
  [SMALL_STATE(1145)] = 43562,
  [SMALL_STATE(1146)] = 43631,
  [SMALL_STATE(1147)] = 43700,
  [SMALL_STATE(1148)] = 43755,
  [SMALL_STATE(1149)] = 43824,
  [SMALL_STATE(1150)] = 43893,
  [SMALL_STATE(1151)] = 43962,
  [SMALL_STATE(1152)] = 44031,
  [SMALL_STATE(1153)] = 44100,
  [SMALL_STATE(1154)] = 44169,
  [SMALL_STATE(1155)] = 44238,
  [SMALL_STATE(1156)] = 44293,
  [SMALL_STATE(1157)] = 44362,
  [SMALL_STATE(1158)] = 44431,
  [SMALL_STATE(1159)] = 44486,
  [SMALL_STATE(1160)] = 44555,
  [SMALL_STATE(1161)] = 44614,
  [SMALL_STATE(1162)] = 44667,
  [SMALL_STATE(1163)] = 44728,
  [SMALL_STATE(1164)] = 44797,
  [SMALL_STATE(1165)] = 44866,
  [SMALL_STATE(1166)] = 44923,
  [SMALL_STATE(1167)] = 44974,
  [SMALL_STATE(1168)] = 45043,
  [SMALL_STATE(1169)] = 45112,
  [SMALL_STATE(1170)] = 45181,
  [SMALL_STATE(1171)] = 45250,
  [SMALL_STATE(1172)] = 45303,
  [SMALL_STATE(1173)] = 45372,
  [SMALL_STATE(1174)] = 45441,
  [SMALL_STATE(1175)] = 45493,
  [SMALL_STATE(1176)] = 45545,
  [SMALL_STATE(1177)] = 45597,
  [SMALL_STATE(1178)] = 45649,
  [SMALL_STATE(1179)] = 45701,
  [SMALL_STATE(1180)] = 45753,
  [SMALL_STATE(1181)] = 45805,
  [SMALL_STATE(1182)] = 45857,
  [SMALL_STATE(1183)] = 45909,
  [SMALL_STATE(1184)] = 45947,
  [SMALL_STATE(1185)] = 45983,
  [SMALL_STATE(1186)] = 46035,
  [SMALL_STATE(1187)] = 46087,
  [SMALL_STATE(1188)] = 46139,
  [SMALL_STATE(1189)] = 46191,
  [SMALL_STATE(1190)] = 46243,
  [SMALL_STATE(1191)] = 46295,
  [SMALL_STATE(1192)] = 46361,
  [SMALL_STATE(1193)] = 46413,
  [SMALL_STATE(1194)] = 46451,
  [SMALL_STATE(1195)] = 46503,
  [SMALL_STATE(1196)] = 46555,
  [SMALL_STATE(1197)] = 46607,
  [SMALL_STATE(1198)] = 46645,
  [SMALL_STATE(1199)] = 46697,
  [SMALL_STATE(1200)] = 46749,
  [SMALL_STATE(1201)] = 46801,
  [SMALL_STATE(1202)] = 46853,
  [SMALL_STATE(1203)] = 46905,
  [SMALL_STATE(1204)] = 46957,
  [SMALL_STATE(1205)] = 47009,
  [SMALL_STATE(1206)] = 47061,
  [SMALL_STATE(1207)] = 47113,
  [SMALL_STATE(1208)] = 47165,
  [SMALL_STATE(1209)] = 47217,
  [SMALL_STATE(1210)] = 47251,
  [SMALL_STATE(1211)] = 47303,
  [SMALL_STATE(1212)] = 47355,
  [SMALL_STATE(1213)] = 47407,
  [SMALL_STATE(1214)] = 47459,
  [SMALL_STATE(1215)] = 47511,
  [SMALL_STATE(1216)] = 47549,
  [SMALL_STATE(1217)] = 47590,
  [SMALL_STATE(1218)] = 47633,
  [SMALL_STATE(1219)] = 47674,
  [SMALL_STATE(1220)] = 47712,
  [SMALL_STATE(1221)] = 47747,
  [SMALL_STATE(1222)] = 47782,
  [SMALL_STATE(1223)] = 47817,
  [SMALL_STATE(1224)] = 47863,
  [SMALL_STATE(1225)] = 47909,
  [SMALL_STATE(1226)] = 47943,
  [SMALL_STATE(1227)] = 47989,
  [SMALL_STATE(1228)] = 48035,
  [SMALL_STATE(1229)] = 48065,
  [SMALL_STATE(1230)] = 48111,
  [SMALL_STATE(1231)] = 48157,
  [SMALL_STATE(1232)] = 48187,
  [SMALL_STATE(1233)] = 48242,
  [SMALL_STATE(1234)] = 48285,
  [SMALL_STATE(1235)] = 48340,
  [SMALL_STATE(1236)] = 48395,
  [SMALL_STATE(1237)] = 48438,
  [SMALL_STATE(1238)] = 48481,
  [SMALL_STATE(1239)] = 48524,
  [SMALL_STATE(1240)] = 48567,
  [SMALL_STATE(1241)] = 48610,
  [SMALL_STATE(1242)] = 48653,
  [SMALL_STATE(1243)] = 48696,
  [SMALL_STATE(1244)] = 48733,
  [SMALL_STATE(1245)] = 48766,
  [SMALL_STATE(1246)] = 48809,
  [SMALL_STATE(1247)] = 48849,
  [SMALL_STATE(1248)] = 48889,
  [SMALL_STATE(1249)] = 48929,
  [SMALL_STATE(1250)] = 48957,
  [SMALL_STATE(1251)] = 49005,
  [SMALL_STATE(1252)] = 49039,
  [SMALL_STATE(1253)] = 49079,
  [SMALL_STATE(1254)] = 49119,
  [SMALL_STATE(1255)] = 49159,
  [SMALL_STATE(1256)] = 49195,
  [SMALL_STATE(1257)] = 49223,
  [SMALL_STATE(1258)] = 49263,
  [SMALL_STATE(1259)] = 49303,
  [SMALL_STATE(1260)] = 49353,
  [SMALL_STATE(1261)] = 49393,
  [SMALL_STATE(1262)] = 49435,
  [SMALL_STATE(1263)] = 49463,
  [SMALL_STATE(1264)] = 49503,
  [SMALL_STATE(1265)] = 49543,
  [SMALL_STATE(1266)] = 49587,
  [SMALL_STATE(1267)] = 49627,
  [SMALL_STATE(1268)] = 49667,
  [SMALL_STATE(1269)] = 49707,
  [SMALL_STATE(1270)] = 49735,
  [SMALL_STATE(1271)] = 49775,
  [SMALL_STATE(1272)] = 49815,
  [SMALL_STATE(1273)] = 49855,
  [SMALL_STATE(1274)] = 49895,
  [SMALL_STATE(1275)] = 49935,
  [SMALL_STATE(1276)] = 49981,
  [SMALL_STATE(1277)] = 50027,
  [SMALL_STATE(1278)] = 50067,
  [SMALL_STATE(1279)] = 50107,
  [SMALL_STATE(1280)] = 50135,
  [SMALL_STATE(1281)] = 50163,
  [SMALL_STATE(1282)] = 50203,
  [SMALL_STATE(1283)] = 50231,
  [SMALL_STATE(1284)] = 50271,
  [SMALL_STATE(1285)] = 50299,
  [SMALL_STATE(1286)] = 50327,
  [SMALL_STATE(1287)] = 50367,
  [SMALL_STATE(1288)] = 50407,
  [SMALL_STATE(1289)] = 50447,
  [SMALL_STATE(1290)] = 50487,
  [SMALL_STATE(1291)] = 50535,
  [SMALL_STATE(1292)] = 50563,
  [SMALL_STATE(1293)] = 50603,
  [SMALL_STATE(1294)] = 50643,
  [SMALL_STATE(1295)] = 50675,
  [SMALL_STATE(1296)] = 50715,
  [SMALL_STATE(1297)] = 50755,
  [SMALL_STATE(1298)] = 50795,
  [SMALL_STATE(1299)] = 50835,
  [SMALL_STATE(1300)] = 50875,
  [SMALL_STATE(1301)] = 50915,
  [SMALL_STATE(1302)] = 50955,
  [SMALL_STATE(1303)] = 50995,
  [SMALL_STATE(1304)] = 51044,
  [SMALL_STATE(1305)] = 51071,
  [SMALL_STATE(1306)] = 51098,
  [SMALL_STATE(1307)] = 51125,
  [SMALL_STATE(1308)] = 51170,
  [SMALL_STATE(1309)] = 51197,
  [SMALL_STATE(1310)] = 51242,
  [SMALL_STATE(1311)] = 51287,
  [SMALL_STATE(1312)] = 51314,
  [SMALL_STATE(1313)] = 51359,
  [SMALL_STATE(1314)] = 51386,
  [SMALL_STATE(1315)] = 51413,
  [SMALL_STATE(1316)] = 51440,
  [SMALL_STATE(1317)] = 51485,
  [SMALL_STATE(1318)] = 51530,
  [SMALL_STATE(1319)] = 51567,
  [SMALL_STATE(1320)] = 51612,
  [SMALL_STATE(1321)] = 51639,
  [SMALL_STATE(1322)] = 51666,
  [SMALL_STATE(1323)] = 51711,
  [SMALL_STATE(1324)] = 51740,
  [SMALL_STATE(1325)] = 51773,
  [SMALL_STATE(1326)] = 51808,
  [SMALL_STATE(1327)] = 51857,
  [SMALL_STATE(1328)] = 51888,
  [SMALL_STATE(1329)] = 51933,
  [SMALL_STATE(1330)] = 51978,
  [SMALL_STATE(1331)] = 52021,
  [SMALL_STATE(1332)] = 52066,
  [SMALL_STATE(1333)] = 52107,
  [SMALL_STATE(1334)] = 52152,
  [SMALL_STATE(1335)] = 52191,
  [SMALL_STATE(1336)] = 52225,
  [SMALL_STATE(1337)] = 52263,
  [SMALL_STATE(1338)] = 52301,
  [SMALL_STATE(1339)] = 52335,
  [SMALL_STATE(1340)] = 52373,
  [SMALL_STATE(1341)] = 52411,
  [SMALL_STATE(1342)] = 52449,
  [SMALL_STATE(1343)] = 52487,
  [SMALL_STATE(1344)] = 52528,
  [SMALL_STATE(1345)] = 52569,
  [SMALL_STATE(1346)] = 52610,
  [SMALL_STATE(1347)] = 52651,
  [SMALL_STATE(1348)] = 52683,
  [SMALL_STATE(1349)] = 52715,
  [SMALL_STATE(1350)] = 52753,
  [SMALL_STATE(1351)] = 52785,
  [SMALL_STATE(1352)] = 52823,
  [SMALL_STATE(1353)] = 52855,
  [SMALL_STATE(1354)] = 52887,
  [SMALL_STATE(1355)] = 52925,
  [SMALL_STATE(1356)] = 52957,
  [SMALL_STATE(1357)] = 52989,
  [SMALL_STATE(1358)] = 53013,
  [SMALL_STATE(1359)] = 53045,
  [SMALL_STATE(1360)] = 53083,
  [SMALL_STATE(1361)] = 53115,
  [SMALL_STATE(1362)] = 53147,
  [SMALL_STATE(1363)] = 53179,
  [SMALL_STATE(1364)] = 53211,
  [SMALL_STATE(1365)] = 53249,
  [SMALL_STATE(1366)] = 53272,
  [SMALL_STATE(1367)] = 53301,
  [SMALL_STATE(1368)] = 53330,
  [SMALL_STATE(1369)] = 53359,
  [SMALL_STATE(1370)] = 53386,
  [SMALL_STATE(1371)] = 53415,
  [SMALL_STATE(1372)] = 53442,
  [SMALL_STATE(1373)] = 53471,
  [SMALL_STATE(1374)] = 53494,
  [SMALL_STATE(1375)] = 53521,
  [SMALL_STATE(1376)] = 53548,
  [SMALL_STATE(1377)] = 53575,
  [SMALL_STATE(1378)] = 53604,
  [SMALL_STATE(1379)] = 53633,
  [SMALL_STATE(1380)] = 53660,
  [SMALL_STATE(1381)] = 53689,
  [SMALL_STATE(1382)] = 53716,
  [SMALL_STATE(1383)] = 53739,
  [SMALL_STATE(1384)] = 53766,
  [SMALL_STATE(1385)] = 53793,
  [SMALL_STATE(1386)] = 53824,
  [SMALL_STATE(1387)] = 53851,
  [SMALL_STATE(1388)] = 53883,
  [SMALL_STATE(1389)] = 53915,
  [SMALL_STATE(1390)] = 53947,
  [SMALL_STATE(1391)] = 53965,
  [SMALL_STATE(1392)] = 53987,
  [SMALL_STATE(1393)] = 54005,
  [SMALL_STATE(1394)] = 54037,
  [SMALL_STATE(1395)] = 54061,
  [SMALL_STATE(1396)] = 54093,
  [SMALL_STATE(1397)] = 54115,
  [SMALL_STATE(1398)] = 54139,
  [SMALL_STATE(1399)] = 54157,
  [SMALL_STATE(1400)] = 54189,
  [SMALL_STATE(1401)] = 54218,
  [SMALL_STATE(1402)] = 54247,
  [SMALL_STATE(1403)] = 54276,
  [SMALL_STATE(1404)] = 54301,
  [SMALL_STATE(1405)] = 54326,
  [SMALL_STATE(1406)] = 54355,
  [SMALL_STATE(1407)] = 54384,
  [SMALL_STATE(1408)] = 54413,
  [SMALL_STATE(1409)] = 54434,
  [SMALL_STATE(1410)] = 54455,
  [SMALL_STATE(1411)] = 54484,
  [SMALL_STATE(1412)] = 54513,
  [SMALL_STATE(1413)] = 54542,
  [SMALL_STATE(1414)] = 54563,
  [SMALL_STATE(1415)] = 54592,
  [SMALL_STATE(1416)] = 54621,
  [SMALL_STATE(1417)] = 54646,
  [SMALL_STATE(1418)] = 54667,
  [SMALL_STATE(1419)] = 54696,
  [SMALL_STATE(1420)] = 54725,
  [SMALL_STATE(1421)] = 54754,
  [SMALL_STATE(1422)] = 54783,
  [SMALL_STATE(1423)] = 54812,
  [SMALL_STATE(1424)] = 54839,
  [SMALL_STATE(1425)] = 54868,
  [SMALL_STATE(1426)] = 54897,
  [SMALL_STATE(1427)] = 54922,
  [SMALL_STATE(1428)] = 54951,
  [SMALL_STATE(1429)] = 54980,
  [SMALL_STATE(1430)] = 55001,
  [SMALL_STATE(1431)] = 55017,
  [SMALL_STATE(1432)] = 55035,
  [SMALL_STATE(1433)] = 55051,
  [SMALL_STATE(1434)] = 55071,
  [SMALL_STATE(1435)] = 55087,
  [SMALL_STATE(1436)] = 55103,
  [SMALL_STATE(1437)] = 55119,
  [SMALL_STATE(1438)] = 55143,
  [SMALL_STATE(1439)] = 55159,
  [SMALL_STATE(1440)] = 55175,
  [SMALL_STATE(1441)] = 55191,
  [SMALL_STATE(1442)] = 55207,
  [SMALL_STATE(1443)] = 55223,
  [SMALL_STATE(1444)] = 55243,
  [SMALL_STATE(1445)] = 55269,
  [SMALL_STATE(1446)] = 55293,
  [SMALL_STATE(1447)] = 55309,
  [SMALL_STATE(1448)] = 55335,
  [SMALL_STATE(1449)] = 55361,
  [SMALL_STATE(1450)] = 55377,
  [SMALL_STATE(1451)] = 55393,
  [SMALL_STATE(1452)] = 55419,
  [SMALL_STATE(1453)] = 55435,
  [SMALL_STATE(1454)] = 55461,
  [SMALL_STATE(1455)] = 55481,
  [SMALL_STATE(1456)] = 55498,
  [SMALL_STATE(1457)] = 55523,
  [SMALL_STATE(1458)] = 55540,
  [SMALL_STATE(1459)] = 55563,
  [SMALL_STATE(1460)] = 55586,
  [SMALL_STATE(1461)] = 55609,
  [SMALL_STATE(1462)] = 55627,
  [SMALL_STATE(1463)] = 55641,
  [SMALL_STATE(1464)] = 55657,
  [SMALL_STATE(1465)] = 55671,
  [SMALL_STATE(1466)] = 55685,
  [SMALL_STATE(1467)] = 55703,
  [SMALL_STATE(1468)] = 55721,
  [SMALL_STATE(1469)] = 55739,
  [SMALL_STATE(1470)] = 55753,
  [SMALL_STATE(1471)] = 55767,
  [SMALL_STATE(1472)] = 55781,
  [SMALL_STATE(1473)] = 55797,
  [SMALL_STATE(1474)] = 55811,
  [SMALL_STATE(1475)] = 55825,
  [SMALL_STATE(1476)] = 55839,
  [SMALL_STATE(1477)] = 55857,
  [SMALL_STATE(1478)] = 55873,
  [SMALL_STATE(1479)] = 55891,
  [SMALL_STATE(1480)] = 55909,
  [SMALL_STATE(1481)] = 55923,
  [SMALL_STATE(1482)] = 55937,
  [SMALL_STATE(1483)] = 55955,
  [SMALL_STATE(1484)] = 55969,
  [SMALL_STATE(1485)] = 55986,
  [SMALL_STATE(1486)] = 56005,
  [SMALL_STATE(1487)] = 56016,
  [SMALL_STATE(1488)] = 56035,
  [SMALL_STATE(1489)] = 56046,
  [SMALL_STATE(1490)] = 56065,
  [SMALL_STATE(1491)] = 56076,
  [SMALL_STATE(1492)] = 56093,
  [SMALL_STATE(1493)] = 56112,
  [SMALL_STATE(1494)] = 56123,
  [SMALL_STATE(1495)] = 56142,
  [SMALL_STATE(1496)] = 56153,
  [SMALL_STATE(1497)] = 56172,
  [SMALL_STATE(1498)] = 56191,
  [SMALL_STATE(1499)] = 56202,
  [SMALL_STATE(1500)] = 56213,
  [SMALL_STATE(1501)] = 56224,
  [SMALL_STATE(1502)] = 56243,
  [SMALL_STATE(1503)] = 56254,
  [SMALL_STATE(1504)] = 56273,
  [SMALL_STATE(1505)] = 56284,
  [SMALL_STATE(1506)] = 56295,
  [SMALL_STATE(1507)] = 56306,
  [SMALL_STATE(1508)] = 56325,
  [SMALL_STATE(1509)] = 56344,
  [SMALL_STATE(1510)] = 56363,
  [SMALL_STATE(1511)] = 56382,
  [SMALL_STATE(1512)] = 56401,
  [SMALL_STATE(1513)] = 56417,
  [SMALL_STATE(1514)] = 56431,
  [SMALL_STATE(1515)] = 56445,
  [SMALL_STATE(1516)] = 56459,
  [SMALL_STATE(1517)] = 56475,
  [SMALL_STATE(1518)] = 56491,
  [SMALL_STATE(1519)] = 56507,
  [SMALL_STATE(1520)] = 56523,
  [SMALL_STATE(1521)] = 56537,
  [SMALL_STATE(1522)] = 56553,
  [SMALL_STATE(1523)] = 56569,
  [SMALL_STATE(1524)] = 56583,
  [SMALL_STATE(1525)] = 56599,
  [SMALL_STATE(1526)] = 56615,
  [SMALL_STATE(1527)] = 56631,
  [SMALL_STATE(1528)] = 56645,
  [SMALL_STATE(1529)] = 56661,
  [SMALL_STATE(1530)] = 56675,
  [SMALL_STATE(1531)] = 56689,
  [SMALL_STATE(1532)] = 56705,
  [SMALL_STATE(1533)] = 56721,
  [SMALL_STATE(1534)] = 56731,
  [SMALL_STATE(1535)] = 56747,
  [SMALL_STATE(1536)] = 56763,
  [SMALL_STATE(1537)] = 56779,
  [SMALL_STATE(1538)] = 56793,
  [SMALL_STATE(1539)] = 56809,
  [SMALL_STATE(1540)] = 56823,
  [SMALL_STATE(1541)] = 56837,
  [SMALL_STATE(1542)] = 56853,
  [SMALL_STATE(1543)] = 56866,
  [SMALL_STATE(1544)] = 56879,
  [SMALL_STATE(1545)] = 56892,
  [SMALL_STATE(1546)] = 56905,
  [SMALL_STATE(1547)] = 56918,
  [SMALL_STATE(1548)] = 56931,
  [SMALL_STATE(1549)] = 56944,
  [SMALL_STATE(1550)] = 56957,
  [SMALL_STATE(1551)] = 56970,
  [SMALL_STATE(1552)] = 56983,
  [SMALL_STATE(1553)] = 56996,
  [SMALL_STATE(1554)] = 57009,
  [SMALL_STATE(1555)] = 57022,
  [SMALL_STATE(1556)] = 57035,
  [SMALL_STATE(1557)] = 57048,
  [SMALL_STATE(1558)] = 57061,
  [SMALL_STATE(1559)] = 57074,
  [SMALL_STATE(1560)] = 57087,
  [SMALL_STATE(1561)] = 57100,
  [SMALL_STATE(1562)] = 57113,
  [SMALL_STATE(1563)] = 57126,
  [SMALL_STATE(1564)] = 57135,
  [SMALL_STATE(1565)] = 57148,
  [SMALL_STATE(1566)] = 57161,
  [SMALL_STATE(1567)] = 57174,
  [SMALL_STATE(1568)] = 57187,
  [SMALL_STATE(1569)] = 57200,
  [SMALL_STATE(1570)] = 57213,
  [SMALL_STATE(1571)] = 57226,
  [SMALL_STATE(1572)] = 57239,
  [SMALL_STATE(1573)] = 57252,
  [SMALL_STATE(1574)] = 57265,
  [SMALL_STATE(1575)] = 57278,
  [SMALL_STATE(1576)] = 57291,
  [SMALL_STATE(1577)] = 57304,
  [SMALL_STATE(1578)] = 57317,
  [SMALL_STATE(1579)] = 57330,
  [SMALL_STATE(1580)] = 57343,
  [SMALL_STATE(1581)] = 57354,
  [SMALL_STATE(1582)] = 57367,
  [SMALL_STATE(1583)] = 57380,
  [SMALL_STATE(1584)] = 57393,
  [SMALL_STATE(1585)] = 57406,
  [SMALL_STATE(1586)] = 57419,
  [SMALL_STATE(1587)] = 57432,
  [SMALL_STATE(1588)] = 57445,
  [SMALL_STATE(1589)] = 57458,
  [SMALL_STATE(1590)] = 57471,
  [SMALL_STATE(1591)] = 57484,
  [SMALL_STATE(1592)] = 57497,
  [SMALL_STATE(1593)] = 57510,
  [SMALL_STATE(1594)] = 57523,
  [SMALL_STATE(1595)] = 57536,
  [SMALL_STATE(1596)] = 57545,
  [SMALL_STATE(1597)] = 57558,
  [SMALL_STATE(1598)] = 57571,
  [SMALL_STATE(1599)] = 57584,
  [SMALL_STATE(1600)] = 57597,
  [SMALL_STATE(1601)] = 57610,
  [SMALL_STATE(1602)] = 57623,
  [SMALL_STATE(1603)] = 57636,
  [SMALL_STATE(1604)] = 57649,
  [SMALL_STATE(1605)] = 57662,
  [SMALL_STATE(1606)] = 57675,
  [SMALL_STATE(1607)] = 57688,
  [SMALL_STATE(1608)] = 57701,
  [SMALL_STATE(1609)] = 57710,
  [SMALL_STATE(1610)] = 57723,
  [SMALL_STATE(1611)] = 57736,
  [SMALL_STATE(1612)] = 57749,
  [SMALL_STATE(1613)] = 57762,
  [SMALL_STATE(1614)] = 57773,
  [SMALL_STATE(1615)] = 57786,
  [SMALL_STATE(1616)] = 57799,
  [SMALL_STATE(1617)] = 57812,
  [SMALL_STATE(1618)] = 57825,
  [SMALL_STATE(1619)] = 57838,
  [SMALL_STATE(1620)] = 57847,
  [SMALL_STATE(1621)] = 57860,
  [SMALL_STATE(1622)] = 57873,
  [SMALL_STATE(1623)] = 57886,
  [SMALL_STATE(1624)] = 57899,
  [SMALL_STATE(1625)] = 57912,
  [SMALL_STATE(1626)] = 57925,
  [SMALL_STATE(1627)] = 57938,
  [SMALL_STATE(1628)] = 57951,
  [SMALL_STATE(1629)] = 57964,
  [SMALL_STATE(1630)] = 57977,
  [SMALL_STATE(1631)] = 57990,
  [SMALL_STATE(1632)] = 58003,
  [SMALL_STATE(1633)] = 58016,
  [SMALL_STATE(1634)] = 58025,
  [SMALL_STATE(1635)] = 58038,
  [SMALL_STATE(1636)] = 58051,
  [SMALL_STATE(1637)] = 58064,
  [SMALL_STATE(1638)] = 58073,
  [SMALL_STATE(1639)] = 58086,
  [SMALL_STATE(1640)] = 58099,
  [SMALL_STATE(1641)] = 58112,
  [SMALL_STATE(1642)] = 58121,
  [SMALL_STATE(1643)] = 58130,
  [SMALL_STATE(1644)] = 58143,
  [SMALL_STATE(1645)] = 58156,
  [SMALL_STATE(1646)] = 58165,
  [SMALL_STATE(1647)] = 58174,
  [SMALL_STATE(1648)] = 58187,
  [SMALL_STATE(1649)] = 58197,
  [SMALL_STATE(1650)] = 58207,
  [SMALL_STATE(1651)] = 58217,
  [SMALL_STATE(1652)] = 58227,
  [SMALL_STATE(1653)] = 58235,
  [SMALL_STATE(1654)] = 58245,
  [SMALL_STATE(1655)] = 58255,
  [SMALL_STATE(1656)] = 58263,
  [SMALL_STATE(1657)] = 58271,
  [SMALL_STATE(1658)] = 58281,
  [SMALL_STATE(1659)] = 58289,
  [SMALL_STATE(1660)] = 58299,
  [SMALL_STATE(1661)] = 58309,
  [SMALL_STATE(1662)] = 58317,
  [SMALL_STATE(1663)] = 58327,
  [SMALL_STATE(1664)] = 58335,
  [SMALL_STATE(1665)] = 58343,
  [SMALL_STATE(1666)] = 58353,
  [SMALL_STATE(1667)] = 58363,
  [SMALL_STATE(1668)] = 58373,
  [SMALL_STATE(1669)] = 58383,
  [SMALL_STATE(1670)] = 58393,
  [SMALL_STATE(1671)] = 58403,
  [SMALL_STATE(1672)] = 58413,
  [SMALL_STATE(1673)] = 58423,
  [SMALL_STATE(1674)] = 58433,
  [SMALL_STATE(1675)] = 58443,
  [SMALL_STATE(1676)] = 58453,
  [SMALL_STATE(1677)] = 58463,
  [SMALL_STATE(1678)] = 58473,
  [SMALL_STATE(1679)] = 58481,
  [SMALL_STATE(1680)] = 58491,
  [SMALL_STATE(1681)] = 58499,
  [SMALL_STATE(1682)] = 58509,
  [SMALL_STATE(1683)] = 58519,
  [SMALL_STATE(1684)] = 58529,
  [SMALL_STATE(1685)] = 58539,
  [SMALL_STATE(1686)] = 58549,
  [SMALL_STATE(1687)] = 58559,
  [SMALL_STATE(1688)] = 58569,
  [SMALL_STATE(1689)] = 58577,
  [SMALL_STATE(1690)] = 58587,
  [SMALL_STATE(1691)] = 58595,
  [SMALL_STATE(1692)] = 58605,
  [SMALL_STATE(1693)] = 58615,
  [SMALL_STATE(1694)] = 58623,
  [SMALL_STATE(1695)] = 58633,
  [SMALL_STATE(1696)] = 58641,
  [SMALL_STATE(1697)] = 58651,
  [SMALL_STATE(1698)] = 58661,
  [SMALL_STATE(1699)] = 58671,
  [SMALL_STATE(1700)] = 58679,
  [SMALL_STATE(1701)] = 58689,
  [SMALL_STATE(1702)] = 58699,
  [SMALL_STATE(1703)] = 58709,
  [SMALL_STATE(1704)] = 58719,
  [SMALL_STATE(1705)] = 58727,
  [SMALL_STATE(1706)] = 58737,
  [SMALL_STATE(1707)] = 58747,
  [SMALL_STATE(1708)] = 58757,
  [SMALL_STATE(1709)] = 58765,
  [SMALL_STATE(1710)] = 58775,
  [SMALL_STATE(1711)] = 58785,
  [SMALL_STATE(1712)] = 58795,
  [SMALL_STATE(1713)] = 58803,
  [SMALL_STATE(1714)] = 58813,
  [SMALL_STATE(1715)] = 58823,
  [SMALL_STATE(1716)] = 58833,
  [SMALL_STATE(1717)] = 58843,
  [SMALL_STATE(1718)] = 58853,
  [SMALL_STATE(1719)] = 58863,
  [SMALL_STATE(1720)] = 58873,
  [SMALL_STATE(1721)] = 58881,
  [SMALL_STATE(1722)] = 58891,
  [SMALL_STATE(1723)] = 58901,
  [SMALL_STATE(1724)] = 58911,
  [SMALL_STATE(1725)] = 58918,
  [SMALL_STATE(1726)] = 58925,
  [SMALL_STATE(1727)] = 58932,
  [SMALL_STATE(1728)] = 58939,
  [SMALL_STATE(1729)] = 58946,
  [SMALL_STATE(1730)] = 58953,
  [SMALL_STATE(1731)] = 58960,
  [SMALL_STATE(1732)] = 58967,
  [SMALL_STATE(1733)] = 58974,
  [SMALL_STATE(1734)] = 58981,
  [SMALL_STATE(1735)] = 58988,
  [SMALL_STATE(1736)] = 58995,
  [SMALL_STATE(1737)] = 59002,
  [SMALL_STATE(1738)] = 59009,
  [SMALL_STATE(1739)] = 59016,
  [SMALL_STATE(1740)] = 59023,
  [SMALL_STATE(1741)] = 59030,
  [SMALL_STATE(1742)] = 59037,
  [SMALL_STATE(1743)] = 59044,
  [SMALL_STATE(1744)] = 59051,
  [SMALL_STATE(1745)] = 59058,
  [SMALL_STATE(1746)] = 59065,
  [SMALL_STATE(1747)] = 59072,
  [SMALL_STATE(1748)] = 59079,
  [SMALL_STATE(1749)] = 59086,
  [SMALL_STATE(1750)] = 59093,
  [SMALL_STATE(1751)] = 59100,
  [SMALL_STATE(1752)] = 59107,
  [SMALL_STATE(1753)] = 59114,
  [SMALL_STATE(1754)] = 59121,
  [SMALL_STATE(1755)] = 59128,
  [SMALL_STATE(1756)] = 59135,
  [SMALL_STATE(1757)] = 59142,
  [SMALL_STATE(1758)] = 59149,
  [SMALL_STATE(1759)] = 59156,
  [SMALL_STATE(1760)] = 59163,
  [SMALL_STATE(1761)] = 59170,
  [SMALL_STATE(1762)] = 59177,
  [SMALL_STATE(1763)] = 59184,
  [SMALL_STATE(1764)] = 59191,
  [SMALL_STATE(1765)] = 59198,
  [SMALL_STATE(1766)] = 59205,
  [SMALL_STATE(1767)] = 59212,
  [SMALL_STATE(1768)] = 59219,
  [SMALL_STATE(1769)] = 59226,
  [SMALL_STATE(1770)] = 59233,
  [SMALL_STATE(1771)] = 59240,
  [SMALL_STATE(1772)] = 59247,
  [SMALL_STATE(1773)] = 59254,
  [SMALL_STATE(1774)] = 59261,
  [SMALL_STATE(1775)] = 59268,
  [SMALL_STATE(1776)] = 59275,
  [SMALL_STATE(1777)] = 59282,
  [SMALL_STATE(1778)] = 59289,
  [SMALL_STATE(1779)] = 59296,
  [SMALL_STATE(1780)] = 59303,
  [SMALL_STATE(1781)] = 59310,
  [SMALL_STATE(1782)] = 59317,
  [SMALL_STATE(1783)] = 59324,
  [SMALL_STATE(1784)] = 59331,
  [SMALL_STATE(1785)] = 59338,
  [SMALL_STATE(1786)] = 59345,
  [SMALL_STATE(1787)] = 59352,
  [SMALL_STATE(1788)] = 59359,
  [SMALL_STATE(1789)] = 59366,
  [SMALL_STATE(1790)] = 59373,
  [SMALL_STATE(1791)] = 59380,
  [SMALL_STATE(1792)] = 59387,
  [SMALL_STATE(1793)] = 59394,
  [SMALL_STATE(1794)] = 59401,
  [SMALL_STATE(1795)] = 59408,
  [SMALL_STATE(1796)] = 59415,
  [SMALL_STATE(1797)] = 59422,
  [SMALL_STATE(1798)] = 59429,
  [SMALL_STATE(1799)] = 59436,
  [SMALL_STATE(1800)] = 59443,
  [SMALL_STATE(1801)] = 59450,
  [SMALL_STATE(1802)] = 59457,
  [SMALL_STATE(1803)] = 59464,
  [SMALL_STATE(1804)] = 59471,
  [SMALL_STATE(1805)] = 59478,
  [SMALL_STATE(1806)] = 59485,
  [SMALL_STATE(1807)] = 59492,
  [SMALL_STATE(1808)] = 59499,
  [SMALL_STATE(1809)] = 59506,
  [SMALL_STATE(1810)] = 59513,
  [SMALL_STATE(1811)] = 59520,
  [SMALL_STATE(1812)] = 59527,
  [SMALL_STATE(1813)] = 59534,
  [SMALL_STATE(1814)] = 59541,
  [SMALL_STATE(1815)] = 59548,
  [SMALL_STATE(1816)] = 59555,
  [SMALL_STATE(1817)] = 59562,
  [SMALL_STATE(1818)] = 59569,
  [SMALL_STATE(1819)] = 59576,
  [SMALL_STATE(1820)] = 59583,
  [SMALL_STATE(1821)] = 59590,
  [SMALL_STATE(1822)] = 59597,
  [SMALL_STATE(1823)] = 59604,
  [SMALL_STATE(1824)] = 59611,
  [SMALL_STATE(1825)] = 59618,
  [SMALL_STATE(1826)] = 59625,
  [SMALL_STATE(1827)] = 59632,
  [SMALL_STATE(1828)] = 59639,
  [SMALL_STATE(1829)] = 59646,
  [SMALL_STATE(1830)] = 59653,
  [SMALL_STATE(1831)] = 59660,
  [SMALL_STATE(1832)] = 59667,
  [SMALL_STATE(1833)] = 59674,
  [SMALL_STATE(1834)] = 59681,
  [SMALL_STATE(1835)] = 59688,
  [SMALL_STATE(1836)] = 59695,
  [SMALL_STATE(1837)] = 59702,
  [SMALL_STATE(1838)] = 59709,
  [SMALL_STATE(1839)] = 59716,
  [SMALL_STATE(1840)] = 59723,
  [SMALL_STATE(1841)] = 59730,
  [SMALL_STATE(1842)] = 59737,
  [SMALL_STATE(1843)] = 59744,
  [SMALL_STATE(1844)] = 59751,
  [SMALL_STATE(1845)] = 59758,
  [SMALL_STATE(1846)] = 59765,
  [SMALL_STATE(1847)] = 59772,
  [SMALL_STATE(1848)] = 59779,
  [SMALL_STATE(1849)] = 59786,
  [SMALL_STATE(1850)] = 59793,
  [SMALL_STATE(1851)] = 59800,
  [SMALL_STATE(1852)] = 59807,
  [SMALL_STATE(1853)] = 59814,
  [SMALL_STATE(1854)] = 59821,
  [SMALL_STATE(1855)] = 59828,
  [SMALL_STATE(1856)] = 59835,
  [SMALL_STATE(1857)] = 59842,
  [SMALL_STATE(1858)] = 59849,
  [SMALL_STATE(1859)] = 59856,
  [SMALL_STATE(1860)] = 59863,
  [SMALL_STATE(1861)] = 59870,
  [SMALL_STATE(1862)] = 59877,
  [SMALL_STATE(1863)] = 59884,
  [SMALL_STATE(1864)] = 59891,
  [SMALL_STATE(1865)] = 59898,
  [SMALL_STATE(1866)] = 59905,
  [SMALL_STATE(1867)] = 59912,
  [SMALL_STATE(1868)] = 59919,
  [SMALL_STATE(1869)] = 59926,
  [SMALL_STATE(1870)] = 59933,
  [SMALL_STATE(1871)] = 59940,
  [SMALL_STATE(1872)] = 59947,
  [SMALL_STATE(1873)] = 59954,
  [SMALL_STATE(1874)] = 59961,
  [SMALL_STATE(1875)] = 59968,
  [SMALL_STATE(1876)] = 59975,
  [SMALL_STATE(1877)] = 59982,
  [SMALL_STATE(1878)] = 59989,
  [SMALL_STATE(1879)] = 59996,
  [SMALL_STATE(1880)] = 60003,
  [SMALL_STATE(1881)] = 60010,
  [SMALL_STATE(1882)] = 60017,
  [SMALL_STATE(1883)] = 60024,
  [SMALL_STATE(1884)] = 60031,
  [SMALL_STATE(1885)] = 60038,
  [SMALL_STATE(1886)] = 60045,
  [SMALL_STATE(1887)] = 60052,
  [SMALL_STATE(1888)] = 60059,
  [SMALL_STATE(1889)] = 60066,
  [SMALL_STATE(1890)] = 60073,
  [SMALL_STATE(1891)] = 60080,
  [SMALL_STATE(1892)] = 60087,
  [SMALL_STATE(1893)] = 60094,
  [SMALL_STATE(1894)] = 60101,
  [SMALL_STATE(1895)] = 60108,
  [SMALL_STATE(1896)] = 60115,
  [SMALL_STATE(1897)] = 60122,
  [SMALL_STATE(1898)] = 60129,
  [SMALL_STATE(1899)] = 60136,
  [SMALL_STATE(1900)] = 60143,
  [SMALL_STATE(1901)] = 60150,
  [SMALL_STATE(1902)] = 60157,
  [SMALL_STATE(1903)] = 60164,
  [SMALL_STATE(1904)] = 60171,
  [SMALL_STATE(1905)] = 60178,
  [SMALL_STATE(1906)] = 60185,
  [SMALL_STATE(1907)] = 60192,
  [SMALL_STATE(1908)] = 60199,
  [SMALL_STATE(1909)] = 60206,
  [SMALL_STATE(1910)] = 60213,
  [SMALL_STATE(1911)] = 60220,
  [SMALL_STATE(1912)] = 60227,
  [SMALL_STATE(1913)] = 60234,
  [SMALL_STATE(1914)] = 60241,
  [SMALL_STATE(1915)] = 60248,
  [SMALL_STATE(1916)] = 60255,
  [SMALL_STATE(1917)] = 60262,
  [SMALL_STATE(1918)] = 60269,
  [SMALL_STATE(1919)] = 60276,
  [SMALL_STATE(1920)] = 60283,
  [SMALL_STATE(1921)] = 60290,
  [SMALL_STATE(1922)] = 60297,
  [SMALL_STATE(1923)] = 60304,
  [SMALL_STATE(1924)] = 60311,
  [SMALL_STATE(1925)] = 60318,
  [SMALL_STATE(1926)] = 60325,
  [SMALL_STATE(1927)] = 60332,
  [SMALL_STATE(1928)] = 60339,
  [SMALL_STATE(1929)] = 60346,
  [SMALL_STATE(1930)] = 60353,
  [SMALL_STATE(1931)] = 60360,
  [SMALL_STATE(1932)] = 60367,
  [SMALL_STATE(1933)] = 60374,
  [SMALL_STATE(1934)] = 60381,
  [SMALL_STATE(1935)] = 60388,
  [SMALL_STATE(1936)] = 60395,
  [SMALL_STATE(1937)] = 60402,
  [SMALL_STATE(1938)] = 60409,
  [SMALL_STATE(1939)] = 60416,
  [SMALL_STATE(1940)] = 60423,
  [SMALL_STATE(1941)] = 60430,
  [SMALL_STATE(1942)] = 60437,
  [SMALL_STATE(1943)] = 60444,
  [SMALL_STATE(1944)] = 60451,
  [SMALL_STATE(1945)] = 60458,
  [SMALL_STATE(1946)] = 60465,
  [SMALL_STATE(1947)] = 60472,
  [SMALL_STATE(1948)] = 60479,
  [SMALL_STATE(1949)] = 60486,
  [SMALL_STATE(1950)] = 60493,
  [SMALL_STATE(1951)] = 60500,
  [SMALL_STATE(1952)] = 60507,
  [SMALL_STATE(1953)] = 60514,
  [SMALL_STATE(1954)] = 60521,
  [SMALL_STATE(1955)] = 60528,
  [SMALL_STATE(1956)] = 60535,
  [SMALL_STATE(1957)] = 60542,
  [SMALL_STATE(1958)] = 60549,
  [SMALL_STATE(1959)] = 60556,
  [SMALL_STATE(1960)] = 60563,
  [SMALL_STATE(1961)] = 60570,
  [SMALL_STATE(1962)] = 60577,
  [SMALL_STATE(1963)] = 60584,
  [SMALL_STATE(1964)] = 60591,
  [SMALL_STATE(1965)] = 60598,
  [SMALL_STATE(1966)] = 60605,
  [SMALL_STATE(1967)] = 60612,
  [SMALL_STATE(1968)] = 60619,
  [SMALL_STATE(1969)] = 60626,
  [SMALL_STATE(1970)] = 60633,
  [SMALL_STATE(1971)] = 60640,
  [SMALL_STATE(1972)] = 60647,
  [SMALL_STATE(1973)] = 60654,
  [SMALL_STATE(1974)] = 60661,
  [SMALL_STATE(1975)] = 60668,
  [SMALL_STATE(1976)] = 60675,
  [SMALL_STATE(1977)] = 60682,
  [SMALL_STATE(1978)] = 60689,
  [SMALL_STATE(1979)] = 60696,
  [SMALL_STATE(1980)] = 60703,
  [SMALL_STATE(1981)] = 60710,
  [SMALL_STATE(1982)] = 60717,
  [SMALL_STATE(1983)] = 60724,
  [SMALL_STATE(1984)] = 60731,
  [SMALL_STATE(1985)] = 60738,
  [SMALL_STATE(1986)] = 60745,
  [SMALL_STATE(1987)] = 60752,
  [SMALL_STATE(1988)] = 60759,
  [SMALL_STATE(1989)] = 60766,
  [SMALL_STATE(1990)] = 60773,
  [SMALL_STATE(1991)] = 60780,
  [SMALL_STATE(1992)] = 60787,
  [SMALL_STATE(1993)] = 60794,
  [SMALL_STATE(1994)] = 60801,
  [SMALL_STATE(1995)] = 60808,
  [SMALL_STATE(1996)] = 60815,
  [SMALL_STATE(1997)] = 60822,
  [SMALL_STATE(1998)] = 60829,
  [SMALL_STATE(1999)] = 60836,
  [SMALL_STATE(2000)] = 60843,
  [SMALL_STATE(2001)] = 60850,
  [SMALL_STATE(2002)] = 60857,
  [SMALL_STATE(2003)] = 60864,
  [SMALL_STATE(2004)] = 60871,
  [SMALL_STATE(2005)] = 60878,
  [SMALL_STATE(2006)] = 60885,
  [SMALL_STATE(2007)] = 60892,
  [SMALL_STATE(2008)] = 60899,
  [SMALL_STATE(2009)] = 60906,
  [SMALL_STATE(2010)] = 60913,
  [SMALL_STATE(2011)] = 60920,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, .production_id = 35),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, .production_id = 14),
  [221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 14),
  [223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, .production_id = 35),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(573),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1408),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1820),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1278),
  [247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1821),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1703),
  [255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(518),
  [258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(746),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(746),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(736),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(94),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1205),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(922),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1960),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1685),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1822),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1209),
  [288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(35),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1003),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(912),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(906),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1006),
  [303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1571),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1456),
  [309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1511),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1716),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1651),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(724),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1980),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1722),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(309),
  [330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2009),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(639),
  [336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1732),
  [339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1730),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1829),
  [345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(670),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(722),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1828),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1830),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1472),
  [360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(771),
  [363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1656),
  [366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1528),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(771),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(797),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(572),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1413),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1909),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1267),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1872),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1648),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(160),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1202),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(937),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(43),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1650),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1672),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(690),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1814),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1653),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(232),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2010),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(647),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1979),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1978),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1878),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(570),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1417),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1743),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1274),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1744),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1667),
  [504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(381),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1200),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(932),
  [513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(51),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1669),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1719),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(681),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1885),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1670),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(326),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1995),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(597),
  [542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1876),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1881),
  [548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1745),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(564),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1429),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1923),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1252),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1910),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1698),
  [605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(278),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1203),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(920),
  [614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(42),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1671),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1679),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(685),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1726),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1673),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(385),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2011),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(638),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1810),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1808),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1914),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(575),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1409),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2008),
  [709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1298),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2004),
  [715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1710),
  [718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(518),
  [721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(746),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(746),
  [727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(736),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1189),
  [733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(992),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1960),
  [739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1685),
  [742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1822),
  [745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1209),
  [748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(32),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1003),
  [754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(912),
  [757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(906),
  [760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1006),
  [763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1571),
  [766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1456),
  [769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1511),
  [772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1700),
  [775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1691),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(679),
  [781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1768),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1677),
  [787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(431),
  [790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1776),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(633),
  [796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1724),
  [799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1807),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1817),
  [805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(670),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(722),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1828),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1830),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1472),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1184),
  [823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1656),
  [826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1528),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1184),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(797),
  [835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3),
  [841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2),
  [843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 8),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(565),
  [848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(518),
  [853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(746),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(746),
  [859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(736),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(94),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1205),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(912),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1960),
  [874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1685),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1822),
  [880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(35),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1003),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(906),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1006),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1571),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1456),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1511),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1716),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1651),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1722),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(309),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2009),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(639),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1732),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1730),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1829),
  [928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(670),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(722),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1828),
  [937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1830),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1472),
  [943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(771),
  [946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1656),
  [949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1528),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(771),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(797),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 8),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(569),
  [965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(160),
  [968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1202),
  [971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(43),
  [974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1650),
  [977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1672),
  [980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1653),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(232),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2010),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(647),
  [992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1979),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1978),
  [998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1878),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(567),
  [1004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(278),
  [1007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1203),
  [1010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(42),
  [1013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1671),
  [1016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1679),
  [1019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1673),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(385),
  [1025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2011),
  [1028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(638),
  [1031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1810),
  [1034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1808),
  [1037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1914),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 8),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 8),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(571),
  [1059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(381),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1200),
  [1065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(51),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1669),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1719),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1670),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(326),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1995),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(597),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1876),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1881),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1745),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(568),
  [1100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(305),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1189),
  [1106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(32),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1700),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1691),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1677),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(431),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1776),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(633),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1724),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1807),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1817),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(566),
  [1139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1705),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1718),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2000),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, .production_id = 49),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, .production_id = 49),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 23),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 23),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, .production_id = 55),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, .production_id = 55),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 64),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 64),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 70),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 70),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 80),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 80),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 81),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 81),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 82),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 82),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 65),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 65),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 83),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 83),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 84),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 84),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 7, .production_id = 92),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7, .production_id = 92),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 94),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 94),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 95),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 95),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 96),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 96),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 97),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 97),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 98),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 98),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 103),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 103),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 104),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 104),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 105),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 105),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 106),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 106),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 112),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 112),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 66),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 66),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 48),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 48),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 24),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 24),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, .production_id = 41),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 41),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 24),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 24),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, .production_id = 25),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, .production_id = 25),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 27),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 27),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, .production_id = 29),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, .production_id = 29),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, .production_id = 33),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, .production_id = 33),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 30),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 30),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, .production_id = 34),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, .production_id = 34),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, .production_id = 35),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, .production_id = 35),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 36),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 36),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 14),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 14),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 57),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 57),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, .production_id = 60),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, .production_id = 60),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, .production_id = 19),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, .production_id = 19),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, .production_id = 15),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, .production_id = 15),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 14),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 14),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, .production_id = 14),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, .production_id = 14),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, .production_id = 13),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, .production_id = 13),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 61),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 61),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 35),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 35),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 62),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 62),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, .production_id = 77),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, .production_id = 77),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [1468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(820),
  [1471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(518),
  [1474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(746),
  [1477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(746),
  [1480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(736),
  [1483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(94),
  [1486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1714),
  [1489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(35),
  [1492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1716),
  [1495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1651),
  [1498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(724),
  [1501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1980),
  [1504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1722),
  [1507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(309),
  [1510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2009),
  [1513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(639),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1732),
  [1519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1730),
  [1522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1829),
  [1525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(670),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(722),
  [1531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1828),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1830),
  [1537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1472),
  [1540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(771),
  [1543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1656),
  [1546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1528),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(771),
  [1552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(797),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(826),
  [1558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(305),
  [1561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(32),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1700),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1691),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(679),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1768),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1677),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(431),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1776),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(633),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1724),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1807),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1817),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(823),
  [1600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(381),
  [1603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(51),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1669),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1719),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(681),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1885),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1670),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(326),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1995),
  [1627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(597),
  [1630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1876),
  [1633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1881),
  [1636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1745),
  [1639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(821),
  [1642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1705),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(749),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1739),
  [1651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1718),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2000),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(825),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(160),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(43),
  [1668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1650),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1672),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(690),
  [1677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1814),
  [1680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1653),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(232),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2010),
  [1689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(647),
  [1692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1979),
  [1695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1978),
  [1698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1878),
  [1701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(822),
  [1704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(278),
  [1707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(42),
  [1710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1671),
  [1713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1679),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(685),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1726),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1673),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(385),
  [1728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2011),
  [1731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(638),
  [1734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1810),
  [1737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1808),
  [1740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1914),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [1779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1),
  [1788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .production_id = 35),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [1901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1030),
  [1904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1925),
  [1907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1299),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [1912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1769),
  [1915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1711),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(912),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1960),
  [1924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1649),
  [1927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1822),
  [1930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1003),
  [1933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(906),
  [1936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1006),
  [1939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1571),
  [1942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1456),
  [1945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1511),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 35),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1),
  [1968] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1), SHIFT(1158),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1926),
  [2001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1292),
  [2004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1839),
  [2007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1717),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1927),
  [2025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1263),
  [2028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1886),
  [2031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1723),
  [2034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1871),
  [2037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1268),
  [2040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1771),
  [2043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1697),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [2240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(755),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1528),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3),
  [2254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 76),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 76),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, .production_id = 8),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, .production_id = 8),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 59),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 59),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 50),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 50),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [2332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 9),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 9),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 72),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 72),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 26),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 26),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 110),
  [2352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 110),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 111),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 111),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 115),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 115),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3),
  [2368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 73),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 73),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, .production_id = 85),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, .production_id = 85),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 88),
  [2380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 88),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 26),
  [2388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 26),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1),
  [2392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3),
  [2396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3),
  [2398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 87),
  [2400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 87),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 58),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 58),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 40),
  [2412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 40),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 32),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 32),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 40),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 40),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 101),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 101),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 102),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 102),
  [2442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [2444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [2446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(824),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [2453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(912),
  [2456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1960),
  [2459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1649),
  [2462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1822),
  [2465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(906),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, .dynamic_precedence = 1),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 37),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 37),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 37),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 37),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 77),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 77),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 29),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 29),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 29),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 29),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 14),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 14),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 55),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 55),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 61),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 61),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 35),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 35),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 14),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 14),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 62),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 62),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 93),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 93),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 29),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 29),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 93),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 93),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 55),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 55),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 35),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 35),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 36),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 36),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 6),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 6),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 21),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 21),
  [2594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 46),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 46),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 6),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 6),
  [2616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 21),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 21),
  [2620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [2630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 20),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 20),
  [2638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 22),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 22),
  [2642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 20),
  [2644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 20),
  [2646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 22),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 22),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 69),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 69),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [2684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(959),
  [2687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 45),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 45),
  [2691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 47),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 47),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 45),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 45),
  [2699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 11),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 11),
  [2703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 7),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 7),
  [2707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 11),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 11),
  [2711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 7),
  [2713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 7),
  [2715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 5),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 5),
  [2719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 20),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 20),
  [2723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 21),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 21),
  [2727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 45),
  [2729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 45),
  [2731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 20),
  [2733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 20),
  [2735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [2737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [2739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1012),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [2750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 11),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 11),
  [2754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 43),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 43),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, .dynamic_precedence = -1, .production_id = 51),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, .dynamic_precedence = -1, .production_id = 51),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 22),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 22),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 12),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 12),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 21),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 21),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 20),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 20),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 7),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 7),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 22),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 22),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 6),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 6),
  [2794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 6),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 6),
  [2802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 6, .production_id = 69),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 6, .production_id = 69),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3),
  [2810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 46),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 46),
  [2814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [2818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 6),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 6),
  [2826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, .production_id = 45),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, .production_id = 45),
  [2834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, .production_id = 68),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, .production_id = 68),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 47),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 47),
  [2842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1158),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 7),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 7),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 6),
  [2865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 6),
  [2867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 6), SHIFT(1960),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, .production_id = 39),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 91),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 43),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 43),
  [2974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 43), SHIFT(1960),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, .production_id = 67),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, .production_id = 54),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [3125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [3127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [3129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7), SHIFT(1960),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 20),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 20),
  [3138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 20), SHIFT(1960),
  [3141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 68),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 68),
  [3145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 68), SHIFT(1960),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1),
  [3152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(906),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [3157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [3161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(1231),
  [3164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(1228),
  [3167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [3170] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1158),
  [3174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, .production_id = 2),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 2),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 11),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 11),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 37),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 26),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 26),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2),
  [3347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 10),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 10),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(959),
  [3436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1004),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 6), SHIFT(1937),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [3482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(1685),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, .production_id = 31),
  [3493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, .production_id = 31),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, .dynamic_precedence = 1, .production_id = 89),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, .production_id = 31),
  [3503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, .production_id = 31),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, .dynamic_precedence = 1, .production_id = 74),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, .dynamic_precedence = 1, .production_id = 28),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, .dynamic_precedence = 1, .production_id = 89),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, .dynamic_precedence = 1, .production_id = 74),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 28),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2),
  [3517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2), SHIFT_REPEAT(1960),
  [3520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, .dynamic_precedence = 1, .production_id = 52),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 52),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 28),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [3532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2),
  [3536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2),
  [3538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [3540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2),
  [3550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [3558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 74),
  [3572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 52),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 28),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 28),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 89),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [3636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1),
  [3638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1),
  [3642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, .production_id = 31),
  [3644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, .production_id = 31),
  [3646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2),
  [3648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2),
  [3650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [3652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [3656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, .production_id = 53),
  [3660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, .production_id = 53),
  [3662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 29),
  [3664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 53),
  [3666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 53),
  [3668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, .production_id = 53),
  [3670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, .production_id = 53),
  [3672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, .production_id = 44),
  [3674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, .production_id = 44),
  [3676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1),
  [3678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, .production_id = 90),
  [3682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, .production_id = 90),
  [3684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat2, 2, .production_id = 28),
  [3686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, .production_id = 90),
  [3688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, .production_id = 90),
  [3690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 75),
  [3692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 75),
  [3694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 53),
  [3696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 53),
  [3698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 75),
  [3700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 75),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, .production_id = 64),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [3718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [3720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, .production_id = 53),
  [3724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, .production_id = 53),
  [3726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(699),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2),
  [3731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(1764),
  [3734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 41),
  [3736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 28),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, .production_id = 31),
  [3740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, .production_id = 31),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [3744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [3746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1),
  [3748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 18),
  [3754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 18),
  [3756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 75),
  [3758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 75),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 53),
  [3762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 53),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 38),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2),
  [3768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2), SHIFT_REPEAT(1533),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 16),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 52),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, .production_id = 90),
  [3777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, .production_id = 90),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 31),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 78),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, .production_id = 5),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 75),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 53),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3),
  [3813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 63),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 53),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 17),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 90),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 42),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 56), SHIFT_REPEAT(1377),
  [3850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 56),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, .production_id = 86),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [3866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [3868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1518),
  [3871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1518),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, .production_id = 71),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, .production_id = 108),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [3904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 99), SHIFT_REPEAT(1454),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 99),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [3915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 113), SHIFT_REPEAT(1481),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 113),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, .production_id = 71),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [3930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [3946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 99), SHIFT_REPEAT(1443),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 99),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, .production_id = 86),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, .production_id = 100),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(632),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2), SHIFT_REPEAT(1286),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2), SHIFT_REPEAT(1720),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [4006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(764),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, .production_id = 79),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [4087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT_REPEAT(552),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [4112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, .production_id = 28),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2), SHIFT_REPEAT(1659),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, .production_id = 5),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat2, 2, .production_id = 56), SHIFT_REPEAT(1337),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat2, 2, .production_id = 56),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 71),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 56), SHIFT_REPEAT(1352),
  [4167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 56),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, .production_id = 107),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 71),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(1692),
  [4188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [4192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, .production_id = 109),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, .production_id = 117),
  [4196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, .production_id = 117),
  [4198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 116), SHIFT_REPEAT(1811),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 116),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, .production_id = 114),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 100),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, .production_id = 107),
  [4209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2), SHIFT_REPEAT(1155),
  [4212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [4224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 109),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 5),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2),
  [4238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, .production_id = 42),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [4282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4),
  [4284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3),
  [4300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 36),
  [4380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, .production_id = 77),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4510] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 61),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, .production_id = 77),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, .production_id = 62),
  [4710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, .production_id = 61),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_c(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
